<div class="card">
    <div class="card-header">
        <h2 class="card-title">环境检查</h2>
    </div>
    <div class="card-body">
        <h3>系统环境</h3>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>环境项</th>
                    <th>要求</th>
                    <th>当前</th>
                    <th>状态</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($vars['requirements'] as $requirement): ?>
                <tr>
                    <td><?php echo $requirement['name']; ?></td>
                    <td><?php echo $requirement['required']; ?></td>
                    <td><?php echo $requirement['current']; ?></td>
                    <td>
                        <?php if ($requirement['status']): ?>
                            <span class="text-success">✓ 通过</span>
                        <?php else: ?>
                            <span class="text-danger">✗ 不通过</span>
                        <?php endif; ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        
        <h3>目录权限</h3>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>目录</th>
                    <th>要求</th>
                    <th>状态</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($vars['directories'] as $directory): ?>
                <tr>
                    <td><?php echo $directory['path']; ?></td>
                    <td>可写</td>
                    <td>
                        <?php if ($directory['writable']): ?>
                            <span class="text-success">✓ 可写</span>
                        <?php else: ?>
                            <span class="text-danger">✗ 不可写</span>
                        <?php endif; ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        
        <?php if (!is_writable(ROOT_PATH . DS . 'config')): ?>
        <div class="alert alert-danger">
            <strong>警告:</strong> config 目录不可写！请设置此目录的写入权限，否则无法完成安装。
            <br>
            <strong>Windows系统:</strong> 右键点击目录 -> 属性 -> 安全 -> 编辑 -> 添加写入权限
            <br>
            <strong>Linux系统:</strong> 执行 <code>chmod -R 755 config</code> 或 <code>chmod -R 777 config</code>
        </div>
        <?php endif; ?>
        
        <h3>函数依赖</h3>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>函数</th>
                    <th>状态</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($vars['functions'] as $function): ?>
                <tr>
                    <td><?php echo $function['name']; ?></td>
                    <td>
                        <?php if ($function['available']): ?>
                            <span class="text-success">✓ 可用</span>
                        <?php else: ?>
                            <span class="text-danger">✗ 不可用</span>
                        <?php endif; ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        
        <div class="buttons">
            <a href="?step=welcome" class="btn btn-danger">上一步</a>
            <?php if ($vars['can_install']): ?>
                <a href="?step=database" class="btn btn-primary">下一步</a>
            <?php else: ?>
                <button class="btn btn-primary" disabled>下一步</button>
                <p class="text-danger">请先解决上述问题后再继续安装。</p>
            <?php endif; ?>
        </div>
    </div>
</div> 