<div class="card">
    <div class="card-header">
        <h2 class="card-title">网站配置</h2>
    </div>
    <div class="card-body">
        <?php if (isset($vars['errors']) && !empty($vars['errors'])): ?>
        <div class="alert alert-danger">
            <ul>
                <?php foreach ($vars['errors'] as $error): ?>
                <li><?php echo $error; ?></li>
                <?php endforeach; ?>
            </ul>
        </div>
        <?php endif; ?>
        
        <form method="post" action="?step=config">
            <div class="form-group">
                <label class="form-label" for="site_name">网站名称</label>
                <input type="text" class="form-control" id="site_name" name="site_name" value="<?php echo isset($vars['config']['site_name']) ? $vars['config']['site_name'] : '我的网站'; ?>" required>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="site_url">网站URL</label>
                <input type="text" class="form-control" id="site_url" name="site_url" value="<?php echo isset($vars['config']['site_url']) ? $vars['config']['site_url'] : 'http://'.$_SERVER['HTTP_HOST']; ?>" required>
                <small>请填写完整URL，包含http://或https://</small>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="admin_user">管理员用户名</label>
                <input type="text" class="form-control" id="admin_user" name="admin_user" value="<?php echo isset($vars['config']['admin_user']) ? $vars['config']['admin_user'] : 'admin'; ?>" required>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="admin_password">管理员密码</label>
                <input type="password" class="form-control" id="admin_password" name="admin_password" value="<?php echo isset($vars['config']['admin_password']) ? $vars['config']['admin_password'] : ''; ?>" required>
                <small>密码长度不少于6位</small>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="admin_email">管理员邮箱</label>
                <input type="email" class="form-control" id="admin_email" name="admin_email" value="<?php echo isset($vars['config']['admin_email']) ? $vars['config']['admin_email'] : ''; ?>" required>
            </div>
            
            <div class="buttons">
                <a href="?step=database" class="btn btn-danger">上一步</a>
                <button type="submit" class="btn btn-primary">下一步</button>
            </div>
        </form>
    </div>
</div> 