<div class="card">
    <div class="card-header">
        <h2 class="card-title">数据库配置</h2>
    </div>
    <div class="card-body">
        <?php if (isset($vars['errors']) && !empty($vars['errors'])): ?>
        <div class="alert alert-danger">
            <ul>
                <?php foreach ($vars['errors'] as $error): ?>
                <li><?php echo $error; ?></li>
                <?php endforeach; ?>
            </ul>
        </div>
        <?php endif; ?>
        
        <form method="post" action="?step=database">
            <div class="form-group">
                <label class="form-label" for="db_host">数据库主机</label>
                <input type="text" class="form-control" id="db_host" name="db_host" value="<?php echo isset($vars['db']['host']) ? $vars['db']['host'] : 'localhost'; ?>" required>
                <small>通常为localhost</small>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="db_name">数据库名</label>
                <input type="text" class="form-control" id="db_name" name="db_name" value="<?php echo isset($vars['db']['name']) ? $vars['db']['name'] : ''; ?>" required>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="db_user">数据库用户名</label>
                <input type="text" class="form-control" id="db_user" name="db_user" value="<?php echo isset($vars['db']['user']) ? $vars['db']['user'] : 'root'; ?>" required>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="db_password">数据库密码</label>
                <input type="password" class="form-control" id="db_password" name="db_password" value="<?php echo isset($vars['db']['password']) ? $vars['db']['password'] : ''; ?>">
            </div>
            
            <div class="form-group">
                <label class="form-label" for="db_port">数据库端口</label>
                <input type="text" class="form-control" id="db_port" name="db_port" value="<?php echo isset($vars['db']['port']) ? $vars['db']['port'] : '3306'; ?>" required>
                <small>默认为3306</small>
            </div>
            
            <div class="form-group">
                <label class="form-label" for="db_prefix">数据表前缀</label>
                <input type="text" class="form-control" id="db_prefix" name="db_prefix" value="<?php echo isset($vars['db']['prefix']) ? $vars['db']['prefix'] : 'cms_'; ?>" required>
                <small>建议修改默认前缀，增加安全性</small>
            </div>
            
            <div class="buttons">
                <a href="?step=check" class="btn btn-danger">上一步</a>
                <button type="submit" class="btn btn-primary">下一步</button>
            </div>
        </form>
    </div>
</div> 