<?php
namespace app\controller;

use think\facade\Db;
use think\facade\View;

class SpecialController extends BaseController
{
    /**
     * 显示特惠活动页面
     */
    public function index()
    {
        // 获取服务器列表数据
        $serverList = $this->getServerList();
        
        // 将数据传递给模板
        View::assign('serverList', $serverList);
        
        // 渲染模板
        return View::fetch('special');
    }
    
    /**
     * 获取服务器列表数据
     * @return array 服务器产品数据
     */
    private function getServerList()
    {
        // 从数据库中获取服务器列表数据
        $serverList = Db::name('products')
            ->limit(3)
            ->select()
            ->toArray();
        
        // 处理特殊标签
        foreach ($serverList as &$product) {
            // 检查是否有特惠标签 (假设tag字段存储的是逗号分隔的标签ID)
            if (!empty($product['tags'])) {
                $tagsArray = explode(',', $product['tags']);
                $product['has_special_tag'] = in_array('8', $tagsArray) ? 1 : 0;
            } else {
                $product['has_special_tag'] = 0;
            }
        }
        
        return $serverList;
    }
} 