<?php include 'config/config.php'; 

?>
<!DOCTYPE html>
<html lang="zh">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>关于我们 - 专业全球云服务器与高防主机解决方案提供商 | 十年行业经验</title>
    <meta name="keywords" content="云计算服务,服务器提供商,云服务器,高防服务器,数据中心,服务器托管,云主机,全球服务器,IT基础设施,服务器解决方案,数据安全,企业云服务">
    <meta name="description" content="作为专业的云计算服务提供商，我们拥有10000+客户，提供99.9%服务可用性和全天候技术支持。分布在全球50+数据中心的高性能服务器，为企业提供稳定、安全、高效的云计算解决方案，涵盖高防服务器、云主机、服务器托管等多元化IT基础设施服务。">
    <?php echo getCommonCss(); ?>
    <link rel="stylesheet" href="public/css/about.css">

  </head>
  <body>
    <?php include 'public/header.php'; ?>
    <?php include 'public/banner.php'; ?>
    <div class="container">
      <div class="breadcrumb">
        <a href="/">首页</a>
        <i class="material-icons">chevron_right</i>
        <span>关于我们</span>
      </div>
    </div>
    <div class="about-container">
      <div class="about-section company-intro">
        <h2>公司简介</h2>
        <div class="content-wrapper">
          <div class="text-content">
            <p>我们是一家专注于云计算服务的科技公司，致力于为全球客户提供高性能、安全可靠的云服务器解决方案。自成立以来，我们不断创新技术，优化服务质量，已成功服务数千家企业客户。我们拥有业内领先的技术团队，采用最新的云计算技术架构，为客户打造稳定高效的云服务平台。我们的服务器分布在全球多个数据中心，确保为客户提供低延迟、高可用的云计算服务。</p>
            <p>凭借强大的技术实力和优质的服务体系，我们在行业内树立了良好的口碑，成为众多企业值得信赖的云计算服务商。我们提供全天候的技术支持服务，专业的运维团队7*24小时待命，随时解决客户遇到的问题。我们注重服务品质，不断优化产品性能，提升用户体验，获得了客户的一致好评。作为行业的领先者，我们将继续秉持创新精神，为客户提供更优质的云计算服务。</p>
          </div>
          <div class="stats-grid">
            <div class="stat-item">
              <span class="number">10000+</span>
              <span class="label">服务客户</span>
            </div>
            <div class="stat-item">
              <span class="number">99.9%</span>
              <span class="label">服务可用性</span>
            </div>
            <div class="stat-item">
              <span class="number">24/7</span>
              <span class="label">技术支持</span>
            </div>
            <div class="stat-item">
              <span class="number">50+</span>
              <span class="label">数据中心</span>
            </div>
          </div>
        </div>
      </div>
      <div class="about-section culture">
        <h2>企业文化</h2>
        <div class="culture-grid">
          <div class="culture-item">
            <i class="fas fa-rocket"></i>
            <h3>创新驱动</h3>
            <p>持续创新技术，引领行业发展</p>
          </div>
          <div class="culture-item">
            <i class="fas fa-users"></i>
            <h3>以客为尊</h3>
            <p>始终将客户需求放在首位</p>
          </div>
          <div class="culture-item">
            <i class="fas fa-shield-alt"></i>
            <h3>品质至上</h3>
            <p>追求卓越，保证服务品质</p>
          </div>
          <div class="culture-item">
            <i class="fas fa-handshake"></i>
            <h3>诚信合作</h3>
            <p>诚信经营，互利共赢</p>
          </div>
        </div>
      </div>
      <div class="about-section timeline">
        <h2>发展历程</h2>
        <div class="timeline-container">
          <div class="timeline-item">
            <div class="year">2024</div>
            <div class="content">
              <h3>全球业务扩张</h3>
              <p>成功开拓国际市场，服务范围扩展至全球多个地区</p>
            </div>
          </div>
          <div class="timeline-item">
            <div class="year">2020</div>
            <div class="content">
              <h3>技术创新升级</h3>
              <p>云计算平台全面升级，服务能力显著提升</p>
            </div>
          </div>
          <div class="timeline-item">
            <div class="year">2015</div>
            <div class="content">
              <h3>业务转型</h3>
              <p>全面进军云计算领域，开启数字化服务新篇章</p>
            </div>
          </div>
          <div class="timeline-item">
            <div class="year">2010</div>
            <div class="content">
              <h3>规模扩张</h3>
              <p>业务快速发展，服务网络覆盖全国主要城市</p>
            </div>
          </div>
          <div class="timeline-item">
            <div class="year">2000</div>
            <div class="content">
              <h3>公司成立</h3>
              <p>正式成立并开始提供基础IT服务</p>
            </div>
          </div>
          <div class="timeline-item">
            <div class="year">1995</div>
            <div class="content">
              <h3>创始团队组建</h3>
              <p>核心团队成员开始筹备公司成立</p>
            </div>
          </div>
          <div class="timeline-item">
            <div class="year">1990</div>
            <div class="content">
              <h3>技术积累</h3>
              <p>团队成员在IT行业积累丰富经验</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- 引入在线客服组件 -->
    <?php include 'public/kf.php'; ?>
  </body>
</html>
<script src="/public/js/js.js"></script>
<?php include 'public/footer.php'; ?>
