<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>最新活动与优惠 - 云服务器促销活动与特别优惠 | 限时折扣与福利</title>
        <meta name="keywords" content="云服务器活动,服务器优惠,促销活动,限时折扣,特别优惠,服务器促销,高防服务器优惠,云计算活动,服务器限时折扣,数据中心优惠">
        <meta name="description" content="发现我们最新的云服务器促销活动与特别优惠，包括高防服务器折扣、新用户专享套餐、节日限定活动等。立即查看各地区服务器的限时折扣，抢购超值云服务器，享受专业技术支持与稳定高速的网络服务。">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+SC:wght@300;400;500;700&display=swap" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/activity.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <!-- 引用公共 banner -->
            <?php include 'public/banner.php'; ?>
            <!-- 面包屑导航 -->
            <div class="container">
                <div class="breadcrumb">
                    <a href="/">首页</a>
                    <i class="material-icons">chevron_right</i>
                    <span>最新活动</span>
                </div>
            </div>
            <!-- 页面标题区域 -->
            <div class="activity-wrapper">
                <!-- 活动内容区域 -->
                <div class="activity-content">
                    <!-- 活动导航 -->
                    <div class="activity-nav">
                        <ul class="activity-nav-list">
                            <li class="activity-nav-item active"><a href="#latest">最新活动专区</a></li>
                            <li class="activity-nav-item"><a href="#newuser">新用户福利专区</a></li>
                            <li class="activity-nav-item"><a href="#coupon">优惠礼包专区</a></li>
                            <li class="activity-nav-item"><a href="#trial">免费试用专区</a></li>
                            <li class="activity-nav-item"><a href="#group">团购活动专区</a></li>
                            <li class="activity-nav-item"><a href="#member">周六会员日</a></li>
                        </ul>
                    </div>
                    <!-- 爆款秒杀区域 -->
                    <section id="latest" class="activity-section">
                        <div class="section-header">
                            <h2 class="section-title">爆款秒杀 <span class="highlight">续费同价</span></h2>
                            <a href="#" class="section-rules" data-toggle="modal" data-target="#rulesModal1">活动规则</a>
                        </div>
                        <div class="product-cards">
                            <!-- 产品卡片1 -->
                            <div class="product-card">
                                <div class="product-tag">爆款</div>
                                <div class="product-header">
                                    <h3>硅谷高性能服务器</h3>
                                    <span class="product-location">美国 · 硅谷</span>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <span class="spec-label">CPU</span>
                                        <span class="spec-value">E5-2650 8核</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">内存</span>
                                        <span class="spec-value">32GB</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">硬盘</span>
                                        <span class="spec-value">1TB HDD</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">带宽</span>
                                        <span class="spec-value">100Mbps</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">IP数</span>
                                        <span class="spec-value">1个</span>
                                    </div>
                                </div>
                                <div class="product-price">
                                    <div class="price-original">原价: $199.00/月</div>
                                    <div class="price-current">
                                        <span class="price-currency">$</span>
                                        <span class="price-amount">99.50</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <div class="price-discount">首月5折</div>
                                </div>
                                <div class="product-action">
                                    <a href="#" class="btn btn-primary">立即抢购</a>
                                </div>
                            </div>
                            <!-- 产品卡片2 -->
                            <div class="product-card">
                                <div class="product-tag">热销</div>
                                <div class="product-header">
                                    <h3>洛杉矶大带宽服务器</h3>
                                    <span class="product-location">美国 · 洛杉矶</span>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <span class="spec-label">CPU</span>
                                        <span class="spec-value">E3-1230 4核</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">内存</span>
                                        <span class="spec-value">16GB</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">硬盘</span>
                                        <span class="spec-value">240GB SSD</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">带宽</span>
                                        <span class="spec-value">1Gbps</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">IP数</span>
                                        <span class="spec-value">1个</span>
                                    </div>
                                </div>
                                <div class="product-price">
                                    <div class="price-original">原价: $159.00/月</div>
                                    <div class="price-current">
                                        <span class="price-currency">$</span>
                                        <span class="price-amount">79.50</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <div class="price-discount">首月5折</div>
                                </div>
                                <div class="product-action">
                                    <a href="#" class="btn btn-primary">立即抢购</a>
                                </div>
                            </div>
                            <!-- 产品卡片3 -->
                            <div class="product-card">
                                <div class="product-tag">限量</div>
                                <div class="product-header">
                                    <h3>香港高防服务器</h3>
                                    <span class="product-location">中国 · 香港</span>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <span class="spec-label">CPU</span>
                                        <span class="spec-value">E5-2620 6核</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">内存</span>
                                        <span class="spec-value">32GB</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">硬盘</span>
                                        <span class="spec-value">480GB SSD</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">带宽</span>
                                        <span class="spec-value">20Mbps</span>
                                    </div>
                                    <div class="spec-item">
                                        <span class="spec-label">防御</span>
                                        <span class="spec-value">100G</span>
                                    </div>
                                </div>
                                <div class="product-price">
                                    <div class="price-original">原价: $299.00/月</div>
                                    <div class="price-current">
                                        <span class="price-currency">$</span>
                                        <span class="price-amount">149.50</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <div class="price-discount">首月5折</div>
                                </div>
                                <div class="product-action">
                                    <a href="#" class="btn btn-primary">立即抢购</a>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- 新用户福利专区 -->
                    <section id="newuser" class="activity-section">
                        <div class="section-header">
                            <h2 class="section-title">新用户福利专区</h2>
                            <a href="#" class="section-rules" data-toggle="modal" data-target="#rulesModal2">活动规则</a>
                        </div>
                        <div class="promo-banner">
                            <div class="promo-content">
                                <h3>新用户专享 - 首单立减30%</h3>
                                <p>新注册用户首次购买任意产品，即可享受7折优惠！</p>
                                <a href="#" class="btn btn-primary">立即注册</a>
                            </div>
                            <div class="promo-image">
                                <img src="http://temp.im/520x100" alt="新用户福利">
                            </div>
                        </div>
                    </section>
                    <!-- 优惠礼包专区 -->
                    <section id="coupon" class="activity-section">
                        <div class="section-header">
                            <h2 class="section-title">优惠礼包专区</h2>
                            <a href="#" class="section-rules" data-toggle="modal" data-target="#rulesModal3">查看更多优惠券</a>
                        </div>
                        <div class="coupon-container">
                            <!-- 新用户专享券 -->
                            <div class="coupon-card">
                                <div class="coupon-left">
                                    <div class="coupon-amount-wrap">
                                        <span class="coupon-currency">$</span>
                                        <span class="coupon-amount">50</span>
                                    </div>
                                    <div class="coupon-threshold">满$300可用</div>
                                </div>
                                <div class="coupon-right">
                                    <div class="coupon-info">
                                        <h3 class="coupon-title">新用户专享券</h3>
                                        <div class="coupon-desc">首次购买任意产品可用</div>
                                    </div>
                                    <div class="coupon-bottom">
                                        <div class="coupon-expiry">有效期至: 2023-12-31</div>
                                        <button class="coupon-btn">立即领取</button>
                                    </div>
                                </div>
                            </div>
                            <!-- 高防服务器专用券 -->
                            <div class="coupon-card blue">
                                <div class="coupon-left">
                                    <div class="coupon-amount-wrap">
                                        <span class="coupon-currency">$</span>
                                        <span class="coupon-amount">100</span>
                                    </div>
                                    <div class="coupon-threshold">满$500可用</div>
                                </div>
                                <div class="coupon-right">
                                    <div class="coupon-info">
                                        <h3 class="coupon-title">高防服务器专用券</h3>
                                        <div class="coupon-desc">限高防服务器产品使用</div>
                                    </div>
                                    <div class="coupon-bottom">
                                        <div class="coupon-expiry">有效期至: 2023-12-31</div>
                                        <button class="coupon-btn">立即领取</button>
                                    </div>
                                </div>
                            </div>
                            <!-- 年付专享券 -->
                            <div class="coupon-card green highlight">
                                <div class="coupon-left">
                                    <div class="coupon-amount-wrap">
                                        <span class="coupon-currency">$</span>
                                        <span class="coupon-amount">200</span>
                                    </div>
                                    <div class="coupon-threshold">满12个月可用</div>
                                </div>
                                <div class="coupon-right">
                                    <div class="coupon-info">
                                        <h3 class="coupon-title">年付专享券</h3>
                                        <div class="coupon-desc">年付订单专享特惠</div>
                                    </div>
                                    <div class="coupon-bottom">
                                        <div class="coupon-expiry">有效期至: 2023-12-31</div>
                                        <button class="coupon-btn">立即领取</button>
                                    </div>
                                </div>
                                <div class="coupon-tag">热门</div>
                            </div>
                        </div>
                    </section>
                    <!-- 团购专区 -->
                    <section id="group" class="activity-section">
                        <div class="section-header">
                            <h2 class="section-title">团购活动专区</h2>
                            <a href="#" class="section-rules" data-toggle="modal" data-target="#rulesModal4">活动规则</a>
                        </div>
                        <div class="group-buy-container">
                            <!-- 团购项目1 -->
                            <div class="group-buy-card">
                                <div class="group-buy-header">
                                    <h3>香港高性能服务器团购</h3>
                                    <div class="group-buy-progress">
                                        <div class="progress-bar">
                                            <div class="progress-fill" style="width: 75%;"></div>
                                        </div>
                                        <div class="progress-text">
                                            <span>已有15人参团</span>
                                            <span class="progress-percentage">完成度: 75%</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="group-buy-content">
                                    <div class="group-buy-specs">
                                        <div class="spec-item">
                                            <span class="spec-label">CPU</span>
                                            <span class="spec-value">E5-2650 8核</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">内存</span>
                                            <span class="spec-value">32GB</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">硬盘</span>
                                            <span class="spec-value">480GB SSD</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">带宽</span>
                                            <span class="spec-value">20Mbps</span>
                                        </div>
                                    </div>

                                    <div class="group-buy-price">
                                        <span class="price-original">原价: $199.00/月</span>
                                        <div class="price-group">
                                            <span class="price-currency">$</span>
                                            <span class="price-amount">139.00</span>
                                            <span class="price-period">/月</span>
                                        </div>
                                        <span class="price-discount">团购7折</span>
                                    </div>
                                </div>
                                <div class="group-buy-action">
                                    <a href="#" class="btn btn-primary">参与团购</a>
                                </div>
                                <div class="group-buy-timer">
                                    <div class="timer-label">剩余时间:</div>
                                    <div class="timer-countdown urgent" data-end="2023-12-31T23:59:59">23:59:59</div>
                                </div>
                                <div class="group-buy-status hot">热门</div>
                            </div>

                            <!-- 团购项目2 -->
                            <div class="group-buy-card">
                                <div class="group-buy-header">
                                    <h3>美国高带宽服务器团购</h3>
                                    <div class="group-buy-progress">
                                        <div class="progress-bar">
                                            <div class="progress-fill" style="width: 45%;"></div>
                                        </div>
                                        <div class="progress-text">
                                            <span>已有9人参团</span>
                                            <span class="progress-percentage">完成度: 45%</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="group-buy-content">
                                    <div class="group-buy-specs">
                                        <div class="spec-item">
                                            <span class="spec-label">CPU</span>
                                            <span class="spec-value">E3-1230 4核</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">内存</span>
                                            <span class="spec-value">16GB</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">硬盘</span>
                                            <span class="spec-value">240GB SSD</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">带宽</span>
                                            <span class="spec-value">1Gbps</span>
                                        </div>
                                    </div>

                                    <div class="group-buy-price">
                                        <span class="price-original">原价: $159.00/月</span>
                                        <div class="price-group">
                                            <span class="price-currency">$</span>
                                            <span class="price-amount">119.00</span>
                                            <span class="price-period">/月</span>
                                        </div>
                                        <span class="price-discount">团购7.5折</span>
                                    </div>
                                </div>
                                <div class="group-buy-action">
                                    <a href="#" class="btn btn-primary">参与团购</a>
                                </div>
                                <div class="group-buy-timer">
                                    <div class="timer-label">剩余时间:</div>
                                    <div class="timer-countdown" data-end="2024-01-15T23:59:59">15:20:30</div>
                                </div>
                                <div class="group-buy-status new">新品</div>
                            </div>

                            <!-- 团购项目3 -->
                            <div class="group-buy-card">
                                <div class="group-buy-header">
                                    <h3>日本高防服务器团购</h3>
                                    <div class="group-buy-progress">
                                        <div class="progress-bar">
                                            <div class="progress-fill" style="width: 90%;"></div>
                                        </div>
                                        <div class="progress-text">
                                            <span>已有18人参团</span>
                                            <span class="progress-percentage">完成度: 90%</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="group-buy-content">
                                    <div class="group-buy-specs">
                                        <div class="spec-item">
                                            <span class="spec-label">CPU</span>
                                            <span class="spec-value">E5-2620 6核</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">内存</span>
                                            <span class="spec-value">32GB</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">硬盘</span>
                                            <span class="spec-value">480GB SSD</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">带宽</span>
                                            <span class="spec-value">100Mbps</span>
                                        </div>
                                    </div>

                                    <div class="group-buy-price">
                                        <span class="price-original">原价: $249.00/月</span>
                                        <div class="price-group">
                                            <span class="price-currency">$</span>
                                            <span class="price-amount">174.00</span>
                                            <span class="price-period">/月</span>
                                        </div>
                                        <span class="price-discount">团购7折</span>
                                    </div>
                                </div>
                                <div class="group-buy-action">
                                    <a href="#" class="btn btn-primary">参与团购</a>
                                </div>
                                <div class="group-buy-timer">
                                    <div class="timer-label">剩余时间:</div>
                                    <div class="timer-countdown ending" data-end="2023-12-15T23:59:59">2:10:45</div>
                                </div>
                                <div class="group-buy-status ending">即将结束</div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
        <!-- 活动规则模态框 -->
        <div class="modal" id="rulesModal1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3 class="modal-title">活动规则</h3>
                        <button type="button" class="close-btn" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <h4>爆款秒杀活动规则</h4>
                        <ol>
                            <li>活动时间：2023年11月1日至2023年12月31日</li>
                            <li>首月享受5折优惠，续费享同价</li>
                            <li>买三个月送一个月，买半年送两个月，买一年送三个月</li>
                            <li>每个账户限购1台</li>
                            <li>活动期间，产品数量有限，售完即止</li>
                            <li>本活动最终解释权归本公司所有</li>
                        </ol>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">确认</button>
                    </div>
                </div>
            </div>
        </div>
        
        <!-- 新用户福利活动规则模态框 -->
        <div class="modal" id="rulesModal2">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3 class="modal-title">新用户福利活动规则</h3>
                        <button type="button" class="close-btn" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <h4>新用户专享优惠规则</h4>
                        <ol>
                            <li>活动时间：2023年11月1日至2023年12月31日</li>
                            <li>限新注册用户首次购买任意产品使用</li>
                            <li>新用户首单可享受7折优惠</li>
                            <li>每个新用户限使用一次，不可与其他优惠同时使用</li>
                            <li>本活动最终解释权归本公司所有</li>
                        </ol>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">确认</button>
                    </div>
                </div>
            </div>
        </div>
        
        <!-- 优惠券规则模态框 -->
        <div class="modal" id="rulesModal3">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3 class="modal-title">优惠券使用规则</h3>
                        <button type="button" class="close-btn" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <h4>优惠券相关规则</h4>
                        <ol>
                            <li>优惠券有效期：领取后30天内有效，具体以券面显示为准</li>
                            <li>每个订单仅限使用一张优惠券</li>
                            <li>优惠券不可叠加使用，不可与其他活动同时使用</li>
                            <li>特定产品优惠券仅限于购买指定产品时使用</li>
                            <li>优惠券不可转让，不可兑换现金</li>
                            <li>本公司保留对优惠券使用规则的最终解释权</li>
                        </ol>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">确认</button>
                    </div>
                </div>
            </div>
        </div>
        
        <!-- 团购活动规则模态框 -->
        <div class="modal" id="rulesModal4">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h3 class="modal-title">团购活动规则</h3>
                        <button type="button" class="close-btn" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <h4>团购活动规则及说明</h4>
                        <ol>
                            <li>团购活动时间：2023年11月1日至2023年12月31日</li>
                            <li>团购商品数量有限，先到先得</li>
                            <li>团购价格为最终优惠价格，不再与其他优惠叠加</li>
                            <li>团购成功后系统会自动发送通知，请注意查收</li>
                            <li>团购时间结束但人数未满，可能会延期或取消，届时将全额退款</li>
                            <li>团购商品不支持无理由退款</li>
                            <li>本活动最终解释权归本公司所有</li>
                        </ol>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">确认</button>
                    </div>
                </div>
            </div>
        </div>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/activity.js"></script>
    </body>
</html>
