<?php
ob_start(); 
define('INCLUDED_FROM_VIEW', true);
require_once 'code/anti_complaint_code.php';
$antiComplaintProducts = getAntiComplaintProducts(false);
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <?php include 'public/config.php'; ?>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>抗投诉型服务器 - 稳定安全的业务运行环境 - <?= $SiteName ?></title>
    <?php echo getCommonCss(); ?>
    <link href="/public/css/anti_complaint.css" rel="stylesheet">
  </head>
  <body>
    <?php include 'public/header.php'; ?>
    <?php include 'public/banner.php'; ?>
    <div class="main-content">
      <div class="product-wrapper">
        <div class="container">
          <div class="breadcrumb">
            <a href="/">首页</a>
            <i class="material-icons">chevron_right</i>
            <a href="/product">产品服务</a>
            <i class="material-icons">chevron_right</i>
            <span>抗投诉型服务器</span>
          </div>
        </div>
        <!-- 产品特点 -->
        <section class="features-section">
          <div class="container">
            <div class="section-header">
              <h2>抗投诉型服务器优势</h2>
              <p>多重防护，确保业务稳定运行</p>
            </div>
            <div class="features-grid">
              <div class="feature-card">
                <div class="feature-icon">
                  <i class="material-icons">shield</i>
                </div>
                <h3>专属IP资源</h3>
                <p>独立IP资源池，干净无污染，避免IP信誉度问题</p>
              </div>
              <div class="feature-card">
                <div class="feature-icon">
                  <i class="material-icons">privacy_tip</i>
                </div>
                <h3>隐私保护</h3>
                <p>全面的隐私保护措施，保障客户信息安全</p>
              </div>
              <div class="feature-card">
                <div class="feature-icon">
                  <i class="material-icons">gavel</i>
                </div>
                <h3>投诉快速处理</h3>
                <p>专业团队24小时监控，及时应对各类投诉，确保业务连续性</p>
              </div>
              <div class="feature-card">
                <div class="feature-icon">
                  <i class="material-icons">security</i>
                </div>
                <h3>法务支持</h3>
                <p>提供基础法务支持，协助解决投诉纠纷</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 产品列表 -->
        <section class="product-list">
          <div class="container">
            <div class="section-header">
              <h2>抗投诉服务器方案</h2>
              <p>稳定可靠的业务保障选择</p>
            </div>
            <div class="product-cards">
              <?php
              // 判断是否有产品数据
              if (!empty($antiComplaintProducts)) {
                  $productCount = 0;
                  $maxProductsToShow = 6; // 只显示六个产品卡片
                  $totalProducts = count($antiComplaintProducts);
                  
                  foreach ($antiComplaintProducts as $product) {
                      // 超过6个产品时停止显示
                      if ($productCount >= $maxProductsToShow) {
                          break;
                      }
                      
                      // 计算显示价格（原价乘以倍率）
                      $displayPrice = $product['price'] * getMultiplier();
              ?>
              <div class="plan-card">
                <div class="plan-header">
                  <h4><?php echo $product['name'] ?? ('抗投诉服务器 ' . ($productCount + 1)); ?></h4>
                  <span class="tag">投诉防护</span>
                  <?php if ($productCount == 0): ?>
                  <span class="best-choice">推荐选择</span>
                  <?php endif; ?>
                </div>
                <div class="cluster-specs">
                  <div class="spec-column">
                    <div class="spec-item">
                      <div class="spec-label">编号:</div>
                      <div class="spec-value"><?php echo '66' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">CPU:</div>
                      <div class="spec-value"><?php echo $product['cpu']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">硬盘:</div>
                      <div class="spec-value"><?php echo $product['disk']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">宽带:</div>
                      <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">防御:</div>
                      <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">线路:</div>
                      <div class="spec-value">

                        <?php echo $product['region_id']; ?>

                      </div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">地区:</div>
                      <div class="spec-value">

                        <?php echo $product['region_id']; ?>

                      </div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">内存:</div>
                      <div class="spec-value"><?php echo $product['memory']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">IP数:</div>
                      <div class="spec-value"><?php echo $product['ip_count']; ?>个</div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">流量:</div>
                      <div class="spec-value">不限</div>
                    </div>
                  </div>
                </div>
                <!-- 价格信息 -->
                <div class="cluster-bottom-specs">
                  <div class="spec-item price-item">
                    <div class="spec-label"><i class="material-icons">attach_money</i> 价格:</div>
                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                  </div>
                </div>
                <!-- 操作按钮 -->
                <div class="cluster-actions">
                  <a href="/product/<?php echo $product['id']; ?>.html" class="btn btn-primary btn-action">产品详情</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">立即咨询</a>
                </div>
              </div>
              <?php
                      $productCount++;
                  }
                  
                  // 如果产品总数超过了显示的数量，显示"查看更多"按钮
                  if ($totalProducts > $maxProductsToShow) {
              ?>
              <div class="view-more-container">
                <a href="/product/?tag=10&sort=recommended&page=1&ajax=1" class="btn btn-view-more">查看更多产品 <i class="material-icons">arrow_forward</i></a>
              </div>
              <?php
                  }
              } else {
                  // 如果没有数据，显示一个默认产品
              ?>

              <?php
              }
              ?>
            </div>
          </div>
        </section>
        <!-- 服务特点 -->
        <section class="service-features">
          <div class="container">
            <div class="section-header">
              <h2>抗投诉服务详情</h2>
              <p>多层次保障，让您的业务安心运行</p>
            </div>
            <div class="service-tiers">
              <div class="tier-card">
                <div class="tier-header">
                  <h3>基础防护</h3>
                  <p>适合一般业务需求</p>
                </div>
                <ul class="tier-features">
                  <li><i class="material-icons">check_circle</i> 投诉紧急处理</li>
                  <li><i class="material-icons">check_circle</i> 基础IP资源池</li>
                  <li><i class="material-icons">check_circle</i> 工单优先响应</li>
                  <li><i class="material-icons">check_circle</i> 基础合规建议</li>
                  <li class="disabled"><i class="material-icons">cancel</i> 自动IP轮换</li>
                  <li class="disabled"><i class="material-icons">cancel</i> 专业法务支持</li>
                </ul>
                <div class="tier-price">
                  <span>包含在产品价格中</span>
                </div>
              </div>
              <div class="tier-card featured">
                <div class="tier-header">
                  <h3>高级防护</h3>
                  <p>适合敏感业务</p>
                </div>
                <ul class="tier-features">
                  <li><i class="material-icons">check_circle</i> 投诉紧急处理</li>
                  <li><i class="material-icons">check_circle</i> 扩展IP资源池</li>
                  <li><i class="material-icons">check_circle</i> 24/7专人监控</li>
                  <li><i class="material-icons">check_circle</i> 全面合规建议</li>
                  <li><i class="material-icons">check_circle</i> 自动IP轮换</li>
                  <li><i class="material-icons">check_circle</i> 基础法务支持</li>
                </ul>
                <div class="tier-price">
                  <span>+¥500/月</span>
                </div>
              </div>
              <div class="tier-card">
                <div class="tier-header">
                  <h3>企业级防护</h3>
                  <p>适合高风险业务</p>
                </div>
                <ul class="tier-features">
                  <li><i class="material-icons">check_circle</i> 投诉紧急处理</li>
                  <li><i class="material-icons">check_circle</i> 无限IP资源池</li>
                  <li><i class="material-icons">check_circle</i> 24/7专人监控</li>
                  <li><i class="material-icons">check_circle</i> 定制合规解决方案</li>
                  <li><i class="material-icons">check_circle</i> 智能IP轮换系统</li>
                  <li><i class="material-icons">check_circle</i> 专业法务团队支持</li>
                </ul>
                <div class="tier-price">
                  <span>+¥1200/月</span>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- 应用场景 -->
        <section class="use-cases">
          <div class="container">
            <div class="section-header">
              <h2>适用场景</h2>
              <p>抗投诉服务器广泛适用于多种业务需求</p>
            </div>
            <div class="use-cases-grid">
              <div class="use-case-card">
                <div class="use-case-icon">
                  <i class="material-icons">language</i>
                </div>
                <h3>特殊网站运营</h3>
                <p>对于容易引发争议的网站内容，提供稳定的运行环境和专业的投诉处理</p>
              </div>
              <div class="use-case-card">
                <div class="use-case-icon">
                  <i class="material-icons">email</i>
                </div>
                <h3>邮件营销</h3>
                <p>大规模邮件发送活动，有效避免IP被列入黑名单，提高邮件送达率</p>
              </div>
              <div class="use-case-card">
                <div class="use-case-icon">
                  <i class="material-icons">public</i>
                </div>
                <h3>全球内容分发</h3>
                <p>跨地区内容分发服务，应对不同地区的合规要求，减少内容投诉风险</p>
              </div>
              <div class="use-case-card">
                <div class="use-case-icon">
                  <i class="material-icons">forum</i>
                </div>
                <h3>社区论坛</h3>
                <p>用户生成内容平台，快速处理潜在的投诉问题，维护平台稳定运行</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 常见问题 -->
        <section class="faq-section">
          <div class="container">
            <div class="section-header">
              <h2>常见问题</h2>
              <p>关于抗投诉服务器的常见问题解答</p>
            </div>
            <div class="faq-list">
              <div class="faq-item">
                <div class="faq-question">
                  <h3>什么是抗投诉服务器？</h3>
                </div>
                <div class="faq-answer">
                  <p>抗投诉服务器是专为处理和预防IP投诉而设计的服务器解决方案。它包括专业的IP资源管理、投诉快速处理机制、合规咨询服务等，帮助企业在面对投诉时能够快速响应，将业务中断风险降到最低。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>遇到投诉后如何处理？</h3>
                </div>
                <div class="faq-answer">
                  <p>当服务器遇到投诉后，我们的专业团队会立即进行评估。根据不同的防护级别，我们会提供从基础的投诉应对建议到紧急IP资源更换，或是由专业法务团队协助处理投诉事宜。在大多数情况下，我们能在最短时间内恢复业务正常运行。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>抗投诉服务器与普通服务器的主要区别是什么？</h3>
                </div>
                <div class="faq-answer">
                  <p>与普通服务器相比，抗投诉服务器提供了更为全面的IP资源保护措施，包括干净的IP资源池、快速的IP更换机制、专业的投诉处理流程和法务支持等。这些服务能够在遇到投诉时快速响应，最大限度减少业务中断风险，适合对业务稳定性要求较高的企业用户。</p>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- 联系我们 -->
        <section class="contact-section">
          <div class="container">
            <div class="contact-content">
              <h2>需要更稳定的解决方案？</h2>
              <p>联系我们的专业团队，获取定制化的抗投诉服务器方案</p>
              <div class="contact-buttons">
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">在线咨询</a>
                <a href="/product" class="btn btn-outline" target="_blank">产品中心</a>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
    <!-- 页脚 -->
    <?php include 'public/kf.php'; ?>
    <?php include 'public/footer.php'; ?>
    <script src="/public/js/js.js"></script>
    <script src="/public/js/anti_complaint.js"></script>
  </body>
</html>
