<?php
require_once 'code/alliance_links_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title><?php echo $pageTitle; ?></title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
        <link href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@6.0.0/css/all.min.css" rel="stylesheet">
        <link rel="stylesheet" href="public/css/style.css">
        <link rel="stylesheet" href="public/css/index.css">
        <link rel="stylesheet" href="public/css/alliance.css">
        <link rel="stylesheet" href="public/css/alliance_links.css">
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    </head>
    <body class="bg-light"> <?php include 'public/header.php'; ?> <div class="container-fluid">
            <div class="row">
                <!-- 包含侧边栏 -->
                <?php include 'public/letf.php'; ?>
                <!-- 内容区域 -->
                <main class="main-content">
                    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
                        <h1 class="h2">合作伙伴链接管理</h1>
                        <div class="btn-toolbar mb-2 mb-md-0">
                            <div class="btn-group me-2">
                                <a href="alliance_management.php" class="btn btn-sm btn-outline-primary">
                                    <i class="fas fa-list"></i> 分类管理 </a>
                                <a href="alliance_link_edit.php" class="btn btn-sm btn-outline-success">
                                    <i class="fas fa-plus"></i> 添加新链接 </a>
                            </div>
                        </div>
                    </div> <?php if ($message): ?> <div class="alert alert-<?php echo $messageType; ?> alert-dismissible fade show" role="alert"> <?php echo $message; ?> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div> <?php endif; ?> <div class="card">
                        <div class="card-header">链接列表</div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>分类</th>
                                            <th>名称</th>
                                            <th>URL</th>
                                            <th>排序</th>
                                            <th>状态</th>
                                            <th>操作</th>
                                        </tr>
                                    </thead>
                                    <tbody> <?php foreach ($links as $link): ?> <tr>
                                            <td><?php echo $link['id']; ?></td>
                                            <td><?php echo htmlspecialchars($link['category_name']); ?></td>
                                            <td><?php echo htmlspecialchars($link['name']); ?></td>
                                            <td> <?php if ($link['url']): ?> <a href="<?php echo htmlspecialchars($link['url']); ?>" target="_blank" class="text-truncate d-inline-block" style="max-width: 150px;"><?php echo htmlspecialchars($link['url']); ?></a> <?php else: ?> <span class="text-muted">无链接</span> <?php endif; ?> </td>
                                            <td><?php echo $link['sort_order']; ?></td>
                                            <td>
                                                <span class="badge bg-<?php echo $link['status'] ? 'success' : 'danger'; ?>"> <?php echo $link['status'] ? '启用' : '禁用'; ?> </span>
                                            </td>
                                            <td>
                                                <a href="?action=edit_link&id=<?php echo $link['id']; ?>" class="btn btn-sm btn-outline-primary">编辑</a>
                                                <a href="?action=delete_link&id=<?php echo $link['id']; ?>" class="btn btn-sm btn-outline-danger" onclick="return confirm('确定要删除此链接吗？')">删除</a>
                                            </td>
                                        </tr> <?php endforeach; ?> </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>
            </div>
        </div>
    </body>
</html>
