<?php
/**
 * 备份删除处理
 */
// 引入数据库配置文件
require_once '../config/database.php';

// 检查请求类型
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    header('Location: backup.php?error=无效的请求方法');
    exit;
}

// 获取备份文件名
$backupFile = isset($_POST['file']) ? $_POST['file'] : '';
if (empty($backupFile)) {
    header('Location: backup.php?error=未指定备份文件');
    exit;
}

// 验证文件名安全性（防止目录遍历攻击）
if (strpos($backupFile, '/') !== false || strpos($backupFile, '\\') !== false) {
    header('Location: backup.php?error=无效的文件名');
    exit;
}

// 构建完整的文件路径
$backupDir = '../Data/';
$backupFilePath = $backupDir . $backupFile;

// 检查文件是否存在
if (!file_exists($backupFilePath)) {
    header('Location: backup.php?error=备份文件不存在');
    exit;
}

// 删除文件
if (unlink($backupFilePath)) {
    header('Location: backup.php?success=备份文件已成功删除');
} else {
    header('Location: backup.php?error=删除文件失败，请检查权限');
}
?> 