<?php
/**
 * 备份文件下载处理
 */
// 引入数据库配置文件
require_once '../config/database.php';

// 检查是否指定了文件
if (!isset($_GET['file']) || empty($_GET['file'])) {
    header('Location: backup.php?error=未指定备份文件');
    exit;
}

// 获取文件名并进行安全检查
$backupFile = $_GET['file'];

// 验证文件名安全性（防止目录遍历攻击）
if (strpos($backupFile, '/') !== false || strpos($backupFile, '\\') !== false || strpos($backupFile, '..') !== false) {
    header('Location: backup.php?error=无效的文件名');
    exit;
}

// 构建完整的文件路径
$backupDir = '../Data/';
$backupFilePath = $backupDir . $backupFile;

// 检查文件是否存在
if (!file_exists($backupFilePath)) {
    header('Location: backup.php?error=备份文件不存在');
    exit;
}

// 获取文件大小
$fileSize = filesize($backupFilePath);

// 设置适当的头信息，使浏览器将响应识别为文件下载
header('Content-Description: File Transfer');
header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="' . basename($backupFilePath) . '"');
header('Content-Length: ' . $fileSize);
header('Cache-Control: must-revalidate');
header('Pragma: public');
header('Expires: 0');

// 清除输出缓冲区
ob_clean();
flush();

// 读取文件并输出到浏览器
readfile($backupFilePath);
exit;
?> 