<?php
require_once '../config/database.php';
require_once 'auth_check.php';
require_once 'classes/ScriptSearch.php';
require_once 'classes/ScriptManager.php';

// 获取数据库连接
$db = getDbConnection();
$scriptManager = new ScriptManager($db);

// 处理AJAX请求
if (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) === 'xmlhttprequest') {
    $response = ['success' => false, 'message' => ''];
    
    switch ($_POST['action'] ?? '') {
        case 'delete':
            if (isset($_POST['id'])) {
                $response = $scriptManager->delete($_POST['id']);
            }
            break;
            
        case 'batch_delete':
            if (isset($_POST['ids']) && is_array($_POST['ids'])) {
                $response = $scriptManager->batchDelete($_POST['ids']);
            }
            break;
            
        case 'toggle_status':
            if (isset($_POST['id'])) {
                $response = $scriptManager->toggleStatus($_POST['id']);
            }
            break;
            
        case 'batch_toggle_status':
            if (isset($_POST['ids']) && is_array($_POST['ids']) && isset($_POST['status'])) {
                $response = $scriptManager->batchToggleStatus($_POST['ids'], $_POST['status']);
            }
            break;
    }
    
    echo json_encode($response);
    exit;
}

// 获取分类列表用于筛选
$categories = $db->query("SELECT id, name FROM script_categories WHERE status = 1 ORDER BY sort_order ASC, id ASC")->fetchAll(PDO::FETCH_ASSOC);

// 使用搜索类处理搜索和分页
$page = isset($_GET['page']) ? max(1, intval($_GET['page'])) : 1;
$limit = 10;

$scriptSearch = new ScriptSearch($db);
$scriptSearch->addCategoryFilter($_GET['category_id'] ?? null)
            ->addKeywordFilter($_GET['keyword'] ?? null);

$searchResult = $scriptSearch->getResults($page, $limit);
$scripts = $searchResult['data'];
$total = $searchResult['total'];
$totalPages = $searchResult['total_pages'];
?>
