<?php
require_once 'code/config_add_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>添加系统配置</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.3.0/dist/sweetalert2.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@6.0.0/css/all.min.css">
    <link rel="stylesheet" href="public/css/style.css">
    <link rel="stylesheet" href="public/css/config_add.css">
  </head>
  <body> <?php include 'public/header.php'; ?> <div class="sidebar"> <?php include 'public/letf.php'; ?> </div>
    <div class="main-content">
      <div class="page-header">
        <h1 class="page-title">添加系统配置</h1>
      </div> <?php if (isset($error)): ?> <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <i class="fas fa-exclamation-circle me-2"></i><?php echo htmlspecialchars($error); ?> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
      </div> <?php endif; ?> <div class="card">
        <div class="card-body p-4">
          <form method="post" action="config_add.php" class="needs-validation" novalidate>
            <div class="mb-3">
              <label for="cn_name" class="form-label">配置中文名称：<span>配置的中文显示名称，用于界面展示</span></label>
              <input type="text" class="form-control" id="cn_name" name="cn_name" required>
              <div class="invalid-feedback">请输入配置中文名称</div>
            </div>
            <div class="mb-3">
              <label for="name" class="form-label">配置英文名称：<span>配置的唯一标识符，用于在代码中引用</span></label>
              <input type="text" class="form-control" id="name" name="name" required
                     pattern="[a-zA-Z][a-zA-Z0-9_]*">
              <div class="invalid-feedback">请输入有效的配置英文名称</div>
            </div>
            <div class="mb-3">
              <label for="content" class="form-label">配置内容：<span>配置的具体值</span></label>
              <textarea class="form-control" id="content" name="content" rows="3" required></textarea>
              <div class="invalid-feedback">请输入配置内容</div>
            </div>
            <div class="mb-3">
              <label for="sort_order" class="form-label sort-label">排序：<span>数字越小越靠前显示</span></label>
              <input type="number" class="form-control" id="sort_order" name="sort_order" value="0" min="0" required>
              <div class="invalid-feedback">请输入有效的排序数字</div>
            </div>
            <div class="mt-4">
              <a href="config_list.php" class="btn btn-secondary me-2">
                <i class="fas fa-arrow-left me-2"></i>返回列表 </a>
              <button type="submit" class="btn btn-primary">
                <i class="fas fa-save me-2"></i>保存配置 </button>
            </div>
          </form>
        </div>
      </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script>
    // 表单验证
    (function() {
      'use strict'
      var forms = document.querySelectorAll('.needs-validation')
      Array.prototype.slice.call(forms).forEach(function(form) {
        form.addEventListener('submit', function(event) {
          if (!form.checkValidity()) {
            event.preventDefault()
            event.stopPropagation()
          }
          form.classList.add('was-validated')
        }, false)
      })
    })()
    // 自动去除空格
    document.addEventListener('DOMContentLoaded', function() {
      const inputs = document.querySelectorAll('input[type="text"], input[type="number"], textarea');
      inputs.forEach(input => {
        input.addEventListener('input', function(e) {
          // 去除所有空格
          this.value = this.value.replace(/\s+/g, '');
        });
        input.addEventListener('blur', function(e) {
          // 失去焦点时再次检查并去除空格
          this.value = this.value.replace(/\s+/g, '');
        });
      });
    });
    </script>
  </body>
</html>
