<?php
require_once '../config/database.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $type = isset($_POST['type']) ? intval($_POST['type']) : 0;
    $direction = isset($_POST['direction']) ? $_POST['direction'] : 'income';
    $rawAmount = isset($_POST['amount']) ? floatval($_POST['amount']) : 0;
    $member_id = isset($_POST['member_id']) ? intval($_POST['member_id']) : 0;
    $description = isset($_POST['description']) ? trim($_POST['description']) : '';
    $payment_status = isset($_POST['payment_status']) ? intval($_POST['payment_status']) : 1;
    
    // 处理金额正负号
    $amount = $rawAmount;
    if ($direction === 'expense') {
        $amount = -$amount; // 支出为负数
    }
    
    // 验证数据
    if (!in_array($type, [1, 2, 3])) {
        die("无效的交易类型");
    }
    
    if ($rawAmount <= 0) {
        die("金额必须大于0");
    }
    
    if ($member_id <= 0) {
        die("无效的会员ID");
    }
    
    try {
        $db = getDbConnection();
        
        // 插入新记录
        $stmt = $db->prepare("INSERT INTO finance (type, amount, member_id, description, payment_status) VALUES (?, ?, ?, ?, ?)");
        $result = $stmt->execute([$type, $amount, $member_id, $description, $payment_status]);
        
        if ($result) {
            // 重定向回财务列表页面
            header("Location: finance.php?success=added");
            exit;
        } else {
            die("添加财务记录失败");
        }
    } catch (PDOException $e) {
        die("Error: " . $e->getMessage());
    }
} else {
    // 如果不是POST请求，重定向回添加页面
    header("Location: finance_add.php");
    exit;
} 