<?php
require_once '../config/database.php';
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = isset($_POST['id']) ? intval($_POST['id']) : 0;
    $field = isset($_POST['field']) ? $_POST['field'] : '';
    $value = isset($_POST['value']) ? $_POST['value'] : '';
    
    // 验证字段名，防止SQL注入
    $allowedFields = ['description', 'payment_status'];
    if (!in_array($field, $allowedFields)) {
        echo json_encode(['success' => false, 'message' => '不允许的字段']);
        exit;
    }
    
    try {
        $db = getDbConnection();
        $sql = "UPDATE finance SET $field = :value WHERE id = :id";
        $stmt = $db->prepare($sql);
        $stmt->bindParam(':value', $value);
        $stmt->bindParam(':id', $id, PDO::PARAM_INT);
        $result = $stmt->execute();
        
        echo json_encode(['success' => $result]);
    } catch (PDOException $e) {
        echo json_encode(['success' => false, 'message' => $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => '无效的请求方法']);
} 