<?php
/**
 * 订单添加页面
 */
// 引入数据库配置文件
require_once '../config/database.php';
// 获取数据库连接
$db = getDbConnection();
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>添加订单</title>
    <link rel="stylesheet" href="public/css/style.css">
    <style>
    .form-section {
      margin-bottom: 25px;
      border-bottom: 1px solid #eee;
      padding-bottom: 20px;
    }

    .section-title {
      font-size: 18px;
      font-weight: bold;
      margin-bottom: 15px;
      color: #333;
    }

    .form-row {
      display: flex;
      flex-wrap: wrap;
      margin: 0 -10px;
    }

    .form-group {
      flex: 1 1 300px;
      margin: 0 10px 15px;
    }

    .checkbox-group {
      margin-top: 10px;
    }

    .checkbox-group label {
      display: flex;
      align-items: center;
      cursor: pointer;
    }

    .checkbox-group input[type="checkbox"] {
      margin-right: 8px;
    }

    </style>
  </head>
  <body>
    <?php include 'public/header.php'; ?>
    <div class="sidebar">
      <?php include 'public/letf.php'; ?>
    </div>
    <div class="main-content">
      <div class="form-container">
        <form id="order-form" method="post" action="order_save.php">
          <div class="form-section">
            <div class="section-title">基本信息</div>
            <div class="form-row">
              <div class="form-group">
                <label for="product_type">产品/服务类型</label>
                <input type="text" id="product_type" name="product_type" class="form-control" required>
              </div>
              <div class="form-group">
                <label for="hostname">主机名称</label>
                <input type="text" id="hostname" name="hostname" class="form-control" required>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="ip_address">IP地址</label>
                <input type="text" id="ip_address" name="ip_address" class="form-control" required>
              </div>
              <div class="form-group">
                <label for="server_specs">服务器配置</label>
                <input type="text" id="server_specs" name="server_specs" class="form-control" placeholder="例如: 2620, 32G RAM, 1T HDD">
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="price">价格</label>
                <input type="number" id="price" name="price" class="form-control" step="0.01" required>
              </div>
              <div class="form-group">
                <label for="currency">货币单位</label>
                <select id="currency" name="currency" class="form-control">
                  <option value="USD" selected>USD</option>
                  <option value="CNY">CNY</option>
                  <option value="EUR">EUR</option>
                </select>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="next_payment_date">下次付款日期</label>
                <input type="date" id="next_payment_date" name="next_payment_date" class="form-control">
              </div>
              <div class="form-group">
                <label for="status">状态</label>
                <select id="status" name="status" class="form-control">
                  <option value="1" selected>有效</option>
                  <option value="2">审核中</option>
                  <option value="3">已暂停</option>
                  <option value="4">已终止</option>
                  <option value="5">已取消</option>
                </select>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="vpc">VPC信息</label>
                <input type="text" id="vpc" name="vpc" class="form-control">
              </div>
              <div class="form-group">
                <div class="checkbox-group">
                  <label>
                    <input type="checkbox" id="auto_renew" name="auto_renew" value="1">
                    自动续费
                  </label>
                </div>
                <div class="checkbox-group">
                  <label>
                    <input type="checkbox" id="is_multiple_ip" name="is_multiple_ip" value="1">
                    多IP服务器
                  </label>
                </div>
                <div class="checkbox-group">
                  <label>
                    <input type="checkbox" id="is_manual_order" name="is_manual_order" value="1" checked>
                    人工订单（非会员系统自动订单）
                  </label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="ip_count">IP数量</label>
                <input type="number" id="ip_count" name="ip_count" class="form-control" value="1" min="1">
              </div>
              <div class="form-group">
                <label for="notes">备注/额外信息</label>
                <input type="text" id="notes" name="notes" class="form-control">
              </div>
            </div>
          </div>
          <div class="form-section">
            <div class="section-title">登录信息</div>
            <div class="form-row">
              <div class="form-group">
                <label for="os_type">操作系统</label>
                <input type="text" id="os_type" name="os_type" class="form-control" placeholder="例如: Ubuntu-22.04-x64">
              </div>
              <div class="form-group">
                <label for="username">用户名</label>
                <input type="text" id="username" name="username" class="form-control">
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="password">密码</label>
                <input type="text" id="password" name="password" class="form-control">
                <button type="button" id="generate-password" class="btn btn-info" style="margin-top: 5px;">生成随机密码</button>
              </div>
              <div class="form-group">
                <label for="port">端口</label>
                <input type="number" id="port" name="port" class="form-control" value="22">
              </div>
            </div>
            <div class="form-row">
              <div class="form-group">
                <label for="panel_password">面板密码</label>
                <input type="text" id="panel_password" name="panel_password" class="form-control">
                <button type="button" id="generate-panel-password" class="btn btn-info" style="margin-top: 5px;">生成随机密码</button>
              </div>
            </div>
          </div>
          <div class="btn-container">
            <button type="submit" class="btn-save">保存</button>
            <a href="orders.php" class="btn-cancel">取消</a>
          </div>
        </form>
      </div>
    </div>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
      // 表单提交前验证
      document.getElementById('order-form').addEventListener('submit', function(e) {
        e.preventDefault(); // 阻止默认提交
        const productType = document.getElementById('product_type').value.trim();
        const hostname = document.getElementById('hostname').value.trim();
        const ipAddress = document.getElementById('ip_address').value.trim();
        const price = document.getElementById('price').value.trim();
        if (!productType) {
          alert('请输入产品/服务类型');
          return false;
        }
        if (!hostname) {
          alert('请输入主机名称');
          return false;
        }
        if (!ipAddress) {
          alert('请输入IP地址');
          return false;
        }
        if (!price || isNaN(price) || parseFloat(price) <= 0) {
          alert('请输入有效的价格');
          return false;
        }
        // 验证IP地址格式
        const ipPattern = /^(\d{1,3}\.){3}\d{1,3}$/;
        if (!ipPattern.test(ipAddress)) {
          alert('请输入有效的IP地址格式，例如: 192.168.1.1');
          return false;
        }
        // 如果多IP选中，验证IP数量
        if (document.getElementById('is_multiple_ip').checked) {
          const ipCount = document.getElementById('ip_count').value;
          if (!ipCount || parseInt(ipCount) <= 1) {
            alert('多IP服务器的IP数量必须大于1');
            return false;
          }
        }
        // 如果验证通过，提交表单
        this.submit();
      });
      // 多IP勾选时，更新IP数量字段
      document.getElementById('is_multiple_ip').addEventListener('change', function() {
        const ipCountField = document.getElementById('ip_count');
        if (this.checked) {
          ipCountField.value = '2';
          ipCountField.min = '2';
        } else {
          ipCountField.value = '1';
          ipCountField.min = '1';
        }
      });
      // 生成随机密码
      function generateRandomPassword(length = 12) {
        const chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
        let password = '';
        for (let i = 0; i < length; i++) {
          password += chars.charAt(Math.floor(Math.random() * chars.length));
        }
        return password;
      }
      document.getElementById('generate-password').addEventListener('click', function() {
        document.getElementById('password').value = generateRandomPassword();
      });
      document.getElementById('generate-panel-password').addEventListener('click', function() {
        document.getElementById('panel_password').value = generateRandomPassword(8);
      });
    });
    </script>
  </body>
</html>
