<!DOCTYPE html>
<html lang="zh-CN">

  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>产品管理</title>
    <link rel="stylesheet" href="public/css/style.css">
    <style>
    /* 全局样式优化 */
    :root {
      --primary-color: #4a6cf7;
      --secondary-color: #6c757d;
      --success-color: #28a745;
      --danger-color: #dc3545;
      --light-bg: #f8f9fa;
      --border-color: #dee2e6;
      --text-color: #333;
      --text-muted: #6c757d;
    }

    body {
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
      background-color: #f5f7fb;
      color: var(--text-color);
    }

    /* 主内容区域优化 */
    .main-content {
      background: #fff;
      border-radius: 8px;
      box-shadow: 0 2px 12px rgba(0, 0, 0, 0.08);
      margin: 20px;
      padding: 20px;
      transition: all 0.3s ease;
      margin-left: 200px;

      /* 增加顶部边距，避免被导航栏遮挡 */
      padding-top: 30px;
      /* 增加内边距 */
      position: relative;
      /* 添加相对定位 */
      z-index: 100;
      /* 确保内容在适当的层级 */
    }

    /* 如果左侧菜单宽度有变化，可能需要调整此值 */
    @media (max-width: 992px) {
      .main-content {
        margin-left: 180px;
        margin-top: 70px;
      }
    }

    @media (max-width: 768px) {
      .main-content {
        margin-left: 0;
        margin-top: 70px;
        /* 在移动设备上可能需要其他布局策略 */
      }
    }

    /* 功能区域优化 */
    .function-area {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 0px;
      flex-wrap: wrap;
      gap: 15px;
    }

    .button-group {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      gap: 10px;
    }

    .filter {
      display: flex;
      justify-content: flex-end;
      align-items: center;
      gap: 10px;
      margin-left: auto;
    }

    /* 统一按钮和输入框高度 */
    .form-control,
    .btn,
    select.form-control {
      height: 38px;
      line-height: 38px;
      padding: 0 12px;
      border-radius: 4px;
      font-size: 14px;
      box-sizing: border-box;
    }

    /* 搜索框和下拉框样式 */
    .search-input {
      padding: 0 12px;
      border: 1px solid #ddd;
      border-radius: 4px;
      width: 220px;
      height: 38px;
      box-sizing: border-box;
      font-size: 14px;
      line-height: 38px;
    }

    .select-filter {
      padding: 0 10px;
      border: 1px solid #ddd;
      border-radius: 4px;
      min-width: 120px;
      height: 38px;
      box-sizing: border-box;
      background-color: #fff;
      background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3E%3Cpath fill='%23666' d='M0 2l4 4 4-4z'/%3E%3C/svg%3E");
      background-repeat: no-repeat;
      background-position: right 10px center;
      background-size: 8px;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      font-size: 14px;
      line-height: 38px;
    }

    .btn-search {
      background: #4CAF50;
      color: white;
      border: none;
      height: 38px;
      min-width: 60px;
      font-size: 14px;
      line-height: 38px;
      box-sizing: border-box;
      padding: 0 16px;
    }

    .btn-search:hover {
      background: #45a049;
    }

    /* 添加产品按钮样式 */
    .btn-add-product {
      background-color: #4a6cf7;
      color: white;
      border: none;
      padding: 0 16px;
      border-radius: 4px;
      display: inline-block;
      height: 38px;
      cursor: pointer;
      transition: background-color 0.3s;
      font-size: 14px;
      line-height: 38px;
      text-align: center;
      box-sizing: border-box;
    }

    .btn-add-product:hover {
      background-color: #3a5bd9;
    }

    /* 按钮样式优化 */
    .btn {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      padding: 0.5rem 1rem;
      font-size: 0.875rem;
      font-weight: 500;
      line-height: 1.5;
      text-align: center;
      border-radius: 4px;
      cursor: pointer;
      transition: all 0.2s ease-in-out;
      gap: 6px;
      height: 38px;
    }

    .btn:active {
      transform: translateY(1px);
    }

    .btn-primary {
      background-color: var(--primary-color);
      border: 1px solid var(--primary-color);
      color: white;
    }

    .btn-primary:hover {
      background-color: #3a5af1;
      border-color: #3a5af1;
    }

    .btn-secondary {
      background-color: white;
      border: 1px solid #d1d5db;
      color: #333;
    }

    .btn-secondary:hover {
      background-color: #f9fafb;
      border-color: #c0c4cc;
    }

    .btn-danger {
      background-color: var(--danger-color);
      border: 1px solid var(--danger-color);
      color: white;
    }

    .btn-danger:hover {
      background-color: #c82333;
      border-color: #bd2130;
    }

    .btn-sm {
      padding: 0.25rem 0.75rem;
      font-size: 0.8125rem;
      height: 32px;
    }

    .btn-sm i {
      font-size: 0.875rem;
    }

    /* 添加图标按钮样式 */
    .btn i {
      font-size: 1rem;
    }

    /* 状态标签样式 */
    .status-badge {
      display: inline-flex;
      align-items: center;
      padding: 0.25rem 0.75rem;
      font-size: 0.75rem;
      font-weight: 500;
      border-radius: 16px;
    }

    .status-active {
      background-color: rgba(16, 185, 129, 0.1);
      color: #10b981;
    }

    .status-inactive {
      background-color: rgba(239, 68, 68, 0.1);
      color: #ef4444;
    }

    .status-pending {
      background-color: rgba(245, 158, 11, 0.1);
      color: #f59e0b;
    }

    /* 表格样式优化 */
    .data-table {
      width: 100%;
      border-collapse: collapse;
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
      border-radius: 4px;
      overflow: hidden;
      background: #fff;
    }

    .data-table th {
      background-color: #f7f9fc;
      font-weight: 600;
      text-align: left;
      padding: 12px 15px;
      color: #333;
      border-bottom: 2px solid #e6e9ed;
      position: sticky;
      top: 0;
      z-index: 10;
    }

    .data-table td {
      padding: 12px 15px;
      border-bottom: 1px solid #e6e9ed;
      vertical-align: middle;
    }

    .data-table tr:hover {
      background-color: #f5f7fa;
    }

    .data-table tr:last-child td {
      border-bottom: none;
    }

    /* 分页样式优化 */
    .pagination {
      display: flex;
      justify-content: center;
      margin-top: 20px;
      gap: 5px;
    }

    .pagination a,
    .pagination span {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      min-width: 32px;
      height: 32px;
      padding: 0 8px;
      border-radius: 4px;
      background: #fff;
      border: 1px solid #e6e9ed;
      color: #333;
      text-decoration: none;
      transition: all 0.2s;
    }

    .pagination a:hover {
      background-color: #f5f7fa;
      border-color: #c0c4cc;
    }

    .pagination .current {
      background-color: var(--primary-color);
      color: white;
      border-color: var(--primary-color);
    }

    /* 模态框样式优化 */
    .modal {
      background: white;
      border-radius: 8px;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
      animation: modalFadeIn 0.3s ease;
    }

    @keyframes modalFadeIn {
      from {
        opacity: 0;
        transform: translateY(-20px);
      }

      to {
        opacity: 1;
        transform: translateY(0);
      }
    }

    /* 标签样式优化 */
    .tag {
      display: inline-block;
      padding: 4px 8px;
      background: var(--light-bg);
      border-radius: 4px;
      font-size: 12px;
      color: var(--text-muted);
      margin: 2px;
      transition: all 0.2s ease;
    }

    .tag:hover {
      background: var(--primary-color);
      color: white;
    }

    /* 操作按钮样式 */
    .btn-edit,
    .btn-delete {
      padding: 6px 10px;
      border-radius: 4px;
      font-weight: 500;
      cursor: pointer;
      display: inline-block;
      margin: 0 2px;
      text-align: center;
      min-width: 50px;
      white-space: nowrap;
    }

    .btn-edit {
      background: #f39c12;
      color: white;
      border: none;
    }

    .btn-edit:hover {
      background: #e08e0b;
    }

    .btn-delete {
      background-color: var(--danger-color);
      border: 1px solid var(--danger-color);
      color: white;
    }

    .btn-delete:hover {
      background-color: #c82333;
      border-color: #bd2130;
    }

    /* 表格居中显示文本 */
    .data-table td {
      padding: 12px;
      border-bottom: 1px solid var(--border-color);
      text-align: center;
    }

    .data-table th {
      text-align: center;
    }

    /* 实现截图中的表格样式 */
    .data-table {
      width: 100%;
      border-collapse: collapse;
      margin: 20px 0;
    }

    .data-table thead th {
      background: #f8f9fa;
      padding: 12px 8px;
      font-weight: 600;
      text-align: center;
      color: var(--text-color);
      border-bottom: 1px solid #dee2e6;

    }

    .data-table tbody tr {
      border-bottom: 1px solid #dee2e6;
    }

    .data-table tbody tr:hover {
      background-color: rgba(0, 0, 0, 0.02);
    }

    /* 模态窗口基础样式 */
    .modal-overlay {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: rgba(0, 0, 0, 0.5);
      z-index: 9999;
      align-items: center;
      justify-content: center;
      backdrop-filter: blur(2px);
    }

    .modal {
      position: relative;
      width: 500px;
      max-width: 90%;
      max-height: 90vh;
      border-radius: 10px;
      box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
      z-index: 10000;
      overflow: hidden;
    }

    .modal-header {
      padding: 15px 20px;
      border-bottom: 1px solid var(--border-color);
      display: flex;
      justify-content: space-between;
      align-items: center;
      background: var(--light-bg);
    }

    .modal-header h3 {
      margin: 0;
      font-size: 18px;
      color: var(--text-color);
    }

    .modal-body {
      padding: 20px;
      max-height: 60vh;
      overflow-y: auto;
    }

    .modal-footer {
      padding: 15px 20px;
      border-top: 1px solid var(--border-color);
      display: flex;
      justify-content: flex-end;
      gap: 10px;
      background: var(--light-bg);
    }

    .close-modal {
      background: none;
      border: none;
      font-size: 24px;
      cursor: pointer;
      color: var(--text-muted);
      padding: 0;
      line-height: 1;
      transition: color 0.2s ease;
    }

    .close-modal:hover {
      color: var(--danger-color);
    }

    /* 表单样式 */
    .form-group {
      margin-bottom: 16px;
    }

    .form-group label {
      display: block;
      margin-bottom: 8px;
      font-weight: 500;
      color: var(--text-color);
    }

    .form-control:focus {
      border-color: var(--primary-color);
      box-shadow: 0 0 0 2px rgba(74, 108, 247, 0.1);
      outline: none;
    }

    /* 确保标签树样式正确 */
    .tag-tree {
      display: flex;
      flex-direction: column;
      gap: 12px;
    }

    .tag-parent {
      margin-bottom: 8px;
    }

    .tag-children {
      margin-left: 24px;
      margin-top: 8px;
      display: flex;
      flex-direction: column;
      gap: 8px;
    }

    .tag-checkbox {
      display: flex;
      align-items: center;
      gap: 8px;
      cursor: pointer;
      padding: 4px 0;
    }

    .tag-checkbox:hover {
      background-color: rgba(74, 108, 247, 0.05);
      border-radius: 4px;
    }

    .tag-checkbox input[type="checkbox"] {
      margin: 0;
      width: 16px;
      height: 16px;
    }

    /* 复选框样式 */
    .checkbox-wrapper {
      display: block;
      position: relative;
      padding-left: 25px;
      cursor: pointer;
      user-select: none;
      height: 18px;
    }

    .checkbox-wrapper input {
      position: absolute;
      opacity: 0;
      cursor: pointer;
      height: 0;
      width: 0;
    }

    .checkmark {
      position: absolute;
      top: 0;
      left: 0;
      height: 18px;
      width: 18px;
      background-color: #fff;
      border: 1px solid var(--border-color);
      border-radius: 3px;
      transition: all 0.2s ease;
    }

    .checkbox-wrapper:hover input~.checkmark {
      background-color: var(--light-bg);
    }

    .checkbox-wrapper input:checked~.checkmark {
      background-color: var(--primary-color);
      border-color: var(--primary-color);
    }

    .checkmark:after {
      content: "";
      position: absolute;
      display: none;
    }

    .checkbox-wrapper input:checked~.checkmark:after {
      display: block;
    }

    .checkbox-wrapper .checkmark:after {
      left: 6px;
      top: 2px;
      width: 4px;
      height: 9px;
      border: solid white;
      border-width: 0 2px 2px 0;
      transform: rotate(45deg);
    }

    /* 表格底部区域 */
    .table-footer {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin: 20px 0;
      padding: 15px;
      background: var(--light-bg);
      border-radius: 8px;
      box-shadow: 0 1px 3px rgba(0, 0, 0, 0.05);
    }

    .left-section {
      display: flex;
      align-items: center;
      gap: 10px;
    }

    .select-all-bottom {
      display: flex;
      align-items: center;
      padding-left: 0;
      margin-right: 10px;
    }

    .select-all-bottom .checkmark {
      position: relative;
      top: 0;
      left: 0;
      margin-right: 5px;
    }

    .select-text {
      margin-left: 5px;
      user-select: none;
    }

    #batch-operation {
      min-width: 120px;
    }

    /* 标签显示样式 */
    .tag-cell {
      max-width: 120px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      padding: 6px 8px !important;
    }

    .tag-display {
      position: relative;
      display: inline-block;
      width: 100%;
    }

    .tag-text {
      font-size: 12px;
      color: var(--text-muted);
      cursor: pointer;
    }

    .tags-popup {
      display: none;
      position: fixed;
      min-width: 150px;
      max-width: 250px;
      background-color: #fff;
      border: 1px solid var(--border-color);
      border-radius: 6px;
      padding: 8px;
      box-shadow: 0 3px 12px rgba(0, 0, 0, 0.15);
      z-index: 99999;
    }

    .tag-display:hover .tags-popup {
      display: flex;
      flex-wrap: wrap;
    }

    .tags-popup .tag {
      display: inline-block;
      margin: 2px;
      padding: 2px 6px;
      font-size: 12px;
      border-radius: 3px;
      background-color: var(--light-bg);
      color: var(--text-muted);
      white-space: nowrap;
    }

    /* 响应式优化 */
    @media (max-width: 992px) {
      .function-area {
        flex-direction: column;
        align-items: stretch;
      }

      .button-group,
      .filter {
        width: 100%;
        justify-content: center;
        margin: 5px 0;
      }

      .main-content {
        margin-left: 0;
        margin-top: 60px;
      }
    }

    /* 响应式表格 */
    @media (max-width: 992px) {
      .data-table {
        display: block;
        overflow-x: auto;
        white-space: nowrap;
      }

      .data-table th,
      .data-table td {
        padding: 10px 12px;
      }
    }

    /* 添加可编辑字段的样式 */
    .editable-field {
      width: 95%;
      border: 1px solid #e6e9ed;
      padding: 5px;
      border-radius: 4px;
      font-size: 14px;
      background-color: #fff;
      box-sizing: border-box;
    }

    .editable-field:hover,
    .editable-field:focus {
      border-color: var(--primary-color);
      outline: none;
      box-shadow: 0 0 0 2px rgba(74, 108, 247, 0.1);
    }

    /* 确保表格单元格有足够的空间容纳输入框 */
    .data-table td {
      min-width: 50px;
      padding: 8px 6px;
      box-sizing: border-box;
    }

    /* 表格宽度控制 */
    .data-table {
      table-layout: fixed;
      width: 100%;
    }

    /* 操作列样式 */
    .action-buttons {
      display: flex;
      justify-content: center;
      gap: 5px;
      white-space: nowrap;
      min-width: 120px;
    }

    </style>
  </head>

  <body>
    <?php include 'public/header.php'; ?>
    <div class="sidebar">
      <?php include 'public/letf.php'; ?>
    </div>
    <div class="main-content">
      <!-- 添加成功消息显示区域 - 仅在需要时显示 -->
      <div id="success-message" class="success-message" style="display:none;"></div>

      <?php
        // ===== 数据准备部分，与视图层分离 =====
        require_once '../config/database.php';
        $db = getDbConnection();

        // 获取所有地区数据
        $regions = [];
        $regionQuery = "SELECT id, name FROM area ORDER BY sort_order ASC";
        $regionStmt = $db->query($regionQuery);
        while ($region = $regionStmt->fetch()) {
            $regions[] = $region;
        }

        // 获取所有线路数据
        $lines = [];
        $lineQuery = "SELECT l.id, l.name, s.name as supplier_name FROM line l 
                   JOIN suppliers s ON l.supplier_id = s.id 
                   ORDER BY l.supplier_id ASC, l.sort_order ASC";
        $lineStmt = $db->query($lineQuery);
        while ($line = $lineStmt->fetch()) {
            $lines[] = $line;
        }

        // 获取所有标签数据
        $tags = [];
        $tagQuery = "SELECT id, name FROM tags ORDER BY name ASC";
        $tagStmt = $db->query($tagQuery);
        while ($tag = $tagStmt->fetch()) {
            $tags[] = $tag;
        }

        // 处理筛选参数
        $whereConditions = [];
        $params = [];

        // 添加关键词搜索条件
        if (isset($_GET['keyword']) && !empty($_GET['keyword'])) {
            $keyword = trim($_GET['keyword']);
            // 处理8开头的编号搜索
            if (preg_match('/^8\d+$/', $keyword)) {
                $numericId = intval(substr($keyword, 1));
                $whereConditions[] = "p.id = ?";
                $params[] = $numericId;
            } else {
                $whereConditions[] = "(p.id LIKE ? OR p.cpu LIKE ? OR p.memory LIKE ? OR p.disk LIKE ? OR p.bandwidth LIKE ?)";
                $searchPattern = "%{$keyword}%";
                $params[] = $searchPattern;
                $params[] = $searchPattern;
                $params[] = $searchPattern;
                $params[] = $searchPattern;
                $params[] = $searchPattern;
            }
        }

        if (isset($_GET['region']) && $_GET['region'] != '0') {
            $whereConditions[] = "p.region_id = ?";
            $params[] = $_GET['region'];
        }
        if (isset($_GET['line']) && $_GET['line'] != '0') {
            $whereConditions[] = "p.line_id = ?";
            $params[] = $_GET['line'];
        }
        // 添加标签筛选条件
        if (isset($_GET['tag']) && $_GET['tag'] != '0') {
            $whereConditions[] = "FIND_IN_SET(?, p.tags)";
            $params[] = $_GET['tag'];
        }
        $whereClause = '';
        if (!empty($whereConditions)) {
            $whereClause = "WHERE " . implode(' AND ', $whereConditions);
        }

        // 分页设置
        $itemsPerPage = 20;
        $currentPage = isset($_GET['page']) ? (int) $_GET['page'] : 1;
        if ($currentPage < 1) $currentPage = 1;
        $offset = ($currentPage - 1) * $itemsPerPage;

        // 获取总记录数
        $countQuery = "SELECT COUNT(*) as total FROM products p";
        if (!empty($whereConditions)) {
            $countQuery .= " WHERE " . implode(' AND ', $whereConditions);
        }
        try {
            $countStmt = $db->prepare($countQuery);

            // 绑定搜索条件参数
            $paramIndex = 1;
            foreach ($params as $value) {
                $countStmt->bindValue($paramIndex++, $value);
            }

            $countStmt->execute();
            $totalItems = $countStmt->fetch()['total'];
            $totalPages = ceil($totalItems / $itemsPerPage);

            // 主查询添加LIMIT
            $query = "SELECT p.*, 
                a.name as region_name, 
                parent.name as parent_region_name,
                l.name as line_name, 
                s.name as supplier_name 
                FROM products p 
                LEFT JOIN area a ON p.region_id = a.id 
                LEFT JOIN area parent ON a.parent_id = parent.id
                LEFT JOIN line l ON p.line_id = l.id 
                LEFT JOIN suppliers s ON l.supplier_id = s.id";

            if (!empty($whereConditions)) {
                $query .= " WHERE " . implode(' AND ', $whereConditions);
            }

            $query .= " ORDER BY p.id DESC LIMIT ?, ?";

            $stmt = $db->prepare($query);

            // 先绑定搜索条件参数
            $paramIndex = 1;
            foreach ($params as $value) {
                $stmt->bindValue($paramIndex++, $value);
            }

            // 再绑定分页参数
            $stmt->bindValue($paramIndex++, $offset, PDO::PARAM_INT);
            $stmt->bindValue($paramIndex, $itemsPerPage, PDO::PARAM_INT);

            $stmt->execute();

            // 获取所有产品数据
            $products = $stmt->fetchAll(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            // 记录错误日志
            error_log("Database Error: " . $e->getMessage());
            die("数据库查询出错: " . $e->getMessage()); // 临时显示具体错误信息以便调试
        }

        // 获取所有标签，用于显示
        $allTags = [];
        $tagQuery = "SELECT id, name FROM tags";
        $tagStmt = $db->query($tagQuery);
        while ($tag = $tagStmt->fetch()) {
            $allTags[$tag['id']] = $tag['name'];
        }

        // 获取父子标签关系
        $parentTags = [];
        $childTags = [];
        $tagQuery = "SELECT t1.*, t2.name as parent_name 
                   FROM tags t1 
                   LEFT JOIN tags t2 ON t1.parent_id = t2.id 
                   ORDER BY t1.parent_id = 0 DESC, t1.parent_id ASC, t1.sort_order ASC";
        $tagStmt = $db->query($tagQuery);
        while ($tag = $tagStmt->fetch()) {
            if ($tag['parent_id'] == 0) {
                $parentTags[] = $tag;
            } else {
                $childTags[$tag['parent_id']][] = $tag;
            }
        }

        // 处理每个产品的标签和状态
        foreach ($products as &$product) {
            $product['statusBadge'] = $product['status'] ? 'status-active' : 'status-inactive';

            // 处理标签显示
            $product['tagNames'] = [];
            if (!empty($product['tags'])) {
                $tagIds = explode(',', $product['tags']);
                foreach ($tagIds as $tagId) {
                    if (isset($allTags[$tagId])) {
                        $product['tagNames'][] = $allTags[$tagId];
                    }
                }
            }

            // 组合线路和供应商名称
            $product['lineDisplay'] = $product['line_name'];
            if (!empty($product['supplier_name'])) {
                $product['lineDisplay'] .= " ({$product['supplier_name']})";
            }

            // 格式化ID
            $product['formattedId'] = sprintf("8%04d", $product['id']);
        }

        // 构建分页URL参数
        $urlParams = [];
        if (isset($_GET['keyword']) && !empty($_GET['keyword'])) {
            $urlParams[] = 'keyword=' . urlencode($_GET['keyword']);
        }
        if (isset($_GET['region']) && $_GET['region'] != '0') {
            $urlParams[] = 'region=' . $_GET['region'];
        }
        if (isset($_GET['line']) && $_GET['line'] != '0') {
            $urlParams[] = 'line=' . $_GET['line'];
        }
        // 添加标签URL参数
        if (isset($_GET['tag']) && $_GET['tag'] != '0') {
            $urlParams[] = 'tag=' . $_GET['tag'];
        }
        $urlBase = 'product.html?' . implode('&', $urlParams);
        if (!empty($urlParams)) {
            $urlBase .= '&';
        }

        // 计算分页
        $startPage = max(1, $currentPage - 2);
        $endPage = min($totalPages, $startPage + 4);
        if ($endPage - $startPage < 4 && $startPage > 1) {
            $startPage = max(1, $endPage - 4);
        }
        $pages = range($startPage, $endPage);
        ?>

      <div class="function-area">
        <div class="button-group">
          <button class="btn btn-primary" id="add-product-btn">+ 添加产品</button>
        </div>
        <div class="filter">
          <input type="text" id="keyword-search" class="search-input" placeholder="搜索编号/cpu/内存/硬盘..." value="<?php echo isset($_GET['keyword']) ? htmlspecialchars($_GET['keyword']) : ''; ?>">
          <select class="select-filter" id="region-filter">
            <option value="0">选择地区</option>
            <?php
                    // 先获取所有父级地区（没有parent_id的地区）
                    $parentRegionQuery = "SELECT id, name FROM area WHERE parent_id IS NULL OR parent_id = 0 ORDER BY sort_order ASC";
                    $parentRegionStmt = $db->query($parentRegionQuery);
                    while ($parentRegion = $parentRegionStmt->fetch()): ?>
            <option value="<?php echo $parentRegion['id']; ?>" <?php echo (isset($_GET['region']) && $_GET['region'] == $parentRegion['id']) ? 'selected' : ''; ?>>
              <?php echo $parentRegion['name']; ?>
            </option>
            <?php
                        // 获取该父级地区的子地区
                        $childQuery = "SELECT id, name FROM area WHERE parent_id = :parent_id ORDER BY sort_order ASC";
                        $childStmt = $db->prepare($childQuery);
                        $childStmt->execute(['parent_id' => $parentRegion['id']]);
                        while ($child = $childStmt->fetch()): ?>
            <option value="<?php echo $child['id']; ?>" <?php echo (isset($_GET['region']) && $_GET['region'] == $child['id']) ? 'selected' : ''; ?>>
              &nbsp;&nbsp;&nbsp;&nbsp;└─ <?php echo $child['name']; ?>
            </option>
            <?php endwhile; ?>
            <?php endwhile; ?>
          </select>
          <select class="select-filter" id="line-filter">
            <option value="0">选择线路</option>
            <?php
                    // 获取所有供应商
                    $supplierQuery = "SELECT DISTINCT s.id, s.name FROM suppliers s 
                            JOIN line l ON s.id = l.supplier_id 
                            ORDER BY s.name ASC";
                    $supplierStmt = $db->query($supplierQuery);
                    while ($supplier = $supplierStmt->fetch()): ?>
            <optgroup label="<?php echo $supplier['name']; ?>">
              <?php
                            // 获取该供应商的所有线路
                            $lineQuery = "SELECT id, name FROM line WHERE supplier_id = :supplier_id ORDER BY sort_order ASC";
                            $lineStmt = $db->prepare($lineQuery);
                            $lineStmt->execute(['supplier_id' => $supplier['id']]);
                            while ($line = $lineStmt->fetch()): ?>
              <option value="<?php echo $line['id']; ?>" <?php echo (isset($_GET['line']) && $_GET['line'] == $line['id']) ? 'selected' : ''; ?>>
                <?php echo $line['name']; ?>
              </option>
              <?php endwhile; ?>
            </optgroup>
            <?php endwhile; ?>
          </select>
          <select class="select-filter" id="tag-filter">
            <option value="0">选择标签</option>
            <?php
                    // 获取所有父级标签
                    $parentTagQuery = "SELECT id, name FROM tags WHERE parent_id IS NULL OR parent_id = 0 ORDER BY sort_order ASC";
                    $parentTagStmt = $db->query($parentTagQuery);
                    while ($parentTag = $parentTagStmt->fetch()): ?>
            <option value="<?php echo $parentTag['id']; ?>" <?php echo (isset($_GET['tag']) && $_GET['tag'] == $parentTag['id']) ? 'selected' : ''; ?>>
              <?php echo $parentTag['name']; ?>
            </option>
            <?php
                        // 获取子标签
                        $childTagQuery = "SELECT id, name FROM tags WHERE parent_id = :parent_id ORDER BY sort_order ASC";
                        $childTagStmt = $db->prepare($childTagQuery);
                        $childTagStmt->execute(['parent_id' => $parentTag['id']]);
                        while ($childTag = $childTagStmt->fetch()): ?>
            <option value="<?php echo $childTag['id']; ?>" <?php echo (isset($_GET['tag']) && $_GET['tag'] == $childTag['id']) ? 'selected' : ''; ?>>
              &nbsp;&nbsp;&nbsp;&nbsp;└─ <?php echo $childTag['name']; ?>
            </option>
            <?php endwhile; ?>
            <?php endwhile; ?>
          </select>
          <button class="btn btn-primary" id="search-btn">查询</button>
        </div>
      </div>

      <div class="table-container">
        <table class="data-table">
          <thead>
            <tr>
              <th width="30">
                <label class="checkbox-wrapper">
                  <input type="checkbox" id="select-all">
                  <span class="checkmark"></span>
                </label>
              </th>
              <th width="40">ID</th>
              <th width="100">CPU</th>
              <th width="60">内存</th>
              <th width="60">硬盘</th>
              <th width="60">带宽</th>
              <th width="60">流量</th>
              <th width="60">防御</th>
              <th width="60">IP数量</th>
              <th width="60">GPU</th>
              <th width="70">价格</th>
              <th width="80">地区</th>
              <th width="100">标签</th>
              <th width="120">线路</th>
              <th width="60">状态</th>
              <th width="130">操作</th>
            </tr>
          </thead>
          <tbody>
            <?php if (empty($products)): ?>
            <tr>
              <td colspan="14" class="text-center">没有找到匹配的产品</td>
            </tr>
            <?php else: ?>
            <?php foreach ($products as $product): ?>
            <tr data-id="<?php echo $product['id']; ?>">
              <td>
                <label class="checkbox-wrapper">
                  <input type="checkbox" class="product-checkbox" value="<?php echo $product['id']; ?>">
                  <span class="checkmark"></span>
                </label>
              </td>
              <td><a href="/cn//cn/product/<?php echo $product['id']; ?>.html.html" target="_blank"><?php echo $product['formattedId']; ?></a></td>
              <td><input type="text" class="editable-field" data-field="cpu" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['cpu']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="memory" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['memory']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="disk" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['disk']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="bandwidth" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['bandwidth']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="traffic" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['traffic'] === null ? '不限' : $product['traffic']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="defense" data-id="<?php echo $product['id']; ?>" value="<?php echo empty($product['defense']) ? '可选' : $product['defense']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="ip_count" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['ip_count']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="gpu" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['gpu']; ?>"></td>
              <td><input type="text" class="editable-field" data-field="price" data-id="<?php echo $product['id']; ?>" value="<?php echo $product['price'] ? number_format($product['price'], 2) : ''; ?>"></td>
              <td>
                <?php echo $product['region_name']; ?>
              </td>
              <td class="tag-cell">
                <?php if (!empty($product['tagNames'])): ?>
                <div class="tag-display">
                  <?php
                                            // 最多显示3个标签名称，以简短形式
                                            $visibleTags = array_slice($product['tagNames'], 0, 3);
                                            $tagCount = count($product['tagNames']);

                                            // 如果只有1-3个标签，直接显示，否则显示简短形式
                                            if ($tagCount <= 3) {
                                                echo implode(' ', $visibleTags);
                                            } else {
                                                // 显示前3个标签的缩写
                                                $shortLabels = [];
                                                foreach ($visibleTags as $tag) {
                                                    // 取每个标签的前3个字符
                                                    $shortLabels[] = mb_substr($tag, 0, 3, 'UTF-8');
                                                }
                                                echo implode(' ', $shortLabels) . '...';
                                            }
                                    ?>
                  <div class="tags-popup">
                    <?php foreach ($product['tagNames'] as $tag): ?>
                    <span class="tag"><?php echo $tag; ?></span>
                    <?php endforeach; ?>
                  </div>
                </div>
                <?php endif; ?>
              </td>
              <td><?php echo $product['lineDisplay']; ?></td>
              <td><span class="status-badge <?php echo $product['statusBadge']; ?>"><?php echo $product['status'] ? '激活' : '停用'; ?></span></td>
              <td class="action-buttons">
                <button class="btn btn-secondary btn-sm btn-edit" data-id="<?php echo $product['id']; ?>">修改</button>
                <button class="btn btn-danger btn-sm btn-delete" data-id="<?php echo $product['id']; ?>" data-cpu="<?php echo $product['cpu']; ?>">删除</button>
              </td>
            </tr>
            <?php endforeach; ?>
            <?php endif; ?>
          </tbody>
        </table>
      </div>

      <!-- 分页和批量操作区域 -->
      <div class="table-footer">
        <div class="left-section">
          <label class="checkbox-wrapper select-all-bottom">
            <input type="checkbox" id="select-all-bottom">
            <span class="checkmark"></span>
            <span class="select-text">全选</span>
          </label>
          <select class="select-filter" id="batch-operation">
            <option value="">请选择...</option>
            <option value="tags">修改标签</option>
            <option value="price">修改价格</option>
            <option value="region">修改地区</option>
            <option value="line">修改线路</option>
          </select>
          <button class="btn btn-secondary" id="batch-operate-btn">批量操作</button>
        </div>

        <div class="pagination">
          <?php if ($totalPages > 1): ?>
          <?php if ($currentPage > 1): ?>
          <a href="<?php echo $urlBase; ?>page=<?php echo $currentPage - 1; ?>" class="page-link">&laquo; 上一页</a>
          <?php else: ?>
          <span class="page-link disabled">&laquo; 上一页</span>
          <?php endif; ?>

          <?php foreach ($pages as $i): ?>
          <?php if ($i == $currentPage): ?>
          <span class="page-link active"><?php echo $i; ?></span>
          <?php else: ?>
          <a href="<?php echo $urlBase; ?>page=<?php echo $i; ?>" class="page-link"><?php echo $i; ?></a>
          <?php endif; ?>
          <?php endforeach; ?>

          <?php if ($currentPage < $totalPages): ?>
          <a href="<?php echo $urlBase; ?>page=<?php echo $currentPage + 1; ?>" class="page-link">下一页 &raquo;</a>
          <?php else: ?>
          <span class="page-link disabled">下一页 &raquo;</span>
          <?php endif; ?>

          <span class="page-info">共 <?php echo $totalPages; ?> 页，<?php echo $totalItems; ?> 条记录</span>
          <?php endif; ?>
        </div>
      </div>
    </div>

    <!-- 删除确认对话框 -->
    <div id="delete-modal" class="modal" style="display:none;">
      <div class="modal-content">
        <h3>确认删除</h3>
        <p>您确定要删除产品 "<span id="delete-product-cpu"></span>" 吗？</p>
        <div class="modal-buttons">
          <button class="btn btn-danger" id="confirm-delete">确认删除</button>
          <button class="btn btn-secondary" id="cancel-delete">取消</button>
        </div>
      </div>
    </div>

    <!-- 标签选择模态窗口 -->
    <div id="tagsModalOverlay" class="modal-overlay">
      <div class="modal">
        <div class="modal-header">
          <h3>批量修改标签</h3>
          <button type="button" class="close-modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="tag-tree">
            <?php foreach ($parentTags as $parent): ?>
            <div class="tag-parent">
              <label class="tag-checkbox">
                <input type="checkbox" class="parent-tag" value="<?= $parent['id'] ?>">
                <span><?= $parent['name'] ?></span>
              </label>
              <?php if (isset($childTags[$parent['id']])): ?>
              <div class="tag-children">
                <?php foreach ($childTags[$parent['id']] as $child): ?>
                <label class="tag-checkbox">
                  <input type="checkbox" class="child-tag" value="<?= $child['id'] ?>" data-parent="<?= $parent['id'] ?>">
                  <span><?= $child['name'] ?></span>
                </label>
                <?php endforeach; ?>
              </div>
              <?php endif; ?>
            </div>
            <?php endforeach; ?>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" id="confirmBatchTags">确认</button>
          <button type="button" class="btn btn-secondary close-modal">取消</button>
        </div>
      </div>
    </div>

    <!-- 价格修改模态窗口 -->
    <div id="priceModalOverlay" class="modal-overlay">
      <div id="priceModal" class="modal">
        <div class="modal-header">
          <h3>批量修改价格</h3>
          <button type="button" class="close-modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <label>新价格</label>
            <input type="number" id="batchPrice" class="form-control" step="0.01" min="0" placeholder="请输入新价格">
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" id="confirmBatchPrice">确认</button>
          <button type="button" class="btn btn-secondary close-modal">取消</button>
        </div>
      </div>
    </div>

    <!-- 地区修改模态窗口 -->
    <div id="regionModalOverlay" class="modal-overlay">
      <div id="regionModal" class="modal">
        <div class="modal-header">
          <h3>批量修改地区</h3>
          <button type="button" class="close-modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <label>选择地区</label>
            <select id="batchRegion" class="form-control">
              <option value="">请选择地区</option>
              <?php foreach ($regions as $region): ?>
              <option value="<?php echo $region['id']; ?>"><?php echo $region['name']; ?></option>
              <?php endforeach; ?>
            </select>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" id="confirmBatchRegion">确认</button>
          <button type="button" class="btn btn-secondary close-modal">取消</button>
        </div>
      </div>
    </div>

    <!-- 线路修改模态窗口 -->
    <div id="lineModalOverlay" class="modal-overlay">
      <div id="lineModal" class="modal">
        <div class="modal-header">
          <h3>批量修改线路</h3>
          <button type="button" class="close-modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <label>选择线路</label>
            <select id="batchLine" class="form-control">
              <option value="">请选择线路</option>
              <?php foreach ($lines as $line): ?>
              <option value="<?php echo $line['id']; ?>"><?php echo $line['name']; ?> (<?php echo $line['supplier_name']; ?>)</option>
              <?php endforeach; ?>
            </select>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" id="confirmBatchLine">确认</button>
          <button type="button" class="btn btn-secondary close-modal">取消</button>
        </div>
      </div>
    </div>

    <script>
    document.addEventListener('DOMContentLoaded', function() {
      // 添加产品按钮点击事件
      document.getElementById('add-product-btn').addEventListener('click', function() {
        window.location.href = 'product_add.php';
      });
      // 查询按钮点击事件
      document.getElementById('search-btn').addEventListener('click', function() {
        const keyword = document.getElementById('keyword-search').value;
        const regionId = document.getElementById('region-filter').value;
        const lineId = document.getElementById('line-filter').value;
        const tagId = document.getElementById('tag-filter').value;
        // 构建查询URL
        let url = 'product.html?';
        if (keyword) url += `keyword=${encodeURIComponent(keyword)}&`;
        if (regionId !== '0') url += `region=${regionId}&`;
        if (lineId !== '0') url += `line=${lineId}&`;
        if (tagId !== '0') url += `tag=${tagId}`;
        window.location.href = url;
      });
      // 删除按钮点击事件
      document.addEventListener('click', function(e) {
        if (e.target.classList.contains('btn-delete')) {
          const productId = e.target.dataset.id;
          const productcpu = e.target.dataset.cpu;
          document.getElementById('delete-product-cpu').textContent = productcpu;
          document.getElementById('delete-modal').style.display = 'block';
          // 存储要删除的ID
          document.getElementById('confirm-delete').dataset.id = productId;
        }
      });
      // 确认删除按钮点击事件
      document.getElementById('confirm-delete').addEventListener('click', function() {
        const productId = this.dataset.id;
        // 这里应该是AJAX请求删除数据
        console.log('删除产品ID:', productId);
        // 关闭模态框
        document.getElementById('delete-modal').style.display = 'none';
        // 重新加载页面
        window.location.reload();
      });
      // 取消删除按钮点击事件
      document.getElementById('cancel-delete').addEventListener('click', function() {
        document.getElementById('delete-modal').style.display = 'none';
      });
      // 修改按钮点击事件
      document.addEventListener('click', function(e) {
        if (e.target.classList.contains('btn-edit')) {
          const productId = e.target.dataset.id;
          window.location.href = 'product_edit.php?id=' + productId;
        }
      });
      // 全选功能
      const selectAll = document.getElementById('select-all');
      const productCheckboxes = document.querySelectorAll('.product-checkbox');
      selectAll.addEventListener('change', function() {
        productCheckboxes.forEach(checkbox => {
          checkbox.checked = this.checked;
        });
      });
      // 批量操作按钮点击事件
      const batchOperateBtn = document.getElementById('batch-operate-btn');
      if (batchOperateBtn) {
        batchOperateBtn.addEventListener('click', function() {
          const operation = document.getElementById('batch-operation').value;
          const selectedProducts = Array.from(document.querySelectorAll('.product-checkbox:checked')).map(cb => cb.value);
          if (selectedProducts.length === 0) {
            alert('请先选择要操作的产品');
            return;
          }
          if (!operation) {
            alert('请选择要执行的操作');
            return;
          }
          // 根据选择的操作显示相应的模态窗口
          if (operation === 'tags') {
            showModal('tagsModalOverlay');
          } else if (operation === 'price') {
            showModal('priceModalOverlay');
          } else if (operation === 'region') {
            showModal('regionModalOverlay');
          } else if (operation === 'line') {
            showModal('lineModalOverlay');
          }
        });
      }
      // 显示模态窗口的函数
      function showModal(modalId) {
        const modalOverlay = document.getElementById(modalId);
        if (modalOverlay) {
          modalOverlay.style.display = 'flex';
        }
      }
      // 关闭模态窗口的事件处理
      document.querySelectorAll('.close-modal').forEach(btn => {
        btn.addEventListener('click', function() {
          const modalOverlay = this.closest('.modal-overlay');
          if (modalOverlay) {
            modalOverlay.style.display = 'none';
          }
        });
      });
      // 点击模态窗口外部关闭
      document.querySelectorAll('.modal-overlay').forEach(overlay => {
        overlay.addEventListener('click', function(e) {
          if (e.target === this) {
            this.style.display = 'none';
          }
        });
      });
      // 确认批量修改价格
      document.getElementById('confirmBatchPrice').addEventListener('click', function() {
        const selectedProducts = Array.from(document.querySelectorAll('.product-checkbox:checked')).map(cb => cb.value);
        const newPrice = document.getElementById('batchPrice').value;
        if (!newPrice) {
          alert('请输入新价格');
          return;
        }
        fetch('api/update_product_price.php', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify({
              product_ids: selectedProducts,
              price: newPrice
            })
          })
          .then(response => response.json())
          .then(data => {
            if (data.success) {
              alert('价格更新成功');
              window.location.reload();
            } else {
              alert('更新失败：' + data.message);
            }
          })
          .catch(error => {
            alert('更新失败：' + error.message);
          });
        document.getElementById('priceModalOverlay').style.display = 'none';
      });
      // 确认批量修改地区
      document.getElementById('confirmBatchRegion').addEventListener('click', function() {
        const selectedProducts = Array.from(document.querySelectorAll('.product-checkbox:checked')).map(cb => cb.value);
        const newRegion = document.getElementById('batchRegion').value;
        if (!newRegion) {
          alert('请选择地区');
          return;
        }
        fetch('api/update_product_region.php', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify({
              product_ids: selectedProducts,
              region_id: newRegion
            })
          })
          .then(response => response.json())
          .then(data => {
            if (data.success) {
              alert('地区更新成功');
              window.location.reload();
            } else {
              alert('更新失败：' + data.message);
            }
          })
          .catch(error => {
            alert('更新失败：' + error.message);
          });
        document.getElementById('regionModalOverlay').style.display = 'none';
      });
      // 确认批量修改线路
      document.getElementById('confirmBatchLine').addEventListener('click', function() {
        const selectedProducts = Array.from(document.querySelectorAll('.product-checkbox:checked')).map(cb => cb.value);
        const newLine = document.getElementById('batchLine').value;
        if (!newLine) {
          alert('请选择线路');
          return;
        }
        fetch('api/update_product_line.php', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify({
              product_ids: selectedProducts,
              line_id: newLine
            })
          })
          .then(response => response.json())
          .then(data => {
            if (data.success) {
              alert('线路更新成功');
              window.location.reload();
            } else {
              alert('更新失败：' + data.message);
            }
          })
          .catch(error => {
            alert('更新失败：' + error.message);
          });
        document.getElementById('lineModalOverlay').style.display = 'none';
      });
      // 父标签与子标签联动
      document.querySelectorAll('.parent-tag').forEach(parent => {
        parent.addEventListener('change', function() {
          const parentId = this.value;
          const isChecked = this.checked;
          document.querySelectorAll(`.child-tag[data-parent="${parentId}"]`).forEach(child => {
            child.checked = isChecked;
          });
        });
      });
      // 子标签与父标签联动
      document.querySelectorAll('.child-tag').forEach(child => {
        child.addEventListener('change', function() {
          const parentId = this.dataset.parent;
          const parentCheckbox = document.querySelector(`.parent-tag[value="${parentId}"]`);
          const siblingCheckboxes = document.querySelectorAll(`.child-tag[data-parent="${parentId}"]`);
          const allChecked = Array.from(siblingCheckboxes).every(box => box.checked);
          if (parentCheckbox) {
            parentCheckbox.checked = allChecked;
          }
        });
      });
      // 确认批量修改标签
      document.getElementById('confirmBatchTags').addEventListener('click', function() {
        const selectedProducts = Array.from(document.querySelectorAll('.product-checkbox:checked')).map(cb => cb.value);
        const selectedTags = Array.from(document.querySelectorAll('.tag-tree input[type="checkbox"]:checked')).map(cb => cb.value);
        if (selectedTags.length === 0) {
          alert('请选择至少一个标签');
          return;
        }
        fetch('api/update_product_tags.php', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify({
              product_ids: selectedProducts,
              tags: selectedTags
            })
          })
          .then(response => response.json())
          .then(data => {
            if (data.success) {
              alert('标签更新成功');
              window.location.reload();
            } else {
              alert('更新失败：' + data.message);
            }
          })
          .catch(error => {
            alert('更新失败：' + error.message);
          });
        document.getElementById('tagsModalOverlay').style.display = 'none';
      });
      // 底部全选功能
      const selectAllBottom = document.getElementById('select-all-bottom');
      selectAllBottom.addEventListener('change', function() {
        const productCheckboxes = document.querySelectorAll('.product-checkbox');
        productCheckboxes.forEach(checkbox => {
          checkbox.checked = this.checked;
        });
        // 同步表头的全选框状态
        document.getElementById('select-all').checked = this.checked;
      });
      // 同步表头全选框状态到底部全选框
      document.getElementById('select-all').addEventListener('change', function() {
        document.getElementById('select-all-bottom').checked = this.checked;
      });
      // 为所有标签显示区域添加鼠标经过事件处理
      document.querySelectorAll('.tag-display').forEach(function(display) {
        display.addEventListener('mouseenter', function(e) {
          const popup = this.querySelector('.tags-popup');
          if (popup) {
            // 获取当前元素的位置信息
            const rect = this.getBoundingClientRect();
            // 设置弹出层的位置 - 显示在元素正下方
            popup.style.left = rect.left + 'px';
            popup.style.top = (rect.bottom + window.scrollY) + 'px';
          }
        });
      });
      // 为所有可编辑字段添加事件监听
      document.querySelectorAll('.editable-field').forEach(field => {
        // 在失去焦点时去除前后空格
        field.addEventListener('blur', function() {
          this.value = this.value.trim();
        });
        // 在输入时去除前后空格
        field.addEventListener('input', function() {
          this.value = this.value.trim();
        });
        // 原有的change事件处理
        field.addEventListener('change', function() {
          const fieldName = this.dataset.field;
          const productId = this.dataset.id;
          const fieldValue = this.value.trim(); // 确保发送到服务器的值也经过trim处理
          // 发送AJAX请求保存修改
          fetch('product_update_field.php', {
              method: 'POST',
              headers: {
                'Content-Type': 'application/json',
              },
              body: JSON.stringify({
                product_id: productId,
                field_name: fieldName,
                field_value: fieldValue
              })
            })
            .then(response => response.json())
            .then(data => {
              if (data.success) {
                // 增加简单的视觉反馈表示保存成功
                this.style.backgroundColor = '#e8f5e9';
                setTimeout(() => {
                  this.style.backgroundColor = '#fff';
                }, 1000);
              } else {
                alert('更新失败：' + data.message);
                // 回滚到原始值
                this.value = this.defaultValue;
              }
            })
            .catch(error => {
              alert('更新失败：' + error.message);
              // 回滚到原始值
              this.value = this.defaultValue;
            });
        });
      });
    });
    </script>

  </body>

</html>
