/**
 * 后台管理系统控制面板脚本
 */
document.addEventListener('DOMContentLoaded', function() {
    // 侧边栏折叠展开控制
    const menuToggle = document.querySelector('.menu-toggle');
    const adminSidebar = document.querySelector('.admin-sidebar');
    const adminContent = document.querySelector('.admin-content');
    
    // 检查本地存储中的侧边栏状态
    const sidebarCollapsed = localStorage.getItem('sidebarCollapsed') === 'true';
    
    // 应用保存的状态
    if (sidebarCollapsed) {
        adminSidebar.classList.add('collapsed');
        adminContent.classList.add('expanded');
    }
    
    menuToggle.addEventListener('click', function() {
        adminSidebar.classList.toggle('collapsed');
        adminContent.classList.toggle('expanded');
        
        // 保存当前状态到本地存储
        localStorage.setItem('sidebarCollapsed', adminSidebar.classList.contains('collapsed'));
    });
    
    // 在移动设备上点击菜单项后自动收起侧边栏
    const menuItems = document.querySelectorAll('.sidebar-menu a');
    const isMobile = window.innerWidth < 768;
    
    if (isMobile) {
        menuItems.forEach(item => {
            item.addEventListener('click', function() {
                if (!adminSidebar.classList.contains('collapsed')) {
                    adminSidebar.classList.add('collapsed');
                    adminContent.classList.add('expanded');
                    localStorage.setItem('sidebarCollapsed', true);
                }
            });
        });
    }
    
    // 添加窗口调整大小的事件监听器
    window.addEventListener('resize', function() {
        if (window.innerWidth < 768) {
            adminSidebar.classList.add('collapsed');
            adminContent.classList.add('expanded');
        } else {
            // 恢复用户的偏好设置
            const userPreferCollapsed = localStorage.getItem('sidebarCollapsed') === 'true';
            if (userPreferCollapsed) {
                adminSidebar.classList.add('collapsed');
                adminContent.classList.add('expanded');
            } else {
                adminSidebar.classList.remove('collapsed');
                adminContent.classList.remove('expanded');
            }
        }
    });
    
    // 统计卡片交互效果
    const statCards = document.querySelectorAll('.stat-card');
    statCards.forEach(card => {
        card.addEventListener('mouseenter', function() {
            this.style.cursor = 'pointer';
        });
    });
}); 