<div class="sidebar">
  <!-- Add Font Awesome CDN -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
  <div class="sidebar-logo">
    <a href="index.php">
      <h2>管理系统</h2>
    </a>
  </div>
  <nav class="menu">
    <div class="menu-item">
      <div class="menu-title" data-target="system">
        <div class="menu-icon">
          <i class="fas fa-cog"></i>
          <span>系统管理</span>
        </div>
        <i class="fas fa-chevron-down"></i>
      </div>
      <div class="submenu">
        <a href="/" data-page="index" target="_blank">网站首页</a>
        <a href="index.php" data-page="index">后台首页</a>
        <a href="config_list.php" data-page="config">网站设置</a>
        <a href="backup.php" data-page="backup">网站备份</a>
        <a href="system.php" data-page="system">系统设置</a>
        <a href="alliance_links.php" data-page="alliance">合作伙伴</a>
        <a href="script.php" data-page="alliance">脚本管理</a>
        <a href="sitemap.php" data-page="alliance">网站地图</a>
      </div>
    </div>
    <div class="menu-item">
      <div class="menu-title" data-target="product">
        <div class="menu-icon">
          <i class="fas fa-boxes"></i>
          <span>产品管理</span>
        </div>
        <i class="fas fa-chevron-down"></i>
      </div>
      <div class="submenu">
        <a href="product.html" data-page="product">产品列表</a>
        <a href="news.php" data-page="news">新闻管理</a>
        <a href="area.php" data-page="area">地区管理</a>
        <a href="tag.php" data-page="tag">标签管理</a>
        <a href="line.php" data-page="line">线路管理</a>
        <a href="supplier.php" data-page="supplier">供应商管理</a>
      </div>
    </div>
    <div class="menu-item">
      <div class="menu-title" data-target="business">
        <div class="menu-icon">
          <i class="fas fa-tasks"></i>
          <span>业务管理</span>
        </div>
        <i class="fas fa-chevron-down"></i>
      </div>
      <div class="submenu">
        <a href="user.php" data-page="user">会员管理</a>
        <a href="orders.php" data-page="orders">订单管理</a>
        <a href="finance.php" data-page="finance">财务管理</a>
        <a href="ticket.php" data-page="ticket">工单管理</a>
        <a href="ocs.php" data-page="ocs">在线客服</a>
      </div>
    </div>
    <div class="menu-item">
      <div class="menu-title" data-target="video">
        <div class="menu-icon">
          <i class="fas fa-video"></i>
          <span>视频管理</span>
        </div>
        <i class="fas fa-chevron-down"></i>
      </div>
      <div class="submenu">
        <a href="video_list.php" data-page="video">视频列表</a>
        <a href="video_category.php" data-page="video_category">视频分类</a>
        <a href="video_comment.php" data-page="video_comment">视频评论</a>
      </div>
    </div>
  </nav>
</div>
<script>
document.addEventListener('DOMContentLoaded', function() {
  // 默认隐藏所有子菜单
  const submenus = document.querySelectorAll('.submenu');
  submenus.forEach(submenu => {
    submenu.style.display = 'none';
  });
  // 获取当前页面URL
  const currentPath = window.location.pathname;
  const currentPage = currentPath.substring(currentPath.lastIndexOf('/') + 1);
  // 获取来源页面URL（Referer）
  const referer = document.referrer;
  let refererPage = '';
  if (referer) {
    // 解析referer获取来源页面名
    const refererUrl = new URL(referer);
    refererPage = refererUrl.pathname.substring(refererUrl.pathname.lastIndexOf('/') + 1);
  }
  // 创建一个函数来根据页面名称展开相应的菜单
  function expandMenuByPage(pageName) {
    if (!pageName) return false;
    let menuFound = false;
    const menuLinks = document.querySelectorAll('.submenu a');
    menuLinks.forEach(link => {
      const href = link.getAttribute('href');
      // 检查页面名称是否匹配或包含在href中
      if (href === pageName || pageName.includes(href)) {
        const parentMenu = link.closest('.menu-item');
        const submenu = parentMenu.querySelector('.submenu');
        const menuTitle = parentMenu.querySelector('.menu-title');
        // 展开找到的子菜单
        submenu.style.display = 'block';
        menuTitle.classList.add('active');
        // 为当前活动的子菜单项添加 active 类
        link.classList.add('active');
        menuFound = true;
      }
    });
    // 特殊情况处理：处理添加/编辑页面与对应列表页面的关联
    // 例如：area_add.php 或 area_edit.php 应该关联到 area.php
    if (!menuFound) {
      const basePageMap = {
        'area_add.php': 'area.php',
        'area_edit.php': 'area.php',
        'product_add.php': 'product.html',
        'product_edit.php': 'product.html',
        'tag_add.php': 'tag.php',
        'tag_edit.php': 'tag.php',
        // 可以根据需要添加更多映射关系
      };
      // 检查当前页面是否有对应的基础页面
      if (basePageMap[pageName]) {
        return expandMenuByPage(basePageMap[pageName]);
      }
    }
    return menuFound;
  }
  // 首先尝试根据当前页面展开菜单
  let menuExpanded = expandMenuByPage(currentPage);
  // 如果当前页面没有找到匹配的菜单项，则尝试使用来源页面
  if (!menuExpanded && refererPage) {
    expandMenuByPage(refererPage);
  }
  // 菜单点击展开/收起功能
  const menuTitles = document.querySelectorAll('.menu-title');
  menuTitles.forEach(title => {
    title.addEventListener('click', function() {
      const target = this.dataset.target;
      const submenu = this.nextElementSibling;
      // 切换当前子菜单的显示状态
      if (submenu.style.display === 'none' || submenu.style.display === '') {
        submenu.style.display = 'block';
        this.classList.add('active');
      } else {
        submenu.style.display = 'none';
        this.classList.remove('active');
      }
    });
  });
});
</script>
