<?php
/**
 * 合作伙伴数据更新脚本
 * 
 * 此脚本用于更新合作伙伴数据，添加更多详细信息
 * 参考网站: lekuidc.com
 */
// 定义根目录路径
$rootDir = dirname(dirname(__DIR__));

// 引入数据库配置文件
require_once $rootDir . '/config/database.php';
// 获取数据库连接
$db = getDbConnection();

try {
    // 获取分类ID映射
    $categories = $db->query("SELECT id, code FROM alliance_category")->fetchAll(PDO::FETCH_KEY_PAIR);
    
    // 更新现有链接的数据
    $updateData = [
        // 推荐商家
        ['code' => 'recommended', 'name' => '秀米云', 'url' => 'https://www.xiumi.com', 'description' => '提供高稳定性云服务器和云存储解决方案，适合企业级应用', 'logo' => '/assets/images/alliance/xiumi.png'],
        ['code' => 'recommended', 'name' => '乐酷君', 'url' => 'https://www.lekuidc.com', 'description' => '专业IDC服务商，提供各类服务器和网络解决方案', 'logo' => '/assets/images/alliance/lekuidc.png'],
        ['code' => 'recommended', 'name' => '一点云', 'url' => 'https://www.yidianyun.com', 'description' => '一站式云服务平台，提供云主机、域名注册等多种服务', 'logo' => '/assets/images/alliance/yidianyun.png'],
        ['code' => 'recommended', 'name' => '创诚网络', 'url' => 'https://www.chuangcheng.net', 'description' => '专注于高防服务器和CDN加速服务，为企业提供网络安全保障', 'logo' => '/assets/images/alliance/chuangcheng.png'],
        ['code' => 'recommended', 'name' => '瑞斯云', 'url' => 'https://www.ruisiyun.com', 'description' => '提供全球多地区数据中心的云服务器和CDN加速服务', 'logo' => '/assets/images/alliance/ruisiyun.png'],
        ['code' => 'recommended', 'name' => '米修云', 'url' => 'https://www.mixiuyun.com', 'description' => '专业游戏服务器提供商，支持多种游戏部署和加速服务', 'logo' => '/assets/images/alliance/mixiuyun.png'],
        ['code' => 'recommended', 'name' => '王牌服务器', 'url' => 'https://www.wpserver.com', 'description' => '高性能物理服务器租用，适合大型网站和企业应用', 'logo' => '/assets/images/alliance/wpserver.png'],
        ['code' => 'recommended', 'name' => '景天云', 'url' => 'https://www.jingtian.cloud', 'description' => '提供专业的跨境电商服务器解决方案，支持多地区部署', 'logo' => '/assets/images/alliance/jingtian.png'],
        ['code' => 'recommended', 'name' => 'Efsue', 'url' => 'https://www.efsue.com', 'description' => '专注于高性能网站托管和云服务解决方案', 'logo' => '/assets/images/alliance/efsue.png'],
        ['code' => 'recommended', 'name' => '恒天科技', 'url' => 'https://www.hengtian.tech', 'description' => '企业级IDC服务提供商，支持定制化网络解决方案', 'logo' => '/assets/images/alliance/hengtian.png'],
        
        // 高防服务器
        ['code' => 'high_defense', 'name' => '香港高防服务器', 'url' => 'https://www.lekuidc.com/hkgf', 'description' => '香港机房高防服务器，防御200G+，延迟低，适合对网络安全要求高的业务', 'logo' => '/assets/images/alliance/hk_defense.png'],
        ['code' => 'high_defense', 'name' => '美国高防服务器', 'url' => 'https://www.lekuidc.com/usgf', 'description' => '美国机房高防服务器，防御500G+，适合海外业务和大型网站', 'logo' => '/assets/images/alliance/us_defense.png'],
        ['code' => 'high_defense', 'name' => '香港CDN加速', 'url' => 'https://www.lekuidc.com/hkcdn', 'description' => '香港CDN加速服务，提高网站访问速度，分散DDoS攻击风险', 'logo' => '/assets/images/alliance/hk_cdn.png'],
        
        // 物理服务器
        ['code' => 'physical_server', 'name' => '香港服务器', 'url' => 'https://www.lekuidc.com/hk', 'description' => '香港机房物理服务器，提供独享资源，支持定制配置', 'logo' => '/assets/images/alliance/hk_server.png'],
        ['code' => 'physical_server', 'name' => '美国服务器', 'url' => 'https://www.lekuidc.com/us', 'description' => '美国机房物理服务器，高性能配置，适合海外业务', 'logo' => '/assets/images/alliance/us_server.png'],
        ['code' => 'physical_server', 'name' => '日本服务器', 'url' => 'https://www.lekuidc.com/jp', 'description' => '日本机房物理服务器，高稳定性，低延迟，适合亚太地区业务', 'logo' => '/assets/images/alliance/jp_server.png'],
        ['code' => 'physical_server', 'name' => '德国服务器', 'url' => 'https://www.lekuidc.com/de', 'description' => '德国机房物理服务器，欧洲优质网络，适合欧洲地区业务', 'logo' => '/assets/images/alliance/de_server.png'],
        
        // 站群服务器
        ['code' => 'site_cluster', 'name' => '香港站群', 'url' => 'https://www.lekuidc.com/hkcluster', 'description' => '香港站群服务器，支持多IP配置，适合SEO优化和多站点部署', 'logo' => '/assets/images/alliance/hk_cluster.png'],
        ['code' => 'site_cluster', 'name' => 'TikTok专线', 'url' => 'https://www.lekuidc.com/tiktok', 'description' => 'TikTok专用服务器和网络，优化TikTok平台访问和运营', 'logo' => '/assets/images/alliance/tiktok.png'],
        ['code' => 'site_cluster', 'name' => '原生站群服务器', 'url' => 'https://www.lekuidc.com/native', 'description' => '原生IP站群服务器，提供真实IP资源，适合高要求站群部署', 'logo' => '/assets/images/alliance/native_cluster.png'],
        
        // 云服务器
        ['code' => 'cloud_server', 'name' => '香港云服务器', 'url' => 'https://www.lekuidc.com/hkcloud', 'description' => '香港云服务器，高性价比，即开即用，弹性扩展', 'logo' => '/assets/images/alliance/hk_cloud.png'],
        ['code' => 'cloud_server', 'name' => '美国云服务器', 'url' => 'https://www.lekuidc.com/uscloud', 'description' => '美国云服务器，稳定高效，支持多种操作系统，适合海外业务', 'logo' => '/assets/images/alliance/us_cloud.png'],
        ['code' => 'cloud_server', 'name' => '美国原生住宅IP服务器', 'url' => 'https://www.lekuidc.com/usip', 'description' => '美国原生住宅IP服务器，提供真实住宅IP资源，适合特殊业务需求', 'logo' => '/assets/images/alliance/us_native_ip.png'],
        
        // 技术博客
        ['code' => 'tech_blog', 'name' => '服务器运维视频', 'url' => 'https://space.bilibili.com/serverops', 'description' => '专业服务器运维视频教程，涵盖Linux、Windows服务器配置和优化', 'logo' => '/assets/images/alliance/server_ops.png'],
        ['code' => 'tech_blog', 'name' => 'efsue', 'url' => 'https://www.efsue.com/blog', 'description' => '提供服务器技术、网络安全、云计算等领域的专业技术博客', 'logo' => '/assets/images/alliance/efsue_blog.png'],
        
        // 行业工具
        ['code' => 'industry_tools', 'name' => 'IP测试', 'url' => 'https://ip.tool.lu', 'description' => '在线IP查询工具，提供IP地址归属地、运营商等信息查询', 'logo' => '/assets/images/alliance/ip_test.png'],
        ['code' => 'industry_tools', 'name' => '行业工具', 'url' => 'https://tool.chinaz.com', 'description' => '站长工具集，提供域名查询、网站测速、关键词排名等多种检测工具', 'logo' => '/assets/images/alliance/chinaz.png'],
        
        // 服务项目
        ['code' => 'services', 'name' => '网站建设(仿站)', 'url' => 'https://www.lekuidc.com/website', 'description' => '专业网站建设和仿站服务，高度还原目标网站，提供定制开发', 'logo' => '/assets/images/alliance/website.png'],
        ['code' => 'services', 'name' => '软件开发(全平台)', 'url' => 'https://www.lekuidc.com/software', 'description' => '全平台软件开发服务，支持Windows、MacOS、Linux、Android、iOS等系统', 'logo' => '/assets/images/alliance/software.png'],
        ['code' => 'services', 'name' => '脚本定制(Shell)', 'url' => 'https://www.lekuidc.com/script', 'description' => '专业Shell脚本定制服务，提供服务器自动化运维、数据处理等解决方案', 'logo' => '/assets/images/alliance/shell.png'],
        
        // 原创软件
        ['code' => 'original_software', 'name' => '小白SSH工具', 'url' => 'https://www.lekuidc.com/ssh-tool', 'description' => '简易SSH客户端工具，适合服务器远程管理，支持Windows系统', 'logo' => '/assets/images/alliance/ssh_tool.png'],
        ['code' => 'original_software', 'name' => '小蓝鸟排版', 'url' => 'https://www.lekuidc.com/twitter-format', 'description' => 'Twitter内容排版工具，支持多种排版样式，提高发布效率', 'logo' => '/assets/images/alliance/twitter_tool.png'],
        ['code' => 'original_software', 'name' => 'Windows服务器管理', 'url' => 'https://www.lekuidc.com/win-server', 'description' => 'Windows服务器管理工具，集成多种常用功能，简化服务器管理', 'logo' => '/assets/images/alliance/win_server.png'],
        ['code' => 'original_software', 'name' => '仿站小工具', 'url' => 'https://www.lekuidc.com/clone-tool', 'description' => '网站克隆工具，支持一键下载网站资源，辅助网站仿制', 'logo' => '/assets/images/alliance/clone_tool.png'],
    ];
    
    // 添加新数据
    $newData = [
        // 新的推荐商家
        ['code' => 'recommended', 'name' => 'DCloud云服务', 'url' => 'https://www.dcloud.io', 'description' => '提供跨平台应用开发服务和云端部署解决方案', 'logo' => '/assets/images/alliance/dcloud.png', 'sort_order' => 280],
        ['code' => 'recommended', 'name' => '腾云数据', 'url' => 'https://www.tengyundata.com', 'description' => '专注大数据分析和云计算服务的专业提供商', 'logo' => '/assets/images/alliance/tengyun.png', 'sort_order' => 290],
        ['code' => 'recommended', 'name' => '星河云联', 'url' => 'https://www.xinghecloud.com', 'description' => '企业级云服务和IT基础设施解决方案提供商', 'logo' => '/assets/images/alliance/xinghe.png', 'sort_order' => 300],
        
        // 新的高防服务器
        ['code' => 'high_defense', 'name' => '新加坡高防BGP', 'url' => 'https://www.lekuidc.com/sg-bgp', 'description' => '新加坡BGP高防服务器，全球加速，300G+防护', 'logo' => '/assets/images/alliance/sg_bgp.png', 'sort_order' => 70],
        ['code' => 'high_defense', 'name' => '印度高防服务器', 'url' => 'https://www.lekuidc.com/in-defense', 'description' => '印度高防服务器，适合印度地区业务，200G+防护', 'logo' => '/assets/images/alliance/in_defense.png', 'sort_order' => 80],
        
        // 新的物理服务器
        ['code' => 'physical_server', 'name' => '印度尼西亚服务器', 'url' => 'https://www.lekuidc.com/id-server', 'description' => '印度尼西亚物理服务器，低延迟，适合东南亚业务', 'logo' => '/assets/images/alliance/id_server.png', 'sort_order' => 120],
        ['code' => 'physical_server', 'name' => '马来西亚服务器', 'url' => 'https://www.lekuidc.com/my-server', 'description' => '马来西亚物理服务器，稳定高速，适合东南亚业务', 'logo' => '/assets/images/alliance/my_server.png', 'sort_order' => 130],
        
        // 新的站群服务器
        ['code' => 'site_cluster', 'name' => '东南亚站群', 'url' => 'https://www.lekuidc.com/sea-cluster', 'description' => '东南亚地区站群服务器，覆盖多个东南亚国家，适合区域业务', 'logo' => '/assets/images/alliance/sea_cluster.png', 'sort_order' => 80],
        ['code' => 'site_cluster', 'name' => 'Facebook专线', 'url' => 'https://www.lekuidc.com/fb-line', 'description' => 'Facebook专用服务器和网络，优化Facebook平台访问和运营', 'logo' => '/assets/images/alliance/fb_line.png', 'sort_order' => 90],
        
        // 新的云服务器
        ['code' => 'cloud_server', 'name' => '印度云服务器', 'url' => 'https://www.lekuidc.com/in-cloud', 'description' => '印度云服务器，适合印度本地业务，低延迟高速访问', 'logo' => '/assets/images/alliance/in_cloud.png', 'sort_order' => 100],
        ['code' => 'cloud_server', 'name' => '欧盟云服务器', 'url' => 'https://www.lekuidc.com/eu-cloud', 'description' => '欧盟区域云服务器，符合GDPR标准，适合欧洲业务', 'logo' => '/assets/images/alliance/eu_cloud.png', 'sort_order' => 110],
        
        // 新的技术博客
        ['code' => 'tech_blog', 'name' => 'ServerOps', 'url' => 'https://www.serverops.com', 'description' => '专业服务器运维和架构设计博客，分享实用技术经验', 'logo' => '/assets/images/alliance/serverops.png', 'sort_order' => 90],
        ['code' => 'tech_blog', 'name' => 'LinuxTips', 'url' => 'https://www.linuxtips.io', 'description' => 'Linux系统技巧和服务器安全博客，适合系统管理员学习', 'logo' => '/assets/images/alliance/linuxtips.png', 'sort_order' => 100],
        
        // 新的行业工具
        ['code' => 'industry_tools', 'name' => '网络测速', 'url' => 'https://www.speedtest.net', 'description' => '全球网络速度测试工具，支持多地区服务器测速', 'logo' => '/assets/images/alliance/speedtest.png', 'sort_order' => 30],
        ['code' => 'industry_tools', 'name' => 'Ping测试', 'url' => 'https://ping.pe', 'description' => '全球ping测试工具，支持多地区测试网络延迟和丢包', 'logo' => '/assets/images/alliance/pingtest.png', 'sort_order' => 40],
        
        // 新的服务项目
        ['code' => 'services', 'name' => '服务器迁移', 'url' => 'https://www.lekuidc.com/migration', 'description' => '专业服务器数据迁移服务，确保数据安全和业务连续性', 'logo' => '/assets/images/alliance/migration.png', 'sort_order' => 40],
        ['code' => 'services', 'name' => '网站安全', 'url' => 'https://www.lekuidc.com/security', 'description' => '网站安全防护服务，提供WAF、CC防护和漏洞修复等服务', 'logo' => '/assets/images/alliance/security.png', 'sort_order' => 50],
        
        // 新的原创软件
        ['code' => 'original_software', 'name' => '监控宝', 'url' => 'https://www.lekuidc.com/monitor', 'description' => '服务器资源监控工具，支持CPU、内存、网络等多项指标监控', 'logo' => '/assets/images/alliance/monitor.png', 'sort_order' => 60],
        ['code' => 'original_software', 'name' => '备份大师', 'url' => 'https://www.lekuidc.com/backup', 'description' => '服务器数据自动备份工具，支持定时备份和多种存储方式', 'logo' => '/assets/images/alliance/backup.png', 'sort_order' => 70]
    ];
    
    // 合并更新和新增数据
    $allData = array_merge($updateData, $newData);
    
    // 准备更新语句
    $updateLinkSQL = "UPDATE alliance_link SET 
                      url = :url, 
                      description = :description, 
                      logo = :logo 
                      WHERE category_id = :category_id AND name = :name";
    $updateStmt = $db->prepare($updateLinkSQL);
    
    // 准备插入语句
    $insertLinkSQL = "INSERT INTO alliance_link 
                     (category_id, name, url, description, logo, sort_order) 
                     VALUES 
                     (:category_id, :name, :url, :description, :logo, :sort_order)";
    $insertStmt = $db->prepare($insertLinkSQL);
    
    // 逐条处理数据
    $updatedCount = 0;
    $insertedCount = 0;
    
    foreach ($allData as $data) {
        // 设置分类ID
        $categoryId = $categories[$data['code']];
        
        // 检查记录是否存在
        $checkSQL = "SELECT COUNT(*) FROM alliance_link WHERE category_id = :category_id AND name = :name";
        $checkStmt = $db->prepare($checkSQL);
        $checkStmt->execute(['category_id' => $categoryId, 'name' => $data['name']]);
        $exists = $checkStmt->fetchColumn() > 0;
        
        if ($exists) {
            // 更新现有记录
            $updateStmt->execute([
                'url' => $data['url'],
                'description' => $data['description'],
                'logo' => $data['logo'],
                'category_id' => $categoryId,
                'name' => $data['name']
            ]);
            $updatedCount++;
        } else if (isset($data['sort_order'])) {
            // 插入新记录
            $insertStmt->execute([
                'category_id' => $categoryId,
                'name' => $data['name'],
                'url' => $data['url'],
                'description' => $data['description'],
                'logo' => $data['logo'],
                'sort_order' => $data['sort_order']
            ]);
            $insertedCount++;
        }
    }
    
    echo "数据更新完成！<br>";
    echo "更新了 {$updatedCount} 条记录，新增了 {$insertedCount} 条记录。";
    
} catch (PDOException $e) {
    die("错误: " . $e->getMessage());
}
?> 