<?php
require_once '../config/database.php';
try {
    $db = getDbConnection();
    // 创建供应商表
    $sql = "CREATE TABLE IF NOT EXISTS suppliers (
        id INT PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL COMMENT '供应商名称',
        website VARCHAR(255) COMMENT '网址',
        status TINYINT(1) DEFAULT 1 COMMENT '状态:1启用,0禁用',
        created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
        updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
        INDEX idx_name (name),
        INDEX idx_status (status)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='供应商表'";
    $db->exec($sql);
    echo "供应商表创建成功\n";
} catch(PDOException $e) {
    die("创建表失败: " . $e->getMessage());
} 
