<?php
require_once '../config/database.php';
require_once 'code/auth_check.php';
require_once 'code/sitemap_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>站点地图生成 - 管理后台</title>
    <link rel="stylesheet" href="public/css/style.css">
    <link rel="stylesheet" href="public/css/index.css">
    <link rel="stylesheet" href="public/css/sitemap.css">
  </head>
  <body>
    <?php include 'public/header.php'; ?>
    <div class="container-fluid">
      <div class="row">
        <?php include 'public/letf.php'; ?>
        <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4 main-content">
          <div class="page-header d-flex justify-content-between align-items-center">
            <h1>站点地图生成</h1>
          </div>

          <!-- 生成站点地图选项 -->
          <div class="sitemap-options">
            <div class="sitemap-row">
              <div class="sitemap-label">生成xml网站地图</div>
              <div class="sitemap-button">
                <button class="btn-action btn-edit generate-btn" data-type="xml">生成xml地图</button>
              </div>
              <div class="sitemap-info">
                <span>点击查看xml网站地图</span>
                <a href="/sitemap/sitemap.xml" target="_blank">sitemap.xml</a>
                <span>生成时间: <?php echo $xmlExists ? ($xmlGeneratedAt ? date('Y-m-d H:i:s', strtotime($xmlGeneratedAt)) : '暂无') : '暂无'; ?></span>
              </div>
            </div>

            <div class="sitemap-row">
              <div class="sitemap-label">生成txt网站地图</div>
              <div class="sitemap-button">
                <button class="btn-action btn-edit generate-btn" data-type="txt">生成txt地图</button>
              </div>
              <div class="sitemap-info">
                <span>点击查看txt网站地图</span>
                <a href="/sitemap/sitemap.txt" target="_blank">sitemap.txt</a>
                <span>生成时间: <?php echo $txtExists ? ($txtGeneratedAt ? date('Y-m-d H:i:s', strtotime($txtGeneratedAt)) : '暂无') : '暂无'; ?></span>
              </div>
            </div>

            <div class="sitemap-row">
              <div class="sitemap-label">生成html网站地图</div>
              <div class="sitemap-button">
                <button class="btn-action btn-edit generate-btn" data-type="html">生成html地图</button>
              </div>
              <div class="sitemap-info">
                <span>点击查看html网站地图</span>
                <a href="/sitemap/sitemap.html" target="_blank">sitemap.html</a>
                <span>生成时间: <?php echo $htmlExists ? ($htmlGeneratedAt ? date('Y-m-d H:i:s', strtotime($htmlGeneratedAt)) : '暂无') : '暂无'; ?></span>
              </div>
            </div>

            <div class="sitemap-row">
              <div class="sitemap-label">一键生成所有网站地图</div>
              <div class="sitemap-button">
                <button class="btn-action btn-edit generate-btn" data-type="all">生成所有地图</button>
              </div>
              <div class="sitemap-info">
                <span>最后一次生成网站地图时间: <?php echo $allGeneratedAt ? date('Y-m-d H:i:s', strtotime($allGeneratedAt)) : '暂无'; ?>, 到目前为止, <?php echo $allGeneratedAt ? '暂无新信息发布, 无需生成网站地图' : '建议生成网站地图'; ?>!</span>
              </div>
            </div>

            <div class="sitemap-row">
              <div class="sitemap-label">一键删除所有网站地图</div>
              <div class="sitemap-button">
                <button class="btn-action btn-delete delete-btn">删除网站地图</button>
              </div>
            </div>

            <div class="text-center mt-4">
              <button class="btn-action btn-edit" id="save-settings">保存设置</button>
            </div>
          </div>

          <div class="sitemap-info-box">
            <div class="info-header">提交网站地图到各大搜索引擎</div>
            <div class="info-content">
              <div class="info-item">Google提交: <a href="https://search.google.com/search-console" target="_blank">https://search.google.com/search-console</a></div>
              <div class="info-item">百度提交: <a href="https://ziyuan.baidu.com/site/siteadd" target="_blank">https://ziyuan.baidu.com/site/siteadd</a></div>
              <div class="info-item">必应提交: <a href="https://www.bing.com/webmasters" target="_blank">https://www.bing.com/webmasters</a></div>
              <div class="info-item">搜狗提交: <a href="https://zhanzhang.sogou.com" target="_blank">https://zhanzhang.sogou.com</a></div>
              <div class="info-item">360提交: <a href="https://zhanzhang.so.com" target="_blank">https://zhanzhang.so.com</a></div>
            </div>
          </div>
        </main>
      </div>
    </div>

    <!-- 操作确认对话框 -->
    <div class="overlay" id="overlay" style="display: none;"></div>
    <div class="confirm-dialog" id="confirmModal" style="display: none;">
      <div class="confirm-header">
        <h3 id="confirmModalLabel">确认操作</h3>
        <button type="button" class="close-btn" id="closeModal">&times;</button>
      </div>
      <div class="confirm-body" id="confirm-modal-body">
      </div>
      <div class="confirm-footer">
        <button type="button" class="btn cancel-btn" id="cancelBtn">取消</button>
        <button type="button" class="btn confirm-btn" id="confirm-action">确认</button>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
    <script>
    $(document).ready(function() {
      // 生成站点地图
      $('.generate-btn').click(function() {
        const type = $(this).data('type');
        let actionText = '生成';
        let typeText = '';
        console.log('点击生成按钮: ' + type);
        switch (type) {
          case 'xml':
            typeText = 'XML';
            break;
          case 'txt':
            typeText = 'TXT';
            break;
          case 'html':
            typeText = 'HTML';
            break;
          case 'all':
            typeText = '所有';
            break;
        }
        $('#confirmModalLabel').text('确认' + actionText);
        $('#confirm-modal-body').text(`确定要${actionText}${typeText}站点地图吗?`);
        $('#confirm-action').data('action', `generate_${type}`);
        showConfirmDialog();
      });
      // 删除站点地图
      $('.delete-btn').click(function() {
        console.log('点击删除按钮');
        $('#confirmModalLabel').text('确认删除');
        $('#confirm-modal-body').text('确定要删除所有站点地图吗?');
        $('#confirm-action').data('action', 'delete_all');
        showConfirmDialog();
      });
      // 关闭对话框
      $('#closeModal, #cancelBtn, #overlay').click(function() {
        console.log('关闭对话框');
        hideConfirmDialog();
      });
      // 确认操作
      $('#confirm-action').click(function() {
        const action = $(this).data('action');
        console.log('确认操作: ' + action);
        // 显示加载状态
        $(this).prop('disabled', true).text('处理中...');
        $('#cancelBtn').prop('disabled', true);
        // 直接执行对应操作
        executeAction(action);
      });
      // 执行操作
      function executeAction(action) {
        console.log('执行操作: ' + action);
        $.ajax({
          url: window.location.href, // 使用当前页面URL
          method: 'POST',
          data: {
            action: action
          },
          beforeSend: function() {
            console.log('发送请求...');
          },
          success: function(response) {
            console.log('收到响应:', response);
            try {
              const result = JSON.parse(response);
              if (result.success) {
                alert(result.message);
                location.reload();
              } else {
                alert(result.message || '操作失败');
                $('#confirm-action').prop('disabled', false).text('确认');
                $('#cancelBtn').prop('disabled', false);
              }
            } catch (e) {
              console.error('解析响应失败:', e);
              console.log('原始响应:', response);
              if (response.indexOf('success') !== -1) {
                // 如果响应中包含success字样，可能是解析问题但操作成功了
                alert('操作可能已成功，页面将刷新');
                location.reload();
              } else {
                alert('操作失败，请查看控制台了解详情');
                $('#confirm-action').prop('disabled', false).text('确认');
                $('#cancelBtn').prop('disabled', false);
              }
            }
            hideConfirmDialog();
          },
          error: function(xhr, status, error) {
            console.error('AJAX请求失败:', error);
            console.log('状态:', status);
            console.log('响应:', xhr.responseText);
            alert('操作失败: ' + error);
            $('#confirm-action').prop('disabled', false).text('确认');
            $('#cancelBtn').prop('disabled', false);
            hideConfirmDialog();
          }
        });
      }
      // 保存设置按钮点击事件
      $('#save-settings').click(function() {
        console.log('点击保存设置');
        alert('设置已保存');
      });
      // 显示确认对话框
      function showConfirmDialog() {
        console.log('显示对话框');
        $('#overlay').show();
        $('#confirmModal').show();
      }
      // 隐藏确认对话框
      function hideConfirmDialog() {
        console.log('隐藏对话框');
        $('#overlay').hide();
        $('#confirmModal').hide();
      }
      // 检查页面加载时各元素是否存在
      console.log('检查页面元素:');
      console.log('生成按钮存在:', $('.generate-btn').length > 0);
      console.log('删除按钮存在:', $('.delete-btn').length > 0);
      console.log('确认对话框存在:', $('#confirmModal').length > 0);
      console.log('确认按钮存在:', $('#confirm-action').length > 0);
    });
    </script>
  </body>
</html>
