<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>编辑供应商</title>
    <link rel="stylesheet" href="public/css/style.css">
</head>
<body>
    <?php include 'public/header.php'; ?>
    <div class="sidebar">
        <?php include 'public/letf.php'; ?>
    </div>
    <div class="main-content">
  
        <?php
        require_once '../config/database.php';
        // 获取供应商ID
        $id = isset($_GET['id']) ? (int)$_GET['id'] : 0;
        if ($id <= 0) {
            echo '<div class="error-message">无效的供应商ID</div>';
            echo '<div class="form-buttons"><button type="button" class="btn" onclick="history.back()">返回</button></div>';
            exit;
        }
        try {
            $db = getDbConnection();
            $sql = "SELECT * FROM suppliers WHERE id = :id";
            $stmt = $db->prepare($sql);
            $stmt->bindParam(':id', $id);
            $stmt->execute();
            $supplier = $stmt->fetch(PDO::FETCH_ASSOC);
            if (!$supplier) {
                echo '<div class="error-message">找不到该供应商</div>';
                echo '<div class="form-buttons"><button type="button" class="btn" onclick="history.back()">返回</button></div>';
                exit;
            }
        } catch (PDOException $e) {
            echo '<div class="error-message">数据库错误: ' . $e->getMessage() . '</div>';
            echo '<div class="form-buttons"><button type="button" class="btn" onclick="history.back()">返回</button></div>';
            exit;
        }
        ?>
        <div class="form-container">
            <form action="supplier_edit_process.php" method="POST">
                <input type="hidden" name="id" value="<?php echo $supplier['id']; ?>">
                <div class="form-group">
                    <label for="name">供应商名称</label>
                    <input type="text" id="name" name="name" value="<?php echo htmlspecialchars($supplier['name']); ?>" required>
                </div>
                <div class="form-group">
                    <label for="account">登录账号</label>
                    <input type="text" id="account" name="account" value="<?php echo htmlspecialchars($supplier['account']); ?>" required>
                </div>
                <div class="form-group">
                    <label for="password">登录密码</label>
                    <input type="text" id="password" name="password" value="<?php echo htmlspecialchars($supplier['password']); ?>" placeholder="如需修改密码请输入新密码">
                </div>
                <div class="form-group">
                    <label for="website">网站</label>
                    <input type="url" id="website" name="website" value="<?php echo htmlspecialchars($supplier['website'] ?? ''); ?>">
                </div>
                <div class="form-group">
                    <label for="status">状态</label>
                    <select id="status" name="status">
                        <option value="1" <?php echo $supplier['status'] ? 'selected' : ''; ?>>启用</option>
                        <option value="0" <?php echo !$supplier['status'] ? 'selected' : ''; ?>>禁用</option>
                    </select>
                </div>
                <div class="form-buttons">
                    <button type="submit" class="btn btn-primary">保存</button>
                    <button type="button" class="btn" onclick="history.back()">返回</button>
                </div>
            </form>
        </div>
    </div>
</body>
</html> 