<?php
require_once '../config/database.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = trim($_POST['name'] ?? '');
    $parent_id = intval($_POST['parent_id'] ?? 0);
    $sort_order = intval($_POST['sort_order'] ?? 0);
    
    if (empty($name)) {
        $_SESSION['error'] = '系统名称不能为空';
        header('Location: system_add.php');
        exit;
    }
    
    try {
        $db = getDbConnection();
        
        // 如果是子系统，验证父系统是否存在
        if ($parent_id > 0) {
            $checkSql = "SELECT id FROM systems WHERE id = :id";
            $checkStmt = $db->prepare($checkSql);
            $checkStmt->execute([':id' => $parent_id]);
            if (!$checkStmt->fetch()) {
                throw new Exception('父级系统不存在');
            }
        }
        
        $sql = "INSERT INTO systems (name, parent_id, sort_order, created_at) VALUES (:name, :parent_id, :sort_order, NOW())";
        $stmt = $db->prepare($sql);
        $result = $stmt->execute([
            ':name' => $name,
            ':parent_id' => $parent_id,
            ':sort_order' => $sort_order
        ]);
        
        if ($result) {
            $_SESSION['success'] = '系统添加成功';
            header('Location: system.php');
            exit;
        } else {
            throw new Exception('添加失败');
        }
    } catch (Exception $e) {
        $_SESSION['error'] = '添加失败：' . $e->getMessage();
        header('Location: system_add.php');
        exit;
    }
} else {
    $_SESSION['error'] = '无效的请求方法';
    header('Location: system_add.php');
    exit;
} 