<?php
require_once '../config/database.php';

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
    
    try {
        $db = getDbConnection();
        $db->beginTransaction();
        
        // 检查是否有子系统
        $checkSql = "SELECT COUNT(*) FROM systems WHERE parent_id = :id";
        $checkStmt = $db->prepare($checkSql);
        $checkStmt->execute([':id' => $id]);
        $childCount = $checkStmt->fetchColumn();
        
        if ($childCount > 0) {
            $_SESSION['error'] = '无法删除：该系统下还有子系统';
            header('Location: system.php');
            exit;
        }
        
        // 执行删除
        $sql = "DELETE FROM systems WHERE id = :id";
        $stmt = $db->prepare($sql);
        $result = $stmt->execute([':id' => $id]);
        
        if ($result) {
            $db->commit();
            $_SESSION['success'] = '系统删除成功';
        } else {
            throw new Exception('删除失败');
        }
    } catch (Exception $e) {
        $db->rollBack();
        $_SESSION['error'] = '删除失败：' . $e->getMessage();
    }
} else {
    $_SESSION['error'] = '无效的请求';
}

header('Location: system.php'); 