<?php
header('Content-Type: application/json');
require_once '../config/database.php';

$response = ['success' => false, 'message' => ''];

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['id']) && isset($_POST['field']) && isset($_POST['value'])) {
        $id = intval($_POST['id']);
        $field = $_POST['field'];
        $value = $_POST['value'];
        
        // 验证字段名
        $allowedFields = ['name', 'sort_order'];
        if (!in_array($field, $allowedFields)) {
            $response['message'] = '不允许更新该字段';
            echo json_encode($response);
            exit;
        }
        
        try {
            $db = getDbConnection();
            $sql = "UPDATE systems SET $field = :value WHERE id = :id";
            $stmt = $db->prepare($sql);
            $result = $stmt->execute([
                ':value' => $value,
                ':id' => $id
            ]);
            
            if ($result) {
                $response['success'] = true;
                $response['message'] = '更新成功';
            } else {
                $response['message'] = '更新失败';
            }
        } catch (PDOException $e) {
            $response['message'] = '数据库错误：' . $e->getMessage();
        }
    } else {
        $response['message'] = '缺少必要参数';
    }
} else {
    $response['message'] = '无效的请求方法';
}

echo json_encode($response); 