<?php
header('Content-Type: application/json');
require_once '../config/database.php';

$response = ['success' => false, 'message' => ''];

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $input = json_decode(file_get_contents('php://input'), true);
    
    if (isset($input['updates']) && is_array($input['updates'])) {
        try {
            $db = getDbConnection();
            $db->beginTransaction();
            
            $sql = "UPDATE systems SET sort_order = :sort_order WHERE id = :id";
            $stmt = $db->prepare($sql);
            
            foreach ($input['updates'] as $update) {
                if (!isset($update['id']) || !isset($update['sort_order'])) {
                    throw new Exception('无效的更新数据');
                }
                
                $result = $stmt->execute([
                    ':sort_order' => intval($update['sort_order']),
                    ':id' => intval($update['id'])
                ]);
                
                if (!$result) {
                    throw new Exception('更新失败');
                }
            }
            
            $db->commit();
            $response['success'] = true;
            $response['message'] = '排序更新成功';
        } catch (Exception $e) {
            $db->rollBack();
            $response['message'] = '更新失败：' . $e->getMessage();
        }
    } else {
        $response['message'] = '无效的更新数据';
    }
} else {
    $response['message'] = '无效的请求方法';
}

echo json_encode($response); 