<?php
require_once '../config/database.php';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $parent_id = isset($_POST['parent_id']) ? intval($_POST['parent_id']) : 0;
    $name = isset($_POST['name']) ? trim($_POST['name']) : '';
    $slug = isset($_POST['slug']) ? trim($_POST['slug']) : '';
    $sort_order = isset($_POST['sort_order']) ? intval($_POST['sort_order']) : 0;
    $status = isset($_POST['status']) ? intval($_POST['status']) : 1;
    
    // 验证数据
    if (empty($name) || empty($slug)) {
        die("标签名称和静态页面名称不能为空");
    }
    
    try {
        $db = getDbConnection();
        
        // 检查slug是否已存在
        $stmt = $db->prepare("SELECT id FROM tags WHERE slug = ?");
        $stmt->execute([$slug]);
        if ($stmt->rowCount() > 0) {
            die("静态页面名称已存在，请使用其他名称");
        }
        
        // 检查父标签是否存在
        if ($parent_id > 0) {
            $stmt = $db->prepare("SELECT id FROM tags WHERE id = ?");
            $stmt->execute([$parent_id]);
            if ($stmt->rowCount() == 0) {
                die("选择的父标签不存在");
            }
        }
        
        // 添加标签
        $stmt = $db->prepare("INSERT INTO tags (parent_id, name, slug, sort_order, status) VALUES (?, ?, ?, ?, ?)");
        $result = $stmt->execute([$parent_id, $name, $slug, $sort_order, $status]);
        
        if ($result) {
            // 重定向回标签添加页面并显示成功消息
            header("Location: tag_add.php?added=true");
            exit;
        } else {
            die("添加标签失败");
        }
    } catch (PDOException $e) {
        die("Error: " . $e->getMessage());
    }
} else {
    // 如果不是POST请求，重定向回标签列表
    header("Location: tag.php");
    exit;
}
