<?php
require_once '../config/database.php';
$id = isset($_GET['id']) ? intval($_GET['id']) : 0;
if (!$id) {
    header('Location: tag.php');
    exit;
}
try {
    $db = getDbConnection();
    // 检查是否有子标签
    $stmt = $db->prepare("SELECT COUNT(*) FROM tags WHERE parent_id = ?");
    $stmt->execute([$id]);
    $childCount = $stmt->fetchColumn();
    if ($childCount > 0) {
        // 有子标签，不能删除
        header('Location: tag.php?error=has_children');
        exit;
    }
    // 删除标签
    $stmt = $db->prepare("DELETE FROM tags WHERE id = ?");
    $result = $stmt->execute([$id]);
    if ($result) {
        header('Location: tag.php?success=deleted');
    } else {
        header('Location: tag.php?error=delete_failed');
    }
} catch (PDOException $e) {
    header('Location: tag.php?error=exception');
}
?>
<!DOCTYPE html>
<html>
<head>
  <!-- 头部内容 -->
</head>
<body>
  <?php include 'public/header.php'; ?>
  <!-- 其他内容 -->
</body>
</html> 