<?php
require_once '../config/database.php';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = isset($_POST['id']) ? intval($_POST['id']) : 0;
    $parent_id = isset($_POST['parent_id']) ? intval($_POST['parent_id']) : 0;
    $name = isset($_POST['name']) ? trim($_POST['name']) : '';
    $slug = isset($_POST['slug']) ? trim($_POST['slug']) : '';
    $sort_order = isset($_POST['sort_order']) ? intval($_POST['sort_order']) : 0;
    $status = isset($_POST['status']) ? intval($_POST['status']) : 1;
    // 验证数据
    if (empty($id) || empty($name) || empty($slug)) {
        die("标签ID、名称和静态页面名称不能为空");
    }
    try {
        $db = getDbConnection();
        // 检查是否将标签设为自己的子标签
        if ($parent_id == $id) {
            die("标签不能作为自己的子标签");
        }
        // 检查是否将标签设为自己子标签的子标签
        $stmt = $db->prepare("SELECT id FROM tags WHERE parent_id = ?");
        $stmt->execute([$id]);
        $childIds = $stmt->fetchAll(PDO::FETCH_COLUMN);
        if (in_array($parent_id, $childIds)) {
            die("不能将标签设为其子标签的子标签");
        }
        // 检查slug是否已存在于其他标签
        $stmt = $db->prepare("SELECT id FROM tags WHERE slug = ? AND id != ?");
        $stmt->execute([$slug, $id]);
        if ($stmt->rowCount() > 0) {
            die("静态页面名称已存在，请使用其他名称");
        }
        // 更新标签
        $stmt = $db->prepare("UPDATE tags SET parent_id = ?, name = ?, slug = ?, sort_order = ?, status = ? WHERE id = ?");
        $result = $stmt->execute([$parent_id, $name, $slug, $sort_order, $status, $id]);
        if ($result) {
            // 重定向回标签列表页面
            header("Location: tag.php?success=1");
            exit;
        } else {
            die("更新标签失败");
        }
    } catch (PDOException $e) {
        die("Error: " . $e->getMessage());
    }
} else {
    // 如果不是POST请求，重定向回标签列表
    header("Location: tag.php");
    exit;
} 