<?php
/**
 * 会员管理页面
 */
// 引入数据库配置文件
require_once '../config/database.php';
require_once 'code/UserManager.php';

use Code\UserManager;

// 获取数据库连接
$db = getDbConnection();
$userManager = new UserManager($db);
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>用户管理</title>
        <link rel="stylesheet" href="public/css/style.css">
        <link rel="stylesheet" href="public/css/user.css">
    </head>
    <body>
        <?php include 'public/header.php'; ?>
        <div class="sidebar">
            <?php include 'public/letf.php'; ?>
        </div>
        <div class="main-content">

            <!-- 添加成功消息显示区域 -->
            <div id="success-message" class="success-message"></div>

            <!-- 功能区域 -->
            <div class="function-area">
                <div class="button-group">
                    <button class="btn btn-primary" id="add-user-btn">+ 添加用户</button>
                </div>
                <div class="filter">
                    <input type="text" id="search-input" placeholder="搜索用户名/邮箱" class="search-input">
                    <button class="btn btn-search" id="search-btn">查询</button>
                </div>
            </div>

            <div class="table-container">
                <table>
                    <thead>
                        <tr>
                            <th>用户ID</th>
                            <th>用户名</th>
                            <th>邮箱</th>
                            <th>角色</th>
                            <th>状态</th>
                            <th>最后登录</th>
                            <th>操作</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php echo $userManager->getAndRenderUserList(); ?>
                    </tbody>
                </table>
            </div>
        </div>

        <!-- 删除确认对话框 -->
        <div id="delete-modal" class="modal">
            <div class="modal-content">
                <h3>确认删除</h3>
                <p>您确定要删除会员 "<span id="delete-user-name"></span>" 吗？</p>
                <div class="modal-buttons">
                    <button class="btn-confirm" id="confirm-delete">确认删除</button>
                    <button class="btn-cancel" id="cancel-delete">取消</button>
                </div>
            </div>
        </div>

        <!-- 代管确认对话框 -->
        <div id="manage-modal" class="modal">
            <div class="modal-content">
                <h3>确认代管</h3>
                <p>您确定要<span id="manage-action-text"></span>该会员的代管状态吗？</p>
                <div class="modal-buttons">
                    <button class="btn-confirm" id="confirm-manage">确认</button>
                    <button class="btn-cancel" id="cancel-manage">取消</button>
                </div>
            </div>
        </div>

        <script src="public/js/user.js"></script>
    </body>
</html>
