<?php
/**
 * 会员删除处理
 */
// 引入数据库配置文件
require_once '../config/database.php';
require_once 'code/UserManager.php';

use Code\UserManager;

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode([
        'success' => false,
        'message' => '无效的请求方法'
    ]);
    exit;
}

if (!isset($_POST['id']) || !is_numeric($_POST['id'])) {
    echo json_encode([
        'success' => false,
        'message' => '无效的用户ID'
    ]);
    exit;
}

$db = getDbConnection();
$userManager = new UserManager($db);
$result = $userManager->deleteUser($_POST['id']);

echo json_encode($result);
?> 