<?php
/**
 * 处理会员代管状态更新
 */
// 引入数据库配置文件
require_once '../config/database.php';
require_once 'code/UserManager.php';

use Code\UserManager;

header('Content-Type: application/json');

// 检查是否为POST请求
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode([
        'success' => false,
        'message' => '无效的请求方法'
    ]);
    exit;
}

// 检查必要参数
if (!isset($_POST['id']) || !is_numeric($_POST['id']) || !isset($_POST['is_managed'])) {
    echo json_encode([
        'success' => false,
        'message' => '无效的参数'
    ]);
    exit;
}

$db = getDbConnection();
$userManager = new UserManager($db);
$result = $userManager->updateUserManageStatus($_POST['id'], (bool)$_POST['is_managed']);

echo json_encode($result);
?> 