<?php
/**
 * 供应商添加页面
 */
// 引入数据库配置文件
require_once '../config/database.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>添加供应商</title>
    <link rel="stylesheet" href="public/css/style.css">
  </head>
  <body>
    <div class="sidebar">
      <?php include 'public/letf.php'; ?>
    </div>
    <div class="main-content">

      <div class="form-container">
        <form id="vendor-form" method="post" action="vendor_save.php">
          <div class="form-group">
            <label for="name">供应商名称</label>
            <input type="text" id="name" name="name" class="form-control" required>
          </div>
          <div class="form-group">
            <label for="code">供应商代码</label>
            <input type="text" id="code" name="code" class="form-control" required>
            <small class="form-text text-muted">只能包含小写字母、数字和下划线</small>
          </div>
          <div class="form-group">
            <label for="sort_order">排序</label>
            <input type="number" id="sort_order" name="sort_order" class="form-control" value="-10">
            <small class="form-text text-muted">建议使用负数（如-10、-9），数值越小排序越靠前</small>
          </div>
          <div class="form-group">
            <label for="status">状态</label>
            <select id="status" name="status" class="form-control">
              <option value="1" selected>启用</option>
              <option value="0">禁用</option>
            </select>
          </div>
          <div class="btn-container">
            <button type="submit" class="btn-save">保存</button>
            <a href="vendor.php" class="btn-cancel">取消</a>
          </div>
        </form>
      </div>
    </div>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
      // 表单提交前验证
      document.getElementById('vendor-form').addEventListener('submit', function(e) {
        e.preventDefault(); // 阻止默认提交
        const name = document.getElementById('name').value.trim();
        const code = document.getElementById('code').value.trim();
        if (!name) {
          alert('请输入供应商名称');
          return false;
        }
        if (!code) {
          alert('请输入供应商代码');
          return false;
        }
        // 验证供应商代码格式
        if (!/^[a-z0-9_]+$/.test(code)) {
          alert('供应商代码只能包含小写字母、数字和下划线');
          return false;
        }
        // 如果验证通过，提交表单
        this.submit();
      });
    });
    </script>
  </body>
</html> 