<?php
// 引入必要的配置文件和函数库
require_once '../config/database.php';
require_once '../config/config.php';

// 启动会话(如果尚未启动)
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

// 记录详细日志
error_log("开始处理简化视频删除请求: " . json_encode($_GET));

// 初始化状态
$success = false;
$message = '';

// 检查是否提供了ID参数
if (isset($_GET['id']) && !empty($_GET['id'])) {
    $id = intval($_GET['id']);
    
    try {
        // 获取数据库连接
        $dsn = "mysql:host=" . DB_HOST . ";dbname=" . DB_NAME . ";charset=" . DB_CHARSET;
        $pdo = new PDO($dsn, DB_USER, DB_PASSWORD);
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        // 执行删除查询
        $sql = "DELETE FROM videos WHERE id = :id";
        $stmt = $pdo->prepare($sql);
        $stmt->bindParam(':id', $id, PDO::PARAM_INT);
        
        if ($stmt->execute()) {
            $success = true;
            $message = "视频删除成功！";
            error_log("视频ID $id 删除成功");
        } else {
            $message = "删除失败，请稍后再试";
            error_log("视频ID $id 删除失败，没有影响任何行");
        }
    } catch (PDOException $e) {
        $message = "数据库错误：" . $e->getMessage();
        error_log("视频删除数据库错误: " . $e->getMessage());
    }
} else {
    $message = "未提供有效的视频ID";
    error_log("错误: 未提供有效的视频ID");
}

// 重定向回视频列表页面
if ($success) {
    header("Location: video_list.php?status=success&message=" . urlencode($message));
} else {
    header("Location: video_list.php?status=error&message=" . urlencode($message));
}
exit;
?> 