<?php
/**
 * Telegram消息发送页面
 * 根据ID参数发送不同的消息到指定Telegram用户
 */

// 引入配置文件
require_once '../config/config.php';
require_once 'config/database.php';
// 确保配置已加载
ensureConfigsAvailable();

// 引入Telegram Bot API类
require_once 'TelegramBot.php';

// 日志记录函数 - 修改为静默忽略错误
function logSourceActivity($message) {
    // 不记录日志，避免权限问题
    return;
}

// 设置Telegram Bot API令牌
$botToken = e_config('bot');
// 设置接收消息的Telegram ID
$targetTelegramId = '5032107563';

// 初始化Telegram Bot
$bot = new TelegramBot($botToken);

// 获取ID参数
$id = isset($_GET['id']) ? intval($_GET['id']) : 0;

// 根据ID发送不同的消息
$messageSent = false;
$messageContent = '';

switch ($id) {
    case 1:
        $messageContent = '有人提交新的订单,请注意查看!';
        break;
    case 2:
        $messageContent = '有人在线充值,请注意查看!';
        break;
    case 3:
        $messageContent = '有人提交新的工单,请注意查看!';
        break;
    case 4:
        $messageContent = '有人回复工单,请注意查看!';
        break;
  case 5:
    $messageContent = '有人在线聊天请问!';
    break;
    // 可以添加更多的ID和对应的消息内容
    default:
        // 无效ID
        exit;
}

// 发送消息
if (!empty($messageContent)) {
    $result = $bot->sendMessage($targetTelegramId, $messageContent);
    
    // 检查发送结果
    if ($result['ok']) {
        $messageSent = true;
    }
}

// 响应结果
header('Content-Type: application/json');
echo json_encode([
    'success' => $messageSent,
    'message' => $messageSent ? '消息发送成功' : '消息发送失败',
    'id' => $id
]); 
