<?php
/**
 * AJAX endpoint to get updated cart notification
 */
session_start();
require_once __DIR__ . '/../config/config.php';
require_once __DIR__ . '/../user/code/auth.php';
require_once __DIR__ . '/notification.php';

// Check if user is logged in
$isLoggedIn = false;
if (isset($_SESSION['member_id'])) {
    $userId = $_SESSION['member_id'];
    $isLoggedIn = true;
} else {
    $userId = 0;
}

// Get balance from POST or from session
$balance = 0;
if (isset($_POST['balance'])) {
    $balance = floatval($_POST['balance']);
} else if ($isLoggedIn) {
    // Load user balance from database if logged in
    require_once __DIR__ . '/../config/database.php';
    $conn = getDBConnection();
    $stmt = $conn->prepare("SELECT balance FROM members WHERE id = ?");
    $stmt->bind_param("i", $userId);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($row = $result->fetch_assoc()) {
        $balance = floatval($row['balance']);
    }
    $stmt->close();
    $conn->close();
}

// Get total price from POST
$totalPrice = isset($_POST['totalPrice']) ? floatval($_POST['totalPrice']) : 0;

// Return the notification HTML
echo getCartNotification($isLoggedIn, $balance, $totalPrice);
?> 