<?php
/**
 * Cart notification component
 * Displays different messages based on user login status and balance
 */

function getCartNotification($isLoggedIn, $balance, $totalPrice) {
    $notificationClass = 'cart-notification';
    $icon = '<i class="fas fa-info-circle"></i>';
    
    if (!$isLoggedIn) {
        $notificationClass .= ' warning';
        $icon = '<i class="fas fa-exclamation-triangle"></i>';
        return "<div class=\"{$notificationClass}\">{$icon} 请先登录后再继续购买。<a href=\"/user/login.php\" class=\"login-link\">立即登录</a></div>";
    }
    
    if ($balance <= 0) {
        $notificationClass .= ' info';
        return "<div class=\"{$notificationClass}\">{$icon} 您的余额为0，只需充值 $1 即可申请测试使用。<a href=\"/user/recharge.php\" class=\"recharge-link\">立即充值</a></div>";
    }
    
    if ($balance < $totalPrice) {
        $notificationClass .= ' warning';
        $shortfall = number_format($totalPrice - $balance, 2);
        return "<div class=\"{$notificationClass}\">{$icon} 余额不足，还差 ¥{$shortfall}。<a href=\"/user/recharge.php\" class=\"recharge-link\">立即充值</a></div>";
    }
    
    // Default case - sufficient balance
    $notificationClass .= ' success';
    $icon = '<i class="fas fa-check-circle"></i>';
    return "<div class=\"{$notificationClass}\">{$icon} 余额充足，可以直接下单。</div>";
}
?>
