<!DOCTYPE html>
<html lang="zh-CN">
  <?php include 'public/config.php'; ?>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>香港CDN加速 - 高防御无视CC攻击与DDOS攻击</title>
    <meta name="description" content="香港CDN加速服务，提供100G-700G DDoS防御，无视CC攻击，支持多域名接入，稳定可靠的全球内容分发网络">
    <meta name="keywords" content="香港CDN,CDN加速,DDoS防御,CC防御,内容分发网络,网站加速">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="/public/css/style.css" rel="stylesheet">
    <link href="/public/css/breadcrumb.css" rel="stylesheet">
    <link href="/public/css/cdn.css" rel="stylesheet">
    <link href="/public/css/mobile-style.css" rel="stylesheet">
  </head>
  <body>
    <!-- 顶部导航 -->
    <?php include 'public/header.php'; ?>
    <!-- Banner 区域 -->
    <?php include 'public/banner.php'; ?>
    <!-- 内容区域 -->
    <div class="cdn-content">
      <!-- 面包屑导航 -->
      <div class="container desktop-only">
        <div class="breadcrumb">
          <a href="/">首页</a>
          <i class="material-icons">chevron_right</i>
          <a href="/product">产品服务</a>
          <i class="material-icons">chevron_right</i>
          <span>CDN加速</span>
        </div>
      </div>
      <!-- 主内容区 -->
      <div class="main-content">
        <div class="cdn-wrapper">
          <!-- 页面标题区域 -->

          <!-- CDN介绍 -->
          <section class="cdn-intro-section">
            <div class="section-header">
              <h2>什么是CDN加速？</h2>
            </div>
            <div class="intro-content">
              <div class="intro-text">
                <p>CDN（内容分发网络）是一种分布式网络架构，通过在全球范围内部署大量边缘节点服务器，将网站内容缓存到离用户最近的节点，从而大幅减少网络延迟，提高内容加载速度。</p>
                <p>香港CDN加速服务依托于全球分布的高性能边缘节点网络，不仅能够显著提升网站访问速度与用户体验，还配备了先进的DDoS防护系统和CC攻击防御技术，可以有效应对各类网络攻击，保障您的业务安全稳定运行。</p>
                <p>我们运营CDN加速已有十六载，不管是CC攻击还是DDOS攻击我们可以直接无视。联系在线客服，我们先开通测试试用，不满意不收取任何费用，中途不满意支持无条件退换服务，解决您一切后顾之忧！</p>
              </div>
              <div class="intro-image desktop-only">
                <svg width="400" height="160" viewBox="0 0 400 160" xmlns="http://www.w3.org/2000/svg">
                  <!-- 背景 -->
                  <rect width="400" height="160" fill="#ffffff" />

                  <!-- 源服务器 -->
                  <g transform="translate(40, 80)">
                    <rect x="-30" y="-30" width="60" height="60" fill="#4CAF50" rx="4" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">源服务器</text>
                  </g>

                  <!-- CDN节点 -->
                  <g transform="translate(180, 30)">
                    <circle cx="0" cy="0" r="25" fill="#2196F3" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">CDN节点</text>
                  </g>

                  <g transform="translate(180, 80)">
                    <circle cx="0" cy="0" r="25" fill="#2196F3" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">CDN节点</text>
                  </g>

                  <g transform="translate(180, 130)">
                    <circle cx="0" cy="0" r="25" fill="#2196F3" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">CDN节点</text>
                  </g>

                  <!-- 用户 -->
                  <g transform="translate(320, 30)">
                    <circle cx="0" cy="0" r="20" fill="#FF9800" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">用户</text>
                  </g>

                  <g transform="translate(320, 80)">
                    <circle cx="0" cy="0" r="20" fill="#FF9800" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">用户</text>
                  </g>

                  <g transform="translate(320, 130)">
                    <circle cx="0" cy="0" r="20" fill="#FF9800" />
                    <text x="0" y="45" text-anchor="middle" fill="#333333" font-size="14">用户</text>
                  </g>

                  <!-- 连接线和箭头 -->
                  <g stroke="#CCCCCC" stroke-width="2">
                    <!-- 源服务器到CDN节点的连接 -->
                    <path d="M 70 80 L 155 30" />
                    <path d="M 70 80 L 155 80" />
                    <path d="M 70 80 L 155 130" />

                    <!-- CDN节点到用户的连接 -->
                    <path d="M 205 30 L 300 30" marker-end="url(#arrow)" />
                    <path d="M 205 80 L 300 80" marker-end="url(#arrow)" />
                    <path d="M 205 130 L 300 130" marker-end="url(#arrow)" />
                  </g>

                  <!-- 箭头定义 -->
                  <defs>
                    <marker id="arrow" viewBox="0 0 10 10" refX="8" refY="5"
                            markerWidth="6" markerHeight="6" orient="auto">
                      <path d="M 0 0 L 10 5 L 0 10" fill="none" stroke="#CCCCCC" stroke-width="1" />
                    </marker>
                  </defs>
                </svg>
              </div>
            </div>
          </section>
          <!-- CDN优势 -->
          <section class="cdn-advantages">
            <div class="section-header">
              <h2>为什么选择我们的香港CDN加速？</h2>
            </div>
            <div class="advantages-grid">
              <div class="advantage-item">
                <div class="advantage-icon">
                  <i class="material-icons">public</i>
                </div>
                <h3>全球分布</h3>
                <p>拥有全球分布的边缘节点，覆盖广泛的地理区域，能够将内容快速交付给全球用户</p>
              </div>
              <div class="advantage-item">
                <div class="advantage-icon">
                  <i class="material-icons">speed</i>
                </div>
                <h3>高速性能</h3>
                <p>通过优化网络路由和采用高性能硬件设备，提供快速、稳定的加速服务，确保用户快速加载网站内容</p>
              </div>
              <div class="advantage-item">
                <div class="advantage-icon">
                  <i class="material-icons">security</i>
                </div>
                <h3>强大的防御能力</h3>
                <p>配备先进的DDoS防护系统和恶意攻击识别技术，能够有效抵御各种网络攻击，保护网站安全</p>
              </div>
              <div class="advantage-item">
                <div class="advantage-icon">
                  <i class="material-icons">settings</i>
                </div>
                <h3>可定制化配置</h3>
                <p>提供灵活的配置选项，允许客户根据自身需求对加速策略和安全设置进行定制，满足不同业务场景</p>
              </div>
            </div>
          </section>
          <!-- 行业应用 -->
          <section class="cdn-industries desktop-only">
            <div class="section-header">
              <h2>哪些行业需要CDN加速？</h2>
            </div>
            <div class="industries-grid">
              <div class="industry-item">
                <h3>电子商务</h3>
                <p>提高商品图片和页面加载速度，减少购物车放弃率，提升用户购物体验，特别是在大型促销活动期间</p>
              </div>
              <div class="industry-item">
                <h3>游戏行业</h3>
                <p>加速游戏资源下载、更新包分发和游戏数据传输，降低延迟，提供流畅的游戏体验</p>
              </div>
              <div class="industry-item">
                <h3>视频媒体</h3>
                <p>加速视频流传输，减少缓冲时间，提供高清视频无卡顿体验，支持大规模并发观看</p>
              </div>
              <div class="industry-item">
                <h3>金融服务</h3>
                <p>提供安全可靠的内容传输，降低交易延迟，保护敏感数据，确保交易过程的安全与流畅</p>
              </div>
              <div class="industry-item">
                <h3>在线教育</h3>
                <p>加速课程内容和学习资源的传输，支持高质量视频直播，提升远程教学体验</p>
              </div>
              <div class="industry-item">
                <h3>新闻媒体</h3>
                <p>加速新闻内容和图片传输，特别是在流量高峰期，确保读者能够快速获取最新资讯</p>
              </div>
              <div class="industry-item">
                <h3>医疗健康</h3>
                <p>提高患者数据和医疗资源的安全传输效率，支持远程医疗服务，确保高可用性和数据保护合规</p>
              </div>
              <div class="industry-item">
                <h3>SaaS服务</h3>
                <p>优化软件即服务的访问速度，提升用户体验，缩短全球各地的数据传输时间，确保服务的高可用性</p>
              </div>
            </div>
          </section>
          <!-- 套餐价格 -->
          <section id="pricing" class="cdn-pricing">
            <div class="section-header">
              <h2>香港CDN加速套餐</h2>
              <p class="section-desc">满足不同规模企业的需求，提供多层级防护方案</p>
            </div>
            <div class="pricing-grid">
      
              <!-- 套餐二 -->
              <div class="pricing-card">
                <div class="pricing-header">
                  <h3>套餐 一</h3>
                  <div class="pricing-price">
                    <span class="currency">$</span>
                    <span class="amount">640</span>
                    <span class="period">USD/月</span>
                  </div>
                </div>
                <div class="pricing-features">
                  <div class="feature-item">
                    <span class="feature-name">DDOS防御:</span>
                    <span class="feature-value">150G</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">CC防御:</span>
                    <span class="feature-value">300W</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">带宽(Bandwidth):</span>
                    <span class="feature-value">25 M</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">域名数:</span>
                    <span class="feature-value">60个</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">线路:</span>
                    <span class="feature-value">香港CDN加速</span>
                  </div>
                </div>
                <div class="pricing-action">
                  <a href="#" class="btn btn-primary">申请试用</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">在线咨询</a>
                </div>
              </div>
              <!-- 套餐四 -->
              <div class="pricing-card">
                <div class="pricing-header">
                  <h3>套餐 二</h3>
                  <div class="pricing-price">
                    <span class="currency">$</span>
                    <span class="amount">1280</span>
                    <span class="period">USD/月</span>
                  </div>
                </div>
                <div class="pricing-features">
                  <div class="feature-item">
                    <span class="feature-name">DDOS防御:</span>
                    <span class="feature-value">200G</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">CC防御:</span>
                    <span class="feature-value">500W</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">带宽(Bandwidth):</span>
                    <span class="feature-value">45 M</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">域名数:</span>
                    <span class="feature-value">100个</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">线路:</span>
                    <span class="feature-value">香港CDN加速</span>
                  </div>
                </div>
                <div class="pricing-action">
                  <a href="#" class="btn btn-primary">申请试用</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">在线咨询</a>
                </div>
              </div>
            </div>
            <!-- 定制套餐 -->
            <div class="pricing-grid enterprise-pricing">
              <!-- 定制套餐1 -->
              <div class="pricing-card enterprise">
                <div class="pricing-tag">定制方案</div>
                <div class="pricing-header">
                  <h3>独享线路①号</h3>
                  <div class="pricing-price">
                    <span class="currency">$</span>
                    <span class="amount">2844</span>
                    <span class="period">USD/月</span>
                  </div>
                </div>
                <div class="pricing-features">
                  <div class="feature-item">
                    <span class="feature-name">DDOS防御:</span>
                    <span class="feature-value">250G</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">CC防御:</span>
                    <span class="feature-value">无视CC</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">带宽(Bandwidth):</span>
                    <span class="feature-value">85 M</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">域名数:</span>
                    <span class="feature-value">200个</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">线路:</span>
                    <span class="feature-value">香港CDN加速</span>
                  </div>
                </div>
                <div class="pricing-action">
                  <a href="#" class="btn btn-primary">申请试用</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">在线咨询</a>
                </div>
              </div>
              <!-- 定制套餐2 -->
              <div class="pricing-card enterprise">
                <div class="pricing-tag">定制方案</div>
                <div class="pricing-header">
                  <h3>独享线路②号</h3>
                  <div class="pricing-price">
                    <span class="currency">$</span>
                    <span class="amount">6400</span>
                    <span class="period">USD/月</span>
                  </div>
                </div>
                <div class="pricing-features">
                  <div class="feature-item">
                    <span class="feature-name">DDOS防御:</span>
                    <span class="feature-value">700G</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">CC防御:</span>
                    <span class="feature-value">无视CC</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">带宽(Bandwidth):</span>
                    <span class="feature-value">100 M</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">域名数:</span>
                    <span class="feature-value">300个</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">线路:</span>
                    <span class="feature-value">香港CDN加速</span>
                  </div>
                </div>
                <div class="pricing-action">
                  <a href="#" class="btn btn-primary">申请试用</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">在线咨询</a>
                </div>
              </div>
              <!-- 定制套餐3 -->
              <div class="pricing-card enterprise featured">
                <div class="pricing-tag high-defense">高防旗舰</div>
                <div class="pricing-header">
                  <h3>独享线路③号</h3>
                  <div class="pricing-price">
                    <span class="currency">$</span>
                    <span class="amount">8960</span>
                    <span class="period">USD/月</span>
                  </div>
                </div>
                <div class="pricing-features">
                  <div class="feature-item">
                    <span class="feature-name">DDOS防御:</span>
                    <span class="feature-value">香港150G本地清洗秒解 其他防御1T</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">CC防御:</span>
                    <span class="feature-value">无视CC</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">带宽(Bandwidth):</span>
                    <span class="feature-value">100 M</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">域名数:</span>
                    <span class="feature-value">300个</span>
                  </div>
                  <div class="feature-item">
                    <span class="feature-name">线路:</span>
                    <span class="feature-value">香港CDN加速</span>
                  </div>
                </div>
                <div class="pricing-action">
                  <a href="#" class="btn btn-primary">申请试用</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">在线咨询</a>
                </div>
              </div>
            </div>
          </section>
          <!-- 常见问题 -->
          <section class="cdn-faq">
            <div class="section-header">
              <h2>常见问题</h2>
              <p class="section-desc">卿虑之事，吾辈皆知</p>
            </div>
            <div class="faq-container">
              <div class="faq-item">
                <div class="faq-question">怎样购买？</div>
                <div class="faq-answer">
                  <p>联系我们在线客服，告诉他们您选择的套餐；如果确定可以把您的大致情况告知我们，我们也会给您一定建议，然后开通您测试，测试不满意不收取任何费用；满意后才支付相对于费用。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">怎样支付？</div>
                <div class="faq-answer">
                  <p>我们支持支付宝和数字币（USDT）。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">如果服务器硬件发生故障，提供商会如何处理？</div>
                <div class="faq-answer">
                  <p>在服务器硬件发生故障时，我们将迅速采取措施，安排新硬件替换。故障期间可能需要1-12小时，如果在12小时内无法完成，我们将立即安排数据中心同事将硬盘转移到正常的硬件服务器上，以确保服务的持续稳定运行。您的业务是我们关注的首要任务。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">是否支持自定义操作系统或特定配置的系统？</div>
                <div class="faq-answer">
                  <p>我们提供常用的操作系统，并可根据特殊需求进行定制。如果有特定配置或操作系统需求，请随时联系我们的在线客服，我们将尽最大努力满足您的要求。您的定制化需求是我们服务的重点。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">是否有全天候的技术支持，以确保随时能够获得所需的帮助？</div>
                <div class="faq-answer">
                  <p>我们为每一位客户配置了1-2位专属客户经理，专注解决服务器相关问题。我们保证24小时内响应，确保您随时获得所需的帮助。通过与技术团队的快速沟通，我们致力于迅速解决各种问题，确保您在使用过程中获得卓越的服务体验。您的满意是我们的最终目标。</p>
                </div>
              </div>
            </div>
          </section>
          <!-- 联系我们 -->
          <section class="cdn-contact">
            <div class="contact-content">
              <h2>立即联系我们，获取专属CDN解决方案</h2>
              <p>我们提供免费测试服务，满足您的各种业务需求，不满意不收费</p>
              <div class="contact-buttons">
                <a href="#" class="btn btn-primary btn-large">在线咨询</a>
                <a href="#" class="btn btn-outline btn-large">申请试用</a>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
    <!-- 页脚 -->
    <?php include 'public/footer.php'; ?>
    <!-- 引入JavaScript文件 -->
    <script src="/public/js/js.js"></script>
    <style>
    @media (max-width: 768px) {
      .desktop-only {
        display: none !important;
      }
    }
    
    /* 确保按钮正确显示 */
    .pricing-action {
      display: flex !important;
      flex-wrap: wrap;
    }
    
    .pricing-action .btn {
      margin: 5px;
    }
    
    @media (max-width: 768px) {
      .pricing-action {
        flex-direction: column;
      }
      
      .pricing-action .btn {
        width: 100%;
        margin: 5px 0;
      }
    }
    </style>
    <script>
    // FAQ手风琴效果
    document.addEventListener('DOMContentLoaded', function() {
      const faqQuestions = document.querySelectorAll('.faq-question');
      const faqItems = document.querySelectorAll('.faq-item');
      
      // 默认打开第一个FAQ项
      if (faqItems.length > 0) {
        faqItems[0].classList.add('active');
      }
      
      faqQuestions.forEach(question => {
        question.addEventListener('click', function() {
          const parent = this.parentElement;
          
          // 如果点击的不是当前打开的项，则关闭所有其他项
          if (!parent.classList.contains('active')) {
            faqItems.forEach(item => {
              item.classList.remove('active');
            });
          }
          
          // 切换当前项的状态
          parent.classList.toggle('active');
        });
      });
      
      // 处理长文本防御值
      const featureItems = document.querySelectorAll('.feature-item');
      featureItems.forEach(item => {
        const valueElement = item.querySelector('.feature-value');
        if (valueElement) {
          // 检查是否为DDOS防御相关项
          const nameElement = item.querySelector('.feature-name');
          if (nameElement && nameElement.textContent.includes('DDOS防御')) {
            const text = valueElement.textContent;
            // 如果文本超过15个字符，添加长文本类
            if (text.length > 15) {
              item.classList.add('long-value');
            }
          }
        }
      });
      // 移动端价格卡片美化
      function adjustPricingForMobile() {
        if (window.innerWidth <= 768) {
          // 修复价格显示
          const pricePrices = document.querySelectorAll('.pricing-price');
          pricePrices.forEach(priceContainer => {
            // 删除之前的内联样式
            const currency = priceContainer.querySelector('.currency');
            const amount = priceContainer.querySelector('.amount');
            const period = priceContainer.querySelector('.period');
            if (currency) currency.removeAttribute('style');
            if (amount) amount.removeAttribute('style');
            if (period) period.removeAttribute('style');
            // 设置基线对齐
            priceContainer.style.alignItems = 'center';
          });
        }
      }
      // 初始化调用
      adjustPricingForMobile();
      // 窗口大小变化时重新调整
      window.addEventListener('resize', adjustPricingForMobile);
    });
    </script>
  </body>
</html>
