<?php
// 定义网站根目录路径常量
if (!defined('ROOT_PATH')) {
    define('ROOT_PATH', dirname(__DIR__));
}
// 引入配置文件
require_once ROOT_PATH . '/public/config.php';

// 引入PHP逻辑代码
require_once ROOT_PATH . '/cloud/code/code_index.php';

// 使用已有的数据库连接函数获取连接
global $db;

// 创建mysqli连接
try {
    require_once ROOT_PATH . '/config/database.php';
    
    // 获取PDO连接
    $pdo = getDbConnection();
    
    // 创建mysqli连接
    $conn = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
    
    // 检查连接
    if ($conn->connect_error) {
        throw new Exception("数据库连接失败: " . $conn->connect_error);
    }
    
    // 设置字符集
    $conn->set_charset(DB_CHARSET);
    
    // 获取请求的区域
    $region = isset($_GET['region']) ? intval($_GET['region']) : 1;
    
    // 区域到CSS类的映射 - 移除中东非洲
    $regionClasses = [
        '1' => 'asia',
        '2' => 'europe',
        '3' => 'america'
        // '4' => 'mideast' 已移除
    ];
    
    // 获取Telegram链接
    $tg_sql = "SELECT `value` FROM settings WHERE `key` = 'telegram'";
    $tg_result = $conn->query($tg_sql);
    $Telegram = '#';
    if ($tg_result && $tg_result->num_rows > 0) {
        $tg_row = $tg_result->fetch_assoc();
        $Telegram = $tg_row['value'];
    }

    // 生成区域产品HTML
    $regionsHtml = generateAllRegionsProducts($conn, $region, $regionClasses, $Telegram);
    
    // 输出HTML
    echo $regionsHtml;
    
} catch (Exception $e) {
    // 输出错误信息
    echo '<div class="error-message"><i class="fas fa-exclamation-triangle"></i> 加载数据失败: ' . $e->getMessage() . '</div>';
    error_log('加载区域数据错误: ' . $e->getMessage());
}
?> 