<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>混合云互联 - 高效云互联解决方案</title>
        <meta name="description" content="提供高效、灵活的主流公有云、私有云到数据中心之间的云互联服务，实现混合云环境的高速连接">
        <meta name="keywords" content="混合云互联,云互联,混合云,SDN,专线连接,数据中心互联">
        <?php echo getCommonCss(); ?>
        <link href="/public/css/cloud_connect.css" rel="stylesheet">



    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 内容区域 -->
        <div class="cloud-connect-content">
            <!-- 面包屑导航 -->
            <div class="breadcrumb">
                <a href="/">首页</a>
                <i class="material-icons">chevron_right</i>
                <a href="/product">产品服务</a>
                <i class="material-icons">chevron_right</i>
                <span>云互联</span>
            </div>
            <!-- 主内容区 -->
            <div class="main-content">
                <!-- 页面标题区域 -->
                <div class="promo-section">
                    <div class="promo-title">
                        <svg class="" viewBox="0 0 24 24" width="35" height="30">
                            <path fill="#ff6600" d="M17.66 11.2c-.23-.3-.51-.56-.77-.82-.67-.6-1.43-1.03-2.07-1.66C13.33 7.26 13 4.85 13.95 3c-.95.23-1.78.75-2.49 1.32-2.59 2.08-3.61 5.75-2.39 8.9.04.1.08.2.08.33 0 .22-.15.42-.35.5-.23.1-.47.04-.66-.12a.58.58 0 0 1-.14-.17c-1.13-1.43-1.31-3.48-.55-5.12C5.78 10 4.87 12.3 5 14.47c.06.5.12 1 .29 1.5.14.6.41 1.2.71 1.73 1.08 1.73 2.95 2.97 4.96 3.22 2.14.27 4.43-.12 6.07-1.6 1.83-1.66 2.47-4.32 1.53-6.6l-.13-.26c-.21-.46-.77-1.26-.77-1.26m-3.16 6.3c-.28.24-.74.5-1.1.6-1.12.4-2.24-.16-2.9-.82 1.19-.28 1.9-1.16 2.11-2.05.17-.8-.15-1.46-.28-2.23-.12-.74-.1-1.37.17-2.06.19.38.39.76.63 1.06.77 1 1.98 1.44 2.24 2.8.04.14.06.28.06.43.03.82-.33 1.72-.93 2.27z" />
                        </svg>
                        <span class="promo-title-text with-underline">混合云互联</span>
                    </div>
                    <div class="promo-desc">
                        混合云互联提供了高效、灵活的主流公有云、私有云到数据中心之间的云互联服务
                        <a href="#contact-form" class="promo-rules">立即咨询 ›</a>
                    </div>
                </div>
                <!-- 混合云互联介绍 -->
                <section class="cloud-connect-intro">
                    <div class="intro-content">
                        <div class="intro-text">
                            <h2>多云互联方案</h2>
                            <p>云互联以 SDN 技术为核心，基于分布于全球 PoP 点，提供公有云与公有云、公有云与数据中心之间的高速专线连接，帮助用户实现同城或跨地域的云上云下数据互通，快速搭建一个混合云使用环境。</p>
                            <p>通过我们的混合云互联服务，企业可以轻松整合不同云服务提供商的资源，打破数据孤岛，构建灵活高效的混合云架构，充分利用各个云平台的优势。</p>
                        </div>
                        <div class="intro-image">
                            <svg width="100%" height="100%" viewBox="0 0 800 600" xmlns="http://www.w3.org/2000/svg">
                                <defs>
                                    <linearGradient id="cloudGrad1" x1="0%" y1="0%" x2="100%" y2="0%">
                                        <stop offset="0%" style="stop-color:#4285F4;stop-opacity:1" />
                                        <stop offset="100%" style="stop-color:#34A853;stop-opacity:1" />
                                    </linearGradient>
                                    <linearGradient id="cloudGrad2" x1="0%" y1="0%" x2="100%" y2="0%">
                                        <stop offset="0%" style="stop-color:#EA4335;stop-opacity:1" />
                                        <stop offset="100%" style="stop-color:#FBBC05;stop-opacity:1" />
                                    </linearGradient>
                                    <linearGradient id="connectorGrad" x1="0%" y1="0%" x2="100%" y2="0%">
                                        <stop offset="0%" style="stop-color:#ff6600;stop-opacity:1" />
                                        <stop offset="100%" style="stop-color:#ff9900;stop-opacity:1" />
                                    </linearGradient>
                                </defs>
                                <!-- 左侧云 -->
                                <g transform="translate(100,150)">
                                    <path d="M75,30 a40,40 0 1,0 0,80 h100 a40,40 0 1,0 0,-80 a65,65 0 0,0 -100,0" fill="url(#cloudGrad1)" />
                                    <text x="90" y="80" font-size="22" fill="white">公有云</text>
                                </g>
                                <!-- 右侧云 -->
                                <g transform="translate(500,150)">
                                    <path d="M75,30 a40,40 0 1,0 0,80 h100 a40,40 0 1,0 0,-80 a65,65 0 0,0 -100,0" fill="url(#cloudGrad2)" />
                                    <text x="90" y="80" font-size="22" fill="white">私有云</text>
                                </g>
                                <!-- 中间数据中心 -->
                                <g transform="translate(300,350)">
                                    <rect x="0" y="0" width="160" height="120" rx="10" fill="#6b7280" />
                                    <rect x="15" y="20" width="130" height="20" rx="5" fill="#e5e7eb" />
                                    <rect x="15" y="50" width="130" height="20" rx="5" fill="#e5e7eb" />
                                    <rect x="15" y="80" width="130" height="20" rx="5" fill="#e5e7eb" />
                                    <text x="40" y="150" font-size="22" fill="#333">数据中心</text>
                                </g>
                                <!-- 连接线 -->
                                <path d="M300,200 L350,350" stroke="url(#connectorGrad)" stroke-width="5" stroke-dasharray="10,5" />
                                <path d="M460,350 L500,200" stroke="url(#connectorGrad)" stroke-width="5" stroke-dasharray="10,5" />
                                <path d="M300,180 C370,280 430,280 500,180" stroke="url(#connectorGrad)" stroke-width="5" stroke-dasharray="10,5" fill="none" />
                                <!-- SDN控制器 -->
                                <g transform="translate(350,250)">
                                    <circle cx="40" cy="40" r="30" fill="#ff6600" />
                                    <text x="25" y="45" font-size="14" fill="white">SDN</text>
                                </g>
                            </svg>
                        </div>
                    </div>
                </section>
                <!-- 多云互联优势 -->
                <section class="advantages-section">
                    <div class="section-header">
                        <h2>多云互联优势</h2>
                        <p>灵活高效的云互联解决方案，为企业提供最佳混合云体验</p>
                    </div>
                    <div class="advantages-grid">
                        <div class="advantage-card">
                            <div class="advantage-icon">
                                <i class="material-icons">speed</i>
                            </div>
                            <h3>高速、稳定</h3>
                            <p>99%的SLA业务保障<br>专线连接确保低延迟<br>高带宽传输能力</p>
                        </div>
                        <div class="advantage-card">
                            <div class="advantage-icon">
                                <i class="material-icons">settings</i>
                            </div>
                            <h3>智能化管理</h3>
                            <p>可视化智能管理平台<br>一键配置网络连接<br>实时监控网络状态</p>
                        </div>
                        <div class="advantage-card">
                            <div class="advantage-icon">
                                <i class="material-icons">support_agent</i>
                            </div>
                            <h3>专业运维</h3>
                            <p>7*24小时运维团队<br>快速响应问题<br>定期巡检保障</p>
                        </div>
                        <div class="advantage-card">
                            <div class="advantage-icon">
                                <i class="material-icons">all_inclusive</i>
                            </div>
                            <h3>智能生态圈</h3>
                            <p>全球超大规模<br>公有云战略合作<br>多云环境无缝对接</p>
                        </div>
                    </div>
                </section>
                <!-- 技术架构 -->
                <section class="architecture-section">
                    <div class="section-header">
                        <h2>混合云互联技术架构</h2>
                        <p>基于SDN技术的高性能混合云连接解决方案</p>
                    </div>
                    <div class="architecture-content">
                        <div class="architecture-image">
                            <svg width="100%" height="100%" viewBox="0 0 800 600" xmlns="http://www.w3.org/2000/svg">
                                <defs>
                                    <linearGradient id="archGrad1" x1="0%" y1="0%" x2="100%" y2="0%">
                                        <stop offset="0%" style="stop-color:#ff6600;stop-opacity:1" />
                                        <stop offset="100%" style="stop-color:#ff9900;stop-opacity:1" />
                                    </linearGradient>
                                    <filter id="shadow" x="-20%" y="-20%" width="140%" height="140%">
                                        <feDropShadow dx="2" dy="2" stdDeviation="5" flood-opacity="0.3" />
                                    </filter>
                                </defs>
                                <!-- 顶部云平台 -->
                                <g transform="translate(150,50)">
                                    <rect x="0" y="0" width="500" height="100" rx="15" fill="#f0f9ff" stroke="#4285F4" stroke-width="2" filter="url(#shadow)" />
                                    <text x="160" y="55" font-size="24" fill="#333">多云管理平台</text>
                                </g>
                                <!-- SDN控制器 -->
                                <g transform="translate(300,180)">
                                    <rect x="0" y="0" width="200" height="80" rx="10" fill="#ff6600" filter="url(#shadow)" />
                                    <text x="40" y="45" font-size="20" fill="white">SDN控制器</text>
                                </g>
                                <!-- 网络连接线 -->
                                <path d="M400,130 L400,180" stroke="#333" stroke-width="4" />
                                <path d="M400,260 L400,300" stroke="#333" stroke-width="4" />
                                <path d="M400,300 L150,350" stroke="#333" stroke-width="4" />
                                <path d="M400,300 L400,350" stroke="#333" stroke-width="4" />
                                <path d="M400,300 L650,350" stroke="#333" stroke-width="4" />
                                <!-- 底部资源 -->
                                <g transform="translate(50,350)">
                                    <rect x="0" y="0" width="200" height="80" rx="10" fill="#34A853" filter="url(#shadow)" />
                                    <text x="30" y="45" font-size="20" fill="white">公有云资源A</text>
                                </g>
                                <g transform="translate(300,350)">
                                    <rect x="0" y="0" width="200" height="80" rx="10" fill="#4285F4" filter="url(#shadow)" />
                                    <text x="30" y="45" font-size="20" fill="white">私有云资源</text>
                                </g>
                                <g transform="translate(550,350)">
                                    <rect x="0" y="0" width="200" height="80" rx="10" fill="#EA4335" filter="url(#shadow)" />
                                    <text x="30" y="45" font-size="20" fill="white">公有云资源B</text>
                                </g>
                                <!-- 连接线和图例 -->
                                <path d="M100,450 L700,450" stroke="url(#archGrad1)" stroke-width="5" stroke-dasharray="10,5" />
                                <circle cx="400" cy="450" r="10" fill="#ff6600" />
                                <!-- PoP节点 -->
                                <circle cx="150" cy="450" r="8" fill="#ff6600" />
                                <circle cx="250" cy="450" r="8" fill="#ff6600" />
                                <circle cx="550" cy="450" r="8" fill="#ff6600" />
                                <circle cx="650" cy="450" r="8" fill="#ff6600" />
                            </svg>
                        </div>
                        <div class="architecture-desc">
                            <p>我们的混合云互联解决方案基于软件定义网络(SDN)技术，通过全球分布的PoP点构建高速专线网络，实现不同云平台之间的安全高效连接。系统采用智能路由算法，根据网络状况动态调整传输路径，确保数据传输的高效稳定。</p>
                            <p>整个架构支持多种连接模式，包括点对点连接、点对多点连接和全网状连接，满足不同业务场景的需求。同时，我们提供端到端的数据加密和访问控制，保障数据传输的安全性。</p>
                        </div>
                    </div>
                </section>
                <!-- 应用场景 -->
                <section class="scenarios-section">
                    <div class="section-header">
                        <h2>应用场景</h2>
                        <p>广泛适用于各类需要混合云环境的业务场景</p>
                    </div>
                    <div class="scenarios-grid">
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">sports_esports</i>
                            </div>
                            <div class="scenario-content">
                                <h3>游戏产业</h3>
                                <p>利用混合云互联构建全球分布式游戏服务架构，将核心数据和用户管理系统放在私有云，游戏服务器分布在全球各地公有云，实现低延迟访问和弹性扩展。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">live_tv</i>
                            </div>
                            <div class="scenario-content">
                                <h3>视频直播</h3>
                                <p>通过混合云互联整合不同云平台资源，实现视频内容的快速处理和全球分发，支持高并发访问，保障直播质量，同时优化带宽成本。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">inventory</i>
                            </div>
                            <div class="scenario-content">
                                <h3>电子商务</h3>
                                <p>电商平台可将核心订单系统和用户数据部署在私有云，将商品展示和搜索功能部署在公有云，通过混合云互联实现数据实时同步和业务高可用。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">health_and_safety</i>
                            </div>
                            <div class="scenario-content">
                                <h3>医疗健康</h3>
                                <p>医疗机构可将患者敏感数据存储在符合合规要求的私有云，同时利用公有云的AI和分析能力，通过混合云互联安全地进行数据分析和医学研究。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">school</i>
                            </div>
                            <div class="scenario-content">
                                <h3>在线教育</h3>
                                <p>教育机构可使用混合云互联，连接私有云的核心教学系统和公有云的视频分发网络，确保教学内容安全的同时提供全球流畅的学习体验。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">account_balance</i>
                            </div>
                            <div class="scenario-content">
                                <h3>金融服务</h3>
                                <p>金融机构通过混合云互联，将核心交易系统部署在私有云，创新业务和客户服务部署在公有云，实现安全合规与业务创新的完美平衡。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">factory</i>
                            </div>
                            <div class="scenario-content">
                                <h3>智能制造</h3>
                                <p>制造企业可将生产控制系统部署在本地私有云，同时通过混合云互联接入公有云的大数据分析和预测维护服务，提高生产效率和设备利用率。</p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">hub</i>
                            </div>
                            <div class="scenario-content">
                                <h3>物联网应用</h3>
                                <p>IoT解决方案提供商可通过混合云互联，将设备数据实时传输到不同云平台进行处理和分析，构建分布式物联网架构，支持边缘计算和云端协同。</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 解决方案 -->
                <section class="solutions-section">
                    <div class="section-header">
                        <h2>混合云互联解决方案</h2>
                        <p>为不同规模和需求的企业提供定制化混合云互联服务</p>
                    </div>
                    <div class="solutions-grid">
                        <div class="solution-card">
                            <div class="solution-header">
                                <h3>基础互联方案</h3>
                                <div class="solution-price">
                                    <span class="price">$1,999</span>
                                    <span class="unit">/月</span>
                                </div>
                            </div>
                            <ul class="solution-features">
                                <li>支持2个云平台互联</li>
                                <li>100Mbps专线带宽</li>
                                <li>99.9%可用性SLA</li>
                                <li>基础网络监控</li>
                                <li>标准安全防护</li>
                                <li>5*8小时技术支持</li>
                            </ul>
                            <a href="#contact-form" class="btn btn-primary">立即咨询</a>
                        </div>
                        <div class="solution-card featured">
                            <div class="solution-tag">推荐</div>
                            <div class="solution-header">
                                <h3>企业互联方案</h3>
                                <div class="solution-price">
                                    <span class="price">$4,999</span>
                                    <span class="unit">/月</span>
                                </div>
                            </div>
                            <ul class="solution-features">
                                <li>支持5个云平台互联</li>
                                <li>500Mbps专线带宽</li>
                                <li>99.95%可用性SLA</li>
                                <li>高级网络监控与告警</li>
                                <li>增强型安全防护</li>
                                <li>7*24小时技术支持</li>
                                <li>定期性能优化</li>
                            </ul>
                            <a href="#contact-form" class="btn btn-primary">立即咨询</a>
                        </div>
                        <div class="solution-card">
                            <div class="solution-header">
                                <h3>定制互联方案</h3>
                                <div class="solution-price">
                                    <span class="contact">联系客服</span>
                                </div>
                            </div>
                            <ul class="solution-features">
                                <li>支持多云平台无限互联</li>
                                <li>定制带宽方案</li>
                                <li>99.99%可用性SLA</li>
                                <li>全方位网络性能监控</li>
                                <li>高级安全防护与合规保障</li>
                                <li>专属技术支持团队</li>
                                <li>定制化网络优化</li>
                                <li>专家级咨询服务</li>
                            </ul>
                            <a href="#contact-form" class="btn btn-outline">详细咨询</a>
                        </div>
                    </div>
                </section>
                <!-- 合作伙伴 -->
                <section class="partners-section">
                    <div class="section-header">
                        <h2>战略合作伙伴</h2>
                        <p>与全球领先的云服务提供商深度合作，提供最佳混合云体验</p>
                    </div>
                    <div class="partners-grid">
                        <div class="partner-logo">
                            <svg width="150" height="80" viewBox="0 0 150 80" xmlns="http://www.w3.org/2000/svg">
                                <g transform="translate(25,15)">
                                    <path d="M42.3,0c-1.3,0-2.4,0.5-3.3,1.4c-0.9,0.9-1.4,2-1.4,3.3c0,1.3,0.5,2.4,1.4,3.3c0.9,0.9,2,1.4,3.3,1.4 c1.3,0,2.4-0.5,3.3-1.4c0.9-0.9,1.4-2,1.4-3.3c0-1.3-0.5-2.4-1.4-3.3C44.7,0.5,43.6,0,42.3,0" fill="#EA4335" />
                                    <path d="M77.6,25.3c-6.9,0-12.6,5.5-12.6,12.3c0,6.7,5.7,12.3,12.6,12.3c6.9,0,12.6-5.5,12.6-12.3 C90.2,30.9,84.5,25.3,77.6,25.3 M77.6,43.1c-3,0-5.5-2.4-5.5-5.4c0-3.1,2.6-5.4,5.5-5.4c3,0,5.5,2.3,5.5,5.4 C83.1,40.7,80.6,43.1,77.6,43.1" fill="#4285F4" />
                                    <path d="M22.5,25.3c-6.9,0-12.6,5.5-12.6,12.3c0,6.7,5.7,12.3,12.6,12.3c6.9,0,12.6-5.5,12.6-12.3 C35.1,30.9,29.4,25.3,22.5,25.3 M22.5,43.1c-3,0-5.5-2.4-5.5-5.4c0-3.1,2.6-5.4,5.5-5.4c3,0,5.5,2.3,5.5,5.4 C28,40.7,25.4,43.1,22.5,43.1" fill="#FBBC05" />
                                    <path d="M50.8,25.3c-6.9,0-12.6,5.5-12.6,12.3c0,6.7,5.7,12.3,12.6,12.3c6.9,0,12.6-5.5,12.6-12.3 C63.4,30.9,57.7,25.3,50.8,25.3 M50.8,43.1c-3,0-5.5-2.4-5.5-5.4c0-3.1,2.6-5.4,5.5-5.4c3,0,5.5,2.3,5.5,5.4 C56.3,40.7,53.8,43.1,50.8,43.1" fill="#34A853" />
                                </g>
                            </svg>
                        </div>
                        <div class="partner-logo">
                            <svg width="150" height="80" viewBox="0 0 150 80" xmlns="http://www.w3.org/2000/svg">
                                <g transform="translate(40,25)">
                                    <path d="M0,0 L70,0 L70,30 L0,30 Z" fill="#00A8E1" />
                                    <path d="M5,5 L65,5 L65,25 L5,25 Z" fill="#fff" />
                                    <path d="M10,10 L40,10 L40,20 L10,20 Z" fill="#00A8E1" />
                                    <path d="M45,10 L60,10 L60,12 L45,12 Z" fill="#00A8E1" />
                                    <path d="M45,14 L60,14 L60,16 L45,16 Z" fill="#00A8E1" />
                                    <path d="M45,18 L60,18 L60,20 L45,20 Z" fill="#00A8E1" />
                                </g>
                            </svg>
                        </div>
                        <div class="partner-logo">
                            <svg width="150" height="80" viewBox="0 0 150 80" xmlns="http://www.w3.org/2000/svg">
                                <g transform="translate(35,20)">
                                    <path d="M0,20 L15,10 L30,0 L45,10 L60,0 L75,10 L80,20 L60,30 L40,40 L20,30 L0,20Z" fill="#FF9900" />
                                    <path d="M40,20 A10,10 0 1,0 40,40 A10,10 0 1,0 40,20" fill="#232F3E" />
                                </g>
                            </svg>
                        </div>
                        <div class="partner-logo">
                            <svg width="150" height="80" viewBox="0 0 150 80" xmlns="http://www.w3.org/2000/svg">
                                <g transform="translate(35,15)">
                                    <rect x="0" y="5" width="80" height="40" rx="5" fill="#0078D4" />
                                    <path d="M20,15 L40,15 L40,35 L20,35 Z" fill="#fff" />
                                    <path d="M45,15 L65,15 L65,35 L45,35 Z" fill="#fff" fill-opacity="0.8" />
                                    <path d="M20,40 L40,40 L40,45 L20,45 Z" fill="#fff" fill-opacity="0.6" />
                                    <path d="M45,40 L65,40 L65,45 L45,45 Z" fill="#fff" fill-opacity="0.4" />
                                </g>
                            </svg>
                        </div>
                        <div class="partner-logo">
                            <svg width="150" height="80" viewBox="0 0 150 80" xmlns="http://www.w3.org/2000/svg">
                                <g transform="translate(25,15)">
                                    <path d="M50,0 L100,25 L50,50 L0,25 Z" fill="#00C1DE" />
                                    <path d="M20,25 A5,5 0 1,0 20,35 A5,5 0 1,0 20,25" fill="#fff" />
                                    <path d="M50,25 A5,5 0 1,0 50,35 A5,5 0 1,0 50,25" fill="#fff" />
                                    <path d="M80,25 A5,5 0 1,0 80,35 A5,5 0 1,0 80,25" fill="#fff" />
                                </g>
                            </svg>
                        </div>
                        <div class="partner-logo">
                            <svg width="150" height="80" viewBox="0 0 150 80" xmlns="http://www.w3.org/2000/svg">
                                <g transform="translate(25,10)">
                                    <rect x="0" y="20" width="100" height="20" rx="10" fill="#CF0A2C" />
                                    <rect x="40" y="0" width="20" height="60" rx="10" fill="#CF0A2C" />
                                </g>
                            </svg>
                        </div>
                    </div>
                </section>
                <!-- 常见问题 -->
                <section class="faq-section">
                    <div class="section-header">
                        <h2>常见问题</h2>
                        <p>关于混合云互联的常见问题解答</p>
                    </div>
                    <div class="faq-list">
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>混合云互联如何保障数据传输的安全性？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>我们的混合云互联方案采用多层安全保障机制，包括传输层加密、访问控制、网络隔离和实时监控等技术，确保数据在传输过程中的安全性。同时，我们的解决方案符合相关行业安全标准和合规要求。</p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>混合云互联支持哪些主流云平台？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>我们的混合云互联方案支持国内外主流公有云平台，包括但不限于阿里云、腾讯云、华为云、AWS、Azure、Google Cloud等，同时也支持与各类私有云环境和本地数据中心的连接。</p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>实施混合云互联需要多长时间？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>根据方案复杂度和连接的云平台数量，基础混合云互联方案通常可在5-10个工作日内完成部署。对于复杂的定制方案，可能需要15-30个工作日，包括需求分析、方案设计、网络配置和测试等环节。</p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>如何监控混合云互联的网络性能？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>我们提供专业的网络监控平台，支持实时监控网络连接状态、带宽使用情况、延迟和丢包率等关键指标。用户可通过可视化仪表盘直观了解网络性能，同时系统支持异常告警和历史数据分析功能。</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 联系我们 -->
                <section id="contact-form" class="contact-section">
                    <div class="section-header">
                        <h2>获得报价</h2>
                        <p>填写以下表单，我们的专业顾问将为您提供定制化方案和报价</p>
                    </div>
                    <div class="contact-form-container">
                        <form class="contact-form">
                            <div class="form-group">
                                <label for="name">您的姓名：</label>
                                <input type="text" id="name" name="name" required>
                            </div>
                            <div class="form-group">
                                <label for="email">您的邮箱：</label>
                                <input type="email" id="email" name="email" required>
                            </div>
                            <div class="form-group">
                                <label for="phone">联系电话：</label>
                                <input type="tel" id="phone" name="phone" required>
                            </div>
                            <div class="form-group">
                                <label for="budget">资金预算：</label>
                                <select id="budget" name="budget">
                                    <option value="0-100">$0 - $100</option>
                                    <option value="100-200">$100 - $200</option>
                                    <option value="200-300">$200 - $300</option>
                                    <option value="300-400">$300 - $400</option>
                                    <option value="400+">$400以上</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="requirements">具体需求：</label>
                                <textarea id="requirements" name="requirements" rows="4"></textarea>
                            </div>
                            <div class="form-actions">
                                <button type="submit" class="btn btn-primary">提交申请</button>
                            </div>
                        </form>
                    </div>
                </section>
                <!-- 相关服务 -->
                <section class="related-services">
                    <div class="section-header">
                        <h2>相关服务推荐</h2>
                        <p>探索更多可与混合云互联配合使用的服务</p>
                    </div>
                    <div class="services-grid">
                        <a href="/hosting.php" class="service-card">
                            <div class="service-icon">
                                <i class="material-icons">dns</i>
                            </div>
                            <h3>服务器托管</h3>
                            <p>专业的IDC服务器托管解决方案，为您的业务保驾护航</p>
                        </a>
                        <a href="/cdn.php" class="service-card">
                            <div class="service-icon">
                                <i class="material-icons">cloud_circle</i>
                            </div>
                            <h3>CDN加速服务</h3>
                            <p>全球内容分发网络，加速网站和应用的访问速度</p>
                        </a>
                        <a href="/ip_matrix.php" class="service-card">
                            <div class="service-icon">
                                <i class="material-icons">device_hub</i>
                            </div>
                            <h3>站群IP资源</h3>
                            <p>干净独享IP资源，为矩阵工作室提供稳定高效的IP解决方案</p>
                        </a>
                    </div>
                </section>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <!-- 修复下拉菜单问题 -->
        <script>
        document.addEventListener('DOMContentLoaded', function() {
            // 获取所有带有下拉菜单的导航项
            const navItems = document.querySelectorAll('.nav-item.has-dropdown');
            // 为每个导航项添加点击事件
            navItems.forEach(item => {
                item.addEventListener('click', function(e) {
                    // 阻止点击事件冒泡
                    e.stopPropagation();
                    // 切换当前下拉菜单的显示状态
                    const dropdown = this.querySelector('.dropdown');
                    if (dropdown) {
                        dropdown.classList.toggle('active');
                        // 关闭其他打开的下拉菜单
                        navItems.forEach(otherItem => {
                            if (otherItem !== item) {
                                const otherDropdown = otherItem.querySelector('.dropdown');
                                if (otherDropdown && otherDropdown.classList.contains('active')) {
                                    otherDropdown.classList.remove('active');
                                }
                            }
                        });
                    }
                });
            });
            // 点击页面其他区域时关闭所有下拉菜单
            document.addEventListener('click', function() {
                navItems.forEach(item => {
                    const dropdown = item.querySelector('.dropdown');
                    if (dropdown && dropdown.classList.contains('active')) {
                        dropdown.classList.remove('active');
                    }
                });
            });
        });
        </script>
    </body>
</html>
