<?php
// 定义ROOT_PATH常量
if (!defined('ROOT_PATH')) {
    define('ROOT_PATH', dirname(__DIR__));
}

include_once ROOT_PATH . '/public/config.php';
// 引入数据库配置
require_once ROOT_PATH . '/config/database.php';
// 获取数据库连接

$db = getDbConnection();
// 获取文章ID
$news_id = isset($_GET['id']) ? intval($_GET['id']) : 0;

// 由于sohw.php已经处理了重定向，这里不再需要重复处理
// 只有直接访问此文件时才需要处理重定向
if(!defined('REDIRECT_HANDLED') && $news_id <= 0) {
    // 如果没有有效的ID，重定向到新闻列表页
    header('Location: /news');
    exit;
}

// 更新文章浏览量
$updateViewsSql = "UPDATE news SET views = views + 1 WHERE id = {$news_id}";
$db->exec($updateViewsSql);

// 获取文章详情
$sql = "SELECT n.*, c.name as category_name 
        FROM news n 
        LEFT JOIN news_category c ON n.category_id = c.id 
        WHERE n.id = {$news_id}";
$result = $db->query($sql);
$newsDetail = $result->fetch(PDO::FETCH_ASSOC);

// 由于sohw.php已经处理了重定向，这里不再需要重复处理
// 只有直接访问此文件时才需要处理重定向
if(!defined('REDIRECT_HANDLED') && !$newsDetail) {
    // 如果文章不存在，重定向到新闻列表页
    header('Location: /news');
    exit;
}

// 获取分类列表
$categoryQuery = "SELECT * FROM news_category ORDER BY sort_order ASC";
$categories = $db->query($categoryQuery)->fetchAll(PDO::FETCH_ASSOC);

// 获取上一篇和下一篇文章
$prevSql = "SELECT id, title FROM news WHERE id < {$news_id} ORDER BY id DESC LIMIT 1";
$prevResult = $db->query($prevSql);
$prevNews = $prevResult->fetch(PDO::FETCH_ASSOC);

$nextSql = "SELECT id, title FROM news WHERE id > {$news_id} ORDER BY id ASC LIMIT 1";
$nextResult = $db->query($nextSql);
$nextNews = $nextResult->fetch(PDO::FETCH_ASSOC);

// 获取相关文章（同一分类的其他文章）
$relatedSql = "SELECT id, title, created_at FROM news 
              WHERE category_id = {$newsDetail['category_id']} 
              AND id != {$news_id} 
              ORDER BY created_at DESC LIMIT 4";
$relatedResult = $db->query($relatedSql);
$relatedNews = $relatedResult->fetchAll(PDO::FETCH_ASSOC);

// 获取热门文章（按浏览量排序）
$hotNewsSql = "SELECT id, title FROM news ORDER BY views DESC LIMIT 10";
$hotNewsResult = $db->query($hotNewsSql);
$hotNews = $hotNewsResult->fetchAll(PDO::FETCH_ASSOC);
?>
