<?php
// 确保从视图文件调用
if (!defined('INCLUDED_FROM_VIEW')) {
    die('Direct access not allowed');
}

// 引入数据库配置文件
require_once dirname(dirname(__FILE__)) . '/config/database.php';

/**
 * 获取泰国云服务器产品数据
 * @param bool $debug 是否开启调试模式
 * @return array 产品数据数组
 */
function getThCloudProducts_Main($debug = false) {
    // 获取数据库连接
    $db = getDbConnection();
    
    if (!$db) {
        if ($debug) {
            echo "Debug: Database connection failed\n";
        }
        return [];
    }
    
    try {
        // 查询泰国云服务器产品（region_id = 31）
        $query = "SELECT * FROM products WHERE region_id = 31 AND status = 1 ORDER BY price ASC";
        $stmt = $db->prepare($query);
        $stmt->execute();
        $products = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($debug) {
            echo "Debug: Query executed successfully\n";
            echo "Debug: Found " . count($products) . " products\n";
        }

        return $products;
    } catch (PDOException $e) {
        if ($debug) {
            echo "Debug: Error occurred - " . $e->getMessage() . "\n";
        }
        return [];
    }
}
?> 