<?php
require_once 'index_coed.php';
$pageTitle = '函数引用示例';
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title><?php echo $pageTitle; ?></title>
        <style>
        body {
            font-family: 'Microsoft YaHei', sans-serif;
            line-height: 1.6;
            margin: 0;
            padding: 20px;
            background-color: #f5f5f5;
        }

        .container {
            max-width: 800px;
            margin: 0 auto;
            background: white;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #333;
            border-bottom: 1px solid #eee;
            padding-bottom: 10px;
        }

        .example {
            background: #f9f9f9;
            border-left: 3px solid #2196F3;
            padding: 10px 15px;
            margin-bottom: 20px;
        }

        .example h3 {
            margin-top: 0;
            color: #2196F3;
        }

        .footer {
            margin-top: 30px;
            text-align: center;
            color: #777;
            font-size: 0.9em;
        }

        </style>
    </head>
    <body>
        <div class="container">
            <h1><?php echo $pageTitle; ?></h1>
            <div class="example">
                <h3>日期时间格式化</h3>
                <p>当前时间：<?php echo formatDateTime(); ?></p>
                <p>自定义格式：<?php echo formatDateTime(time(), 'Y年m月d日 H:i'); ?></p>
            </div>
            <div class="example">
                <h3>数字计算</h3>
                <?php
            $num1 = 25;
            $num2 = 17;
            ?>
                <p>计算 <?php echo $num1; ?> + <?php echo $num2; ?> = <?php echo addNumbers($num1, $num2); ?></p>
            </div>
            <div class="example">
                <h3>字符串处理</h3>
                <?php
            $emptyString = '';
            $nonEmptyString = '这是一个非空字符串';
            ?>
                <p>空字符串检查："<?php echo $emptyString; ?>" 是否为空？ <?php echo isEmptyString($emptyString) ? '是' : '否'; ?></p>
                <p>非空字符串检查："<?php echo $nonEmptyString; ?>" 是否为空？ <?php echo isEmptyString($nonEmptyString) ? '是' : '否'; ?></p>
            </div>
            <div class="example">
                <h3>安全获取参数</h3>
                <p>URL参数示例：如果您在URL中添加 ?name=张三，将会显示：<?php echo getSafeGet('name', '未提供'); ?></p>
            </div>
            <div class="example">
                <h3>随机字符串生成</h3>
                <p>8位随机字符串：<?php echo generateRandomString(8); ?></p>
                <p>16位随机字符串：<?php echo generateRandomString(16); ?></p>
            </div>
            <div class="footer">
                <p>演示如何引用 index_coed.php 中的函数 | <?php echo formatDateTime(); ?></p>
            </div>
        </div>
    </body>
</html>
