<?php
/**
 * 数据库连接配置文件
 * 
 * 此文件包含数据库连接所需的所有配置信息
 */

// 数据库连接信息
define('DB_HOST', 'localhost');      // 数据库主机地址
define('DB_NAME', 'efsue_com');      // 数据库名称
define('DB_USER', 'efsue_com');      // 数据库用户名
define('DB_PASSWORD', 'KCe43QK5G3XZBW3a'); // 数据库密码
define('DB_CHARSET', 'utf8mb4');         // 数据库字符集
define('DB_COLLATE', 'utf8mb4_unicode_ci'); // 数据库排序规则

/**
 * 数据库连接函数
 * 
 * @return PDO 数据库连接对象
 */
function getDbConnection() {
    // 使用已定义的常量
    try {
        $dsn = "mysql:host=" . DB_HOST . ";dbname=" . DB_NAME . ";charset=" . DB_CHARSET;
        $options = [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
            PDO::ATTR_EMULATE_PREPARES => false,
        ];
        
        $pdo = new PDO($dsn, DB_USER, DB_PASSWORD, $options);
        return $pdo;
    } catch (PDOException $e) {
        // 生产环境中应该记录错误而不是显示
        die("数据库连接失败: " . $e->getMessage());
    }
}

/**
 * 使用示例:
 * 
 * // 引入数据库配置文件
 * require_once 'config/database.php';
 * 
 * // 获取数据库连接
 * $db = getDbConnection();
 * 
 * // 执行查询
 * $stmt = $db->query("SELECT * FROM users");
 * $users = $stmt->fetchAll();
 */
?>
