<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>服务器定制 - 专业定制服务器解决方案</title>
        <meta name="description" content="提供专业的服务器定制服务，根据您的业务需求量身定制高性能、高可靠性的专属服务器解决方案，支持灵活配置、性能优化和安全防护。">
        <meta name="keywords" content="服务器定制,定制服务器,服务器配置,高性能服务器,服务器解决方案,服务器租用,服务器托管,服务器优化">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/custom_server.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <!-- Banner 区域 -->
            <?php include 'public/banner.php'; ?>
            <!-- 内容区域 -->
            <div class="custom-server-content">
                <!-- 面包屑导航 -->
                <div class="breadcrumb">
                    <a href="/">首页</a>
                    <i class="material-icons">chevron_right</i>
                    <a href="/product">产品服务</a>
                    <i class="material-icons">chevron_right</i>
                    <span>服务器定制</span>
                </div>
                <!-- 页面标题 -->
                <div class="page-header">
                    <h1>专业服务器定制方案</h1>
                    <p>根据您的业务需求，量身定制高性能、高可靠性的专属服务器解决方案</p>
                </div>
                <!-- 定制优势 -->
                <section class="custom-advantages">
                    <div class="section-header">
                        <h2>定制服务优势</h2>
                        <p>专业的服务器定制解决方案，为您的业务提供强大支持</p>
                    </div>
                    <div class="advantages-grid">
                        <div class="advantage-card">
                            <i class="material-icons">settings</i>
                            <h3>灵活配置</h3>
                            <p>根据业务需求<br>自由选择硬件配置<br>按需定制最优方案</p>
                        </div>
                        <div class="advantage-card">
                            <i class="material-icons">speed</i>
                            <h3>性能优化</h3>
                            <p>专业性能调优<br>针对业务场景优化<br>提升运行效率</p>
                        </div>
                        <div class="advantage-card">
                            <i class="material-icons">security</i>
                            <h3>安全保障</h3>
                            <p>多层次安全防护<br>数据加密传输<br>定期安全评估</p>
                        </div>
                        <div class="advantage-card">
                            <i class="material-icons">support_agent</i>
                            <h3>专属支持</h3>
                            <p>一对一技术顾问<br>7*24小时专属支持<br>快速响应处理</p>
                        </div>
                    </div>
                </section>
                <!-- 定制选项 -->
                <section class="custom-options">
                    <div class="section-header">
                        <h2>定制选项</h2>
                        <p>多维度自由组合，打造专属服务器</p>
                    </div>
                    <div class="options-container">
                        <!-- 硬件配置 -->
                        <div class="option-card">
                            <div class="option-header">
                                <div class="option-icon">
                                    <i class="material-icons">memory</i>
                                </div>
                                <h3 class="option-title">硬件配置</h3>
                            </div>
                            <div class="option-content">
                                <p>选择适合您业务需求的处理器、内存和存储配置，确保性能与成本的最佳平衡。</p>
                            </div>
                            <div class="option-items">
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>Intel/AMD 多种处理器选择</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>8GB-1TB 内存配置</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>SSD/HDD 多种存储方案</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>RAID 阵列配置</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>GPU 加速计算</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>定制化机箱设计</span>
                                </div>
                            </div>
                        </div>
                        <!-- 网络配置 -->
                        <div class="option-card">
                            <div class="option-header">
                                <div class="option-icon">
                                    <i class="material-icons">router</i>
                                </div>
                                <h3 class="option-title">网络配置</h3>
                            </div>
                            <div class="option-content">
                                <p>根据业务需求选择带宽大小、IP数量和线路类型，确保网络连接稳定高效。</p>
                            </div>
                            <div class="option-items">
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>1Mbps-10Gbps 带宽选择</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>单IP至多IP配置</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>CN2/BGP/国际多线路</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>DDoS防护配置</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>负载均衡设置</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>专线接入服务</span>
                                </div>
                            </div>
                        </div>
                        <!-- 操作系统 -->
                        <div class="option-card">
                            <div class="option-header">
                                <div class="option-icon">
                                    <i class="material-icons">computer</i>
                                </div>
                                <h3 class="option-title">操作系统</h3>
                            </div>
                            <div class="option-content">
                                <p>选择适合您业务的操作系统和软件环境，我们提供专业的系统优化和配置服务。</p>
                            </div>
                            <div class="option-items">
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>Windows Server 系列</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>CentOS/Ubuntu/Debian</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>专业系统优化</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>安全加固服务</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>虚拟化平台部署</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>容器环境配置</span>
                                </div>
                            </div>
                        </div>
                        <!-- 增值服务 -->
                        <div class="option-card">
                            <div class="option-header">
                                <div class="option-icon">
                                    <i class="material-icons">add_circle</i>
                                </div>
                                <h3 class="option-title">增值服务</h3>
                            </div>
                            <div class="option-content">
                                <p>除基础硬件和网络配置外，我们还提供多种增值服务，满足您的特殊业务需求。</p>
                            </div>
                            <div class="option-items">
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>数据备份方案</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>灾备解决方案</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>CDN加速服务</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>安全监控服务</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>性能监控与报警</span>
                                </div>
                                <div class="option-item">
                                    <i class="material-icons">check_circle</i>
                                    <span>专业运维服务</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 定制表单 -->
                <section class="custom-form-section">
                    <div class="section-header">
                        <h2>在线定制</h2>
                        <p>填写您的需求，我们将为您提供专业的定制方案</p>
                    </div>
                    <div class="custom-form">
                        <form action="#" method="post">
                            <div class="form-row">
                                <div class="form-group">
                                    <label for="company">公司名称</label>
                                    <input type="text" id="company" name="company" class="form-control" placeholder="请输入公司名称">
                                </div>
                                <div class="form-group">
                                    <label for="name">联系人</label>
                                    <input type="text" id="name" name="name" class="form-control" placeholder="请输入联系人姓名">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group">
                                    <label for="email">电子邮箱</label>
                                    <input type="email" id="email" name="email" class="form-control" placeholder="请输入电子邮箱">
                                </div>
                                <div class="form-group">
                                    <label for="phone">联系电话</label>
                                    <input type="tel" id="phone" name="phone" class="form-control" placeholder="请输入联系电话">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="server_type">服务器类型</label>
                                <select id="server_type" name="server_type" class="form-control">
                                    <option value="">请选择服务器类型</option>
                                    <option value="physical">物理独立服务器</option>
                                    <option value="cloud">云服务器</option>
                                    <option value="cluster">服务器集群</option>
                                    <option value="high_performance">高性能计算服务器</option>
                                    <option value="high_defense">高防服务器</option>
                                    <option value="multi_ip">多IP站群服务器</option>
                                </select>
                            </div>
                            <div class="form-row">
                                <div class="form-group">
                                    <label for="cpu">CPU需求</label>
                                    <select id="cpu" name="cpu" class="form-control">
                                        <option value="">请选择CPU配置</option>
                                        <option value="e3_4c">E3系列 4核</option>
                                        <option value="e5_8c">E5系列 8核</option>
                                        <option value="e5_16c">E5系列 16核</option>
                                        <option value="e7_24c">E7系列 24核</option>
                                        <option value="amd_8c">AMD EPYC 8核</option>
                                        <option value="amd_16c">AMD EPYC 16核</option>
                                        <option value="amd_32c">AMD EPYC 32核</option>
                                        <option value="custom">自定义</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="memory">内存需求</label>
                                    <select id="memory" name="memory" class="form-control">
                                        <option value="">请选择内存配置</option>
                                        <option value="8gb">8GB</option>
                                        <option value="16gb">16GB</option>
                                        <option value="32gb">32GB</option>
                                        <option value="64gb">64GB</option>
                                        <option value="128gb">128GB</option>
                                        <option value="256gb">256GB</option>
                                        <option value="512gb">512GB</option>
                                        <option value="custom">自定义</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group">
                                    <label for="storage">存储需求</label>
                                    <select id="storage" name="storage" class="form-control">
                                        <option value="">请选择存储配置</option>
                                        <option value="ssd_240">240GB SSD</option>
                                        <option value="ssd_480">480GB SSD</option>
                                        <option value="ssd_960">960GB SSD</option>
                                        <option value="hdd_1tb">1TB HDD</option>
                                        <option value="hdd_2tb">2TB HDD</option>
                                        <option value="raid_1tb">RAID 1TB</option>
                                        <option value="raid_2tb">RAID 2TB</option>
                                        <option value="custom">自定义</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="bandwidth">带宽需求</label>
                                    <select id="bandwidth" name="bandwidth" class="form-control">
                                        <option value="">请选择带宽配置</option>
                                        <option value="10m">10Mbps</option>
                                        <option value="20m">20Mbps</option>
                                        <option value="50m">50Mbps</option>
                                        <option value="100m">100Mbps</option>
                                        <option value="200m">200Mbps</option>
                                        <option value="500m">500Mbps</option>
                                        <option value="1g">1Gbps</option>
                                        <option value="custom">自定义</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group">
                                    <label for="ip_count">IP数量</label>
                                    <select id="ip_count" name="ip_count" class="form-control">
                                        <option value="">请选择IP数量</option>
                                        <option value="1">1个</option>
                                        <option value="2">2个</option>
                                        <option value="5">5个</option>
                                        <option value="10">10个</option>
                                        <option value="20">20个</option>
                                        <option value="50">50个</option>
                                        <option value="100">100个</option>
                                        <option value="custom">自定义</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="location">服务器位置</label>
                                    <select id="location" name="location" class="form-control">
                                        <option value="">请选择服务器位置</option>
                                        <option value="hk">香港</option>
                                        <option value="us">美国</option>
                                        <option value="jp">日本</option>
                                        <option value="kr">韩国</option>
                                        <option value="sg">新加坡</option>
                                        <option value="tw">台湾</option>
                                        <option value="eu">欧洲</option>
                                        <option value="custom">其他地区</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="os">操作系统</label>
                                <select id="os" name="os" class="form-control">
                                    <option value="">请选择操作系统</option>
                                    <option value="centos">CentOS</option>
                                    <option value="ubuntu">Ubuntu</option>
                                    <option value="debian">Debian</option>
                                    <option value="windows">Windows Server</option>
                                    <option value="esxi">VMware ESXi</option>
                                    <option value="proxmox">Proxmox VE</option>
                                    <option value="custom">自定义</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>增值服务</label>
                                <div class="form-check">
                                    <input type="checkbox" id="service_backup" name="services[]" value="backup">
                                    <label for="service_backup">数据备份服务</label>
                                </div>
                                <div class="form-check">
                                    <input type="checkbox" id="service_monitor" name="services[]" value="monitor">
                                    <label for="service_monitor">7*24监控服务</label>
                                </div>
                                <div class="form-check">
                                    <input type="checkbox" id="service_security" name="services[]" value="security">
                                    <label for="service_security">安全防护服务</label>
                                </div>
                                <div class="form-check">
                                    <input type="checkbox" id="service_ops" name="services[]" value="ops">
                                    <label for="service_ops">专业运维服务</label>
                                </div>
                                <div class="form-check">
                                    <input type="checkbox" id="service_cdn" name="services[]" value="cdn">
                                    <label for="service_cdn">CDN加速服务</label>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="requirements">其他需求</label>
                                <textarea id="requirements" name="requirements" class="form-control" rows="5" placeholder="请详细描述您的其他需求或特殊配置要求"></textarea>
                            </div>
                            <div class="form-actions">
                                <button type="submit" class="btn-primary">提交定制需求</button>
                            </div>
                        </form>
                    </div>
                </section>
                <!-- 常见问题 -->
                <section class="faq-section">
                    <div class="section-header">
                        <h2>常见问题</h2>
                        <p>关于服务器定制的常见问题解答</p>
                    </div>
                    <div class="faq-list">
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>服务器定制需要多长时间？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>根据定制需求的复杂程度不同，一般情况下需要3-7个工作日。对于特殊配置或大批量定制，可能需要更长时间，我们会根据您的具体需求提供准确的时间估计。</p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>定制服务器是否提供测试？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>是的，我们提供定制服务器的测试服务。在正式部署前，您可以申请测试期，确认服务器性能和配置符合您的业务需求。测试满意后再决定是否正式采购。</p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>定制服务器是否提供技术支持？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>我们为所有定制服务器客户提供专业的技术支持服务。根据您选择的服务级别，我们提供7*24小时技术支持、定期维护、性能优化等服务，确保您的服务器稳定高效运行。</p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>如何确定我需要什么配置的服务器？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>我们的专业技术顾问会根据您的业务需求、访问量、应用类型等因素，为您提供合适的配置建议。您也可以通过在线表单提交您的需求，我们会尽快与您联系，提供专业的配置方案。</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 联系我们 -->
                <section class="contact-section">
                    <div class="contact-content">
                        <h2>需要更多帮助？</h2>
                        <p>我们的专业团队随时为您提供定制服务和技术支持</p>
                        <div class="contact-buttons">
                            <a href="#" class="btn-primary">在线咨询</a>
                            <a href="#" class="btn-outline">联系电话：400-800-1234</a>
                        </div>
                    </div>
                </section>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/custom_server.js"></script>
    </body>
</html>
