<?php include 'public/config.php'; ?>
<?php
// 定义包含常量
define('INCLUDED_FROM_VIEW', true);
// 引入德国服务器数据处理文件
require_once 'code/de_code.php';
// 调用函数获取数据，关闭调试模式
$deCloudProducts = getGermanyCloudProducts(false);
$deBaremetalProducts = getGermanyBareMetalProducts(false);
$deClusterProducts = getGermanyClusterProducts(false);
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>德国服务器租用 - 法兰克福T4数据中心 | 欧洲GDPR合规高性能服务器</title>
        <meta name="keywords" content="德国服务器,法兰克福服务器,欧洲服务器,GDPR合规服务器,德国云服务器,德国物理服务器,高性能服务器,欧洲数据中心,德国主机,欧盟服务器租用">
        <meta name="description" content="提供法兰克福顶级T4数据中心的德国服务器租用服务，完全符合GDPR规范，为欧洲及全球业务提供低延迟稳定连接。多种配置可选，配备高性能硬件和独享带宽，适合电子商务、游戏服务和数据安全业务。">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/de.css" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <!-- 引入菜单修复样式 -->   
        <link rel="stylesheet" href="/public/css/menu-fix.css">
        <!-- 引入移动端菜单脚本 -->
        <script src="/public/js/menu-fix.js"></script>
        <!-- 引入移动端样式 -->
        <link href="/public/css/mobile-style.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <!-- Banner 区域 -->
            <?php include 'public/banner.php'; ?>
            <!-- 内容区域 -->
            <div class="hk-content">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品服务</a>
                        <i class="material-icons">chevron_right</i>
                        <span>德国服务器</span>
                    </div>
                </div>
                <!-- 页面标题区域 -->
                <!-- 服务器优势 -->
                <div class="floor-section hk-advantages">
                    <div class="container">
                        <div class="section-header">
                            <h2>德国服务器优势</h2>
                            <p>法兰克福顶级数据中心，欧洲最佳网络连接</p>
                        </div>
                        <div class="advantages-grid">
                            <div class="advantage-card">
                                <i class="material-icons">public</i>
                                <h3>欧洲核心位置</h3>
                                <p>位于法兰克福<br>欧洲网络枢纽中心<br>覆盖整个欧洲市场</p>
                            </div>
                            <div class="advantage-card">
                                <i class="material-icons">security</i>
                                <h3>GDPR合规</h3>
                                <p>严格遵守欧盟数据保护条例<br>保障数据安全<br>保护用户隐私</p>
                            </div>
                            <div class="advantage-card">
                                <i class="material-icons">speed</i>
                                <h3>高速网络</h3>
                                <p>德国顶级骨干网络<br>低延迟连接<br>覆盖欧洲、美洲和亚洲</p>
                            </div>
                            <div class="advantage-card">
                                <i class="material-icons">eco</i>
                                <h3>绿色节能</h3>
                                <p>采用可再生能源供电<br>节能环保<br>绿色数据中心</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 服务器配置 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>德国服务器配置方案</h2>
                            <p>多种配置可选，满足不同业务需求</p>
                        </div>
                        <div class="server-tabs">
                            <div class="tab-buttons">
                                <button class="tab-btn active" data-target="cloud-servers">德国云服务器</button>
                                <button class="tab-btn" data-target="bare-metal-servers">德国裸机云服务器</button>
                                <button class="tab-btn" data-target="cluster-servers">德国站群服务器</button>
                            </div>
                        </div>
                        <div class="tab-content">
                            <div id="cloud-servers" class="tab-pane active">
                                <!-- 德国云服务器内容 -->
                                <div class="plans-grid">
                                    <?php
                  // 获取云服务器产品数据
                  if (!empty($deCloudProducts['products'])) {
                    $cloudCount = 0;
                    foreach ($deCloudProducts['products'] as $product) {
                      $cloudCount++;
                  ?>
                                    <div class="server-card">
                                        <div class="server-header">
                                            <span class="server-title">德国云服务器 <?php echo $cloudCount; ?></span>
                                            <span class="server-area">法兰克福专区</span>
                                        </div>
                                        <div class="server-table">
                                            <div class="server-row">
                                                <span>编号：</span>
                                                <span>
                                                    <?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?>
                                                </span>
                                                <span>CPU：</span><span><?php echo $product['cpu']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>硬盘：</span><span><?php echo $product['disk']; ?></span>
                                                <span>带宽：</span><span><?php echo $product['bandwidth']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>防御：</span><span><?php echo !empty($product['defense']) ? $product['defense'] : '基础防护'; ?></span>
                                                <span>线路：</span><span>欧洲优化</span>
                                            </div>
                                            <div class="server-row">
                                                <span>地区：</span><span>德国</span>
                                                <span>内存：</span><span><?php echo $product['memory']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>IP数：</span><span><?php echo $product['ip_count']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>流量：</span><span>不限</span>
                                            </div>
                                        </div>
                                        <div class="server-footer">
                                            <div class="server-price">
                                                <span class="price">$<?php echo number_format($product['price'] * getMultiplier(), 2); ?></span><span class="unit">/月</span>
                                            </div>
                                            <div class="server-btns">
                                                <a href="//product/<?php echo $product['id']; ?>.html"" class="server-btn primary">产品详情</a>
                                                <a href="<?= $Telegram ?>" class="server-btn outline" target="_blank">免费测试</a>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                    }
                  } else {
                    // 如果没有产品数据，不显示默认服务器
                  ?>
                                    <?php } ?>
                                </div>
                            </div>
                            <div id="bare-metal-servers" class="tab-pane">
                                <!-- 德国裸机云服务器内容 -->
                                <div class="plans-grid">
                                    <?php
                  // 获取裸机云服务器产品数据
                  if (!empty($deBaremetalProducts['products'])) {
                    $bareCount = 0;
                    foreach ($deBaremetalProducts['products'] as $product) {
                      $bareCount++;
                      // 判断是否为推荐产品（可根据某些条件来确定）
                      $isFeatured = ($bareCount == 2); // 这里简单地将第二个产品标记为推荐
                  ?>
                                    <div class="server-card <?php echo $isFeatured ? 'featured' : ''; ?>">
                                        <?php if ($isFeatured): ?>
                                        <div class="server-tag">推荐</div>
                                        <?php endif; ?>
                                        <div class="server-header">
                                            <span class="server-title">德国裸机云 <?php echo $bareCount; ?>号</span>
                                            <span class="server-area">法兰克福专区</span>
                                        </div>
                                        <div class="server-table">
                                            <div class="server-row">
                                                <span>编号：</span>
                                                <span>
                                                    <?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?>
                                                </span>
                                                <span>CPU：</span><span><?php echo $product['cpu']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>硬盘：</span><span><?php echo $product['disk']; ?></span>
                                                <span>带宽：</span><span><?php echo $product['bandwidth']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>防御：</span><span><?php echo !empty($product['defense']) ? $product['defense'] : '基础防护'; ?></span>
                                                <span>线路：</span><span>欧洲优化</span>
                                            </div>
                                            <div class="server-row">
                                                <span>地区：</span><span>德国</span>
                                                <span>内存：</span><span><?php echo $product['memory']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>IP数：</span><span><?php echo $product['ip_count']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>流量：</span><span>不限</span>
                                            </div>
                                        </div>
                                        <div class="server-footer">
                                            <div class="server-price">
                                                <span class="price">$<?php echo number_format($product['price'] * getMultiplier(), 2); ?></span><span class="unit">/月</span>
                                            </div>
                                            <div class="server-btns">
                                                <a href="//product/<?php echo $product['id']; ?>.html"" class="server-btn primary">产品详情</a>
                                                <a href="<?= $Telegram ?>" class="server-btn outline" target="_blank">免费测试</a>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                    }
                  } else {
                    // 没有产品数据，显示默认服务器
                  ?>
                                    <!-- 无数据时默认显示的裸机云服务器 -->
                                    <?php } ?>
                                </div>
                            </div>
                            <div id="cluster-servers" class="tab-pane">
                                <!-- 德国站群服务器内容 -->
                                <div class="plans-grid">
                                    <?php
                  // 获取站群服务器产品数据
                  if (!empty($deClusterProducts['products'])) {
                    $clusterCount = 0;
                    foreach ($deClusterProducts['products'] as $product) {
                      $clusterCount++;
                      // 判断是否为推荐产品（可根据某些条件来确定）
                      $isFeatured = ($clusterCount == 2); // 这里简单地将第二个产品标记为推荐
                  ?>
                                    <div class="server-card <?php echo $isFeatured ? 'featured' : ''; ?>">
                                        <?php if ($isFeatured): ?>
                                        <div class="server-tag">推荐</div>
                                        <?php endif; ?>
                                        <div class="server-header">
                                            <span class="server-title">德国站群 <?php echo $clusterCount; ?>号</span>
                                            <span class="server-area">法兰克福专区</span>
                                        </div>
                                        <div class="server-table">
                                            <div class="server-row">
                                                <span>编号：</span>
                                                <span>
                                                    <?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?>
                                                </span>
                                                <span>CPU：</span><span><?php echo $product['cpu']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>硬盘：</span><span><?php echo $product['disk']; ?></span>
                                                <span>带宽：</span><span><?php echo $product['bandwidth']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>防御：</span><span><?php echo !empty($product['defense']) ? $product['defense'] : '基础防护'; ?></span>
                                                <span>线路：</span><span>欧洲优化</span>
                                            </div>
                                            <div class="server-row">
                                                <span>地区：</span><span>德国</span>
                                                <span>内存：</span><span><?php echo $product['memory']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>IP数：</span><span><?php echo $product['ip_count']; ?></span>
                                            </div>
                                            <div class="server-row">
                                                <span>流量：</span><span>不限</span>
                                            </div>
                                        </div>
                                        <div class="server-footer">
                                            <div class="server-price">
                                                <span class="price">$<?php echo number_format($product['price'] * getMultiplier(), 2); ?></span><span class="unit">/月</span>
                                            </div>
                                            <div class="server-btns">
                                                <a href="//product/<?php echo $product['id']; ?>.html"" class="server-btn primary">产品详情</a>
                                                <a href="<?= $Telegram ?>" class="server-btn outline" target="_blank">免费测试</a>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                    }
                  } else {
                    // 没有产品数据，显示默认服务器
                  ?>
                                    <!-- 无数据时默认显示的站群服务器 -->
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 数据中心 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>德国数据中心</h2>
                            <p>法兰克福T4级数据中心，高标准设施保障</p>
                        </div>
                        <div class="features-container">
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">location_on</i>
                                </div>
                                <div class="feature-content">
                                    <h3>战略位置</h3>
                                    <p>位于法兰克福DE-CIX互联网交换中心附近，欧洲网络核心区域</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">electrical_services</i>
                                </div>
                                <div class="feature-content">
                                    <h3>电力系统</h3>
                                    <p>2N+1冗余电力系统，多重UPS保障，100%在线时间保证</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">network_check</i>
                                </div>
                                <div class="feature-content">
                                    <h3>网络连接</h3>
                                    <p>多家Tier-1运营商接入，多层次网络架构，自动路由优化</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">security_update_good</i>
                                </div>
                                <div class="feature-content">
                                    <h3>安全防护</h3>
                                    <p>多层次安全防护体系，包括DDoS防护、防火墙和入侵检测，保障服务器安全稳定运行。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 常见问题 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>常见问题</h2>
                            <p>关于德国服务器的常见问题解答</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>德国服务器适合哪些业务场景？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>德国服务器由于位于欧洲中心位置，特别适合面向欧洲用户的业务，如电子商务、游戏服务、欧洲本地化内容分发等。同时，由于德国严格的数据保护法律，也适合对数据安全和隐私有较高要求的业务。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>德国服务器的带宽资源如何？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>我们的德国服务器连接到多家顶级运营商网络，提供稳定的带宽资源。默认配置包含独享带宽，可根据需求灵活扩展，最高可提供100Mbps甚至更高的独享带宽。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>德国服务器的部署时间是多久？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>标准配置的德国服务器一般在24小时内完成部署。特殊配置可能需要2-3个工作日。紧急需求请联系客服，我们会尽量加快部署进度。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 联系我们 -->
                <div class="floor-section service-features contact-section">
                    <div class="container">
                        <div class="contact-content">
                            <h2>需要定制方案？</h2>
                            <p>联系我们的专业团队，获取个性化德国服务器解决方案</p>
                            <div class="contact-buttons">
                                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">在线咨询</a>
                                <a href="/product" class="btn btn-outline">产品中心</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/header.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <script src="/public/js/tabs.js"></script>
    </body>
</html>
