<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>高防云服务器 - 300Gbps DDoS防御解决方案 | 香港美国双区域部署</title>
        <meta name="keywords" content="高防云服务器,DDoS云防御,300G高防云主机,香港高防云服务器,美国高防云服务器,CC攻击防护,秒级部署云服务器,弹性扩展云主机,游戏高防云服务,企业安全云服务">
        <meta name="description" content="提供高达300Gbps防御能力的高防云服务器，支持香港、美国区域秒级部署，多重安全防护体系。具备弹性扩展、按需付费特性，为游戏、金融、电商等业务提供稳定可靠的云端防护解决方案，确保业务全天候安全运行。">
        <?php echo getCommonCss(); ?>

        <link href="/public/css/high_defense_cloud.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="product-wrapper">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品服务</a>
                        <i class="material-icons">chevron_right</i>
                        <span>高防云服务器</span>
                    </div>
                </div>
                <!-- 页面标题区域 -->
                <div class="product-title-section">
                    <div class="container">
                        <h1>高防云服务器</h1>
                        <p>专业高防DDoS保护，为您的云端业务保驾护航</p>
                    </div>
                </div>
                <!-- 产品特点 -->
                <section class="features-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>高防云服务器优势</h2>
                            <p>强大的防护能力，灵活的云端部署</p>
                        </div>
                        <div class="advantage-grid">
                            <div class="advantage-card">
                                <div class="advantage-icon">
                                    <i class="material-icons">shield</i>
                                </div>
                                <div class="advantage-content">
                                    <h3>强力DDoS防御</h3>
                                    <p>提供高达300Gbps的DDoS防御能力，全方位保护您的云服务器免受各类攻击</p>
                                </div>
                            </div>
                            <div class="advantage-card">
                                <div class="advantage-icon">
                                    <i class="material-icons">flash_on</i>
                                </div>
                                <div class="advantage-content">
                                    <h3>秒级部署</h3>
                                    <p>云端资源即买即用，秒级开通，快速响应业务需求</p>
                                </div>
                            </div>
                            <div class="advantage-card">
                                <div class="advantage-icon">
                                    <i class="material-icons">trending_up</i>
                                </div>
                                <div class="advantage-content">
                                    <h3>弹性扩展</h3>
                                    <p>根据业务需求随时调整配置，灵活应对流量变化</p>
                                </div>
                            </div>
                            <div class="advantage-card">
                                <div class="advantage-icon">
                                    <i class="material-icons">security</i>
                                </div>
                                <div class="advantage-content">
                                    <h3>多重安全</h3>
                                    <p>DDoS防御、CC防护、WAF防火墙等多重安全措施为您的业务保驾护航</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 香港产品列表 -->
                <section class="product-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港高防云服务器</h2>
                            <p>海外业务首选，低延迟访问，优质网络体验</p>
                        </div>
                        <div class="product-cards four-column">
                            <div class="product-card">
                                <div class="product-badge">入门型</div>
                                <div class="product-header">
                                    <h3>基础防护型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 香港机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">2核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">4GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">60GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">5Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">50Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">10000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥699</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                            <div class="product-card featured">
                                <div class="product-badge">热销推荐</div>
                                <div class="product-header">
                                    <h3>企业防护型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 香港机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">4核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">8GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">120GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">10Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">100Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">30000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥1299</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                            <div class="product-card">
                                <div class="product-badge">高级防护</div>
                                <div class="product-header">
                                    <h3>旗舰防护型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 香港机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">8核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">16GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">240GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">20Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">300Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">50000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥2699</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                            <div class="product-card">
                                <div class="product-badge">定制型</div>
                                <div class="product-header">
                                    <h3>高级定制型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 香港机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">16核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">32GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">500GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">30Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">400Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">100000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥3999</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 美国产品列表 -->
                <section class="product-section us-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>美国高防云服务器</h2>
                            <p>国际业务首选，全球化部署，稳定可靠</p>
                        </div>
                        <div class="product-cards four-column">
                            <div class="product-card">
                                <div class="product-badge">入门型</div>
                                <div class="product-header">
                                    <h3>基础防护型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 美国机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">2核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">4GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">60GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">5Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">80Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">15000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥599</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                            <div class="product-card featured">
                                <div class="product-badge">热销推荐</div>
                                <div class="product-header">
                                    <h3>企业防护型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 美国机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">4核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">8GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">120GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">10Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">150Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">40000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥1099</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                            <div class="product-card">
                                <div class="product-badge">高级防护</div>
                                <div class="product-header">
                                    <h3>旗舰防护型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 美国机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">8核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">16GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">240GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">20Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">300Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">60000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥2499</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                            <div class="product-card">
                                <div class="product-badge">定制型</div>
                                <div class="product-header">
                                    <h3>高级定制型</h3>
                                    <div class="product-location">
                                        <i class="material-icons">public</i> 美国机房
                                    </div>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">CPU</div>
                                        <div class="spec-value">16核</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">内存</div>
                                        <div class="spec-value">32GB</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">硬盘</div>
                                        <div class="spec-value">500GB SSD</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">带宽</div>
                                        <div class="spec-value">30Mbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">防御峰值</div>
                                        <div class="spec-value">400Gbps</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">CC防护</div>
                                        <div class="spec-value">100000QPS</div>
                                    </div>
                                </div>
                                <div class="product-footer">
                                    <div class="product-price">
                                        <span class="price-value">¥3699</span>
                                        <span class="price-period">/月</span>
                                    </div>
                                    <a href="/cart.html" class="btn btn-primary">立即购买</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 防护技术 -->
                <section class="tech-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>高防云服务器防护技术</h2>
                            <p>专业的DDoS防御体系，全方位保护您的业务</p>
                        </div>
                        <div class="tech-grid">
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">security</i>流量清洗</h3>
                                </div>
                                <div class="tech-content">
                                    <p>采用多层次流量检测和清洗技术，能够精准识别并过滤恶意流量。</p>
                                    <ul>
                                        <li>BGP智能调度</li>
                                        <li>多点分布式清洗</li>
                                        <li>AI智能识别</li>
                                        <li>动态防御策略</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">verified_user</i>CC防护</h3>
                                </div>
                                <div class="tech-content">
                                    <p>针对应用层CC攻击提供专业防护，保障网站稳定运行。</p>
                                    <ul>
                                        <li>行为分析防护</li>
                                        <li>人机验证</li>
                                        <li>访问频率控制</li>
                                        <li>IP信誉度检测</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">speed</i>快速响应</h3>
                                </div>
                                <div class="tech-content">
                                    <p>攻击检测和响应机制实现毫秒级响应，最大程度减少业务影响。</p>
                                    <ul>
                                        <li>秒级检测</li>
                                        <li>自动化防御</li>
                                        <li>实时流量分析</li>
                                        <li>智能攻击预警</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">wifi_tethering</i>全球节点</h3>
                                </div>
                                <div class="tech-content">
                                    <p>分布式防御架构，多个清洗中心协同工作，提供强大防御能力。</p>
                                    <ul>
                                        <li>香港清洗中心</li>
                                        <li>美国清洗中心</li>
                                        <li>全球流量调度</li>
                                        <li>冗余防护机制</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 应用场景 -->
                <section class="use-cases">
                    <div class="container">
                        <div class="section-header">
                            <h2>应用场景</h2>
                            <p>适用于多种需要高防护的云端应用场景</p>
                        </div>
                        <div class="use-cases-grid">
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">videogame_asset</i>
                                </div>
                                <h3>游戏加速</h3>
                                <p>为游戏服务器提供低延迟、高防护的网络环境，抵御恶意攻击，保障游戏体验</p>
                            </div>
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">language</i>
                                </div>
                                <h3>跨境电商</h3>
                                <p>为跨境电商平台提供稳定的海外服务器资源，支持全球化业务拓展</p>
                            </div>
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">movie</i>
                                </div>
                                <h3>视频直播</h3>
                                <p>为直播平台提供高带宽、防攻击的服务器环境，确保直播流畅不中断</p>
                            </div>
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">credit_card</i>
                                </div>
                                <h3>金融支付</h3>
                                <p>为金融交易系统提供安全可靠的服务器环境，防止DDoS攻击导致的业务中断</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 常见问题 -->
                <section class="faq-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>常见问题</h2>
                            <p>关于高防云服务器的常见问题解答</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>高防云服务器与普通云服务器有什么区别？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>高防云服务器在普通云服务器的基础上增加了DDoS防御能力，可以抵御大流量的DDoS攻击。普通云服务器通常只有基础的防护能力，一旦遭受大规模攻击就会导致服务不可用。高防云服务器通过专业的清洗中心和防护技术，可以有效过滤恶意流量，保障业务稳定运行。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港和美国高防云服务器有什么不同？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>两者的主要区别在于地理位置和网络环境：香港高防云服务器靠近中国大陆，访问延迟较低，适合面向中国和亚太地区用户的业务；美国高防云服务器则拥有更丰富的国际网络资源，适合面向全球用户的业务。此外，两地的法律法规和资源价格也有所不同，您可以根据业务需求选择合适的区域。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>如何选择合适的高防云服务器配置？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>选择时需要考虑以下因素：1）业务类型和访问量：不同业务对CPU、内存等资源的需求不同；2）防护需求：根据历史遭受攻击的情况选择适当的防护能力；3）预算：更高的配置和防护能力通常意味着更高的成本；4）地区选择：根据目标用户群体选择合适的服务器地区。建议您在选购前咨询我们的技术支持团队，获取专业建议。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>高防云服务器是否支持系统和配置升级？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>是的，我们的高防云服务器支持灵活的配置调整。您可以根据业务发展需要随时升级CPU、内存、存储等配置，也可以提升防御能力。升级过程通常只需几分钟，且大多数情况下无需重启服务器，不会影响您的业务运行。如需降级配置，建议提前与客服沟通，了解具体操作流程。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 联系我们 -->
                <section class="contact-section">
                    <div class="container">
                        <div class="contact-content">
                            <h2>需要更专业的高防方案？</h2>
                            <p>联系我们的专业团队，获取定制化的高防云服务器解决方案</p>
                            <div class="contact-buttons">
                                <a href="#" class="btn btn-primary">在线咨询</a>
                                <a href="#" class="btn btn-outline">400-800-1234</a>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/high_defense_cloud.js"></script>
        <script>
        // 地区选择脚本
        document.addEventListener('DOMContentLoaded', function() {
            const regionTabs = document.querySelectorAll('.region-tab');
            const regionContents = document.querySelectorAll('.region-content');
            regionTabs.forEach(tab => {
                tab.addEventListener('click', function() {
                    const region = this.getAttribute('data-region');
                    // 移除所有active类
                    regionTabs.forEach(t => t.classList.remove('active'));
                    regionContents.forEach(c => c.classList.remove('active'));
                    // 为点击的tab和对应内容添加active类
                    this.classList.add('active');
                    document.getElementById('region-' + region).classList.add('active');
                });
            });
            // FAQ折叠功能
            const faqItems = document.querySelectorAll('.faq-item');
            faqItems.forEach(item => {
                const question = item.querySelector('.faq-question');
                question.addEventListener('click', function() {
                    item.classList.toggle('open');
                });
            });
        });
        </script>
    </body>
</html>
