<?php
ob_start(); // 开启输出缓冲
// 定义包含常量
define('INCLUDED_FROM_VIEW', true);
// 引入香港云服务器数据处理文件
require_once 'code/hk_cloud_code.php';
// 调用函数获取数据，关闭调试模式
$hkCloudProducts = getHkCloudProducts_Main(false);
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <?php include 'public/config.php'; ?>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>香港云服务器 - T4级数据中心 | 亚太区低延迟高性能云计算服务</title>
    <meta name="keywords" content="香港云服务器,香港VPS,香港T4级数据中心,BGP优化网络,香港云主机,亚太区云服务器,PCCW网络,NVMe SSD服务器,香港弹性云计算,中国香港服务器">
    <meta name="description" content="位于T4级数据中心的香港云服务器，提供99.995%可用性保障，配备Intel至强处理器与NVMe SSD存储。多线BGP优化网络接入PCCW、HGC等国际运营商，为中国大陆与东南亚用户提供低延迟、高性能的云计算服务，适合电商、游戏与企业应用部署。">
    <?php echo getCommonCss(); ?>
    <link href="/public/css/hk_cloud.css" rel="stylesheet">
  </head>
  <body>
    <!-- SVG图标集 -->
    <?php include 'public/svg/server_icons.svg'; ?>
    <!-- 顶部导航 -->
    <?php include 'public/header.php'; ?>
    <!-- Banner 区域 -->
    <?php include 'public/banner.php'; ?>
    <!-- 主内容区 -->
    <div class="main-content">
      <div class="server-wrapper">
        <!-- 面包屑导航 -->
        <div class="container">
          <div class="breadcrumb">
            <a href="/">首页</a>
            <i class="material-icons">chevron_right</i>
            <a href="/product">产品服务</a>
            <i class="material-icons">chevron_right</i>
            <span>香港云服务器</span>
          </div>
        </div>

        <!-- 服务器特点 -->
        <section class="server-features">
          <div class="container">
            <div class="section-header">
              <h2>香港云服务器特点</h2>
              <p>为什么选择我们的香港云服务器</p>
            </div>
            <div class="features-grid">
              <div class="feature-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-location"></use>
                </svg>
                <h3>地理优势</h3>
                <p>香港地区网络中立，连接全球，到中国大陆、东南亚和全球各地延迟低</p>
              </div>
              <div class="feature-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-performance"></use>
                </svg>
                <h3>高性能配置</h3>
                <p>采用Intel至强处理器、NVMe SSD存储，提供卓越的计算和I/O性能</p>
              </div>
              <div class="feature-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-network"></use>
                </svg>
                <h3>优质网络</h3>
                <p>多线BGP优化网络，智能路由技术确保从各地访问速度最优</p>
              </div>
              <div class="feature-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-security"></use>
                </svg>
                <h3>全方位安全</h3>
                <p>配备DDoS防护、Web防火墙、定期漏洞扫描，全面保障业务安全</p>
              </div>
              <div class="feature-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-scale"></use>
                </svg>
                <h3>弹性扩展</h3>
                <p>灵活调整配置，随业务需求增加CPU、内存、硬盘和带宽资源</p>
              </div>
              <div class="feature-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-support"></use>
                </svg>
                <h3>专业技术支持</h3>
                <p>提供7*24小时中文技术支持，解决您的各类技术问题</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 数据中心 -->
        <section class="datacenter-section">
          <div class="container">
            <div class="section-header">
              <h2>香港数据中心</h2>
              <p>顶级设施确保您的服务稳定运行</p>
            </div>
            <div class="datacenter-features">
              <div class="datacenter-image">
                <img src="/public/images/hk-datacenter.svg" alt="香港数据中心" class="rounded-image">
              </div>
              <div class="datacenter-info">
                <div class="info-card">
                  <div class="info-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-building"></use>
                    </svg>
                  </div>
                  <div class="info-content">
                    <h3>T4级数据中心</h3>
                    <p>采用T4级数据中心标准建设，提供99.995%的可用性保障，年度停机时间不超过26分钟</p>
                  </div>
                </div>
                <div class="info-card">
                  <div class="info-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-power"></use>
                    </svg>
                  </div>
                  <div class="info-content">
                    <h3>电力保障</h3>
                    <p>采用2N+1冗余UPS电源系统和柴油发电机组，确保设备在任何情况下都能持续供电</p>
                  </div>
                </div>
                <div class="info-card">
                  <div class="info-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-cooling"></use>
                    </svg>
                  </div>
                  <div class="info-content">
                    <h3>高效制冷</h3>
                    <p>采用N+1冗余精密空调系统，24小时恒温恒湿环境，PUE值低至1.3，实现绿色节能</p>
                  </div>
                </div>
                <div class="info-card">
                  <div class="info-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-network"></use>
                    </svg>
                  </div>
                  <div class="info-content">
                    <h3>网络互联</h3>
                    <p>接入多家国际一线运营商，包括PCCW、HGC、NTT等，形成多冗余网络架构</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- 云服务器方案 -->
        <section class="cloud-plans">
          <div class="container">
            <div class="section-header">
              <h2>香港云服务器方案</h2>
              <p>选择最适合您业务的配置</p>
            </div>
            <div class="plans-grid">
              <?php
                            // 判断是否有产品数据
                            if (!empty($hkCloudProducts)) {
                                $productCount = 0;
                                foreach ($hkCloudProducts as $product) {
                                    // 计算显示价格（原价乘以倍率）
                                    $displayPrice = $product['price'] * getMultiplier();
                            ?>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>香港云服务器 <?php echo ($productCount + 1); ?></h4>
                  <span class="tag">香港专区</span>
                </div>
                <div class="cluster-specs">
                  <!-- 左侧规格列 -->
                  <div class="spec-column">
                    <div class="spec-item">
                      <div class="spec-label">编号:</div>
                      <div class="spec-value">
                        <?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?>
                      </div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">硬盘:</div>
                      <div class="spec-value"><?php echo $product['disk']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">防御:</div>
                      <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">地区:</div>
                      <div class="spec-value">香港</div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">IP数:</div>
                      <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                    </div>
                  </div>
                  <!-- 右侧规格列 -->
                  <div class="spec-column">
                    <div class="spec-item">
                      <div class="spec-label">CPU:</div>
                      <div class="spec-value"><?php echo $product['cpu']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">宽带:</div>
                      <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">线路:</div>
                      <div class="spec-value">大陆优化</div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">内存:</div>
                      <div class="spec-value"><?php echo $product['memory']; ?></div>
                    </div>
                    <div class="spec-item">
                      <div class="spec-label">流量:</div>
                      <div class="spec-value">不限</div>
                    </div>
                  </div>
                </div>
                <!-- IP数量和流量信息 -->
                <div class="cluster-bottom-specs">
                  <div class="spec-item">
                    <div class="spec-label">价格:</div>
                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                  </div>
                </div>
                <!-- 操作按钮 -->
                <div class="cluster-actions">
                  <a href="/product/<?php echo $product['id']; ?>.html" class="btn btn-primary btn-action">产品详情</a>
                  <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                </div>
              </div>
              <?php
                                    $productCount++;
                                }
                            } else {
                                // 如果没有数据，显示一个默认产品
                            ?>

              <?php
                            }
                            ?>
            </div>
            <div class="category-footer">
              <p>需要更高配置或定制方案？请<a href="<?= $Telegram ?>" class="text-accent">联系我们</a>，为您量身定制最合适的解决方案</p>
            </div>
          </div>
        </section>
        <!-- 技术规格 -->
        <section class="tech-specs">
          <div class="container">
            <div class="section-header">
              <h2>技术规格</h2>
              <p>香港云服务器详细技术参数</p>
            </div>
            <div class="specs-grid">
              <div class="specs-card">
                <div class="specs-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-cpu"></use>
                  </svg>
                </div>
                <h4>计算资源</h4>
                <ul>
                  <li>CPU: Intel Xeon Gold 最新一代处理器</li>
                  <li>内存: DDR4 ECC，高性能低延迟</li>
                  <li>计算性能稳定，无资源争抢</li>
                  <li>支持CPU热升级，无需停机</li>
                </ul>
              </div>
              <div class="specs-card">
                <div class="specs-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-storage"></use>
                  </svg>
                </div>
                <h4>存储系统</h4>
                <ul>
                  <li>NVMe SSD企业级存储</li>
                  <li>IOPS高达100,000+</li>
                  <li>存储冗余，数据多重备份</li>
                  <li>支持在线扩容，无需停机</li>
                </ul>
              </div>
              <div class="specs-card">
                <div class="specs-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-network"></use>
                  </svg>
                </div>
                <h4>网络配置</h4>
                <ul>
                  <li>多线BGP网络，智能路由</li>
                  <li>最高可配置1Gbps带宽</li>
                  <li>支持IPv4和IPv6双栈</li>
                  <li>支持自定义网络安全组策略</li>
                </ul>
              </div>
              <div class="specs-card">
                <div class="specs-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-security"></use>
                  </svg>
                </div>
                <h4>安全保障</h4>
                <ul>
                  <li>免费提供基础DDoS防护</li>
                  <li>WAF网站应用防火墙（可选）</li>
                  <li>实时安全漏洞监控</li>
                  <li>自动化安全策略部署</li>
                </ul>
              </div>
              <div class="specs-card">
                <div class="specs-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-os"></use>
                  </svg>
                </div>
                <h4>操作系统</h4>
                <ul>
                  <li>Windows Server 2012/2016/2019/2022</li>
                  <li>CentOS 7/8，Ubuntu 18.04/20.04/22.04</li>
                  <li>Debian 10/11，Rocky Linux 8/9</li>
                  <li>支持自定义镜像和快照</li>
                </ul>
              </div>
              <div class="specs-card">
                <div class="specs-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-control"></use>
                  </svg>
                </div>
                <h4>管理功能</h4>
                <ul>
                  <li>直观易用的控制面板</li>
                  <li>完整的API接口支持</li>
                  <li>实时监控和告警系统</li>
                  <li>备份和快照管理功能</li>
                </ul>
              </div>
            </div>
          </div>
        </section>
        <!-- 适用场景 -->
        <section class="use-cases">
          <div class="container">
            <div class="section-header">
              <h2>适用场景</h2>
              <p>香港云服务器的最佳应用领域</p>
            </div>
            <div class="cases-container">
              <div class="case-item">
                <div class="case-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-web"></use>
                  </svg>
                </div>
                <div class="case-content">
                  <h3>企业网站和应用</h3>
                  <p>适合中小企业建立官网、业务系统和SaaS应用，稳定的香港服务器可以同时满足国内外访问需求，为企业业务提供可靠支持。特别适合需要面向国内外客户的业务，如外贸企业、跨境电商和国际化企业。</p>
                  <a href="/contact.php" class="learn-more">了解更多 →</a>
                </div>
              </div>
              <div class="case-item">
                <div class="case-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-ecommerce"></use>
                  </svg>
                </div>
                <div class="case-content">
                  <h3>电子商务平台</h3>
                  <p>香港云服务器特别适合跨境电商业务，可以为购物网站提供快速稳定的访问体验。香港的优越地理位置使其成为连接中国大陆和国际市场的理想选择，满足全球客户的访问需求，同时保障支付系统的安全和稳定性。</p>
                  <a href="/contact.php" class="learn-more">了解更多 →</a>
                </div>
              </div>
              <div class="case-item">
                <div class="case-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-media"></use>
                  </svg>
                </div>
                <div class="case-content">
                  <h3>媒体和内容分发</h3>
                  <p>对于视频网站、媒体平台和内容分发网络(CDN)，香港节点是亚太地区的理想选择。低延迟的网络环境确保内容快速分发到亚太区域的用户，提供流畅的视频流和媒体内容访问体验，满足高带宽、大容量的数据传输需求。</p>
                  <a href="/contact.php" class="learn-more">了解更多 →</a>
                </div>
              </div>
              <div class="case-item">
                <div class="case-icon">
                  <svg class="svg-icon">
                    <use xlink:href="#icon-game"></use>
                  </svg>
                </div>
                <div class="case-content">
                  <h3>游戏服务器</h3>
                  <p>香港优越的地理位置使其成为游戏服务器的理想部署地点，可以同时覆盖中国大陆、东南亚和日韩地区的玩家。低延迟的网络环境确保了玩家的游戏体验，高性能的硬件配置则能够支持大规模的并发连接和复杂的游戏逻辑运算。</p>
                  <a href="/contact.php" class="learn-more">了解更多 →</a>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- 常见问题 -->
        <section class="faq-section">
          <div class="container">
            <div class="section-header">
              <h2>常见问题</h2>
              <p>关于香港云服务器的常见问题解答</p>
            </div>
            <div class="faq-list">
              <div class="faq-item">
                <div class="faq-question">
                  <h3>香港云服务器与其他地区的云服务器有何不同？</h3>
                </div>
                <div class="faq-answer">
                  <p>香港云服务器的最大优势在于其独特的地理位置和网络环境。作为亚太地区的网络枢纽，香港拥有连接全球的优质国际带宽资源，可以同时提供对中国大陆、东南亚、日韩和欧美等地区的低延迟访问。相比大陆地区的服务器，香港没有备案要求，网络环境更加开放；相比美国等远距离地区的服务器，香港对亚太用户的访问延迟更低，提供更好的用户体验。此外，香港的数据中心基础设施和网络质量也处于世界先进水平。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>香港云服务器是否需要备案？</h3>
                </div>
                <div class="faq-answer">
                  <p>不需要。香港属于中国特别行政区，不在工信部管辖范围内，因此部署在香港的网站和应用无需进行ICP备案。这使得香港云服务器成为快速部署网站和应用的理想选择，尤其适合时间紧迫的项目或需要避开备案流程的业务。不过，虽然不需要备案，但用户仍需遵守香港地区的法律法规，确保内容和业务合法合规。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>如何选择适合自己业务的香港云服务器配置？</h3>
                </div>
                <div class="faq-answer">
                  <p>选择适合的配置需要考虑以下几个因素：1）业务类型：不同类型的应用对资源需求不同，如网站、数据库、游戏服务器等；2）访问量：预估的并发用户数和访问峰值，这直接影响CPU和内存需求；3）存储需求：考虑数据量大小和增长速度，选择合适容量的硬盘；4）带宽要求：视频、图片等内容密集型应用需要更大的带宽；5）预算：在满足性能需求的前提下，选择最经济的配置。我们建议从基础配置开始，随着业务增长再逐步升级，充分利用云服务的弹性扩展优势。如需专业建议，欢迎联系我们的技术顾问进行个性化配置推荐。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>香港云服务器的数据安全如何保障？</h3>
                </div>
                <div class="faq-answer">
                  <p>我们采取多层次的安全保障措施：1）物理安全：数据中心采用严格的访问控制、视频监控和生物识别认证系统；2）网络安全：提供DDoS防护、Web防火墙等多重网络防护；3）数据安全：采用RAID技术和定期备份机制，防止数据丢失；4）系统安全：定期更新系统补丁，修复安全漏洞；5）访问控制：提供细粒度的权限管理和安全组策略；6）合规认证：我们的数据中心已获得ISO 27001等国际安全认证。此外，我们还提供可选的安全增值服务，如企业级防火墙、入侵检测系统和高级DDoS防护等，可以根据客户需求进行定制部署。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>如何迁移现有业务到香港云服务器？</h3>
                </div>
                <div class="faq-answer">
                  <p>我们提供全面的迁移支持：1）评估阶段：分析现有系统架构和业务需求，制定迁移方案；2）环境准备：根据评估结果配置云服务器环境；3）数据迁移：使用专业工具进行数据迁移，确保数据完整性；4）应用迁移：部署应用程序和配置相关服务；5）测试验证：全面测试系统功能和性能；6）切换上线：确认一切正常后进行业务切换。整个过程由专业团队指导，最大限度减少停机时间和业务中断。对于复杂的企业级迁移，我们还提供定制化的迁移方案和技术支持，确保迁移过程平稳顺利。</p>
                </div>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
    <!-- 页脚 -->
    <?php include 'public/kf.php'; ?>
    <?php include 'public/footer.php'; ?>
    <script src="/public/js/js.js"></script>
    <script>
    // FAQ 折叠效果
    document.addEventListener('DOMContentLoaded', function() {
      const faqItems = document.querySelectorAll('.faq-item');
      faqItems.forEach(item => {
        const question = item.querySelector('.faq-question');
        question.addEventListener('click', function() {
          item.classList.toggle('open');
        });
      });
    });
    </script>
  </body>
</html>
