<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <?php 
    // 定义包含常量
    define('INCLUDED_FROM_VIEW', true);
    // 引入香港站群数据处理文件
    require_once 'code/hk_cluster_code.php';
    // 调用函数获取数据，关闭调试模式
    $hkProducts = getHkClusterProducts(false);
    ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>香港站群服务器 - 多IP资源SEO优化方案 | 50-253个香港IP资源</title>
        <meta name="keywords" content="香港站群服务器,香港多IP服务器,SEO站群,香港IP资源,站群管理系统,多站点部署,香港IP池,搜索引擎优化服务器,香港BGP网络,站群解决方案">
        <meta name="description" content="专业香港站群服务器，提供20-100个高质量香港本地IP资源，支持快速多站点部署和SEO优化。采用BGP多线网络，延迟低至30ms，配备站群管理系统，适合电商、营销和内容站群。7*24小时专业技术支持，为亚太地区业务提供稳定高效的站群服务。">
        <!-- 添加所需的CSS文件 -->
        <?php echo getCommonCss(); ?>
        <link href="/public/css/hk_cluster.css" rel="stylesheet">
        <link href="/public/css/product.css" rel="stylesheet">
        <link href="/public/css/product-enhanced.css" rel="stylesheet">
    </head>
    <body>
        <!-- 加载后台数据处理文件 -->
        <!-- SVG图标集 -->
        <?php include 'public/svg/server_icons.svg'; ?>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="server-wrapper">
                <!-- 面包屑导航 -->
                <div class="container desktop-only">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品服务</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/server_clusters.html">站群服务器</a>
                        <i class="material-icons">chevron_right</i>
                        <span>香港站群</span>
                    </div>
                </div>
                <!-- 页面标题区域 -->
                <!-- 服务器特点 -->
                <section class="server-features" data-aos="fade-up">
                    <div class="container">
                        <div class="server-title-section">
                            <div class="container">
                                <h1>香港站群服务器</h1>
                                <p>连接中国大陆与全球的理想选择，高效多IP站群解决方案</p>
                            </div>
                        </div>
                        <div class="features-grid">
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="100">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-location"></use>
                                </svg>
                                <h3>优越地理位置</h3>
                                <p>位于亚洲金融中心，连接中国大陆与全球各地，延迟低，访问速度快</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="200">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-multiple-ip"></use>
                                </svg>
                                <h3>丰富IP资源</h3>
                                <p>提供大量优质香港本地IP，IP信誉度高，适合搜索引擎优化</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="300">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-network"></use>
                                </svg>
                                <h3>国际带宽保障</h3>
                                <p>接入多线BGP网络，提供充足国际带宽，确保全球用户访问流畅</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="400">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-security"></use>
                                </svg>
                                <h3>安全防护体系</h3>
                                <p>基础DDoS防护，防火墙保护，定期安全巡检，保障站点安全</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 常见问题 -->
                <!-- 香港站群方案 -->
                <section id="plans" class="cluster-plans" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港站群套餐</h2>
                            <p>满足不同规模的站群业务需求</p>
                        </div>
                        <div class="product-list">
                            <?php
                            // 不限制显示数量，显示所有产品
                            // $maxProducts = 3;
                            $productCount = 0;
                            
                            // 判断是否有产品数据
                            if (!empty($hkProducts)) {
                                foreach ($hkProducts as $product) {
                                    // 不再限制显示数量
                                    // if ($productCount >= $maxProducts) {
                                    //     break;
                                    // }
                                    
                                    // 计算显示价格（原价乘以倍率）
                                    $displayPrice = $product['price'] * getMultiplier();
                                    
                                    // 确定标签和样式，第一个产品使用featured样式
                                    $cardClass = $productCount === 0 ? 'product-card featured' : 'product-card';
                                    
                                    // 输出产品卡片
                                    ?>
                            <div class="<?php echo $cardClass; ?>">
                                <div class="product-title">
                                    <a href="//product/<?php echo $product['id']; ?>.html"" target="_blank">
                                        香港站群服务器 <?php 
                                        // 使用阿拉伯数字作为序号
                                        echo ($productCount + 1);
                                        ?>
                                    </a>
                                    <span class="tag">香港专区</span>
                                </div>
                                <div class="product-specs">
                                    <!-- 第一列：编号/硬盘/防御/地区 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">编号:</span>
                                            <span><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">硬盘:</span>
                                            <span><?php echo $product['disk']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">防御:</span>
                                            <span><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">地区:</span>
                                            <span>香港</span>
                                        </div>
                                    </div>
                                    <!-- 第二列：CPU/宽带/线路/内存 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">CPU:</span>
                                            <span><?php echo $product['cpu']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">宽带:</span>
                                            <span><?php echo $product['bandwidth']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">线路:</span>
                                            <span>大陆优化</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">内存:</span>
                                            <span><?php echo $product['memory']; ?></span>
                                        </div>
                                    </div>
                                    <!-- 第三列：IP数/流量/价格/按钮 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">IP数:</span>
                                            <span><?php echo $product['ip_count']; ?>个</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">流量:</span>
                                            <span>不限</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">价格:</span>
                                            <span class="unit">$<?php echo number_format($displayPrice, 2); ?>/月</span>
                                        </div>
                                        <div class="spec-row action-row">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary">产品详情</a>
                                            <a href="/contact.html" class="btn btn-outline" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                    $productCount++;
                                }
                            } else {
                                // 如果没有数据，显示提示信息
                                echo '<div class="no-products">暂无符合条件的产品</div>';
                            }
                            ?>
                        </div>
                    </div>
                </section>
                <!-- 香港站群优势对比 -->
                <section class="comparison-section" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港站群与其他地区对比</h2>
                            <p>选择最适合您业务的站群服务器</p>
                        </div>
                        <table class="comparison-table">
                            <thead>
                                <tr>
                                    <th>对比项</th>
                                    <th>香港站群</th>
                                    <th>美国站群</th>
                                    <th>日本站群</th>
                                    <th>韩国站群</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>访问中国大陆速度</td>
                                    <td class="yes">优</td>
                                    <td class="no">一般</td>
                                    <td class="yes">良</td>
                                    <td class="yes">良</td>
                                </tr>
                                <tr>
                                    <td>IP资源数量</td>
                                    <td class="yes">多</td>
                                    <td class="yes">极多</td>
                                    <td class="no">中等</td>
                                    <td class="no">中等</td>
                                </tr>
                                <tr>
                                    <td>IP资源质量</td>
                                    <td class="yes">高</td>
                                    <td class="no">中等</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                </tr>
                                <tr>
                                    <td>服务器性价比</td>
                                    <td class="no">中等</td>
                                    <td class="yes">高</td>
                                    <td class="no">低</td>
                                    <td class="no">中等</td>
                                </tr>
                                <tr>
                                    <td>网络稳定性</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                </tr>
                                <tr>
                                    <td>适合业务类型</td>
                                    <td>面向亚太地区、中文网站、电商</td>
                                    <td>全球性业务、大型站群</td>
                                    <td>日语网站、精品站点</td>
                                    <td>韩语网站、游戏网站</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </section>
                <!-- 移动端特点展示 -->
                <div class="mobile-data-center mobile-only" data-aos="fade-up">
                    <div class="data-center-stats-cards">
                        <div class="stat-card">
                            <div class="stat-number">253<span class="stat-unit">个</span></div>
                            <div class="stat-label">最大IP资源</div>
                        </div>
                        <div class="stat-card">
                            <div class="stat-number">50<span class="stat-unit">M</span></div>
                            <div class="stat-label">大陆优化带宽</div>
                        </div>
                        <div class="stat-card">
                            <div class="stat-number">30<span class="stat-unit">ms</span></div>
                            <div class="stat-label">延迟</div>
                        </div>
                        <div class="stat-card">
                            <div class="stat-number">24/7</div>
                            <div class="stat-label">技术支持</div>
                        </div>
                    </div>
                    <div class="mobile-locations">
                        <h3>适用站点类型</h3>
                        <div class="location-tags">
                            <span class="location-tag">电子商务</span>
                            <span class="location-tag">搜索引擎优化</span>
                            <span class="location-tag">社交媒体</span>
                            <span class="location-tag">内容站点</span>
                            <span class="location-tag">多语言网站</span>
                            <span class="location-tag">营销推广</span>
                        </div>
                    </div>
                </div>
                <!-- 常见问题 -->
                <section class="faq-section" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港站群常见问题</h2>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港站群服务器适合哪些类型的网站？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>香港站群服务器特别适合以下类型的网站：1）面向中国大陆和亚太地区用户的网站；2）对访问速度要求较高的业务，如电子商务网站；3）需要较多优质IP资源的SEO站群；4）需要规避内容审核的合法内容站点；5）需要多语言支持的国际化业务。香港的地理位置优越，网络基础设施完善，是连接中国大陆与全球的理想选择。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港站群服务器的IP资源有什么特点？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>香港站群服务器的IP资源具有以下特点：1）IP信誉度高，适合SEO优化；2）IP地址归属地为香港，对搜索引擎友好；3）IP资源相对充足，可满足中小型站群需求；4）支持IPv4和IPv6双栈；5）可自定义反向解析。我们的IP资源经过严格筛选，确保每个IP都有良好的使用记录，避免了黑名单IP对网站带来的负面影响。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港站群服务器的网络连接情况如何？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>我们的香港站群服务器采用多线BGP网络接入，具有以下优势：1）连接中国大陆延迟低，一般在30-50ms之间；2）接入多条国际出口带宽，确保全球各地访问流畅；3）采用智能路由技术，自动选择最优线路；4）网络冗余设计，保障高可用性；5）支持CN2/GIA线路接入，提供更稳定的网络体验。我们的网络架构专为站群业务设计，可以有效应对高并发访问需求。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港站群服务器提供哪些技术支持？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>我们为香港站群服务器客户提供全方位的技术支持：1）7*24小时中文技术支持团队，快速响应各类问题；2）提供站群管理系统，支持一键建站、批量操作等功能；3）定期系统维护和安全更新，确保服务器安全稳定；4）提供数据备份服务，防止数据丢失；5）免费提供基础网站迁移服务，帮助您快速上线。您可以通过在线客服、工单系统或电话联系我们的技术支持团队。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>如何选择合适的香港站群服务器套餐？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>选择合适的香港站群服务器套餐，需要考虑以下因素：1）站点数量：预计部署的网站数量决定了所需的服务器资源和IP数量；2）访问流量：预期的网站流量大小影响带宽选择；3）性能需求：网站类型和复杂度决定所需的CPU和内存配置；4）预算：根据自身预算选择性价比最高的方案。基础型适合小型站群（20个站点以内），专业型适合中型站群（20-50个站点），企业型适合大型站群（50-100个站点）。如果您的需求超出标准套餐，我们也提供定制方案。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
        <!-- 回到顶部按钮 -->
        <a href="#" class="back-to-top">
            <i class="fas fa-chevron-up"></i>
        </a>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <!-- 引入脚本 -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <script>
        // 初始化AOS动画
        AOS.init({
            duration: 800,
            easing: 'ease-in-out',
            once: true
        });
        // FAQ展开/收起功能
        $(document).ready(function() {
            $('.faq-question').click(function() {
                $(this).parent().toggleClass('active');
                $(this).next('.faq-answer').slideToggle(300);
            });
            // 回到顶部按钮
            $(window).scroll(function() {
                if ($(this).scrollTop() > 300) {
                    $('.back-to-top').addClass('active');
                } else {
                    $('.back-to-top').removeClass('active');
                }
            });
            $('.back-to-top').click(function(e) {
                e.preventDefault();
                $('html, body').animate({
                    scrollTop: 0
                }, 500);
                return false;
            });
        });
        </script>
    </body>
</html>
