<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>香港高防物理服务器 - 500Gbps防御能力 | 亚太区独享物理资源</title>
        <meta name="keywords" content="香港高防物理服务器,香港防御服务器,500G防御服务器,香港独享服务器,香港游戏服务器,香港金融服务器,香港服务器托管,亚太区高防服务器,香港企业级服务器,香港DDoS防护">
        <meta name="description" content="香港高防物理服务器提供高达500Gbps的DDoS防御能力，独享Intel至强处理器与大容量内存。位于亚太区核心节点，保障中国与亚太地区用户的低延迟访问体验，提供99.99%服务可用性和全天候技术支持，适合游戏、金融和电商等高风险业务部署。">
        <?php echo getCommonCss(); ?>
        <link href="/public/css/hk_high_defense_server.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="product-wrapper">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品服务</a>
                        <i class="material-icons">chevron_right</i>
                        <span>香港高防物理服务器</span>
                    </div>
                </div>
                <!-- 页面标题区域 -->
                <!-- 产品特点 -->
                <section class="features-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港高防物理服务器优势</h2>
                            <p>专业DDoS防护，强大性能，优质香港线路</p>
                        </div>
                        <div class="features-grid">
                            <div class="feature-card">
                                <div class="feature-icon">
                                    <i class="material-icons">security</i>
                                </div>
                                <h3>强大防御能力</h3>
                                <p>配置高达500Gbps的DDoS防御能力，全面抵御各类网络攻击</p>
                            </div>
                            <div class="feature-card">
                                <div class="feature-icon">
                                    <i class="material-icons">dns</i>
                                </div>
                                <h3>专属硬件资源</h3>
                                <p>独享物理服务器资源，高性能配置满足各类业务需求</p>
                            </div>
                            <div class="feature-card">
                                <div class="feature-icon">
                                    <i class="material-icons">speed</i>
                                </div>
                                <h3>低延迟网络</h3>
                                <p>香港优质BGP网络，中国内地平均延迟低于30ms，提供流畅用户体验</p>
                            </div>
                            <div class="feature-card">
                                <div class="feature-icon">
                                    <i class="material-icons">support_agent</i>
                                </div>
                                <h3>7×24小时技术支持</h3>
                                <p>专业运维团队全天候服务，确保您的业务稳定运行不间断</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 产品列表 -->
                <section class="product-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港高防物理服务器</h2>
                            <p>亚太地区业务首选，低延迟，高防护</p>
                        </div>
                        <!-- 产品卡片 -->
                        <div class="product-cards">
                            <?php
                            // 获取数据库连接
                            $db = getDbConnection();
                            
                            try {
                                // 构建SQL查询语句 - 筛选香港高防服务器(tags包含10的产品)
                                $query = "SELECT * FROM products 
                                        WHERE region_id = 2 
                                        AND FIND_IN_SET(10, tags) 
                                        AND status = 1 
                                        ORDER BY price ASC";
                                
                                $stmt = $db->query($query);
                                $highDefenseProducts = $stmt->fetchAll();
                                
                                // 判断是否有产品数据
                                if (!empty($highDefenseProducts)) {
                                    $productCount = 0;
                                    foreach ($highDefenseProducts as $product) {
                                        // 计算显示价格（原价乘以倍率）
                                        $displayPrice = $product['price'] * getMultiplier();
                            ?>
                            <div class="product-card">
                                <div class="product-header">
                                    <h3>香港高防服务器 <?php echo ($productCount + 1); ?></h3>
                                    <span class="product-location">香港专区</span>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-group">
                                        <div class="spec-item">
                                            <span class="spec-label">编号:</span>
                                            <span class="spec-value"><?php echo '9' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">CPU:</span>
                                            <span class="spec-value"><?php echo $product['cpu']; ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">硬盘:</span>
                                            <span class="spec-value"><?php echo $product['disk']; ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">宽带:</span>
                                            <span class="spec-value"><?php echo $product['bandwidth']; ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">防御:</span>
                                            <span class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '20G'; ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">线路:</span>
                                            <span class="spec-value">大陆优化</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">地区:</span>
                                            <span class="spec-value">香港</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">内存:</span>
                                            <span class="spec-value"><?php echo $product['memory']; ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">IP数:</span>
                                            <span class="spec-value"><?php echo $product['ip_count']; ?></span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">流量:</span>
                                            <span class="spec-value">不限</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="product-price">
                                    <span class="price-content">$<?php echo number_format($displayPrice, 2); ?>/月</span>
                                </div>
                                <div class="product-actions">
                                    <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary">产品详情</a>
                                    <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测机</a>
                                </div>
                            </div>
                            <?php
                                    $productCount++;
                                }
                            } else {
                                // 如果没有数据，显示一个默认产品
                            ?>
                            <div class="product-card">
                                <div class="product-header">
                                    <h3>香港高防服务器 1</h3>
                                    <span class="product-location">香港专区</span>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-group">
                                        <div class="spec-item">
                                            <span class="spec-label">编号:</span>
                                            <span class="spec-value">90230</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">CPU:</span>
                                            <span class="spec-value">E5-2620</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">硬盘:</span>
                                            <span class="spec-value">1T HDD</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">宽带:</span>
                                            <span class="spec-value">50M</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">防御:</span>
                                            <span class="spec-value">10G</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">线路:</span>
                                            <span class="spec-value">大陆优化</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">地区:</span>
                                            <span class="spec-value">香港</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">内存:</span>
                                            <span class="spec-value">32G</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">IP数:</span>
                                            <span class="spec-value">1</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">流量:</span>
                                            <span class="spec-value">不限</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="product-price">
                                    <span class="price-content">$223.50/月</span>
                                </div>
                                <div class="product-actions">
                                    <a href="product_detail.html" class="btn btn-primary">产品详情</a>
                                    <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测机</a>
                                </div>
                            </div>
                            <?php
                            }
                            } catch (Exception $e) {
                                // 错误处理
                                error_log("获取香港高防物理服务器产品错误: " . $e->getMessage());
                                // 显示默认产品
                            ?>
                            <div class="product-card">
                                <div class="product-header">
                                    <h3>香港高防服务器 1</h3>
                                    <span class="product-location">香港专区</span>
                                </div>
                                <div class="product-specs">
                                    <div class="spec-group">
                                        <div class="spec-item">
                                            <span class="spec-label">编号:</span>
                                            <span class="spec-value">90230</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">CPU:</span>
                                            <span class="spec-value">E5-2620</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">硬盘:</span>
                                            <span class="spec-value">1T HDD</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">宽带:</span>
                                            <span class="spec-value">50M</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">防御:</span>
                                            <span class="spec-value">10G</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">线路:</span>
                                            <span class="spec-value">大陆优化</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">地区:</span>
                                            <span class="spec-value">香港</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">内存:</span>
                                            <span class="spec-value">32G</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">IP数:</span>
                                            <span class="spec-value">1</span>
                                        </div>
                                        <div class="spec-item">
                                            <span class="spec-label">流量:</span>
                                            <span class="spec-value">不限</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="product-price">
                                    <span class="price-content">$223.50/月</span>
                                </div>
                                <div class="product-actions">
                                    <a href="product_detail.html" class="btn btn-primary">产品详情</a>
                                    <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测机</a>
                                </div>
                            </div>
                            <?php
                            }
                            ?>
                        </div>
                    </div>
                </section>
                <!-- 防护技术 -->
                <section class="tech-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>香港高防物理服务器防护技术</h2>
                            <p>专业的DDoS防御体系，强大的硬件性能，为您的香港业务保驾护航</p>
                        </div>
                        <div class="tech-grid">
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">shield</i>超强DDoS防御</h3>
                                </div>
                                <div class="tech-content">
                                    <p>提供高达500Gbps的DDoS防御能力，确保服务器在面对大规模攻击时依然稳定运行。</p>
                                    <ul>
                                        <li>500Gbps攻击防御能力</li>
                                        <li>全方位七层防护机制</li>
                                        <li>AI智能攻击识别系统</li>
                                        <li>实时流量清洗与过滤</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">router</i>优质网络接入</h3>
                                </div>
                                <div class="tech-content">
                                    <p>采用香港多线BGP网络接入，覆盖亚太主要ISP，保障全球用户高速访问体验。</p>
                                    <ul>
                                        <li>15+优质BGP线路接入</li>
                                        <li>中国内地平均延迟&lt;30ms</li>
                                        <li>国际带宽充足保障</li>
                                        <li>99.99%网络可用性保证</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">memory</i>企业级硬件配置</h3>
                                </div>
                                <div class="tech-content">
                                    <p>采用Intel至强系列企业级处理器和高性能组件，提供卓越计算性能。</p>
                                    <ul>
                                        <li>Intel至强E5/Gold系列处理器</li>
                                        <li>64-256GB ECC内存</li>
                                        <li>企业级NVMe SSD存储</li>
                                        <li>RAID 10数据冗余保护</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tech-card">
                                <div class="tech-header">
                                    <h3><i class="material-icons">security</i>专业安全保障</h3>
                                </div>
                                <div class="tech-content">
                                    <p>位于香港Tier 3+级别数据中心，配备完善的基础设施与安全系统，确保业务持续运行。</p>
                                    <ul>
                                        <li>N+1电力冗余与UPS保障</li>
                                        <li>7×24小时安保与监控</li>
                                        <li>精密温湿度环境控制</li>
                                        <li>消防与物理安全防护</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 应用场景 -->
                <section class="use-cases">
                    <div class="container">
                        <div class="section-header">
                            <h2>应用场景</h2>
                            <p>适用于多种需要香港节点的高性能和高防护应用场景</p>
                        </div>
                        <div class="use-cases-grid">
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">sports_esports</i>
                                </div>
                                <h3>游戏服务器</h3>
                                <p>为面向亚太地区用户的游戏提供稳定、高性能、低延迟的物理服务器环境，抵御DDoS攻击</p>
                            </div>
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">language</i>
                                </div>
                                <h3>跨境电商</h3>
                                <p>为跨境电商平台提供稳定的香港服务器资源，覆盖中国和亚太地区用户</p>
                            </div>
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">live_tv</i>
                                </div>
                                <h3>流媒体服务</h3>
                                <p>为面向亚太地区的视频直播、点播等流媒体服务提供高带宽、高稳定性的运行环境</p>
                            </div>
                            <div class="use-case-card">
                                <div class="use-case-icon">
                                    <i class="material-icons">credit_card</i>
                                </div>
                                <h3>金融服务</h3>
                                <p>为需要香港节点的金融交易系统提供安全可靠的独享物理资源，满足合规和安全要求</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 常见问题 -->
                <section class="faq-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>常见问题</h2>
                            <p>关于香港高防物理服务器的常见问题解答</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港高防物理服务器与香港高防云服务器有什么区别？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>香港高防物理服务器提供独享的物理硬件资源，相比高防云服务器具有更高的性能和更好的稳定性。物理服务器不存在资源争抢问题，适合对性能要求较高的业务；而高防云服务器则具有更高的灵活性，可以快速调整配置，适合业务量波动较大的场景。两者都提供专业的DDoS防护能力，可以根据业务需求选择。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港高防物理服务器有哪些网络优势？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>香港作为亚太地区的网络枢纽，具有优质的国际网络出口和低延迟的优势：1）地理位置靠近中国内地，访问延迟低，适合面向中国和亚太地区用户的业务；2）拥有发达的国际网络资源，出国线路稳定；3）香港地区网络环境良好，网络质量稳定可靠；4）对内容限制相对较少，适合多种业务类型。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港高防物理服务器支持哪些操作系统？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>我们的香港高防物理服务器支持多种主流操作系统，包括但不限于：Windows Server各版本（2012/2016/2019等）、CentOS、Ubuntu、Debian等Linux发行版。您可以在购买时选择所需的操作系统，或者自行安装。如有特殊需求，也可以联系我们的技术支持团队提供帮助。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>香港高防物理服务器的防御峰值是如何计算的？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>防御峰值是指服务器能够承受的最大DDoS攻击流量，通常以Gbps（每秒千兆比特）为单位。我们提供的防御峰值是基于香港地区分布式清洗中心的综合防御能力，结合智能调度和流量清洗技术实现的。当检测到攻击时，系统会自动将流量引导至清洗中心进行过滤，确保只有正常流量能够到达您的服务器。不同套餐提供不同级别的防御能力，您可以根据业务需求选择合适的防御峰值。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 联系我们 -->
                <section class="contact-section">
                    <div class="container">
                        <div class="contact-content">
                            <h2>需要定制化香港高防物理服务器方案？</h2>
                            <p>联系我们的专业团队，获取专属定制服务</p>
                            <div class="contact-buttons">
                                <a href="#" class="btn btn-primary">在线咨询</a>
                                <a href="#" class="btn btn-outline">400-800-1234</a>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/hk_high_defense_server.js"></script>
    </body>
</html>
