<!DOCTYPE html>
<html lang="zh-CN">
  <?php include 'public/config.php'; ?>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>服务器托管 - 专业IDC服务器托管解决方案 | T3+级数据中心环境</title>
    <meta name="keywords" content="服务器托管,IDC托管服务,机柜租用,服务器代维,机房托管,T3级数据中心,企业服务器托管,数据中心设施,BGP网络接入,7x24小时技术支持,运维服务">
    <meta name="description" content="提供专业的IDC服务器托管服务，基于T3+级别数据中心，配备双路市电、精密空调和多线BGP网络。支持机位、机柜和定制化托管方案，享受7x24小时专业技术支持和99.99%服务可用性保障，为企业业务提供高可靠性基础设施支持。">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="/public/css/style.css" rel="stylesheet">
    <link href="/public/css/breadcrumb.css" rel="stylesheet">
    <link href="/public/css/hosting.css" rel="stylesheet">
    <script src="public/js/hosting.js"></script>
  </head>
  <body>
    <!-- 顶部导航 -->
    <?php include 'public/header.php'; ?>
    <!-- 主内容区 -->
    <div class="main-content">
      <!-- Banner 区域 -->
      <?php include 'public/banner.php'; ?>
      <!-- 内容区域 -->
      <div class="hosting-content">
        <!-- 面包屑导航 -->
        <div class="breadcrumb">
          <a href="/">首页</a>
          <i class="material-icons">chevron_right</i>
          <a href="/product">产品服务</a>
          <i class="material-icons">chevron_right</i>
          <span>服务器托管</span>
        </div>
        <!-- 托管优势 -->
        <section class="hosting-advantages">
          <div class="section-header">
            <h2>托管服务优势</h2>
            <p>专业的IDC服务器托管解决方案，为您的业务保驾护航</p>
          </div>
          <div class="advantages-grid">
            <div class="advantage-card">
              <i class="material-icons">security</i>
              <h3>安全可靠</h3>
              <p>7*24小时安保监控<br>多重安全防护措施<br>定期安全巡检</p>
            </div>
            <div class="advantage-card">
              <i class="material-icons">speed</i>
              <h3>高速稳定</h3>
              <p>多线BGP网络接入<br>超大带宽资源池<br>智能流量调度</p>
            </div>
            <div class="advantage-card">
              <i class="material-icons">support_agent</i>
              <h3>专业支持</h3>
              <p>7*24小时技术支持<br>专业运维团队<br>快速响应处理</p>
            </div>
            <div class="advantage-card">
              <i class="material-icons">savings</i>
              <h3>成本优化</h3>
              <p>灵活的付费方案<br>专业设备代采购<br>运维成本优化</p>
            </div>
          </div>
        </section>
        <!-- 机房环境 -->
        <section class="datacenter-environment">
          <div class="section-header">
            <h2>一流的机房环境</h2>
            <p>T3+级别数据中心，为您的服务器提供最优质的托管环境</p>
          </div>
          <div class="environment-features">
            <div class="feature-item">
              <div class="feature-icon">
                <i class="material-icons">electrical_services</i>
              </div>
              <div class="feature-content">
                <h3>电力系统</h3>
                <p>双路市电供电，N+1柴油发电机组，UPS不间断供电系统</p>
              </div>
            </div>
            <div class="feature-item">
              <div class="feature-icon">
                <i class="material-icons">ac_unit</i>
              </div>
              <div class="feature-content">
                <h3>制冷系统</h3>
                <p>精密空调恒温恒湿，冷热通道隔离，温度24±2℃，湿度50%±10%</p>
              </div>
            </div>
            <div class="feature-item">
              <div class="feature-icon">
                <i class="material-icons">network_check</i>
              </div>
              <div class="feature-content">
                <h3>网络系统</h3>
                <p>多线BGP网络，核心设备双冗余，智能流量调度系统</p>
              </div>
            </div>
            <div class="feature-item">
              <div class="feature-icon">
                <i class="material-icons">local_fire_department</i>
              </div>
              <div class="feature-content">
                <h3>消防系统</h3>
                <p>自动气体灭火系统，烟感报警系统，7*24小时实时监控</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 托管方案 -->
        <section class="hosting-plans">
          <div class="section-header">
            <h2>灵活的托管方案</h2>
            <p>根据您的需求定制最适合的托管方案</p>
          </div>
          <div class="plans-grid">
            <div class="plan-card">
              <div class="plan-header">
                <h3>基础托管</h3>
                <div class="plan-price">
                  <span class="price">$399</span>
                  <span class="unit">/月</span>
                </div>
              </div>
              <ul class="plan-features">
                <li>1U机位</li>
                <li>标准机柜</li>
                <li>1个IP地址</li>
                <li>5M独享带宽</li>
                <li>500W电源功率</li>
                <li>基础运维支持</li>
              </ul>
              <a href="#" class="btn btn-primary">立即选购</a>
            </div>
            <div class="plan-card featured">
              <div class="plan-header">
                <h3>企业托管</h3>
                <div class="plan-price">
                  <span class="price">$899</span>
                  <span class="unit">/月</span>
                </div>
              </div>
              <ul class="plan-features">
                <li>2U机位</li>
                <li>高级机柜</li>
                <li>2个IP地址</li>
                <li>10M独享带宽</li>
                <li>1000W电源功率</li>
                <li>7*24技术支持</li>
              </ul>
              <a href="#" class="btn btn-primary">立即选购</a>
            </div>
            <div class="plan-card">
              <div class="plan-header">
                <h3>定制托管</h3>
                <div class="plan-price">
                  <span class="contact">联系客服</span>
                </div>
              </div>
              <ul class="plan-features">
                <li>机柜租用</li>
                <li>定制化机位</li>
                <li>多IP地址</li>
                <li>大带宽支持</li>
                <li>定制电源功率</li>
                <li>专属技术支持</li>
              </ul>
              <a href="#" class="btn btn-outline">咨询方案</a>
            </div>
          </div>
        </section>
        <!-- 服务保障 -->
        <section class="service-guarantee">
          <div class="section-header">
            <h2>服务等级保障</h2>
            <p>严格的SLA服务协议，保障您的业务稳定运行</p>
          </div>
          <div class="guarantee-items">
            <div class="guarantee-item">
              <div class="guarantee-icon">
                <i class="material-icons">verified</i>
              </div>
              <div class="guarantee-content">
                <h3>网络可用性保障</h3>
                <p>网络可用性99.99%<br>故障响应时间≤15分钟<br>故障处理时间≤2小时</p>
              </div>
            </div>
            <div class="guarantee-item">
              <div class="guarantee-icon">
                <i class="material-icons">power</i>
              </div>
              <div class="guarantee-content">
                <h3>电力可用性保障</h3>
                <p>电力可用性99.99%<br>UPS电力保障<br>柴油发电机支持</p>
              </div>
            </div>
            <div class="guarantee-item">
              <div class="guarantee-icon">
                <i class="material-icons">thermostat</i>
              </div>
              <div class="guarantee-content">
                <h3>环境指标保障</h3>
                <p>温度24±2℃<br>湿度50%±10%<br>7*24环境监控</p>
              </div>
            </div>
            <div class="guarantee-item">
              <div class="guarantee-icon">
                <i class="material-icons">support</i>
              </div>
              <div class="guarantee-content">
                <h3>技术支持保障</h3>
                <p>7*24技术支持<br>工单响应≤30分钟<br>专属技术团队</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 常见问题 -->
        <section class="faq-section">
          <div class="section-header">
            <h2>常见问题</h2>
            <p>关于服务器托管的常见问题解答</p>
          </div>
          <div class="faq-list">
            <div class="faq-item">
              <div class="faq-question">
                <i class="material-icons">help_outline</i>
                <h3>服务器托管需要多长时间能够部署完成？</h3>
              </div>
              <div class="faq-answer">
                <p>标准托管服务一般在1-2个工作日内即可完成部署。如需特殊配置或定制化服务，可能需要3-5个工作日。</p>
              </div>
            </div>
            <div class="faq-item">
              <div class="faq-question">
                <i class="material-icons">help_outline</i>
                <h3>托管服务器可以自己进行维护吗？</h3>
              </div>
              <div class="faq-answer">
                <p>可以，我们提供远程管理功能，您可以随时进行远程维护。如需现场维护，需提前预约，我们的工作人员会配合您进行操作。</p>
              </div>
            </div>
            <div class="faq-item">
              <div class="faq-question">
                <i class="material-icons">help_outline</i>
                <h3>带宽资源是否可以自由调整？</h3>
              </div>
              <div class="faq-answer">
                <p>是的，我们提供灵活的带宽调整服务。您可以根据业务需求随时升级或降级带宽，调整会在下个自然月生效。</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 联系我们 -->
        <section class="contact-section">
          <div class="contact-content">
            <h2>需要更多帮助？</h2>
            <p>我们的专业团队随时为您提供支持和咨询服务</p>
            <div class="contact-buttons">
              <a href="#" class="btn btn-primary">在线咨询</a>
              <a href="#" class="btn btn-outline">联系电话：400-800-1234</a>
            </div>
          </div>
        </section>
      </div>
    </div>
    <!-- 页脚 -->
    <?php include 'public/kf.php'; ?>
    <?php include 'public/footer.php'; ?>
    <script src="/public/js/js.js"></script>
  </body>
</html>
