<!DOCTYPE html>
<html lang="zh-CN">
  <?php include 'public/config.php'; ?>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>热门服务器配置 - 香港日本美国服务器多种配置可选</title>
    <meta name="keywords" content="香港服务器,日本服务器,美国服务器,高性价比服务器,大带宽服务器">
    <meta name="description" content="提供香港、日本、美国等地区的热门服务器配置，包括标准型号和大带宽方案，满足各类业务需求，性价比高。">
    <?php echo getCommonCss(); ?>
    <link href="/public/css/hot.css" rel="stylesheet">
  </head>
  <body>
    <?php include 'public/header.php'; ?>
    <div class="main-content">
      <?php include 'public/banner.php'; ?>
      <div class="container">
        <div class="breadcrumb">
          <a href="/">
            首页
          </a>
          <i class="material-icons">chevron_right</i>
          <a href="/product">
            产品服务
          </a>
          <i class="material-icons">chevron_right</i>
          <span>热门配置</span>
        </div>
      </div>
      <!-- 内容区域 -->
      <div class="hk-content">
        <!-- 页面标题 -->
        <div class="floor-section floor-1">
          <div class="container">
            <div class="page-header">
              <h1>热门服务器配置</h1>
              <div class="features-grid">
                <div class="feature-item">
                  <i class="material-icons">verified_user</i>
                  <span>自营高端机房</span>
                  <p>自有数据中心，硬件自主可控，安全稳定，7x24小时运维保障，业务连续性强。</p>
                </div>
                <div class="feature-item">
                  <i class="material-icons">thumb_up</i>
                  <span>免费测试体验</span>
                  <p>支持免费试用，真实环境体验，满意后再付费，零风险选择，服务有保障。</p>
                </div>
                <div class="feature-item">
                  <i class="material-icons">flash_on</i>
                  <span>免备案免实名</span>
                  <p>无需繁琐备案流程，无需实名，开通即用，快速上线，灵活满足多样化业务需求。</p>
                </div>
                <div class="feature-item">
                  <i class="material-icons">speed</i>
                  <span>极速优化线路</span>
                  <p>多线BGP智能调度，直连大陆，低延迟高带宽，媲美国内访问体验，全球畅通无阻。</p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- 香港标准配置 -->
        <div class="floor-section service-features floor-2">
          <div class="container">
            <div class="section-header">
              <h2>香港标准配置</h2>
              <p>自营机房限制少，免备案免实名制，大陆访问优化线路媲美国内体验</p>
            </div>
            <div class="plans-grid">
              <div class="plan-card">
                <div class="plan-header">
                  <h4>入门型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E3 8G</li>
                  <li><span class="spec-label">存储:</span> 1T HDD / 240G SSD</li>
                  <li><span class="spec-label">带宽:</span> 10M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$107</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>标准型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E3 16G</li>
                  <li><span class="spec-label">存储:</span> 1T HDD / 240G SSD</li>
                  <li><span class="spec-label">带宽:</span> 10M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$121</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>性能型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E5-2660 16G</li>
                  <li><span class="spec-label">存储:</span> 1T HDD / 240G SSD</li>
                  <li><span class="spec-label">带宽:</span> 10M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$214</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card featured">
                <div class="plan-tag">推荐</div>
                <div class="plan-header">
                  <h4>高级型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> 2*E5-2660 32G</li>
                  <li><span class="spec-label">存储:</span> 1T HDD / 240G SSD</li>
                  <li><span class="spec-label">带宽:</span> 10M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$314</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- 香港大带宽 -->
        <div class="floor-section service-features floor-3">
          <div class="container">
            <div class="section-header">
              <h2>香港大带宽配置</h2>
              <p>自营机房稳定可靠，满足高流量、大数据传输需求</p>
            </div>
            <div class="hk-product-cards">
              <!-- E5-2698 V3 系列 -->
              <div class="plan-card">
                <div class="plan-header">
                  <h4>E5-2698 V3 20M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E5-2698 V3 32G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 20M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$243</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>E5-2698 V3 40M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E5-2698 V3 32G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 40M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$500</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>E5-2698 V3 100M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E5-2698 V3 32G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 100M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$1243</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <!-- Gold 6138 系列 -->
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138 20M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138 32G</li>
                  <li><span class="spec-label">存储:</span> 480G SSD</li>
                  <li><span class="spec-label">带宽:</span> 20M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$271</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138 40M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138 32G</li>
                  <li><span class="spec-label">存储:</span> 480G SSD</li>
                  <li><span class="spec-label">带宽:</span> 40M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$529</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138 100M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138 32G</li>
                  <li><span class="spec-label">存储:</span> 480G SSD</li>
                  <li><span class="spec-label">带宽:</span> 100M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$1271</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <!-- Gold 6138*2 系列 -->
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138*2 20M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138*2 64G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 20M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$500</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card featured">
                <div class="plan-tag">推荐</div>
                <div class="plan-header">
                  <h4>Gold 6138*2 40M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138*2 64G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 40M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$743</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138*2 100M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138*2 64G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 100M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$1714</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- 日本大带宽 -->
        <div class="floor-section service-features floor-4">
          <div class="container">
            <div class="section-header">
              <h2>日本大带宽配置</h2>
              <p>自营机房限制少，低延迟高稳定性，优化线路适合亚太地区业务</p>
            </div>
            <div class="plans-grid">
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138 40M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138 32G</li>
                  <li><span class="spec-label">存储:</span> 1T SSD</li>
                  <li><span class="spec-label">带宽:</span> 40M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$271</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138 100M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138 32G</li>
                  <li><span class="spec-label">存储:</span> 1T SSD</li>
                  <li><span class="spec-label">带宽:</span> 100M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$971</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>Gold 6138*2 40M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138*2 64G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 40M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$500</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card featured">
                <div class="plan-tag">推荐</div>
                <div class="plan-header">
                  <h4>Gold 6138*2 100M</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> Gold 6138*2 64G</li>
                  <li><span class="spec-label">存储:</span> 800G SSD</li>
                  <li><span class="spec-label">带宽:</span> 100M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$1257</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- 美国标准 -->
        <div class="floor-section service-features floor-5">
          <div class="container">
            <div class="section-header">
              <h2>美国标准配置</h2>
              <p>自营机房限制少，优质海外节点，适合全球化业务部署</p>
            </div>
            <div class="plans-grid three-column-grid">
              <div class="plan-card featured">
                <div class="plan-tag">推荐</div>
                <div class="plan-header">
                  <h4>高性能型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> 2*E5-2698V3 128G</li>
                  <li><span class="spec-label">存储:</span> 2T SSD</li>
                  <li><span class="spec-label">带宽:</span> 50M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$400</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>E3 标准型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> E3 16G</li>
                  <li><span class="spec-label">存储:</span> 1T HDD / 240G SSD</li>
                  <li><span class="spec-label">带宽:</span> 50M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$121</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
              <div class="plan-card">
                <div class="plan-header">
                  <h4>E5 双路型</h4>
                </div>
                <ul class="plan-specs">
                  <li><span class="spec-label">UPC:</span> 2*E5-2660 64G</li>
                  <li><span class="spec-label">存储:</span> 1T SSD</li>
                  <li><span class="spec-label">带宽:</span> 50M</li>
                  <li><span class="spec-label">IP数:</span> 2个</li>
                  <li><span class="spec-label">价格:</span>
                    <strong>$257</strong>
                  </li>
                </ul>
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                  申请测试
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- 联系我们 -->
        <div class="floor-section service-features contact-section floor-6">
          <div class="container">
            <div class="contact-content">
              <h2>免费测试 不满意不收费</h2>
              <p>自营机房限制少，免备案免实名制即买即用，联系专属客服经理申请免费真机测试</p>
              <div class="contact-buttons">
                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank"><i class="material-icons">telegram</i> 申请测试</a>
                <a href="./product" class="btn btn-outline" target="_blank"><i class="material-icons">store</i> 产品中心</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <?php include 'public/footer.php'; ?>
    <!-- 页脚 -->
    <?php include 'public/kf.php'; ?>
    <div class="back-to-top">
      <i class="material-icons">arrow_upward</i>
    </div>
    <script src="/public/js/js.js"></script>
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script>
    AOS.init({
      duration: 800,
      easing: 'ease-in-out',
      once: true,
      offset: 50,
      disable: 'mobile'
    });
    // 返回顶部按钮
    document.addEventListener('DOMContentLoaded', function() {
      const backToTop = document.querySelector('.back-to-top');
      window.addEventListener('scroll', function() {
        if (window.pageYOffset > 300) {
          backToTop.classList.add('visible');
        } else {
          backToTop.classList.remove('visible');
        }
      });
      backToTop.addEventListener('click', function() {
        window.scrollTo({
          top: 0,
          behavior: 'smooth'
        });
      });
    });
    </script>
  </body>
</html>
