<!DOCTYPE html>
<html lang="zh-CN">
<?php include 'public/config.php'; ?>

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>站群IP资源 - Socks5/HTTP独享资源 | 撸空投矩阵工作室专用</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
    <link href="/public/css/style.css" rel="stylesheet" />
    <link href="/public/css/ip_matrix.css" rel="stylesheet" />
    <link href="/public/css/breadcrumb.css" rel="stylesheet" />
</head>

<body>
    <!-- 顶部导航 -->
    <?php include 'public/header.php'; ?>
    <!-- 主内容区 -->
    <div class="main-content">
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 内容区域 -->
        <div class="ip-matrix-content">
            <!-- 面包屑导航 -->
            <div class="container">
                <div class="breadcrumb">
                    <a href="/"> 首页 </a>
                    <i class="material-icons">chevron_right</i>
                    <a href="/product"> 产品服务 </a>
                    <i class="material-icons">chevron_right</i>
                    <span>站群IP资源</span>
                </div>
            </div>

            <!-- 免费测试信息 -->
            <section class="trial-section">
                <div class="trial-info">
                    <div class="trial-badge">
                        <span>0 成本</span>
                        <span>先测后付</span>
                    </div>
                    <h3>免费测试，满意再付费</h3>
                    <div class="trial-features">
                        <div class="trial-feature">
                            <i class="material-icons">timer</i>
                            <div class="feature-text">
                                <h4>24小时免费测试</h4>
                                <p>充分时间验证IP质量和稳定性</p>
                            </div>
                        </div>
                        <div class="trial-feature">
                            <i class="material-icons">verified_user</i>
                            <div class="feature-text">
                                <h4>真实项目环境</h4>
                                <p>在实际业务场景中测试效果</p>
                            </div>
                        </div>
                        <div class="trial-feature">
                            <i class="material-icons">support_agent</i>
                            <div class="feature-text">
                                <h4>技术支持指导</h4>
                                <p>专业团队提供配置和使用指导</p>
                            </div>
                        </div>
                        <div class="trial-feature">
                            <i class="material-icons">thumb_up</i>
                            <div class="feature-text">
                                <h4>满意付费</h4>
                                <p>免费测试，不满意不收费</p>
                            </div>
                        </div>
                    </div>
                    <div class="trial-note">
                        <i class="material-icons">info</i>
                        <p>测试期间提供完整功能体验，与正式版本功能完全一致</p>
                    </div>
                </div>
            </section>

            <!-- 产品优势 -->
            <section class="product-comparison">
                <div>
                    <div class="ip-advantages">
                        <div>
                            <div class="section-header">
                                <h2>产品优势</h2>
                                <p>相比市场上的共享IP资源，我们的优势显而易见</p>
                            </div>
                            <div class="advantages-grid">
                                <div class="advantage-card">
                                    <i class="material-icons">verified_user</i>
                                    <h3>IP资源干净</h3>
                                    <p>
                                        全新未使用IP<br />
                                        无黑历史记录<br />
                                        高质量资源池
                                    </p>
                                </div>
                                <div class="advantage-card">
                                    <i class="material-icons">lock</i>
                                    <h3>独享不共享</h3>
                                    <p>
                                        专属IP资源<br />
                                        独家使用权<br />
                                        避免资源竞争
                                    </p>
                                </div>
                                <div class="advantage-card">
                                    <i class="material-icons">settings_ethernet</i>
                                    <h3>资源丰富</h3>
                                    <p>
                                        多地区IP资源<br />
                                        多种协议支持<br />
                                        灵活配置选择
                                    </p>
                                </div>
                                <div class="advantage-card">
                                    <i class="material-icons">speed</i>
                                    <h3>稳定高效</h3>
                                    <p>
                                        服务器直接配置<br />
                                        专业技术团队<br />
                                        7*24小时监控
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <!-- 产品方案 -->
            <section class="product-plans">
                <div>
                    <div class="section-header">
                        <h2>产品方案</h2>
                        <p>为撸空投矩阵工作室量身定制的IP资源方案</p>
                    </div>
                    <div class="server-region-tabs">
                        <div class="server-tab active" data-region="hk">
                            <i class="material-icons">public</i> 香港服务器
                        </div>
                        <div class="server-tab" data-region="us">
                            <i class="material-icons">language</i> 美国服务器
                        </div>
                        <div class="server-tab" data-region="kr">
                            <i class="material-icons">cloud</i> 韩国服务器
                        </div>
                        <div class="server-tab" data-region="jp">
                            <i class="material-icons">dns</i> 日本服务器
                        </div>
                    </div>

                    <div class="plans-grid region-content active" data-region="hk">
                        <!-- 香港服务器方案 -->
                        <!-- 香港 方案 1 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>香港套餐一</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>
                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>
                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>
                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 50个</option>
                                        <option value="http">4C 48个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>独享10M cn2</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$127</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 香港 方案 2 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>香港套餐二</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 125个</option>
                                        <option value="http">4C 122个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 20M</option>
                                        <option value="socks5">国际BGP 100M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$206.75</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 香港 方案 3 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>香港套餐三</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <div class="plan-tag">推荐</div>
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 50M</option>
                                        <option value="socks5">国际BGP 100M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$264.7</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 方案 4 -->
                        <div class="plan-card">
                            <div class="plan-tag">原生IP</div>
                            <div class="plan-header">
                                <h3>香港套餐四</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>10M 独享CN2线路</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$359.37</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>
                    </div>

                    <!-- 美国服务器方案 -->
                    <div class="plans-grid region-content" data-region="us">
                        <!-- 美国基础方案 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>美国套餐一</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 125个</option>
                                        <option value="http">4C 122个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 100M</option>
                                        <option value="socks5">国际BGP 200M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$206.75</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 方案 3 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>美国套餐二</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <div class="plan-tag">推荐</div>
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 100M</option>
                                        <option value="socks5">国际BGP 200M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$264.7</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 方案 4 -->
                        <div class="plan-card">
                            <div class="plan-tag">原生IP</div>
                            <div class="plan-header">
                                <h3>美国套餐三</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>10M 独享CN2线路</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$293.75</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>
                    </div>

                    <!-- 韩国服务器方案 -->
                    <div class="plans-grid region-content" data-region="kr">
                        <!-- 韩国套餐一 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>韩国套餐一</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 125个</option>
                                        <option value="http">4C 122个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 150M</option>
                                        <option value="socks5">国际BGP 300M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$189.75</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 韩国套餐二 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>韩国套餐二</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <div class="plan-tag">推荐</div>
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 150M</option>
                                        <option value="socks5">国际BGP 300M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$249.7</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 韩国套餐三 -->
                        <div class="plan-card">
                            <div class="plan-tag">原生IP</div>
                            <div class="plan-header">
                                <h3>韩国套餐三</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2650*2</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                    </span>
                                    <div>128 个</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>10M</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$375</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 韩国套餐四 -->
                        <div class="plan-card">
                            <div class="plan-tag">原生IP</div>
                            <div class="plan-header">
                                <h3>韩国套餐四</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2650*2</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                    </span>
                                    <div>253 个</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>1000M</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$1000</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                    </div>

                    <!-- 日本服务器方案 -->
                    <div class="plans-grid region-content" data-region="jp">
                        <!-- 日本套餐一 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>日本套餐一</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 125个</option>
                                        <option value="http">4C 122个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 120M</option>
                                        <option value="socks5">国际BGP 250M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$195.75</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 日本套餐二 -->
                        <div class="plan-card">
                            <div class="plan-header">
                                <h3>日本套餐二</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>E5-2620</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <div class="plan-tag">推荐</div>
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <select class="proxy-type">
                                        <option value="socks5">大陆优化 120M</option>
                                        <option value="socks5">国际BGP 250M</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$254.7</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>

                        <!-- 日本套餐三 -->
                        <div class="plan-card">
                            <div class="plan-tag">原生IP</div>
                            <div class="plan-header">
                                <h3>日本套餐三</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>双路Intel Xeon E5 CPU *2</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>64GB</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <div>1C 253个</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>20M 独享</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$500</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>
                        <!-- 日本套餐四 -->
                        <div class="plan-card">
                            <div class="plan-tag">原生IP</div>
                            <div class="plan-header">
                                <h3>日本套餐四</h3>
                                <div class="plan-price"></div>
                            </div>
                            <div class="plan-features">
                                <div class="feature-item has-select">
                                    <span>CPU</span>
                                    <div>

                                        E3-1230 V3
                                    </div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>内存</span>
                                    <div>32G</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>硬盘</span>
                                    <div>1T HHD</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>类型</span>
                                    <select class="proxy-type">
                                        <option value="socks5">SOCKS5</option>
                                        <option value="http">HTTP</option>
                                        <option value="socks5">SOCKS5+HTTP</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>流量</span>
                                    <div>不限</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>IP数
                                        <a href="javascript:void(0)" class="video-popup-trigger" data-video-id="Em5PvTwK5Jg">*</a>
                                    </span>
                                    <select class="proxy-type">
                                        <option value="socks5">1C 253个</option>
                                        <option value="http">4C 244个</option>
                                        <option value="socks5">8C 232个</option>
                                    </select>
                                </div>

                                <div class="feature-item has-select">
                                    <span>带宽</span>
                                    <div>12M 独享CN2线路</div>
                                </div>

                                <div class="feature-item has-select">
                                    <span>价格</span>
                                    <div>
                                        <span class="price">$593.75</span>
                                        <span class="unit">/月</span>
                                    </div>
                                </div>
                            </div>
                            <div class="button-group">
                                <a href="<?= $Telegram ?>" class="btn btn-outline" target="_blank">申请测试</a>
                                <a href="#" class="btn btn-primary">立即购买</a>
                            </div>
                        </div>
                    </div>

                    <a href="./product?tag=23&sort=recommended&page=1&ajax=1" class="more-info" target="_blank">更多配置....</a>
                </div>
            </section>

            <!-- 应用场景 -->
            <section class="application-scenarios">
                <div>
                    <div class="section-header">
                        <h2>应用场景</h2>
                        <p>为撸空投矩阵工作室提供全方位IP资源支持</p>
                    </div>
                    <div class="scenarios-grid">
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">account_balance_wallet</i>
                            </div>
                            <div class="scenario-content">
                                <h3>空投撸毛</h3>
                                <p>
                                    使用独享IP资源进行空投活动参与，提高成功率，避免IP限制和检测。
                                </p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">groups</i>
                            </div>
                            <div class="scenario-content">
                                <h3>多账号管理</h3>
                                <p>
                                    为矩阵工作室提供稳定的多账号管理环境，每个账号使用独立IP，避免关联风险。
                                </p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">trending_up</i>
                            </div>
                            <div class="scenario-content">
                                <h3>数据采集</h3>
                                <p>
                                    使用多IP资源进行网络数据采集，避免频率限制和IP封锁，提高采集效率。
                                </p>
                            </div>
                        </div>
                        <div class="scenario-card">
                            <div class="scenario-icon">
                                <i class="material-icons">security</i>
                            </div>
                            <div class="scenario-content">
                                <h3>安全匿名</h3>
                                <p>
                                    通过独享IP资源保障操作的匿名性和安全性，避免个人信息泄露和追踪。
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <!-- 常见问题 -->
            <section class="faq-section">
                <div>
                    <div class="section-header">
                        <h2>常见问题</h2>
                        <p>关于站群IP资源的常见问题解答</p>
                    </div>
                    <div class="faq-list">
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>什么是独享IP资源？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>
                                    独享IP资源是指专属于您的IP地址，不与其他用户共享，确保IP资源的干净度和稳定性。我们的IP资源直接从服务器配置，而非代理池获取，保证资源质量。
                                </p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>Socks5和HTTP协议有什么区别？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>
                                    Socks5是一种通用代理协议，支持TCP和UDP，适用于各种网络应用；HTTP协议主要用于Web浏览和HTTP请求。我们的方案同时支持两种协议，您可以根据实际需求选择使用。
                                </p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>如何保证IP资源的稳定性？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>
                                    我们的IP资源直接从服务器配置，而非使用第三方代理池，同时配备7*24小时监控系统和专业技术团队，确保IP资源的稳定性和可用性。
                                </p>
                            </div>
                        </div>
                        <div class="faq-item">
                            <div class="faq-question">
                                <i class="material-icons">help_outline</i>
                                <h3>是否支持定制化需求？</h3>
                            </div>
                            <div class="faq-answer">
                                <p>
                                    是的，我们提供定制化服务，可以根据您的具体需求调整IP数量、地区分布、协议支持等配置，为您的矩阵工作室提供最适合的解决方案。
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <!-- 联系我们 -->
            <section class="contact-section">
                <div class="contact-content">
                    <h2>需要更多帮助？</h2>
                    <p>我们的专业团队随时为您提供支持和咨询服务</p>
                    <div class="contact-buttons">
                        <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                            在线咨询
                        </a>
                        <a href="./product" class="btn btn-outline"> 产品中心 </a>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <!-- 页脚 -->
    <?php include 'public/kf.php'; ?>
    <?php include 'public/footer.php'; ?>

    <!-- 视频弹窗 -->
    <div class="video-popup-overlay">
        <div class="video-popup-container">
            <div class="video-popup-close">&times;</div>
            <div class="video-iframe-container">
                <!-- YouTube视频将在这里加载 -->
            </div>
        </div>
    </div>

    <script src="/public/js/js.js"></script>
    <script>
        // 视频弹窗功能
        document.addEventListener("DOMContentLoaded", function() {
            const videoTriggers = document.querySelectorAll(".video-popup-trigger");
            const videoOverlay = document.querySelector(".video-popup-overlay");
            const videoContainer = document.querySelector(".video-iframe-container");
            const closeBtn = document.querySelector(".video-popup-close");
            // 打开视频弹窗
            videoTriggers.forEach((trigger) => {
                trigger.addEventListener("click", function(e) {
                    e.preventDefault();
                    const videoId = this.getAttribute("data-video-id");
                    videoContainer.innerHTML = `<iframe src="https://www.youtube.com/embed/${videoId}?autoplay=1" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>`;
                    videoOverlay.classList.add("active");
                    document.body.style.overflow = "hidden"; // 防止背景滚动
                });
            });
            // 关闭视频弹窗
            closeBtn.addEventListener("click", closeVideo);
            videoOverlay.addEventListener("click", function(e) {
                if (e.target === videoOverlay) {
                    closeVideo();
                }
            });
            // 关闭视频函数
            function closeVideo() {
                videoOverlay.classList.remove("active");
                setTimeout(() => {
                    videoContainer.innerHTML = "";
                }, 300);
                document.body.style.overflow = ""; // 恢复背景滚动
            }
            // ESC键关闭视频
            document.addEventListener("keydown", function(e) {
                if (e.key === "Escape" && videoOverlay.classList.contains("active")) {
                    closeVideo();
                }
            });
            // 服务器地区选项卡切换
            const serverTabs = document.querySelectorAll(".server-tab");
            const regionContents = document.querySelectorAll(".region-content");
            // 确保默认显示第一个地区内容
            if (regionContents.length > 0) {
                regionContents[0].classList.add("active");
            }
            // 初始化选中状态
            if (serverTabs.length > 0) {
                serverTabs[0].classList.add("active");
            }
            serverTabs.forEach((tab) => {
                tab.addEventListener("click", function() {
                    // 移除所有选项卡的active类
                    serverTabs.forEach((t) => t.classList.remove("active"));
                    // 为当前选项卡添加active类
                    this.classList.add("active");
                    // 获取当前选中的地区
                    const selectedRegion = this.getAttribute("data-region");
                    // 隐藏所有地区内容
                    regionContents.forEach((content) => {
                        content.classList.remove("active");
                    });
                    // 显示选中地区的内容
                    const targetContent = document.querySelector(`.region-content[data-region="${selectedRegion}"]`);
                    if (targetContent) {
                        // 添加一个小延迟，让过渡动画更流畅
                        setTimeout(() => {
                            targetContent.classList.add("active");
                        }, 50);
                    }
                    // 滚动到产品区域
                    const plansSection = document.querySelector(".product-plans");
                    if (plansSection) {
                        window.scrollTo({
                            top: plansSection.offsetTop - 100,
                            behavior: "smooth",
                        });
                    }
                });
            });
            // 确保移动端上显示正确
            function adjustForMobile() {
                if (window.innerWidth <= 768) {
                    document.querySelectorAll(".plans-grid").forEach((grid) => {
                        grid.style.gridTemplateColumns = "1fr";
                    });
                } else if (window.innerWidth <= 992) {
                    document.querySelectorAll(".plans-grid").forEach((grid) => {
                        grid.style.gridTemplateColumns = "repeat(2, 1fr)";
                    });
                } else {
                    document.querySelectorAll(".plans-grid").forEach((grid) => {
                        grid.style.gridTemplateColumns = "repeat(4, 1fr)";
                    });
                }
            }
            // 初始调整
            adjustForMobile();
            // 窗口大小变化时调整
            window.addEventListener("resize", adjustForMobile);
        });
    </script>
</body>

</html>