<?php include 'public/config.php'; ?>
<?php 
// 定义包含常量
define('INCLUDED_FROM_VIEW', true);
// 引入日本服务器数据处理文件
require_once 'code/jp_code.php';
// 引入日本站群服务器数据处理文件
require_once 'code/jp_cluster_code.php';
// 调用函数获取数据，关闭调试模式
$jpProducts = getJpProducts(false);
// 获取日本云服务器数据
$jpCloudProducts = getJpCloudProducts(false);
// 获取日本站群服务器数据
$jpClusterProducts = getJpClusterProducts(false);
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>日本服务器_日本高防服务器_日本VPS_日本云主机 - 日本物理服务器</title>
        <meta name="keywords" content="日本服务器,日本高防服务器,日本VPS,日本云主机,日本服务器租用">
        <meta name="description" content="提供日本大阪/东京机房高性能服务器租用，日本高防物理服务器和日本VPS云主机租用方案，具有超低延迟、大带宽、高性能的特点，BGP双线优化线路直连中国大陆。">
        <!-- 引入公共CSS -->
        <?php include 'public/config.php'; echo getCommonCss(); ?>
        <!-- 引入页面专属CSS -->
        <link rel="stylesheet" href="/public/css/jp.css">
        <link rel="stylesheet" href="/public/css/jp_server_card.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <!-- 引入SVG图标 -->
        <link rel="stylesheet" href="/public/css/menu-fix.css">
        <script src="/public/js/menu-fix.js"></script>
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/mobile-style.css" rel="stylesheet">
    </head>
    <body>
        <?php include 'public/header.php'; ?>
        <div class="main-content">
            <?php include 'public/banner.php'; ?>
            <!-- 内容区域 -->
            <div class="hk-content">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">
                            首页
                        </a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">
                            产品服务
                        </a>
                        <i class="material-icons">chevron_right</i>
                        <span>日本服务器</span>
                    </div>
                </div>
                <!-- 页面标题 -->
                <div class="floor-section">
                    <div class="container">
                        <div class="page-header">
                            <h1>日本服务器 - 自营机房丨免备案丨免实名丨低延迟</h1>
                            <p>日本自营机房提供亚洲地区最低延迟线路，大陆访问速度快，资源丰富稳定。免费提供真机测试，不满意不收费。匿名购买，无需实名认证和备案，即买即用，支持多种支付方式如USDT。日本服务器是亚洲业务的理想选择！</p>
                        </div>
                    </div>
                </div>
                <!-- 产品优势 -->
                <div class="floor-section hk-advantages">
                    <div class="container">
                        <div class="section-header">
                            <h2>日本服务器优势</h2>
                            <p>日本服务器为亚洲业务提供卓越性能和低延迟连接</p>
                        </div>
                        <div class="advantages-grid">
                            <div class="advantage-card">
                                <i class="material-icons">verified_user</i>
                                <h3>免备案免实名</h3>
                                <p>无需备案审核<br>
                                    无需实名认证<br>
                                    即买即用</p>
                            </div>
                            <div class="advantage-card">
                                <i class="material-icons">speed</i>
                                <h3>亚洲低延迟</h3>
                                <p>亚洲优质线路<br>
                                    超低延迟体验<br>
                                    大陆访问优化</p>
                            </div>
                            <div class="advantage-card">
                                <i class="material-icons">security</i>
                                <h3>自营机房</h3>
                                <p>完全自主可控<br>
                                    专业运维团队<br>
                                    高可靠性保障</p>
                            </div>
                            <div class="advantage-card">
                                <i class="material-icons">language</i>
                                <h3>亚洲业务中心</h3>
                                <p>亚洲业务枢纽<br>
                                    区域资源互通<br>
                                    理想出海选择</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 服务特点 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>服务特点</h2>
                            <p>我们与众不同的服务保障</p>
                        </div>
                        <div class="features-container">
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">touch_app</i>
                                </div>
                                <div class="feature-content">
                                    <h3>免费测试</h3>
                                    <p>提供真机测试，客户满意后再付款，不满意不收费</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">account_balance_wallet</i>
                                </div>
                                <div class="feature-content">
                                    <h3>匿名购买</h3>
                                    <p>支持USDT等多种支付方式，保障客户隐私安全</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">support_agent</i>
                                </div>
                                <div class="feature-content">
                                    <h3>7*24小时技术支持</h3>
                                    <p>专业技术团队全天候服务，快速响应各类问题</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon">
                                    <i class="material-icons">verified</i>
                                </div>
                                <div class="feature-content">
                                    <h3>资源稳定</h3>
                                    <p>自营机房资源丰富，服务器性能稳定可靠</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 产品方案 -->
                <div class="floor-section product-plans" style="padding: 10px 0 0 0; ">
                    <div class="container">
                        <div class="section-header">
                            <h2>产品方案</h2>
                            <p>多样化的日本服务器解决方案，满足不同需求</p>
                        </div>
                        <!-- 产品切换选项卡 -->
                        <div class="product-tabs">
                            <div class="tab-list">
                                <div class="tab-item" data-tab="cloud-server">日本云服务器</div>
                                <div class="tab-item active" data-tab="physical-server">日本物理服务器</div>
                                <div class="tab-item" data-tab="cluster-server">日本多IP站群服务器</div>
                                <div class="tab-item" data-tab="high-defense-server">日本高防服务器</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="floor-section service-features" style="padding: 20px 0 0 0; ">
                    <div class="container">
                        <!-- 产品内容区域 -->
                        <div class="product-content">
                            <!-- 日本云服务器 -->
                            <div class="product-category" id="cloud-server">
                                <div class="plans-grid">
                                    <!-- 云服务器循环输出开始 -->
                                    <?php
                                    // 判断是否有云服务器产品数据
                                    if (!empty($jpCloudProducts)) {
                                        $cloudProductCount = 0;
                                        foreach ($jpCloudProducts as $product) {
                                            // 计算显示价格（原价乘以倍率）
                                            $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>日本云服务器 <?php echo ($cloudProductCount + 1); ?><span class="tag">日本专区</span></h4>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">基础防护</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">东京</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1个</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 价格信息 -->
                                        <div class="price-container">
                                            <div class="spec-label">价格:</div>
                                            <div class="price-value"><span class="currency">$</span><span class="price-number"><?php echo number_format($displayPrice, 2); ?></span><span class="price-period">/月</span></div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $cloudProductCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <?php
                                    }
                                    ?>
                                    <!-- 云服务器循环输出结束 -->
                                </div>
                              
                            </div>
                            <!-- 日本物理服务器 -->
                            <div class="product-category active" id="physical-server">
                                <div class="plans-grid">
                                    <!-- 循环输出开始  -->
                                    <?php
                                    // 判断是否有产品数据
                                    if (!empty($jpProducts)) {
                                        $productCount = 0;
                                        foreach ($jpProducts as $product) {
                                            // 计算显示价格（原价乘以倍率）
                                            $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>日本物理服务器 <?php echo ($productCount + 1); ?><span class="tag">日本专区</span></h4>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '9' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo !empty($product['disk']) ? $product['disk'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">日本</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo !empty($product['ip_count']) ? $product['ip_count'] : '1'; ?>个</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo !empty($product['cpu']) ? $product['cpu'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo !empty($product['bandwidth']) ? $product['bandwidth'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo !empty($product['memory']) ? $product['memory'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 价格信息 -->
                                        <div class="price-container">
                                            <div class="spec-label">价格:</div>
                                            <div class="price-value"><span class="currency">$</span><span class="price-number"><?php echo number_format($displayPrice, 2); ?></span><span class="price-period">/月</span></div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <?php
                                    }
                                    ?>
                                    <!-- 循环输出结束 -->
                                </div>
                       
                            </div>
                            <!-- 日本站群服务器 -->
                            <div class="product-category" id="cluster-server">
                                <div class="plans-grid">
                                    <!-- 站群服务器循环输出开始 -->
                                    <?php
                                    // 判断是否有站群服务器产品数据
                                    if (!empty($jpClusterProducts)) {
                                        $clusterProductCount = 0;
                                        foreach ($jpClusterProducts as $product) {
                                            // 计算显示价格（原价乘以倍率）
                                            $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>日本多IP站群服务器 <?php echo ($clusterProductCount + 1); ?><span class="tag">日本专区</span></h4>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '7' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo !empty($product['disk']) ? $product['disk'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '基础防护'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">日本</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo !empty($product['ip_count']) ? $product['ip_count'] : '多个'; ?>个</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo !empty($product['cpu']) ? $product['cpu'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo !empty($product['bandwidth']) ? $product['bandwidth'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo !empty($product['memory']) ? $product['memory'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 价格信息 -->
                                        <div class="price-container">
                                            <div class="spec-label">价格:</div>
                                            <div class="price-value"><span class="currency">$</span><span class="price-number"><?php echo number_format($displayPrice, 2); ?></span><span class="price-period">/月</span></div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $clusterProductCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个提示信息
                                    ?>
                                    <div class="no-products-message">
                                        <p>暂无可用的日本多IP站群服务器产品，请联系客服了解最新产品信息。</p>
                                        <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">联系客服</a>
                                    </div>
                                    <?php
                                    }
                                    ?>
                                    <!-- 站群服务器循环输出结束 -->
                                </div>
                            </div>
                            <!-- 日本高防服务器 -->
                            <div class="product-category" id="high-defense-server">
                                <div class="plans-grid">
                                    <?php
                                    // 获取数据库连接
                                    $db = getDbConnection();
                                    
                                    try {
                                        // 构建SQL查询语句 - 筛选日本高防服务器(tags包含10的产品)
                                        $query = "SELECT * FROM products 
                                                 WHERE region_id = 8 
                                                 AND FIND_IN_SET(10, tags) 
                                                 AND status = 1 
                                                 ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $highDefenseProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($highDefenseProducts)) {
                                            $defenseProductCount = 0;
                                            foreach ($highDefenseProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>日本高防服务器 <?php echo ($defenseProductCount + 1); ?><span class="tag">日本专区</span></h4>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo !empty($product['disk']) ? $product['disk'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '高防'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">日本</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo !empty($product['ip_count']) ? $product['ip_count'] : '1'; ?>个</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo !empty($product['cpu']) ? $product['cpu'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo !empty($product['bandwidth']) ? $product['bandwidth'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo !empty($product['memory']) ? $product['memory'] : '-'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 价格信息 -->
                                        <div class="price-container">
                                            <div class="spec-label">价格:</div>
                                            <div class="price-value"><span class="currency">$</span><span class="price-number"><?php echo number_format($displayPrice, 2); ?></span><span class="price-period">/月</span></div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                                $defenseProductCount++;
                                            }
                                        } else {
                                            // 如果没有数据，显示一个提示信息
                                    ?>
                                    <div class="no-products-message">
                                        <p>暂无可用的日本高防服务器产品，请联系客服了解最新产品信息。</p>
                                        <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">联系客服</a>
                                    </div>
                                    <?php
                                        }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        echo '<div class="no-products-message"><p>获取产品信息时出错，请稍后再试。</p></div>';
                                        error_log("获取日本高防服务器产品错误: " . $e->getMessage());
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                        <!-- 全局立即选购按钮 -->
                       
                    </div>
                </div>
                <!-- 应用场景 -->
                <div class="floor-section application-scenarios">
                    <div class="container">
                        <div class="section-header">
                            <h2>应用场景</h2>
                            <p>日本服务器的典型应用场景</p>
                        </div>
                        <div class="scenarios-grid">
                            <div class="scenario-card">
                                <div class="scenario-icon">
                                    <i class="material-icons">language</i>
                                </div>
                                <div class="scenario-content">
                                    <h3>亚太业务拓展</h3>
                                    <p>日本作为亚太地区互联网枢纽，是企业开展亚洲业务的理想选择，提供稳定的区域连接性。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon">
                                    <i class="material-icons">web</i>
                                </div>
                                <div class="scenario-content">
                                    <h3>亚洲网站建设</h3>
                                    <p>免备案环境，低延迟高速网络，适合部署面向亚洲地区用户的网站和应用。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon">
                                    <i class="material-icons">movie</i>
                                </div>
                                <div class="scenario-content">
                                    <h3>亚洲流媒体服务</h3>
                                    <p>优质网络性能，适合视频直播、点播、游戏等对延迟敏感的流媒体应用。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon">
                                    <i class="material-icons">games</i>
                                </div>
                                <div class="scenario-content">
                                    <h3>游戏加速服务</h3>
                                    <p>超低延迟和优质网络连接，为亚洲地区游戏用户提供极致游戏体验。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 常见问题 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>常见问题</h2>
                            <p>关于日本服务器的常见问题解答</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>日本服务器与其他地区服务器相比有什么优势？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>日本服务器最大的优势是对亚洲地区，特别是中国大陆、韩国、东南亚等地区的低延迟访问。同时，日本的网络基础设施稳定可靠，免备案免实名，可即买即用，是亚洲业务的理想选择。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>"亚洲优化线路"是什么意思？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>亚洲优化线路是指经过专门优化的网络线路，可以提供亚洲各地区的快速稳定访问体验，特别是针对中国大陆、韩国、东南亚等地区进行了网络优化，提供低延迟、高速度的访问体验。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>为什么选择日本服务器而不是香港服务器？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>日本和香港服务器各有优势。日本服务器在国际带宽资源、网络稳定性方面表现优异，特别适合面向日韩和东南亚用户的业务。而香港服务器则在中国大陆访问速度方面更有优势。根据您的目标用户地区和业务需求选择合适的服务器区域。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <i class="material-icons">help_outline</i>
                                    <h3>日本服务器适合哪些类型的业务？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>日本服务器特别适合对延迟要求高的业务，如在线游戏、直播、金融交易平台等。同时也适合面向亚太地区用户的网站、应用和各类互联网服务。如果您的业务主要面向亚洲用户，日本服务器是非常理想的选择。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 联系我们 -->
                <div class="floor-section service-features contact-section">
                    <div class="container">
                        <div class="contact-content">
                            <h2>免费真机测试 不满意不收费</h2>
                            <p>联系专属客服经理申请免费真机测试或浏览我们的产品中心查看更多产品</p>
                            <div class="contact-buttons">
                                <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank">
                                    <i class="material-icons">telegram</i> 申请测试
                                </a>
                                <a href="./product" class="btn btn-outline" target="_blank">
                                    <i class="material-icons">store</i> 产品中心
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script>
        // 添加样式
        const styleElement = document.createElement('style');
        styleElement.textContent = `
            .back-to-top {
                position: fixed;
                bottom: 30px;
                right: 30px;
                width: 50px;
                height: 50px;
                border-radius: 50%;
                background-color: #ff6600;
                color: white;
                display: flex;
                align-items: center;
                justify-content: center;
                cursor: pointer;
                z-index: 999;
                box-shadow: 0 3px 10px rgba(0,0,0,0.2);
                opacity: 0;
                visibility: hidden;
                transition: 0.3s;
            }
            
            /* 产品卡片网格布局 */
            .plans-grid {
                display: grid;
                grid-template-columns: repeat(auto-fill, minmax(430px, 1fr));
                gap: 20px;
                margin-top: 20px;
            }
            
            /* 产品卡片增强样式 */
            .plan-card {
                max-width: 430px;
                margin: 0 auto 20px;
                border: 1px solid #f0f0f0;
                box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
                border-radius: 8px;
                overflow: hidden;
            }
            
            .plan-header {
                background-color: #f8f9fa;
                padding: 10px 15px;
            }
            
            .spec-item {
                padding: 8px 15px;
                margin: 0;
                font-size: 14px;
            }
            
            .spec-item:last-child {
                border-bottom: none;
            }
            
            .price-container {
                background-color: #fff;
                border-top: 1px solid #f0f0f0;
                border-bottom: 1px solid #f0f0f0;
                padding: 10px 15px;
                display: flex;
                align-items: center;
            }
            
            .price-container .spec-label {
                font-weight: normal;
                color: #666;
                margin-right: 5px;
            }
            
            .price-value {
                color: #ff6600;
                font-weight: 700;
                display: flex;
                align-items: baseline;
            }
            
            .price-value .currency {
                font-size: 16px;
                margin-right: 2px;
                color: #ff6600;
            }
            
            .price-value .price-number {
                font-size: 22px;
                color: #ff6600;
            }
            
            .price-value .price-period {
                font-size: 14px;
                color: #999;
                margin-left: 2px;
                font-weight: normal;
            }
            
            .cluster-actions {
                padding: 12px 15px;
                gap: 10px;
            }
            
            .btn-action {
                border-radius: 4px;
                padding: 8px 0;
                font-size: 14px;
                text-decoration: none;
                text-align: center;
                flex: 1;
            }
            
            .btn-primary {
                background: #ff6600;
                color: white !important;
                border: none;
            }
            
            .btn-outline {
                border: 1px solid #ff6600;
                color: #ff6600 !important;
                background: white;
            }
            
            .no-products-message {
                width: 100%;
                text-align: center;
                padding: 40px 20px;
                background-color: #f8f9fa;
                border-radius: 10px;
                margin: 20px 0;
            }
            
            .no-products-message p {
                margin-bottom: 20px;
                color: #666;
                font-size: 16px;
            }
            
            .back-to-top.visible {
                opacity: 1;
                visibility: visible;
            }
            
            .back-to-top:hover {
                background-color: #e65c00;
            }
            
            @media (max-width: 992px) {
                .mobile-menu-toggle {
                    display: flex !important;
                }
                
                .mobileSide {
                    display: block !important;
                }
            }
            
            /* 修复产品卡片在小屏幕上的问题 */
            @media (max-width: 768px) {
                .plans-grid {
                    grid-template-columns: 1fr;
                }
                
                .plan-card {
                    width: 100%;
                    max-width: 100%;
                    margin-left: 0;
                    margin-right: 0;
                }
                
                .cluster-actions {
                    flex-direction: row;
                }
                
                .btn-action {
                    padding: 10px 0;
                }
            }
        `;
        document.head.appendChild(styleElement);
        // FAQ 折叠效果
        document.addEventListener('DOMContentLoaded', function() {
            const faqItems = document.querySelectorAll('.faq-item');
            faqItems.forEach(item => {
                const question = item.querySelector('.faq-question');
                question.addEventListener('click', function() {
                    item.classList.toggle('open');
                });
            });
            // 返回顶部按钮功能
            const backToTopBtn = document.querySelector('.back-to-top');
            if (backToTopBtn) {
                // 显示/隐藏按钮
                window.addEventListener('scroll', function() {
                    if (window.pageYOffset > 300) {
                        backToTopBtn.classList.add('visible');
                    } else {
                        backToTopBtn.classList.remove('visible');
                    }
                });
                // 点击返回顶部
                backToTopBtn.addEventListener('click', function() {
                    window.scrollTo({
                        top: 0,
                        behavior: 'smooth'
                    });
                });
            }
            // 产品选项卡切换
            const tabItems = document.querySelectorAll('.tab-item');
            const productCategories = document.querySelectorAll('.product-category');
            tabItems.forEach(tab => {
                tab.addEventListener('click', function() {
                    const tabId = this.getAttribute('data-tab');
                    // 移除所有tab的active类
                    tabItems.forEach(t => t.classList.remove('active'));
                    // 隐藏所有产品类别
                    productCategories.forEach(cat => cat.classList.remove('active'));
                    // 激活当前tab和对应内容
                    this.classList.add('active');
                    document.getElementById(tabId).classList.add('active');
                });
            });
            // 移动端菜单交互处理增强
            const menuToggle = document.querySelector('.mobile-menu-toggle');
            const mobileSide = document.querySelector('.mobileSide');
            const menuTitles = document.querySelectorAll('.mobileSide > div > li > div');
            // 确保元素存在
            if (menuToggle && mobileSide && menuTitles.length > 0) {
                // 重新绑定菜单切换事件
                menuToggle.addEventListener('click', function(e) {
                    e.preventDefault();
                    e.stopPropagation();
                    menuToggle.classList.toggle('active');
                    mobileSide.classList.toggle('active');
                    // 添加/移除body类来阻止背景滚动
                    if (mobileSide.classList.contains('active')) {
                        document.body.classList.add('menu-open');
                    } else {
                        document.body.classList.remove('menu-open');
                    }
                });
                // 为每个菜单标题添加点击事件处理
                menuTitles.forEach(title => {
                    // 获取父级li和子菜单
                    const parentLi = title.parentElement;
                    const subMenu = parentLi.querySelector('ul');
                    const arrow = title.querySelector('.menu-arrow i');
                    if (subMenu && arrow) {
                        // 绑定点击事件
                        title.addEventListener('click', function(e) {
                            e.preventDefault();
                            e.stopPropagation();
                            // 关闭其他打开的菜单
                            menuTitles.forEach(otherTitle => {
                                if (otherTitle !== title) {
                                    const otherLi = otherTitle.parentElement;
                                    const otherArrow = otherTitle.querySelector('.menu-arrow i');
                                    if (otherLi.classList.contains('active')) {
                                        otherLi.classList.remove('active');
                                        if (otherArrow) {
                                            otherArrow.classList.remove('fa-chevron-up');
                                            otherArrow.classList.add('fa-chevron-down');
                                        }
                                    }
                                }
                            });
                            // 切换当前菜单状态
                            parentLi.classList.toggle('active');
                            // 更新箭头方向
                            if (parentLi.classList.contains('active')) {
                                arrow.classList.remove('fa-chevron-down');
                                arrow.classList.add('fa-chevron-up');
                            } else {
                                arrow.classList.remove('fa-chevron-up');
                                arrow.classList.add('fa-chevron-down');
                            }
                        });
                    }
                });
                // 点击页面其他区域关闭菜单
                document.addEventListener('click', function(e) {
                    if (mobileSide.classList.contains('active') &&
                        !mobileSide.contains(e.target) &&
                        !menuToggle.contains(e.target)) {
                        mobileSide.classList.remove('active');
                        menuToggle.classList.remove('active');
                        document.body.classList.remove('menu-open');
                    }
                });
                // 添加样式确保子菜单正确显示
                const style = document.createElement('style');
                style.textContent = `
                    body.menu-open {
                        overflow: hidden;
                    }
                    .mobileSide > div > li > ul {
                        display: none;
                    }
                    .mobileSide > div > li.active > ul {
                        display: block;
                    }
                `;
                document.head.appendChild(style);
            } else {
                console.error('移动端菜单元素未找到', {
                    menuToggle: menuToggle,
                    mobileSide: mobileSide,
                    menuTitlesCount: menuTitles.length
                });
            }
        });
        </script>
    </body>
</html>
