<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <?php 
    // 定义包含常量
    define('INCLUDED_FROM_VIEW', true);
    // 引入日本站群数据处理文件
    require_once 'code/jp_cluster_code.php';
    // 调用函数获取数据，关闭调试模式
    $jpProducts = getJpClusterProducts(false);
    ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>日本站群服务器 - 高品质的日本IP资源站群方案 - <?= $SiteName ?></title>
        <meta name="keywords" content="日本站群,日本多IP站群,日本站群服务器,日本IP资源,日语网站站群">
        <meta name="description" content="日本站群服务器提供优质的日本IP资源，稳定高速的网络环境，适合精品小站群部署，特别适合面向日本市场的业务和日语内容网站。">
        <?php echo getCommonCss(); ?>
   
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/mobile-style.css" rel="stylesheet">
        <link href="/public/css/menu-fix.css" rel="stylesheet">
        <link href="/public/css/server_clusters.css" rel="stylesheet">
        <link href="/public/css/product.css" rel="stylesheet">
        <link href="/public/css/product-enhanced.css" rel="stylesheet">
        <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
        <link href="/public/css/jp_cluster.css" rel="stylesheet">

        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    </head>
    <body>
        <!-- SVG图标集 -->
        <?php include 'public/svg/server_icons.svg'; ?>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="server-wrapper">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品服务</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/server_clusters.html">站群服务器</a>
                        <i class="material-icons">chevron_right</i>
                        <span>日本站群</span>
                    </div>
                </div>
                <!-- 页面标题区域 -->
            
                <!-- 服务器特点 -->
                <section class="server-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>日本站群服务器特点</h2>
                            <p>为面向日本市场的网站提供理想环境</p>
                        </div>
                        <div class="features-grid">
                            <div class="feature-card">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-award"></use>
                                </svg>
                                <h3>高品质IP资源</h3>
                                <p>提供优质日本本地IP，资源稳定可靠，有利于日本搜索引擎SEO</p>
                            </div>
                            <div class="feature-card">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-location"></use>
                                </svg>
                                <h3>优越地理位置</h3>
                                <p>位于东京、大阪顶级数据中心，连接亚太地区与日本本土网络</p>
                            </div>
                            <div class="feature-card">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-speed"></use>
                                </svg>
                                <h3>超稳定网络</h3>
                                <p>接入日本主要ISP，提供高速低延迟的网络体验，网络可用性高达99.99%</p>
                            </div>
                            <div class="feature-card">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-security"></use>
                                </svg>
                                <h3>严格安全保障</h3>
                                <p>日本严格的数据中心安全标准，多层次防护措施，保障数据安全</p>
                            </div>
                            <div class="feature-card">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-japan"></use>
                                </svg>
                                <h3>适合日语内容</h3>
                                <p>专为日语网站优化，支持日本本地SEO，提升日本用户访问体验</p>
                            </div>
                            <div class="feature-card">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-support"></use>
                                </svg>
                                <h3>多语言支持</h3>
                                <p>提供中文、日文和英文技术支持，解决语言障碍，快速响应</p>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 日本网络优势 -->
                <section class="network-advantages">
                    <div class="container">
                        <div class="section-header">
                            <h2>日本网络优势</h2>
                            <p>稳定、高速、安全的网络环境</p>
                        </div>
                        <div class="advantage-cards">
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-chart"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>顶级基础设施</h3>
                                    <p>日本拥有全球领先的互联网基础设施，平均网络速度全球排名前三。高品质的网络环境为站群服务器提供了坚实的基础，确保用户访问网站时获得流畅的体验。日本数据中心采用最新的网络设备和技术，提供高达10Gbps的带宽接入。</p>
                                </div>
                            </div>
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-globe"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>亚太网络枢纽</h3>
                                    <p>日本是亚太地区重要的网络枢纽，连接亚洲、北美和大洋洲。通过日本站群服务器，您的网站可以快速访问整个亚太地区，尤其是对中国大陆和韩国等邻近国家的访问速度极佳。日本拥有多条国际海底光缆连接，确保国际访问的稳定性。</p>
                                </div>
                            </div>
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-security"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>安全法规完善</h3>
                                    <p>日本拥有严格的网络安全法规和完善的数据保护制度，为数据安全提供法律保障。日本数据中心遵循国际安全标准，如ISO 27001，提供多层次安全防护，包括物理安全、网络安全和系统安全，确保您的业务数据得到全方位保护。</p>
                                </div>
                            </div>
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-clock"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>超高可用性</h3>
                                    <p>日本数据中心以稳定性著称，提供高达99.99%的服务可用性保证。多重备份电源系统、冗余网络连接和先进的灾难恢复机制，确保服务器在各种情况下都能稳定运行。对于需要高可靠性的业务来说，日本站群服务器是理想选择。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 日本站群方案 -->
                <section id="plans" class="cluster-plans">
                    <div class="container">
                        <div class="section-header">
                            <h2>日本站群套餐</h2>
                            <p>满足不同规模的站群业务需求</p>
                        </div>
                        <div class="product-list">
                            <?php
                            // 判断是否有产品数据
                            if (!empty($jpProducts)) {
                                $productCount = 0;
                                foreach ($jpProducts as $product) {
                                    // 计算显示价格（原价乘以倍率）
                                    $displayPrice = $product['price'] * getMultiplier();
                                    
                                    // 确定标签和样式，第二个产品使用featured样式（索引为1）
                                    $cardClass = $productCount === 1 ? 'product-card featured' : 'product-card';
                                    
                                    // 输出产品卡片
                                    ?>
                            <div class="<?php echo $cardClass; ?>">
                                <div class="product-title">
                                    <a href="//product/<?php echo $product['id']; ?>.html"" target="_blank">
                                        日本站群服务器 <?php 
                                        // 使用阿拉伯数字作为序号
                                        echo ($productCount + 1);
                                        ?>
                                    </a>
                                    <span class="tag">日本专区</span>
                                </div>
                                <div class="product-specs">
                                    <!-- 第一列：编号/硬盘/防御/地区 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">编号:</span>
                                            <span><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">硬盘:</span>
                                            <span><?php echo $product['disk']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">防御:</span>
                                            <span><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">地区:</span>
                                            <span>日本</span>
                                        </div>
                                    </div>
                                    <!-- 第二列：CPU/宽带/线路/内存 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">CPU:</span>
                                            <span><?php echo $product['cpu']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">宽带:</span>
                                            <span><?php echo $product['bandwidth']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">线路:</span>
                                            <span>大陆优化</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">内存:</span>
                                            <span><?php echo $product['memory']; ?></span>
                                        </div>
                                    </div>
                                    <!-- 第三列：IP数/流量/价格/按钮 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">IP数:</span>
                                            <span><?php echo $product['ip_count']; ?>个</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">流量:</span>
                                            <span>不限</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">价格:</span>
                                            <span class="unit">$<?php echo number_format($displayPrice, 2); ?>/月</span>
                                        </div>
                                        <div class="spec-row action-row">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary">产品详情</a>
                                            <a href="/contact.html" class="btn btn-outline" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                    $productCount++;
                                }
                            } else {
                                // 如果没有数据，显示提示信息
                                echo '<div class="no-products">暂无符合条件的产品</div>';
                            }
                            ?>
                        </div>
                        <div class="category-footer">
                            <p>需要其他配置？请<a href="/contact.php" class="text-accent">联系我们</a>，为您量身定制日本站群方案</p>
                        </div>
                    </div>
                </section>
                <!-- 日本站群优势对比 -->
                <section class="comparison-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>日本站群与其他地区对比</h2>
                            <p>选择最适合您业务的站群服务器</p>
                        </div>
                        <table class="comparison-table">
                            <thead>
                                <tr>
                                    <th>对比项</th>
                                    <th>日本站群</th>
                                    <th>香港站群</th>
                                    <th>美国站群</th>
                                    <th>韩国站群</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>IP资源质量</td>
                                    <td class="yes">优</td>
                                    <td class="yes">优</td>
                                    <td class="no">中等</td>
                                    <td class="yes">优</td>
                                </tr>
                                <tr>
                                    <td>IP资源数量</td>
                                    <td class="no">少/中等</td>
                                    <td class="yes">多</td>
                                    <td class="yes">极多</td>
                                    <td class="no">少/中等</td>
                                </tr>
                                <tr>
                                    <td>访问日本速度</td>
                                    <td class="yes">极快</td>
                                    <td class="no">较快</td>
                                    <td class="no">一般</td>
                                    <td class="yes">快</td>
                                </tr>
                                <tr>
                                    <td>访问中国大陆速度</td>
                                    <td class="yes">良</td>
                                    <td class="yes">优</td>
                                    <td class="no">一般</td>
                                    <td class="yes">良</td>
                                </tr>
                                <tr>
                                    <td>服务器稳定性</td>
                                    <td class="yes">极高</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                </tr>
                                <tr>
                                    <td>服务器价格</td>
                                    <td class="no">较高</td>
                                    <td class="no">中等</td>
                                    <td class="yes">实惠</td>
                                    <td class="no">中等</td>
                                </tr>
                                <tr>
                                    <td>适合业务类型</td>
                                    <td>日语网站、面向日本市场业务、精品小站群</td>
                                    <td>面向亚太地区、中文网站、电商</td>
                                    <td>全球性业务、大型站群</td>
                                    <td>韩语网站、游戏网站</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </section>
                
                <!-- 移动端特点展示 -->
                <div class="mobile-data-center mobile-only" data-aos="fade-up">
                    <div class="data-center-stats-cards">
                        <div class="stat-card">
                            <div class="stat-number">50<span class="stat-unit">个</span></div>
                            <div class="stat-label">最大IP资源</div>
                        </div>
                        <div class="stat-card">
                            <div class="stat-number">20<span class="stat-unit">M</span></div>
                            <div class="stat-label">大陆优化带宽</div>
                        </div>
                        <div class="stat-card">
                            <div class="stat-number">40<span class="stat-unit">ms</span></div>
                            <div class="stat-label">延迟</div>
                        </div>
                        <div class="stat-card">
                            <div class="stat-number">24/7</div>
                            <div class="stat-label">技术支持</div>
                        </div>
                    </div>
                    <div class="mobile-locations">
                        <h3>适用站点类型</h3>
                        <div class="location-tags">
                            <span class="location-tag">日语网站</span>
                            <span class="location-tag">日本市场</span>
                            <span class="location-tag">ACG网站</span>
                            <span class="location-tag">精品站点</span>
                            <span class="location-tag">多语言网站</span>
                            <span class="location-tag">企业官网</span>
                        </div>
                    </div>
                </div>
                <!-- 常见问题 -->
                <section class="faq-section">
                    <div class="container">
                        <div class="section-header">
                            <h2>日本站群常见问题</h2>
                            <p>解答您关心的问题</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>日本站群服务器适合哪些类型的网站？</h3>
                                </div>
                                <div class="faq-answer" style="display:none;">
                                    <p>日本站群服务器特别适合以下类型的网站：1）面向日本市场的商业网站和在线服务；2）日语内容网站，如日语博客、新闻、教育等；3）需要在日本搜索引擎有良好排名的网站；4）对网络稳定性和安全性要求高的精品站点；5）ACG、动漫、游戏等面向日本用户的娱乐网站；6）需要覆盖日本及周边亚洲地区的内容分发网站。日本站群虽然IP数量不如美国站群丰富，但IP质量高，非常适合重视质量而非数量的精品站群项目。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>日本站群服务器的网络连接情况如何？</h3>
                                </div>
                                <div class="faq-answer" style="display:none;">
                                    <p>日本站群服务器的网络连接具有以下特点：1）访问日本本土极快，延迟通常低于10ms；2）连接亚洲其他地区优良，如中国大陆约50-80ms，韩国约30ms，东南亚约70-100ms；3）国际带宽充足，连接北美和欧洲稳定；4）接入日本主要ISP如NTT、KDDI等，网络覆盖全面；5）高达99.99%的网络可用性保证，断网事件极少；6）支持IPv4和IPv6双栈。日本作为亚太地区的互联网枢纽，网络基础设施先进完善，能为站群服务器提供稳定、高速的网络环境。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>日本站群服务器的IP资源有什么特点？</h3>
                                </div>
                                <div class="faq-answer" style="display:none;">
                                    <p>日本站群服务器的IP资源具有以下特点：1）IP信誉度极高，几乎没有被用于垃圾邮件或恶意活动的历史；2）IP地址归属地明确为日本，有助于在日本本地搜索引擎获得更好排名；3）IP资源数量相对有限，但质量上乘；4）IP价格较高，反映了其高品质特性；5）支持反向解析和自定义DNS设置。虽然日本IP资源在数量上不如美国站群丰富，但其高质量特性使其成为精品站群的理想选择，特别是对于重视品牌形象和用户体验的业务。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>日本站群服务器与其他地区站群的主要区别是什么？</h3>
                                </div>
                                <div class="faq-answer" style="display:none;">
                                    <p>日本站群服务器与其他地区站群相比具有以下区别：1）IP资源：日本IP数量少但质量高，美国IP数量多但质量参差不齐；2）价格：日本站群价格较高，美国站群价格较为经济；3）网络质量：日本网络稳定性和速度在亚洲地区首屈一指；4）适用场景：日本站群适合精品小站群，美国站群适合大型站群，香港站群则是两者的折中选择；5）地理覆盖：日本站群在亚太地区，特别是日本本土表现优异；6）法律环境：日本有严格的网络和数据保护法规，提供更安全的法律环境。选择哪个地区的站群服务器，应根据您的业务定位、目标市场和预算来决定。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>日本站群服务器提供哪些增值服务？</h3>
                                </div>
                                <div class="faq-answer" style="display:none;">
                                    <p>我们的日本站群服务器提供以下增值服务：1）多语言技术支持：提供中文、日文和英文的技术支持服务；2）站群管理系统：便捷管理多个网站的统一控制面板；3）CDN加速：可选的日本本土CDN加速服务，提升访问速度；4）DDoS防护：基础防护免费，可升级更高级别的防护服务；5）数据备份：提供定期自动备份服务，确保数据安全；6）负载均衡：可选的负载均衡服务，优化多站点的资源分配；7）SSL证书：免费提供基础SSL证书，保障网站安全。这些增值服务旨在为您的日本站群业务提供全方位支持，降低运维难度，提升整体效率。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
        <!-- 回到顶部按钮 -->
        <a href="#" class="back-to-top">
            <i class="fas fa-chevron-up"></i>
        </a>
        <!-- 日本风格装饰元素 -->
        <div class="japan-decoration decoration-top-right"></div>
        <div class="japan-decoration decoration-bottom-left"></div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <!-- 引入脚本 -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <script>
        // 初始化AOS动画
        AOS.init({
            duration: 800,
            easing: 'ease-in-out',
            once: true
        });
        // FAQ展开/收起功能
        $(document).ready(function() {
            // FAQ点击事件处理
            $('.faq-question').click(function() {
                // 先关闭其他打开的FAQ项
                $('.faq-item.open').not($(this).parent()).removeClass('open').find('.faq-answer').slideUp(300);
                
                // 切换当前FAQ项的状态
                var parent = $(this).parent();
                parent.toggleClass('open');
                
                // 使用slideToggle为内容添加动画效果
                $(this).next('.faq-answer').slideToggle(300);
            });
            
            // 回到顶部按钮
            $(window).scroll(function() {
                if ($(this).scrollTop() > 300) {
                    $('.back-to-top').addClass('active');
                } else {
                    $('.back-to-top').removeClass('active');
                }
            });
            
            $('.back-to-top').click(function(e) {
                e.preventDefault();
                $('html, body').animate({
                    scrollTop: 0
                }, 500);
                return false;
            });
        });
        </script>
    </body>
</html>
