<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <?php 
    // 定义包含常量
    define('INCLUDED_FROM_VIEW', true);
    // 引入韩国服务器数据处理文件
    require_once 'code/kr_code.php';
    // 调用函数获取数据，关闭调试模式
    $krProducts = getKrProducts(false);
    ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>韩国服务器 - 超低延迟 | 游戏流媒体首选服务器托管方案</title>
        <meta name="keywords" content="韩国服务器,韩国云服务器,韩国物理服务器,韩国站群服务器,韩国高防服务器,韩国免备案服务器,韩国游戏服务器,韩国流媒体服务器,首尔数据中心,韩国自营机房">
        <meta name="description" content="提供韩国首尔自营机房的高性能服务器租用与托管服务，支持免备案免实名认证，超低延迟网络连接，特别适合游戏加速和流媒体应用。提供多种配置方案，7×24小时专业技术支持，为数字娱乐和在线游戏提供稳定可靠的服务器解决方案。">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/hk.css" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <!-- 引入菜单修复样式 -->
        <link rel="stylesheet" href="/public/css/menu-fix.css">
        <!-- 引入移动端菜单脚本 -->
        <script src="/public/js/menu-fix.js"></script>
        <!-- 引入移动端样式 -->
        <link href="/public/css/mobile-style.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <!-- Banner 区域 -->
            <?php include 'public/banner.php'; ?>
            <!-- 内容区域 -->
            <div class="hk-content">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb"> <a href="/">首页</a> <i class="material-icons">chevron_right</i> <a href="/product">产品服务</a> <i class="material-icons">chevron_right</i> <span>韩国服务器</span> </div>
                </div>
                <!-- 页面标题 -->
                <div class="floor-section">
                    <div class="container">
                        <div class="page-header">
                            <h1>韩国服务器 - 自营机房丨免备案丨免实名丨高速稳定</h1>
                            <p>韩国自营机房提供超高速网络连接，大陆访问速度快，特别适合游戏和流媒体应用。免费提供真机测试，不满意不收费。匿名购买，无需实名认证和备案，即买即用，支持多种支付方式如USDT。韩国服务器是游戏和数字娱乐业务的理想选择！</p>
                        </div>
                    </div>
                </div>
                <!-- 产品优势 -->
                <div class="floor-section hk-advantages">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国服务器优势</h2>
                            <p>韩国服务器为游戏和数字娱乐业务提供卓越性能和稳定连接</p>
                        </div>
                        <div class="advantages-grid">
                            <div class="advantage-card"> <i class="material-icons">verified_user</i>
                                <h3>免备案免实名</h3>
                                <p>无需备案审核<br>
                                    无需实名认证<br>
                                    即买即用</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">speed</i>
                                <h3>超高速网络</h3>
                                <p>韩国优质线路<br>
                                    超低延迟体验<br>
                                    大陆访问优化</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">security</i>
                                <h3>自营机房</h3>
                                <p>完全自主可控<br>
                                    专业运维团队<br>
                                    高可靠性保障</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">games</i>
                                <h3>游戏性能优化</h3>
                                <p>游戏加速特化<br>
                                    超低网络延迟<br>
                                    稳定高效连接</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 服务特点 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>服务特点</h2>
                            <p>我们与众不同的服务保障</p>
                        </div>
                        <div class="features-container">
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">touch_app</i> </div>
                                <div class="feature-content">
                                    <h3>免费测试</h3>
                                    <p>提供真机测试，客户满意后再付款，不满意不收费</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">account_balance_wallet</i> </div>
                                <div class="feature-content">
                                    <h3>匿名购买</h3>
                                    <p>支持USDT等多种支付方式，保障客户隐私安全</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">support_agent</i> </div>
                                <div class="feature-content">
                                    <h3>7*24小时技术支持</h3>
                                    <p>专业技术团队全天候服务，快速响应各类问题</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">verified</i> </div>
                                <div class="feature-content">
                                    <h3>资源稳定</h3>
                                    <p>自营机房资源丰富，服务器性能稳定可靠</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 产品方案 -->
                <div class="floor-section product-plans" style="padding: 10px 0 0 0; ">
                    <div class="container">
                        <div class="section-header">
                            <h2>产品方案</h2>
                            <p>多样化的韩国服务器解决方案，满足不同需求</p>
                        </div>
                        <!-- 产品切换选项卡 -->
                        <div class="product-tabs">
                            <div class="tab-list">
                                <div class="tab-item active" data-tab="cloud-server">韩国云服务器</div>
                                <div class="tab-item" data-tab="physical-server">韩国物理服务器</div>
                                <div class="tab-item" data-tab="cluster-server">韩国多IP站群服务器</div>
                                <!-- <div class="tab-item" data-tab="high-defense-server">韩国高防服务器</div> -->
                            </div>
                        </div>
                    </div>
                </div>
                <div class="floor-section service-features" style="padding: 20px 0 0 0; ">
                    <div class="container">
                        <!-- 产品内容区域 -->
                        <div class="product-content">
                            <!-- 韩国云服务器 -->
                            <div class="product-category active" id="cloud-server">
                                <div class="plans-grid">
                                    <?php
                                    // 获取数据库连接
                                    $db = getDbConnection();
                                    
                                    try {
                                        // 构建SQL查询语句 - 筛选韩国云服务器(tags包含7的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 19 
                                               AND FIND_IN_SET(7, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $cloudProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($cloudProducts)) {
                                            $productCount = 0;
                                            foreach ($cloudProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <h3><?php echo !empty($product['name']) ? $product['name'] : '韩国云服务器 ' . ($productCount + 1); ?></h3>
                                        
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '7' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo $product['ip_count']; ?>个</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <div class="plan-card">
                                        <h3>韩国云服务器 1</h3>
                                        
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">70001</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">2核</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">40GB SSD</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value">5Mbps</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">4GB</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1个</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$49/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取韩国云服务器产品错误: " . $e->getMessage());
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                    <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a></p>
                                </div>
                            </div>
                            <!-- 韩国物理服务器 -->
                            <div class="product-category" id="physical-server">
                                <div class="plans-grid">
                                    <?php
                                    // 判断是否有产品数据
                                    if (!empty($krProducts)) {
                                        $productCount = 0;
                                        foreach ($krProducts as $product) {
                                            // 计算显示价格（原价乘以倍率）
                                            $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <h3><?php echo !empty($product['name']) ? $product['name'] : '韩国物理服务器 ' . ($productCount + 1); ?></h3>
                                        
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo $product['ip_count']; ?>个</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <div class="plan-card">
                                        <h3>韩国物理服务器 1</h3>
                                        
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">80360</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">E5-2620 (6核12线)</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">1T HDD</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value">50Mbps</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">32GB</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1个</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$129/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                    <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a></p>
                                </div>
                            </div>
                            <!-- 韩国站群服务器 -->
                            <div class="product-category" id="cluster-server">
                                <div class="plans-grid">
                                    <?php
                                    // 获取数据库连接
                                    $db = getDbConnection();
                                    
                                    try {
                                        // 构建SQL查询语句 - 筛选韩国站群服务器(tags包含23的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 19 
                                               AND FIND_IN_SET(23, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $clusterProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($clusterProducts)) {
                                            $productCount = 0;
                                            foreach ($clusterProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <h3><?php echo !empty($product['name']) ? $product['name'] : '韩国站群服务器 ' . ($productCount + 1); ?></h3>
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '9' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo $product['ip_count']; ?>个</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                    ?>
                                    <div class="plan-card">
                                        <h3>韩国站群服务器 1</h3>
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">90001</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">8核</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">500GB SSD</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value">50Mbps</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">16GB</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">20个</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$189/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取韩国站群服务器产品错误: " . $e->getMessage());
                                    ?>
                                    <div class="plan-card">
                                        <h3>韩国站群服务器 1</h3>
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">90001</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">8核</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">500GB SSD</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value">50Mbps</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">16GB</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">20个</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$189/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                    <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a></p>
                                </div>
                            </div>
                            <!-- 韩国高防服务器 -->
                            <div class="product-category" id="high-defense-server">
                                <div class="plans-grid">
                                    <?php
                                    // 获取数据库连接
                                    $db = getDbConnection();
                                    
                                    try {
                                        // 构建SQL查询语句 - 筛选韩国高防服务器(tags包含10的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 19 
                                               AND FIND_IN_SET(10, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $highDefenseProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($highDefenseProducts)) {
                                            $productCount = 0;
                                            foreach ($highDefenseProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                        <h3><?php echo !empty($product['name']) ? $product['name'] : '韩国高防服务器 ' . ($productCount + 1); ?></h3>
                                        
                                        <div class="product-spec-table">
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '9' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">带宽:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '20Gbps'; ?></div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">亚洲优化</div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">韩国</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                            </div>
                                            <div class="spec-row">
                                                <div class="spec-col">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo $product['ip_count']; ?>个</div>
                                                </div>
                                                <div class="spec-col">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="spec-row price-row">
                                                <div class="spec-col">
                                                    <div class="spec-label price-label">价格:</div>
                                                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                 
                                    <?php
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取韩国高防服务器产品错误: " . $e->getMessage());
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                    <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a></p>
                                </div>
                            </div>
                        </div>
                        <!-- 全局立即选购按钮 -->
                    </div>
                </div>
                <!-- 应用场景 -->
                <div class="floor-section application-scenarios">
                    <div class="container">
                        <div class="section-header">
                            <h2>应用场景</h2>
                            <p>韩国服务器的典型应用场景</p>
                        </div>
                        <div class="scenarios-grid">
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">games</i> </div>
                                <div class="scenario-content">
                                    <h3>游戏服务器</h3>
                                    <p>韩国作为电竞强国，服务器网络环境优质，是部署游戏服务器的理想选择，可提供极低延迟的游戏体验。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">live_tv</i> </div>
                                <div class="scenario-content">
                                    <h3>直播与流媒体</h3>
                                    <p>超低延迟高速网络，特别适合视频直播、点播、游戏直播等流媒体应用。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">web</i> </div>
                                <div class="scenario-content">
                                    <h3>东亚网站建设</h3>
                                    <p>免备案环境，对东亚地区访问速度快，适合面向中国、日本、韩国等东亚地区用户的网站和应用。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">cloud</i> </div>
                                <div class="scenario-content">
                                    <h3>CDN加速节点</h3>
                                    <p>优质的网络连接，是构建东亚CDN加速网络的理想节点，提供更快速的内容分发服务。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 常见问题 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>常见问题</h2>
                            <p>关于韩国服务器的常见问题解答</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>韩国服务器的主要优势是什么？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国服务器的主要优势在于其卓越的网络环境和超低延迟，特别适合游戏服务器和流媒体应用。韩国作为互联网发达国家，拥有世界一流的网络基础设施，对亚洲各地特别是中国大陆、日本等地区的访问速度快。同时，免备案免实名，可即买即用。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>韩国服务器与日本服务器有什么区别？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国和日本服务器都有各自的优势。韩国服务器在游戏和电竞应用方面表现更为出色，拥有更好的游戏网络环境。而日本服务器则在全球连通性和商业应用方面略有优势。它们对中国大陆访问速度相近，可根据您的具体业务需求选择合适的地区。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>韩国服务器特别适合哪些类型的游戏？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国服务器特别适合对网络延迟要求高的游戏，如MOBA类游戏（英雄联盟、DOTA2等）、FPS射击游戏、大型多人在线游戏(MMORPG)等。由于韩国优质的网络环境，这些游戏在韩国服务器上可以提供极低的网络延迟和稳定的游戏体验。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>韩国服务器的网络如何优化？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>我们的韩国服务器采用多线优化策略，特别针对中国大陆、日本、东南亚等亚洲地区的访问进行了专门优化。我们使用优质的国际线路，确保您的服务在亚洲地区都能获得低延迟、高稳定性的网络体验。同时，我们的技术团队会持续监控和优化网络性能。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 联系我们 -->
                <div class="floor-section service-features contact-section">
                    <div class="container">
                        <div class="contact-content">
                            <h2>免费真机测试 不满意不收费</h2>
                            <p>联系专属客服经理申请免费真机测试或浏览我们的产品中心查看更多产品</p>
                            <div class="contact-buttons"> <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank"> <i class="material-icons">telegram</i> 申请测试</a> <a href="./product" class="btn btn-outline" target="_blank"> <i class="material-icons">store</i> 产品中心 </a> </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/header.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <script>
        document.addEventListener('DOMContentLoaded', function() {
            // 获取所有标签和产品分类
            const tabItems = document.querySelectorAll('.product-tabs .tab-item');
            const productCategories = document.querySelectorAll('.product-category');
            // 为每个标签添加点击事件
            tabItems.forEach(tab => {
                tab.addEventListener('click', function() {
                    // 移除所有标签和产品分类的活跃状态
                    tabItems.forEach(item => item.classList.remove('active'));
                    productCategories.forEach(category => category.classList.remove('active'));
                    // 设置当前点击的标签为活跃状态
                    this.classList.add('active');
                    // 获取当前标签对应的产品分类ID
                    const tabId = this.getAttribute('data-tab');
                    // 设置对应的产品分类为活跃状态
                    document.getElementById(tabId).classList.add('active');
                });
            });
        });
        </script>
        <style>
        .plan-card {
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            padding: 20px;
            margin-bottom: 20px;
            width: 100%;
        }

        .plan-card h3 {
            font-size: 18px;
            font-weight: bold;
            margin-bottom: 15px;
            color: #333;
            border-bottom: 1px solid #f0f0f0;
            padding-bottom: 10px;
        }

        .product-spec-table {
            margin-bottom: 15px;
        }

        .spec-row {
            display: flex;
            justify-content: space-between;
            border-bottom: 1px solid #f5f5f5;
            padding: 8px 0;
        }

        .spec-row:last-child {
            border-bottom: none;
        }

        .spec-col {
            display: flex;
            width: 48%;
        }

        .spec-label {
            color: #666;
            font-size: 14px;
            min-width: 60px;
            text-align: left;
        }

        .price-row {
            margin-top: 10px;
        }

        .price-label {
            color: #ff6600;
            font-weight: 500;
        }

        .spec-value {
            color: #333;
            font-size: 14px;
            text-align: right;
            font-weight: 500;
            margin-left: auto;
        }

        .price-value {
            color: #ff6600;
            font-weight: bold;
            font-size: 16px;
        }

        .cluster-actions {
            display: flex;
            gap: 10px;
            margin-top: 15px;
        }

        .btn-action {
            flex: 1;
            padding: 10px;
            text-align: center;
            text-decoration: none;
            border-radius: 4px;
            font-size: 14px;
            font-weight: 500;
            transition: all 0.3s ease;
        }

        .btn-primary {
            background-color: #ff6600;
            color: white;
            border: none;
        }

        .btn-outline {
            background-color: white;
            color: #ff6600;
            border: 1px solid #ff6600;
        }

        .btn-primary:hover {
            background-color: #e55c00;
        }

        .btn-outline:hover {
            background-color: #fff1e8;
        }

        .plans-grid {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
        }

        @media (max-width: 1200px) {
            .plans-grid {
                grid-template-columns: repeat(2, 1fr);
            }
        }

        @media (max-width: 768px) {
            .plans-grid {
                grid-template-columns: 1fr;
            }
            
            .spec-row {
                flex-direction: column;
                gap: 8px;
            }
            
            .spec-col {
                width: 100%;
            }
        }

        </style>
    </body>
</html>
