<?php
ob_start(); // 开启输出缓冲
// 定义包含常量
define('INCLUDED_FROM_VIEW', true);
// 引入韩国云服务器数据处理文件
require_once 'code/kr_cloud_code.php';
// 调用函数获取数据，关闭调试模式
$krCloudProducts = getKrCloudProducts_Main(false);
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>韩国云服务器_高性能韩国VPS主机租用_企业级韩国云主机 - 韩国云服务器</title>
        <meta name="keywords" content="韩国云服务器,韩国VPS,韩国云主机,首尔数据中心,韩国主机租用,韩国服务器">
        <meta name="description" content="提供高性能韩国云服务器租用，优质韩国机房网络资源，低延迟连接中国大陆，适合游戏、直播、电商等应用场景，按需定制配置方案。">
        <!-- 引入公共CSS -->
        <?php include 'public/config.php'; ?>
        <?php echo getCommonCss(); ?>
        <!-- 引入页面专属CSS -->
        <link rel="stylesheet" href="/public/css/kr_cloud.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <link rel="stylesheet" type="text/css" href="https://www.jq22.com/jquery/font-awesome.5.81.all.css">
    </head>
    <body>
        <!-- 引入页头 -->
        <?php include('public/header.php'); ?>
        <!-- 引入Banner -->
        <?php include('public/banner.php'); ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="container">
                <div class="server-wrapper">
                    <!-- 面包屑导航 -->
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="fas fa-chevron-right"></i>
                        <a href="/cloud.php">云服务器</a>
                        <i class="fas fa-chevron-right"></i>
                        <span>韩国云服务器</span>
                    </div>
                    <!-- 服务器标题区 -->
        
                    <!-- 服务器特点 -->
                    <section class="server-features" id="features">
                        <div class="container">
                            <div class="section-header">
                                <h2>韩国云服务器优势</h2>
                                <p>为您提供全方位的韩国云服务器解决方案</p>
                            </div>
                            <div class="features-grid">
                                <div class="feature-card">
                                    <i class="fas fa-map-marker-alt fa-3x"></i>
                                    <h3>地理位置优势</h3>
                                    <p>韩国地理位置靠近中国大陆，网络延迟更低，访问速度更快，为用户提供顺畅体验</p>
                                </div>
                                <div class="feature-card">
                                    <i class="fas fa-microchip fa-3x"></i>
                                    <h3>高性能配置</h3>
                                    <p>采用Intel至强处理器，NVMe固态硬盘，提供强大计算能力和极速读写性能</p>
                                </div>
                                <div class="feature-card">
                                    <i class="fas fa-network-wired fa-3x"></i>
                                    <h3>优质网络</h3>
                                    <p>韩国顶级BGP网络接入，专线直连中国大陆，稳定传输，极低延迟体验</p>
                                </div>
                                <div class="feature-card">
                                    <i class="fas fa-shield-alt fa-3x"></i>
                                    <h3>安全保障</h3>
                                    <p>多层防火墙保护，高防DDoS防护，定期安全扫描，确保服务器稳定运行</p>
                                </div>
                                <div class="feature-card">
                                    <i class="fas fa-expand-arrows-alt fa-3x"></i>
                                    <h3>弹性扩展</h3>
                                    <p>根据业务需求随时调整配置，支持CPU、内存、存储的灵活升级，适应业务发展</p>
                                </div>
                                <div class="feature-card">
                                    <i class="fas fa-headset fa-3x"></i>
                                    <h3>全天候支持</h3>
                                    <p>7*24小时中文技术支持，专业团队快速响应，解决您的使用问题</p>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- 数据中心 -->
                    <section class="datacenter-section" id="datacenter">
                        <div class="container">
                            <div class="section-header">
                                <h2>韩国数据中心</h2>
                                <p>首尔核心区战略部署，为您提供卓越的韩国服务器资源</p>
                            </div>
                            <div class="datacenter-features">
                                <div class="datacenter-image">
                                    <img src="/public/images/korea-datacenter.jpg" alt="韩国数据中心">
                                </div>
                                <div class="datacenter-info">
                                    <div class="info-card">
                                        <div class="info-icon">
                                            <i class="fas fa-map-marked-alt fa-2x"></i>
                                        </div>
                                        <div class="info-content">
                                            <h3>战略位置</h3>
                                            <p>位于首尔核心商业区，地理位置优越，网络连接优势明显，直连中国大陆</p>
                                        </div>
                                    </div>
                                    <div class="info-card">
                                        <div class="info-icon">
                                            <i class="fas fa-bolt fa-2x"></i>
                                        </div>
                                        <div class="info-content">
                                            <h3>基础设施</h3>
                                            <p>符合T4级数据中心标准，双路冗余电力供应，UPS不间断电源保障，确保99.995%的服务可用性</p>
                                        </div>
                                    </div>
                                    <div class="info-card">
                                        <div class="info-icon">
                                            <i class="fas fa-snowflake fa-2x"></i>
                                        </div>
                                        <div class="info-content">
                                            <h3>先进制冷</h3>
                                            <p>精密空调系统，恒温恒湿环境，严格的温度监控，为服务器提供最佳运行环境</p>
                                        </div>
                                    </div>
                                    <div class="info-card">
                                        <div class="info-icon">
                                            <i class="fas fa-globe-asia fa-2x"></i>
                                        </div>
                                        <div class="info-content">
                                            <h3>网络连接</h3>
                                            <p>多条国际海缆直连亚洲各国，优化中国大陆直连路由，提供低延迟高稳定性的网络体验</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- 云服务器方案 -->
                    <section class="cloud-plans" id="plans">
                        <div class="container">
                            <div class="section-header">
                                <h2>韩国云服务器方案</h2>
                                <p>多种配置，满足不同业务需求</p>
                            </div>
                            <div class="plans-grid">
                            <?php
                            // 判断是否有产品数据
                            if (!empty($krCloudProducts)) {
                                $productCount = 0;
                                foreach ($krCloudProducts as $product) {
                                    // 计算显示价格（原价乘以倍率）
                                    $displayPrice = $product['price'] * getMultiplier();
                            ?>
                            <div class="plan-card">
                                <div class="plan-header">
                                    <h4>韩国云服务器 <?php echo ($productCount + 1); ?></h4>
                                    <span class="tag">韩国专区</span>
                                </div>
                                <div class="cluster-specs">
                                    <!-- 左侧规格列 -->
                                    <div class="spec-column">
                                        <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">
                                                <?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?>
                                            </div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value"><?php echo $product['disk']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">韩国</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">IP数:</div>
                                            <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                        </div>
                                    </div>
                                    <!-- 右侧规格列 -->
                                    <div class="spec-column">
                                        <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value"><?php echo $product['memory']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">流量:</div>
                                            <div class="spec-value">不限</div>
                                        </div>
                                    </div>
                                </div>
                                <!-- IP数量和流量信息 -->
                                <div class="cluster-bottom-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">价格:</div>
                                        <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                    </div>
                                </div>
                                <!-- 操作按钮 -->
                                <div class="cluster-actions">
                                    <a href="product_detail.php?id=<?php echo $product['id']; ?>" class="btn btn-primary btn-action">产品详情</a>
                                    <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                </div>
                            </div>
                            <?php
                                    $productCount++;
                                }
                            } else {
                                // 如果没有数据，显示一个默认产品
                            ?>
                            <div class="plan-card">
                                <div class="plan-header">
                                    <h4>韩国云服务器 1</h4>
                                    <span class="tag">韩国专区</span>
                                </div>
                                <div class="cluster-specs">
                                    <!-- 左侧规格列 -->
                                    <div class="spec-column">
                                        <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">80001</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">40GB SSD</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">可选</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">韩国</div>
                                        </div>
                                    </div>
                                    <!-- 右侧规格列 -->
                                    <div class="spec-column">
                                        <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">2核</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">5Mbps</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                        </div>
                                        <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">4GB</div>
                                        </div>
                                    </div>
                                </div>
                                <!-- IP数量和流量信息 -->
                                <div class="cluster-bottom-specs">
                                    <div class="spec-item">
                                        <div class="spec-label">IP数:</div>
                                        <div class="spec-value">1</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">流量:</div>
                                        <div class="spec-value">不限</div>
                                    </div>
                                    <div class="spec-item">
                                        <div class="spec-label">价格:</div>
                                        <div class="spec-value price-value">$49/月</div>
                                    </div>
                                </div>
                                <!-- 操作按钮 -->
                                <div class="cluster-actions">
                                    <a href="product_detail.php" class="btn btn-primary btn-action">产品详情</a>
                                    <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                </div>
                            </div>
                            <?php
                            }
                            ?>
                            </div>
                            <div class="category-footer">
                                <p>需要更高配置或定制方案？<a href="<?= $Telegram ?>" class="text-accent">联系我们</a>获取专属企业解决方案</p>
                            </div>
                        </div>
                    </section>
                    <!-- 适用场景 -->
                    <section class="use-cases" id="usecases">
                        <div class="container">
                            <div class="section-header">
                                <h2>应用场景</h2>
                                <p>韩国云服务器适用的业务场景</p>
                            </div>
                            <div class="cases-container">
                                <div class="case-item">
                                    <div class="case-icon">
                                        <i class="fas fa-gamepad fa-3x"></i>
                                    </div>
                                    <div class="case-content">
                                        <h3>游戏服务</h3>
                                        <p>韩国作为全球游戏强国，拥有发达的游戏产业和优质的网络环境。选择韩国云服务器部署游戏服务，可以为亚洲玩家提供超低延迟体验，高性能配置确保游戏运行流畅，大带宽支持高并发访问。</p>
                                        <a href="#" class="learn-more">了解更多</a>
                                    </div>
                                </div>
                                <div class="case-item">
                                    <div class="case-icon">
                                        <i class="fas fa-video fa-3x"></i>
                                    </div>
                                    <div class="case-content">
                                        <h3>视频直播</h3>
                                        <p>韩国拥有世界一流的网络基础设施，是亚洲地区视频直播和内容分发的理想选择。韩国云服务器为直播平台提供稳定传输，低延迟推流，高效的内容分发网络，满足高清视频传输需求。</p>
                                        <a href="#" class="learn-more">了解更多</a>
                                    </div>
                                </div>
                                <div class="case-item">
                                    <div class="case-icon">
                                        <i class="fas fa-shopping-cart fa-3x"></i>
                                    </div>
                                    <div class="case-content">
                                        <h3>电子商务</h3>
                                        <p>面向亚洲市场的电商平台，选择韩国云服务器可以提供快速的页面加载速度，稳定的支付处理能力，安全的数据传输。韩国优质的网络环境确保用户购物体验流畅，提高转化率。</p>
                                        <a href="#" class="learn-more">了解更多</a>
                                    </div>
                                </div>
                                <div class="case-item">
                                    <div class="case-icon">
                                        <i class="fas fa-code fa-3x"></i>
                                    </div>
                                    <div class="case-content">
                                        <h3>API接口服务</h3>
                                        <p>对于需要低延迟响应的API服务，韩国云服务器是理想选择。其靠近中国大陆的地理优势和优质网络连接，使得API调用响应迅速，适合对速度有高要求的应用场景，如支付接口、实时数据交换等。</p>
                                        <a href="#" class="learn-more">了解更多</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- 常见问题 -->
                    <section class="faq-section" id="faq">
                        <div class="container">
                            <div class="section-header">
                                <h2>常见问题</h2>
                                <p>关于韩国云服务器的常见疑问解答</p>
                            </div>
                            <div class="faq-list">
                                <div class="faq-item">
                                    <div class="faq-question">
                                        <h3>韩国云服务器有哪些优势？<i class="fas fa-chevron-down"></i></h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>韩国云服务器具有多方面优势：1）地理位置靠近中国大陆，网络延迟低；2）韩国拥有世界一流的互联网基础设施和高速网络；3）多条国际海缆直连亚洲各国，网络稳定性高；4）适合游戏、直播、电商等对网络质量要求高的业务；5）相比日本和香港，韩国服务器在性价比方面更具优势。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question">
                                        <h3>韩国云服务器与其他地区的区别？<i class="fas fa-chevron-down"></i></h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>与其他地区相比，韩国云服务器有以下特点：1）相比香港，韩国服务器IP资源更丰富，价格更具竞争力；2）相比日本，韩国服务器网络延迟略低，同时成本略低；3）相比美国，韩国服务器访问亚洲地区延迟显著降低；4）韩国互联网基础设施发达，网速全球领先；5）韩国对互联网内容管控相对宽松，但依然具有良好的安全性。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question">
                                        <h3>韩国云服务器适合哪些业务？<i class="fas fa-chevron-down"></i></h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>韩国云服务器特别适合以下业务：1）在线游戏服务，特别是面向亚洲用户的游戏；2）视频直播和点播平台；3）面向亚洲市场的电子商务网站；4）需要低延迟的API服务；5）内容分发网络（CDN）节点；6）对网络质量和稳定性有高要求的企业网站。韩国服务器在这些场景下能提供优秀的性能和用户体验。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question">
                                        <h3>如何选择合适的韩国云服务器配置？<i class="fas fa-chevron-down"></i></h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>选择合适的配置需考虑以下因素：1）业务类型和负载需求；2）预期访问量和并发用户数；3）存储数据量；4）带宽需求。一般而言，网站和小型应用可选择基础型配置，游戏服务和中等流量网站适合标准型配置，而视频直播和高并发应用则建议选择高级型配置。您也可以联系我们的技术顾问，获取个性化配置建议。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question">
                                        <h3>韩国云服务器的网络连接质量如何？<i class="fas fa-chevron-down"></i></h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>韩国拥有世界一流的网络基础设施，我们的韩国云服务器采用优质BGP网络接入，部分线路使用CN2/IPLC专线直连中国大陆，大幅降低网络延迟。韩国作为亚太地区重要的网络枢纽，拥有连接亚洲、北美、欧洲的多条海底光缆，网络连通性优秀。对中国大陆用户的平均延迟通常在50-70ms之间，网络稳定性和可靠性极高。</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
        <!-- 引入页脚 -->
        <?php include('public/kf.php'); ?>
        <?php include('public/footer.php'); ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/header.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <!-- FAQ交互脚本 -->
        <script>
        document.addEventListener('DOMContentLoaded', function() {
            const faqItems = document.querySelectorAll('.faq-item');
            faqItems.forEach(item => {
                const question = item.querySelector('.faq-question');
                question.addEventListener('click', function() {
                    item.classList.toggle('open');
                });
            });
        });
        </script>
    </body>
</html>
