<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <?php 
    // 定义包含常量
    define('INCLUDED_FROM_VIEW', true);
    // 引入韩国站群数据处理文件
    require_once 'code/kr_cluster_code.php';
    // 调用函数获取数据，关闭调试模式
    $krProducts = getKrClusterProducts(false);
    ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>韩国站群服务器 - 高性能韩国IP资源站群方案 - <?= $SiteName ?></title>
        <meta name="keywords" content="韩国站群,韩国多IP站群,韩国站群服务器,韩国IP资源,韩语网站站群">
        <meta name="description" content="韩国站群服务器提供优质的韩国IP资源，稳定高速的网络环境，适合面向韩国市场的业务，支持游戏、电商和韩语内容网站等多种应用场景。">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/mobile-style.css" rel="stylesheet">
        <link href="/public/css/menu-fix.css" rel="stylesheet">
        <link href="/public/css/server_clusters.css" rel="stylesheet">
        <link href="/public/css/product.css" rel="stylesheet">
        <link href="/public/css/product-enhanced.css" rel="stylesheet">
        <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <link href="/public/css/kr_cluster.css" rel="stylesheet">
    </head>
    <body>
        <!-- SVG图标集 -->
        <?php include 'public/svg/server_icons.svg'; ?>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="server-wrapper">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品服务</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/server_clusters.html">站群服务器</a>
                        <i class="material-icons">chevron_right</i>
                        <span>韩国站群</span>
                    </div>
                </div>
                <!-- 页面标题区域 -->
        
                <!-- 服务器特点 -->
                <section class="server-features" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国站群服务器特点</h2>
                            <p>为面向韩国市场的网站提供专业环境</p>
                        </div>
                        <div class="features-grid">
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="100">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-award"></use>
                                </svg>
                                <h3>高品质IP资源</h3>
                                <p>纯韩国本地IP，IP信誉度高，可有效提升在韩国本地搜索引擎的排名</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="200">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-location"></use>
                                </svg>
                                <h3>战略地理位置</h3>
                                <p>位于首尔、釜山等主要城市的顶级数据中心，地理位置优越</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="300">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-speed"></use>
                                </svg>
                                <h3>超高网络性能</h3>
                                <p>韩国拥有全球顶级网络基础设施，平均下载速度全球领先</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="400">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-security"></use>
                                </svg>
                                <h3>全面安全保障</h3>
                                <p>多层次网络防护，DDoS防御，全天候安全监控，确保业务稳定运行</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="500">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-gaming"></use>
                                </svg>
                                <h3>游戏优化支持</h3>
                                <p>针对游戏网站和服务进行专门优化，低延迟，高稳定性</p>
                            </div>
                            <div class="feature-card" data-aos="fade-up" data-aos-delay="600">
                                <svg class="svg-icon">
                                    <use xlink:href="#icon-support"></use>
                                </svg>
                                <h3>专业技术支持</h3>
                                <p>提供中文和英文技术支持，7*24小时在线服务，快速响应</p>
                            </div>
                        </div>
                    </div>
                </section>
            
                <!-- 韩国站群方案 -->
                <section class="cluster-plans" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国站群套餐</h2>
                            <p>为不同规模业务提供专业配置</p>
                        </div>
                        <div class="product-list">
                            <?php
                            // 判断是否有产品数据
                            if (!empty($krProducts)) {
                                $productCount = 0;
                                foreach ($krProducts as $product) {
                                    // 计算显示价格（原价乘以倍率）
                                    $displayPrice = $product['price'] * getMultiplier();
                                    
                                    // 确定标签和样式，第一个产品使用featured样式
                                    $cardClass = $productCount === 0 ? 'product-card featured' : 'product-card';
                                    
                                    // 输出产品卡片
                                    ?>
                            <div class="<?php echo $cardClass; ?>">
                                <div class="product-title">
                                    <a href="//product/<?php echo $product['id']; ?>.html"" target="_blank">
                                        韩国站群服务器 <?php 
                                        // 使用阿拉伯数字作为序号
                                        echo ($productCount + 1);
                                        ?>
                                    </a>
                                    <span class="tag">韩国专区</span>
                                </div>
                                <div class="product-specs">
                                    <!-- 第一列：编号/硬盘/防御/地区 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">编号:</span>
                                            <span><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">硬盘:</span>
                                            <span><?php echo $product['disk']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">防御:</span>
                                            <span><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">地区:</span>
                                            <span>韩国</span>
                                        </div>
                                    </div>
                                    <!-- 第二列：CPU/宽带/线路/内存 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">CPU:</span>
                                            <span><?php echo $product['cpu']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">宽带:</span>
                                            <span><?php echo $product['bandwidth']; ?></span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">线路:</span>
                                            <span>大陆优化</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">内存:</span>
                                            <span><?php echo $product['memory']; ?></span>
                                        </div>
                                    </div>
                                    <!-- 第三列：IP数/流量/价格/按钮 -->
                                    <div class="specs-column">
                                        <div class="spec-row">
                                            <span class="spec-label">IP数:</span>
                                            <span><?php echo $product['ip_count']; ?>个</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">流量:</span>
                                            <span>不限</span>
                                        </div>
                                        <div class="spec-row">
                                            <span class="spec-label">价格:</span>
                                            <span class="unit">$<?php echo number_format($displayPrice, 2); ?>/月</span>
                                        </div>
                                        <div class="spec-row action-row">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary">产品详情</a>
                                            <a href="/contact.html" class="btn btn-outline" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                    $productCount++;
                                }
                            } else {
                                // 如果没有数据，显示静态内容
                            ?>
                            <div class="plans-grid">
                                <div class="plan-card">
                                    <div class="plan-header">
                                        <h4>入门型</h4>
                                    </div>
                                    <div class="plan-price">
                                        <span class="price">1888</span>
                                        <span class="unit">元/月</span>
                                    </div>
                                    <ul class="plan-specs">
                                        <li>
                                            <span class="spec-label">CPU</span>
                                            <span>Intel Xeon 4核</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">内存</span>
                                            <span>16GB DDR4</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">硬盘</span>
                                            <span>240GB SSD</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">带宽</span>
                                            <span>5Mbps独享</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">IP数量</span>
                                            <span>10个韩国IP</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">防御</span>
                                            <span>基础防护</span>
                                        </li>
                                    </ul>
                                    <a href="/user/cart.html?action=configureproduct&pid=85" class="btn btn-outline">立即购买</a>
                                </div>
                                <div class="plan-card featured">
                                    <div class="plan-tag">热门推荐</div>
                                    <div class="plan-header">
                                        <h4>专业型</h4>
                                    </div>
                                    <div class="plan-price">
                                        <span class="price">3188</span>
                                        <span class="unit">元/月</span>
                                    </div>
                                    <ul class="plan-specs">
                                        <li>
                                            <span class="spec-label">CPU</span>
                                            <span>Intel Xeon 8核</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">内存</span>
                                            <span>32GB DDR4</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">硬盘</span>
                                            <span>480GB SSD</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">带宽</span>
                                            <span>10Mbps独享</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">IP数量</span>
                                            <span>20个韩国IP</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">防御</span>
                                            <span>3Gbps防护</span>
                                        </li>
                                    </ul>
                                    <a href="/user/cart.html?action=configureproduct&pid=86" class="btn btn-primary">立即购买</a>
                                </div>
                                <div class="plan-card">
                                    <div class="plan-header">
                                        <h4>企业型</h4>
                                    </div>
                                    <div class="plan-price">
                                        <span class="price">5288</span>
                                        <span class="unit">元/月</span>
                                    </div>
                                    <ul class="plan-specs">
                                        <li>
                                            <span class="spec-label">CPU</span>
                                            <span>Intel Xeon 16核</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">内存</span>
                                            <span>64GB DDR4</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">硬盘</span>
                                            <span>960GB SSD</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">带宽</span>
                                            <span>20Mbps独享</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">IP数量</span>
                                            <span>40个韩国IP</span>
                                        </li>
                                        <li>
                                            <span class="spec-label">防御</span>
                                            <span>5Gbps防护</span>
                                        </li>
                                    </ul>
                                    <a href="/user/cart.html?action=configureproduct&pid=87" class="btn btn-outline">立即购买</a>
                                </div>
                            </div>
                            <?php
                            }
                            ?>
                        </div>
                        <div class="category-footer">
                            <p>需要其他配置？请<a href="/contact.php" class="text-accent">联系我们</a>，为您量身定制韩国站群方案</p>
                        </div>
                    </div>
                </section>
    <!-- 韩国网络优势 -->
    <section class="network-advantages" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国网络优势</h2>
                            <p>全球顶级的网络基础设施</p>
                        </div>
                        <div class="advantage-cards">
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-chart"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>世界领先网速</h3>
                                    <p>韩国拥有全球最快的互联网速度之一，平均下载速度超过200Mbps，为您的站群网站提供极佳的访问体验。得益于韩国政府对网络基础设施的大力投资，韩国的5G覆盖范围和技术水平处于全球领先地位，网络稳定性极高，为站群服务器提供了理想的运行环境。</p>
                                </div>
                            </div>
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-globe"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>亚洲网络枢纽</h3>
                                    <p>韩国是连接亚洲各国的重要网络枢纽，拥有多条国际海底光缆连接东亚、东南亚以及北美地区。我们的韩国站群服务器连接到韩国主要的网络运营商如KT、SK和LG U+，确保数据传输的高速稳定。对中国大陆、日本和东南亚国家的访问速度极快，平均延迟低于50ms，为区域性业务提供卓越的网络性能。</p>
                                </div>
                            </div>
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-gaming"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>游戏行业优势</h3>
                                    <p>韩国是全球游戏产业的重要中心，网络基础设施专为游戏应用优化，具有超低延迟和高稳定性特点。我们的韩国站群服务器针对游戏内容分发和游戏网站进行了专门优化，支持高并发访问，提供流畅的用户体验。如果您的站群业务涉及游戏内容或面向游戏玩家，韩国站群服务器将是理想选择。</p>
                                </div>
                            </div>
                            <div class="network-card">
                                <div class="network-icon">
                                    <svg class="svg-icon">
                                        <use xlink:href="#icon-security"></use>
                                    </svg>
                                </div>
                                <div class="network-content">
                                    <h3>网络安全保障</h3>
                                    <p>韩国拥有完善的网络安全基础设施和法规框架，数据中心符合国际安全标准。我们的韩国站群服务器提供多层次安全防护，包括高达10Gbps的DDoS防御能力、入侵检测系统、防火墙保护和数据加密传输。定期安全审计和更新，确保您的站群业务在安全稳定的环境中运行，防范各类网络威胁。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>




                <!-- 数据中心分布 -->
                <section class="datacenter-section" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国数据中心分布</h2>
                            <p>覆盖韩国主要城市的高品质数据中心</p>
                        </div>
                        <div class="datacenter-map">
                            <div class="datacenter-map-img">
                                <!-- 韩国地图 -->
                                <div class="map-container">
                                    <img src="/public/images/korea_map.png" alt="韩国数据中心分布图">
                                    <div class="location-marker" style="top: 30%; left: 48%;">
                                        <div class="marker-dot"></div>
                                        <div class="location-name">首尔</div>
                                    </div>
                                    <div class="location-marker" style="top: 83%; left: 68%;">
                                        <div class="marker-dot"></div>
                                        <div class="location-name">釜山</div>
                                    </div>
                                    <div class="location-marker" style="top: 35%; left: 26%;">
                                        <div class="marker-dot"></div>
                                        <div class="location-name">仁川</div>
                                    </div>
                                    <div class="location-marker" style="top: 45%; left: 60%;">
                                        <div class="marker-dot"></div>
                                        <div class="location-name">大邱</div>
                                    </div>
                                </div>
                            </div>
                            <div class="datacenter-info">
                                <div class="datacenter-locations">
                                    <div class="datacenter-location">
                                        <h3>首尔数据中心</h3>
                                        <p>位于韩国首都，是主要的商业和互联网中心，拥有顶级的网络基础设施和连接性。适合对网络质量要求极高的业务。</p>
                                        <ul class="datacenter-features">
                                            <li>KT、SK、LG U+多线接入</li>
                                            <li>Tier III+级别设施</li>
                                            <li>低延迟连接全球网络</li>
                                        </ul>
                                    </div>
                                    <div class="datacenter-location">
                                        <h3>釜山数据中心</h3>
                                        <p>韩国第二大城市，是重要的港口城市和经济中心，提供优质的网络环境和弹性扩展能力。</p>
                                        <ul class="datacenter-features">
                                            <li>连接多条海底光缆</li>
                                            <li>自然灾害风险低</li>
                                            <li>南部地区数据处理中心</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- 韩国站群优势对比 -->
                <section class="comparison-section" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国站群与其他地区对比</h2>
                            <p>选择最适合您业务的站群服务器</p>
                        </div>
                        <table class="comparison-table">
                            <thead>
                                <tr>
                                    <th>对比项</th>
                                    <th>韩国站群</th>
                                    <th>香港站群</th>
                                    <th>日本站群</th>
                                    <th>美国站群</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>IP资源质量</td>
                                    <td class="yes">优</td>
                                    <td class="yes">优</td>
                                    <td class="yes">优</td>
                                    <td class="no">中等</td>
                                </tr>
                                <tr>
                                    <td>IP资源数量</td>
                                    <td class="no">少/中等</td>
                                    <td class="yes">多</td>
                                    <td class="no">少/中等</td>
                                    <td class="yes">极多</td>
                                </tr>
                                <tr>
                                    <td>网络速度</td>
                                    <td class="yes">极快</td>
                                    <td class="yes">快</td>
                                    <td class="yes">极快</td>
                                    <td class="no">一般</td>
                                </tr>
                                <tr>
                                    <td>访问中国大陆速度</td>
                                    <td class="yes">良</td>
                                    <td class="yes">优</td>
                                    <td class="yes">良</td>
                                    <td class="no">一般</td>
                                </tr>
                                <tr>
                                    <td>游戏行业适用性</td>
                                    <td class="yes">极高</td>
                                    <td class="yes">高</td>
                                    <td class="yes">高</td>
                                    <td class="no">中等</td>
                                </tr>
                                <tr>
                                    <td>服务器价格</td>
                                    <td class="no">较高</td>
                                    <td class="no">高</td>
                                    <td class="no">较高</td>
                                    <td class="yes">实惠</td>
                                </tr>
                                <tr>
                                    <td>适合业务类型</td>
                                    <td>游戏网站、韩语内容、面向韩国市场业务</td>
                                    <td>电商、金融、面向亚太地区业务</td>
                                    <td>日语网站、精品小站群</td>
                                    <td>全球性业务、大型站群</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </section>
                <!-- 常见问题 -->
                <section class="faq-section" data-aos="fade-up">
                    <div class="container">
                        <div class="section-header">
                            <h2>韩国站群常见问题</h2>
                            <p>解答您的疑惑</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>韩国站群服务器适合哪些类型的网站和业务？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国站群服务器特别适合以下类型的网站和业务：1）面向韩国市场的电子商务网站；2）韩语内容网站，如博客、新闻、社交媒体等；3）游戏网站和游戏服务，韩国是全球游戏产业中心之一；4）需要在韩国搜索引擎（如Naver）中获得良好排名的网站；5）需要稳定、高速网络连接韩国及周边亚洲国家的在线服务；6）对网络质量和稳定性要求较高的业务。韩国拥有全球顶级的网络基础设施，IP资源质量高，特别适合对网络质量要求较高且面向韩国市场的业务。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>韩国站群服务器的网络有什么特点？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国站群服务器的网络具有以下显著特点：1）全球领先的网络速度，平均下载速度超过200Mbps；2）超低延迟，国内网络延迟通常低于5ms；3）连接亚洲其他国家速度快，如中国大陆约50-70ms，日本约25-35ms；4）网络稳定性极高，年均可用性达99.99%以上；5）多线路接入，包括KT、SK和LG U+等主要韩国ISP；6）5G技术全面覆盖，领先全球；7）完善的网络安全基础设施。韩国政府长期以来大力投资网络基础设施建设，使韩国成为全球网络质量最佳的国家之一，为站群服务器提供了理想的运行环境。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>为什么韩国站群特别适合游戏相关网站？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国站群特别适合游戏相关网站，主要原因包括：1）韩国是全球电子游戏产业的领导者之一，拥有完善的游戏生态系统；2）韩国网络基础设施专为游戏优化，提供超低延迟和高稳定性；3）韩国拥有庞大的游戏玩家群体，是亚洲游戏市场的重要组成部分；4）韩国数据中心提供专门针对游戏应用优化的服务，包括高防DDoS保护；5）韩国与周边亚洲国家的网络连接优良，可以有效覆盖亚洲游戏市场；6）韩国IP在游戏行业的信誉度高，受到玩家信任。这些因素使韩国站群成为游戏网站、游戏论坛、电竞相关网站和游戏下载站点的理想选择。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>韩国站群服务器与其他国家/地区的站群有何区别？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>韩国站群服务器与其他国家/地区站群的主要区别：1）网络质量：韩国拥有全球顶级网络基础设施，网速和稳定性优于大多数地区；2）IP资源：韩国IP资源质量高但数量相对有限，价格较高；美国站群IP资源丰富但质量参差不齐；3）地理优势：韩国位于东亚，连接中国、日本和东南亚网络良好；4）行业特性：韩国站群特别适合游戏、韩流文化和面向韩国市场的业务；5）价格：韩国站群价格中等偏高，但性价比优于日本，低于香港；6）安全性：韩国数据中心安全标准高，提供完善的网络防护措施。选择哪个地区的站群，应根据目标受众、业务性质和预算综合考虑。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question">
                                    <h3>如何选择合适的韩国站群服务器配置？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>选择合适的韩国站群服务器配置，需要考虑以下因素：1）站点数量：根据您计划部署的网站数量选择合适的服务器资源；一般每个网站消耗约500MB-1GB内存；2）IP需求：评估需要多少独立IP地址，这通常取决于SEO策略和业务模型；3）流量预估：考虑网站的预期访问量，选择足够的带宽和处理能力；4）内容类型：图片和视频内容需要更多存储空间和带宽；5）预算：韩国服务器价格相对较高，需要平衡性能和成本；6）安全需求：对于重要业务，建议选择带有高级DDoS防护的方案；7）扩展计划：预留一定的资源空间，以便未来业务增长。我们建议初创项目可从入门型方案开始，随着业务发展再升级到更高配置。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
        <!-- 韩国风格装饰元素 -->
        <div class="korea-decoration decoration-top-right"></div>
        <div class="korea-decoration decoration-bottom-left"></div>
        <!-- 回到顶部按钮 -->
        <a href="#" class="back-to-top">
            <i class="fas fa-chevron-up"></i>
        </a>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <!-- 引入脚本 -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <script src="/public/js/js.js"></script>
        <script>
        // 初始化AOS动画
        AOS.init({
            duration: 800,
            easing: 'ease-in-out',
            once: true
        });
        
        // FAQ展开/收起功能
        $(document).ready(function() {
            $('.faq-question').click(function() {
                $(this).parent().toggleClass('active');
                $(this).next('.faq-answer').slideToggle(300);
            });
            
            // 回到顶部按钮
            $(window).scroll(function() {
                if ($(this).scrollTop() > 300) {
                    $('.back-to-top').addClass('active');
                } else {
                    $('.back-to-top').removeClass('active');
                }
            });
            
            $('.back-to-top').click(function(e) {
                e.preventDefault();
                $('html, body').animate({
                    scrollTop: 0
                }, 500);
                return false;
            });
        });
        </script>
    </body>
</html>
