<?php
// 初始化产品页面所需的变量和数据

// 获取产品数据
$regionData = getRegionData();
$parentRegions = $regionData['parentRegions'];
$childRegionsByParent = $regionData['childRegionsByParent'];

$tagData = getTagData();
$parentTags = $tagData['parentTags'];
$childTagsByParent = $tagData['childTagsByParent'];

$priceRanges = getPriceRangeData();
$lineData = getLineData();

// 处理筛选参数
$selectedTag = isset($_GET['tag']) ? (int)$_GET['tag'] : 0;
$selectedRegion = isset($_GET['region']) ? (int)$_GET['region'] : 0;
$selectedParent = isset($_GET['parent_region']) ? (int)$_GET['parent_region'] : (count($parentRegions) > 0 ? $parentRegions[0]['id'] : 0);

// 用于显示的父地区（如果没有选中地区，则显示选中的父地区）
$selectedParentForDisplay = $selectedParent;

// 如果选择了具体地区，找出该地区所属的父地区
if ($selectedRegion) {
    foreach ($childRegionsByParent as $parentId => $children) {
        foreach ($children as $child) {
            if ($child['id'] == $selectedRegion) {
                $selectedParentForDisplay = $parentId;
                break 2;
            }
        }
    }
}

// 处理价格筛选
$selectedMinPrice = isset($_GET['min_price']) ? $_GET['min_price'] : null;
$selectedMaxPrice = isset($_GET['max_price']) ? $_GET['max_price'] : null;

// 处理排序参数
$sortBy = isset($_GET['sort']) ? $_GET['sort'] : 'recommended';
$sortOrder = isset($_GET['order']) ? $_GET['order'] : 'asc';

// 处理分页
$currentPage = isset($_GET['page']) ? (int)$_GET['page'] : 1;
$limit = 10; // 每页显示数量

// 设置排序图标（向上箭头为降序，向下箭头为升序）
$priceIcon = $sortBy == 'price' ? ($sortOrder == 'desc' ? 'arrow_upward' : 'arrow_downward') : 'unfold_more';
$createdIcon = $sortBy == 'created' ? ($sortOrder == 'desc' ? 'arrow_upward' : 'arrow_downward') : 'unfold_more';

// 准备筛选参数
$filters = [];
if ($selectedTag) {
    $filters['tag'] = $selectedTag;
}
if ($selectedRegion) {
    $filters['region'] = $selectedRegion;
} elseif ($selectedParent) {
    $filters['parent_region'] = $selectedParent;
}
if ($selectedMinPrice !== null) {
    $filters['min_price'] = $selectedMinPrice;
}
if ($selectedMaxPrice !== null) {
    $filters['max_price'] = $selectedMaxPrice;
}

// 获取产品数据
$products = getProducts($filters, $sortBy, $sortOrder, $currentPage, $limit);
$totalProducts = count($products); // 实际应该从数据库获取总数
$totalPages = ceil($totalProducts / $limit);

// 准备地区名称数组，用于显示
$areaNames = [];
foreach ($parentRegions as $parent) {
    if (isset($childRegionsByParent[$parent['id']])) {
        foreach ($childRegionsByParent[$parent['id']] as $child) {
            $areaNames[$child['id']] = $child['name'];
        }
    }
}

// 所有地区数据，包含父地区和子地区
$allRegions = [];
foreach ($parentRegions as $parent) {
    $allRegions[$parent['id']] = $parent;
    if (isset($childRegionsByParent[$parent['id']])) {
        foreach ($childRegionsByParent[$parent['id']] as $child) {
            $allRegions[$child['id']] = $child;
        }
    }
} 