<!DOCTYPE html>
<html lang="zh-CN"> <?php 
// 处理新的URL格式
if (!isset($_GET['id'])) {
    // 尝试多种可能的URL模式
    $patterns = [
        '/\\/product\/(\d+)\.html/', // /product/数字.html
        '/\/product\/(\d+)\.html/',     // /product/数字.html
        '/\/(\d+)\.html/'               // /数字.html (最宽松的匹配)
    ];
    
    foreach ($patterns as $pattern) {
        if (preg_match($pattern, $_SERVER['REQUEST_URI'], $matches)) {
            $_GET['id'] = $matches[1];
            break;
        }
    }
}
include __DIR__ . '/code/show.php'; 
require_once __DIR__ . '/../user/code/auth.php';
?> <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo isset($seoMetadata['title']) ? $seoMetadata['title'] : '产品详情'; ?></title>
    <meta name="keywords" content="<?php echo isset($seoMetadata['keywords']) ? $seoMetadata['keywords'] : ''; ?>">
    <meta name="description" content="<?php echo isset($seoMetadata['description']) ? $seoMetadata['description'] : ''; ?>">
    <meta property="og:title" content="<?php echo isset($seoMetadata['og_title']) ? $seoMetadata['og_title'] : ''; ?>">
    <meta property="og:description" content="<?php echo isset($seoMetadata['og_description']) ? $seoMetadata['og_description'] : ''; ?>">
    <?php echo getCommonCss(); ?>
    <link href="/public/css/product_detail.css" rel="stylesheet">

  </head>
  <body> <?php include __DIR__ . '/../public/header.php'; ?> <?php include __DIR__ . '/../public/banner.php'; ?> <div class="main-content">
      <div class="product-content">
        <!-- 面包屑导航 -->
        <div class="breadcrumb">
          <a href="/"> 首页 </a> &gt; <a href="/product"> 产品中心 </a> &gt; <span><?php
                        if (!isset($showError) || !$showError) {
                            if (isset($product['region_id']) && isset($regionData['areaNames'][$product['region_id']])) {
                                $regionName = $regionData['areaNames'][$product['region_id']];
                                $countryName = '';
                                
                                // 查找该地区的父级地区(国家)
                                foreach ($regionData['allRegions'] as $region) {
                                    if ($region['id'] == $product['region_id'] && !empty($region['parent_id'])) {
                                        // 找到父级地区(国家)名称
                                        foreach ($regionData['parentRegions'] as $parent) {
                                            if ($parent['id'] == $region['parent_id']) {
                                                $countryName = $parent['name'];
                                                break;
                                            }
                                        }
                                        break;
                                    }
                                }
                                
                                // 显示格式：地区/国家
                                echo $regionName;
                                if (!empty($countryName) && $countryName != '中国') {
                                    echo '/' . $countryName;
                                }
                            } else {
                                echo $locationText;
                            }
                            echo "高速服务器 - " . htmlspecialchars($product['memory']) . "内存";
                        } else {
                            echo "产品不存在";
                        }
                    ?></span>
        </div>

        <?php if (isset($showError) && $showError): ?>
        <div class="error-container" style="text-align: center; padding: 50px 20px; max-width: 800px; margin: 0 auto;">
          <h2 style="color: #e74c3c; margin-bottom: 20px;">错误信息</h2>
          <p style="font-size: 18px; color: #555; margin-bottom: 30px;"><?php echo $errorMessage; ?></p>
          <div style="margin-top: 30px;">
            <a href="/product" style="display: inline-block; padding: 10px 25px; background-color: #3498db; color: white; text-decoration: none; border-radius: 4px; font-weight: bold;">返回产品中心</a>
          </div>
        </div>
        <?php else: ?>
        <div class="product-detail-container">
          <!-- 产品概览 -->
          <div class="server-card">
            <div class="server-card-header">
              <h2 class="server-title"><?php
                                if (isset($product['region_id']) && isset($regionData['areaNames'][$product['region_id']])) {
                                    $regionName = $regionData['areaNames'][$product['region_id']];
                                    $countryName = '';
                                    
                                    // 查找该地区的父级地区(国家)
                                    foreach ($regionData['allRegions'] as $region) {
                                        if ($region['id'] == $product['region_id'] && !empty($region['parent_id'])) {
                                            // 找到父级地区(国家)名称
                                            foreach ($regionData['parentRegions'] as $parent) {
                                                if ($parent['id'] == $region['parent_id']) {
                                                    $countryName = $parent['name'];
                                                    break;
                                                }
                                            }
                                            break;
                                        }
                                    }
                                    
                                    // 显示格式：地区/国家
                                    echo $regionName;
                                    if (!empty($countryName) && $countryName != '中国') {
                                        echo '/' . $countryName;
                                    }
                                } else {
                                    echo $locationText;
                                }
                            ?> 优化带宽</h2>
            </div>
            <div class="server-specs">
              <div class="spec-row  my1">
                <div class="spec-item">
                  <span class="spec-label">型号: </span>
                  <span class="spec-value"><?php echo $productCode; ?></span>
                </div>
                <div class="spec-item">
                  <span class="spec-label">CPU: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['cpu']); ?></span>
                </div>
              </div>
              <div class="spec-row  my1">
                <div class="spec-item">
                  <span class="spec-label">硬盘: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['disk']); ?></span>
                </div>
                <div class="spec-item">
                  <span class="spec-label">带宽: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['bandwidth']); ?></span>
                </div>
              </div>
              <div class="spec-row  my1">
                <div class="spec-item">
                  <span class="spec-label">防御: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['defense']); ?></span>
                </div>
                <div class="spec-item">
                  <span class="spec-label">线路: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($lineName); ?></span>
                </div>
              </div>
              <div class="spec-row  my1">
                <div class="spec-item">
                  <span class="spec-label">地区: </span>
                  <span class="spec-value"><?php 
                                        if (isset($product['region_id']) && isset($regionData['areaNames'][$product['region_id']])) {
                                            $regionName = $regionData['areaNames'][$product['region_id']];
                                            $countryName = '';
                                            
                                            // 查找该地区的父级地区(国家)
                                            foreach ($regionData['allRegions'] as $region) {
                                                if ($region['id'] == $product['region_id'] && !empty($region['parent_id'])) {
                                                    // 找到父级地区(国家)名称
                                                    foreach ($regionData['parentRegions'] as $parent) {
                                                        if ($parent['id'] == $region['parent_id']) {
                                                            $countryName = $parent['name'];
                                                            break;
                                                        }
                                                    }
                                                    break;
                                                }
                                            }
                                            
                                            // 显示格式：地区/国家
                                            echo $regionName;
                                            if (!empty($countryName) && $countryName != '中国') {
                                                echo '/' . $countryName;
                                            }
                                        } else {
                                            echo $locationText;
                                        }
                                    ?></span>
                </div>
                <div class="spec-item">
                  <span class="spec-label">内存: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['memory']); ?></span>
                </div>
              </div>
              <div class="spec-row  my1">
                <div class="spec-item">
                  <span class="spec-label">IP数: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['ip_count']); ?></span>
                </div>
                <div class="spec-item">
                  <span class="spec-label">流量: </span>
                  <span class="spec-value"><?php echo htmlspecialchars($product['traffic']); ?></span>
                </div>
              </div>
            </div>
            <div class="server-price-container">
              <div class="server-price">
                <span class="price-currency">$</span>
                <span class="price-amount"><?php echo $prices['new_formatted']; ?></span>
                <span class="price-period">/月</span>
              </div>
            </div>
            <div class="server-actions">
              <a href="/cart/<?php echo $product['id']; ?>.html" class="server-btn server-btn-primary" target="_blank">立即购买</a>
              <a href="<?php echo $GLOBALS['Telegram']; ?>" class="server-btn server-btn-secondary" target="_blank">申请测机</a>
            </div>
          </div>
          <style>
          .my1 {
            gap: 20px !important;
          }

          </style>
          <!-- 选项卡区域 -->
          <div class="product-specs-tabs">
            <div class="tabs-header">
              <div class="tab active" data-tab="tab-specs">规格参数</div>
              <div class="tab" data-tab="tab-features">产品特性</div>
              <div class="tab" data-tab="tab-network">网络测试</div>
              <div class="tab" data-tab="tab-faq">常见问题</div>
              <div class="tab" data-tab="tab-reviews">客户评价</div>
            </div>
            <div class="tab-contents">
              <!-- 规格参数选项卡 -->
              <div id="tab-specs" class="tab-content active">
                <div class="specs-container">
                  <div class="spec-group">
                    <div class="spec-group-title">基本配置</div>
                    <div class="spec-row">
                      <span class="spec-label">产品编码: </span>
                      <span class="spec-value"><?php echo $productCode; ?></span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">CPU: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['upc']); ?></span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">内存: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['memory']); ?></span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">硬盘: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['disk']); ?></span>
                    </div>
                  </div>
                  <div class="spec-group">
                    <div class="spec-group-title">网络配置</div>
                    <div class="spec-row">
                      <span class="spec-label">带宽: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['bandwidth']); ?></span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">流量: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['traffic']); ?></span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">IP数量: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['ip_count']); ?>个独立IP</span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">防御: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($product['defense']); ?></span>
                    </div>
                  </div>
                  <div class="spec-group">
                    <div class="spec-group-title">数据中心</div>
                    <div class="spec-row">
                      <span class="spec-label">地区: </span>
                      <span class="spec-value"><?php 
                                                if (isset($product['region_id']) && isset($regionData['areaNames'][$product['region_id']])) {
                                                    $regionName = $regionData['areaNames'][$product['region_id']];
                                                    $countryName = '';
                                                    
                                                    // 查找该地区的父级地区(国家)
                                                    foreach ($regionData['allRegions'] as $region) {
                                                        if ($region['id'] == $product['region_id'] && !empty($region['parent_id'])) {
                                                            // 找到父级地区(国家)名称
                                                            foreach ($regionData['parentRegions'] as $parent) {
                                                                if ($parent['id'] == $region['parent_id']) {
                                                                    $countryName = $parent['name'];
                                                                    break;
                                                                }
                                                            }
                                                            break;
                                                        }
                                                    }
                                                    
                                                    // 显示格式：地区/国家
                                                    echo $regionName;
                                                    if (!empty($countryName) && $countryName != '中国') {
                                                        echo '/' . $countryName;
                                                    }
                                                } else {
                                                    echo $locationText;
                                                }
                                            ?></span>
                    </div>
                    <div class="spec-row">
                      <span class="spec-label">线路: </span>
                      <span class="spec-value"><?php echo htmlspecialchars($lineName); ?></span>
                    </div>
                  </div>
                </div>
              </div>
              <!-- 新增产品特性选项卡 -->
              <div id="tab-features" class="tab-content">
                <div class="detailed-features">
                  <div class="features-grid">
                    <?php foreach($tags as $tag): ?>
                    <div class="feature-item">
                      <div class="feature-content">
                        <h4><?php echo htmlspecialchars($tag['name']); ?></h4>
                        <p><?php echo $tag['description']; ?></p>
                      </div>
                    </div>
                    <?php endforeach; ?>
                  </div>
                </div>
              </div>
              <!-- 网络测试选项卡 -->
              <div id="tab-network" class="tab-content">
                <div class="network-info">
                  <div class="network-test-container">
                    <h3>实时网络测试</h3>
                    <p>从以下城市到<?php 
                                            if (isset($product['region_id']) && isset($regionData['areaNames'][$product['region_id']])) {
                                                $regionName = $regionData['areaNames'][$product['region_id']];
                                                $countryName = '';
                                                
                                                // 查找该地区的父级地区(国家)
                                                foreach ($regionData['allRegions'] as $region) {
                                                    if ($region['id'] == $product['region_id'] && !empty($region['parent_id'])) {
                                                        // 找到父级地区(国家)名称
                                                        foreach ($regionData['parentRegions'] as $parent) {
                                                            if ($parent['id'] == $region['parent_id']) {
                                                                $countryName = $parent['name'];
                                                                break;
                                                            }
                                                        }
                                                        break;
                                                    }
                                                }
                                                
                                                // 显示格式：地区/国家
                                                echo $regionName;
                                                if (!empty($countryName) && $countryName != '中国') {
                                                    echo '/' . $countryName;
                                                }
                                            } else {
                                                echo $locationText;
                                            }
                                        ?>数据中心的网络延迟测试</p>
                    <div class="network-test-results"> <?php foreach($networkTestData as $testItem): ?> <div class="test-item">
                        <div class="test-location"><?php echo $testItem['location']; ?></div>
                        <div class="test-latency"><?php echo $testItem['latency']; ?></div>
                      </div> <?php endforeach; ?> </div>
                  </div>
                  <div class="isp-compatibility">
                    <h3>ISP兼容性</h3>
                    <div class="isp-list"> <?php foreach($ispData as $isp): ?> <div class="isp-item">
                        <div class="isp-name"><?php echo $isp['name']; ?></div>
                        <div class="isp-rating <?php echo $isp['rating']; ?>"><?php echo $isp['label']; ?></div>
                      </div> <?php endforeach; ?> </div>
                  </div>
                </div>
              </div>
              <!-- 常见问题选项卡 -->
              <div id="tab-faq" class="tab-content">
                <div class="faq-container"> <?php foreach($faqData as $faq): ?> <div class="faq-item">
                    <div class="faq-question"><?php echo $faq['question']; ?></div>
                    <div class="faq-answer">
                      <p><?php echo $faq['answer']; ?></p>
                    </div>
                  </div> <?php endforeach; ?> </div>
              </div>
              <!-- 新增客户评价选项卡 -->
              <div id="tab-reviews" class="tab-content">
                <div class="reviews-container"> <?php foreach($reviews as $review): ?> <div class="review-item">
                    <div class="review-rating"> <?php
                                                                        $fullStars = floor($review['rating']);
                                                                        $halfStar = ($review['rating'] - $fullStars) >= 0.5;
                                                                        
                                                                        for ($i = 0; $i < $fullStars; $i++) {
                                                                            echo '<i class="material-icons">star</i>';
                                                                        }
                                                                        
                                                                        if ($halfStar) {
                                                                            echo '<i class="material-icons">star_half</i>';
                                                                        }
                                                                        ?> </div>
                    <div class="review-content">
                      <p><?php echo $review['content']; ?></p>
                      <div class="reviewer">— <?php echo $review['reviewer']; ?>
                      </div>
                    </div>
                  </div> <?php endforeach; ?> </div>
              </div>
            </div>
          </div>
        </div>
        <!-- 推荐产品 -->
        <div class="product-recommendation">
          <div class="promo-section">
            <div>
              <svg class="" viewBox="0 0 24 24" width="35" height="30">
                <path fill="#ff6600" d="M17.66 11.2c-.23-.3-.51-.56-.77-.82-.67-.6-1.43-1.03-2.07-1.66C13.33 7.26 13 4.85 13.95 3c-.95.23-1.78.75-2.49 1.32-2.59 2.08-3.61 5.75-2.39 8.9.04.1.08.2.08.33 0 .22-.15.42-.35.5-.23.1-.47.04-.66-.12a.58.58 0 0 1-.14-.17c-1.13-1.43-1.31-3.48-.55-5.12C5.78 10 4.87 12.3 5 14.47c.06.5.12 1 .29 1.5.14.6.41 1.2.71 1.73 1.08 1.73 2.95 2.97 4.96 3.22 2.14.27 4.43-.12 6.07-1.6 1.83-1.66 2.47-4.32 1.53-6.6l-.13-.26c-.21-.46-.77-1.26-.77-1.26m-3.16 6.3c-.28.24-.74.5-1.1.6-1.12.4-2.24-.16-2.9-.82 1.19-.28 1.9-1.16 2.11-2.05.17-.8-.15-1.46-.28-2.23-.12-.74-.1-1.37.17-2.06.19.38.39.76.63 1.06.77 1 1.98 1.44 2.24 2.8.04.14.06.28.06.43.03.82-.33 1.72-.93 2.27z" />
              </svg>
              <span class="promo-title-text">相关推荐</span>
            </div>
            <div>
              <a href="/product" class="back-button">
                <span class="material-icons">arrow_back</span> 返回产品列表 </a>
            </div>
          </div>
          <div class="recommendation-cards">
            <?php foreach($recommendedProducts as $recProduct): ?> <div class="server-card">
              <div class="server-card-header">
                <h2 class="server-title"><?php echo $recProduct['title']; ?></h2>
              </div>
              <div class="server-specs">
                <div class="spec-row">
                  <div class="spec-item">
                    <span class="spec-label">编号: </span>
                    <span class="spec-value"><?php echo isset($recProduct['code']) ? $recProduct['code'] : '80786'; ?></span>
                  </div>
                  <div class="spec-item">
                    <span class="spec-label">CPU: </span>
                    <span class="spec-value"><?php echo isset($recProduct['cpu']) ? $recProduct['cpu'] : 'E3-1230'; ?></span>
                  </div>
                </div>
                <div class="spec-row">
                  <div class="spec-item">
                    <span class="spec-label">硬盘: </span>
                    <span class="spec-value"><?php echo isset($recProduct['disk']) ? $recProduct['disk'] : '240G SSD'; ?></span>
                  </div>
                  <div class="spec-item">
                    <span class="spec-label">带宽: </span>
                    <span class="spec-value"><?php echo isset($recProduct['bandwidth']) ? $recProduct['bandwidth'] : '15M'; ?></span>
                  </div>
                </div>
                <div class="spec-row">
                  <div class="spec-item">
                    <span class="spec-label">防御: </span>
                    <span class="spec-value"><?php echo isset($recProduct['defense']) ? $recProduct['defense'] : '可选'; ?></span>
                  </div>
                  <div class="spec-item">
                    <span class="spec-label">线路: </span>
                    <span class="spec-value"><?php echo isset($recProduct['line']) ? $recProduct['line'] : '优化带宽'; ?></span>
                  </div>
                </div>
                <div class="spec-row">
                  <div class="spec-item">
                    <span class="spec-label">地区: </span>
                    <span class="spec-value"><?php echo isset($recProduct['location']) ? $recProduct['location'] : '香港'; ?></span>
                  </div>
                  <div class="spec-item">
                    <span class="spec-label">内存: </span>
                    <span class="spec-value"><?php echo isset($recProduct['memory']) ? $recProduct['memory'] : '8G'; ?></span>
                  </div>
                </div>
                <div class="spec-row">
                  <div class="spec-item">
                    <span class="spec-label">IP数: </span>
                    <span class="spec-value"><?php echo isset($recProduct['ip_count']) ? $recProduct['ip_count'] : '232个'; ?></span>
                  </div>
                  <div class="spec-item">
                    <span class="spec-label">流量: </span>
                    <span class="spec-value"><?php echo isset($recProduct['traffic']) ? $recProduct['traffic'] : '不限'; ?></span>
                  </div>
                </div>
              </div>
              <div class="server-price-container">
                <div class="server-price">
                  <span class="price-currency">$</span>
                  <span class="price-amount"><?php echo $recProduct['price']; ?></span>
                  <span class="price-period">/月</span>
                </div>
              </div>
              <div class="server-actions">
                <a href="" class="server-btn server-btn-primary">产品详情</a>
                <a href="<?php echo $GLOBALS['Telegram']; ?>" class="server-btn server-btn-secondary">申请测机</a>
              </div>
            </div> <?php endforeach; ?>
          </div>
        </div>
        <?php endif; ?>
      </div>
    </div> <?php include __DIR__ . '/../public/footer.php'; ?> <?php include __DIR__ . '/../public/kf.php'; ?> <script src="/public/js/js.js"></script>
    <script src="/public/js/product_detail.js">
    </script>
    <script src="/public/js/banner.js"></script>
  </body>
</html>
