/**
 * 高防云服务器页面专用JavaScript
 */

// 文档就绪后执行
$(function() {
    // 初始化地区切换功能
    initRegionTabs();
    
    // 初始化FAQ交互功能
    initFaqInteraction();
});

/**
 * 初始化地区切换功能
 */
function initRegionTabs() {
    $('.region-tab').on('click', function() {
        const region = $(this).data('region');
        
        // 更改标签激活状态
        $('.region-tab').removeClass('active');
        $(this).addClass('active');
        
        // 显示对应的产品内容
        $('.region-content').removeClass('active');
        $('#region-' + region).addClass('active');
    });
}

/**
 * 初始化FAQ问答交互功能
 */
function initFaqInteraction() {
    // 初始状态下打开第一个FAQ
    $('.faq-item:first-child').addClass('open');
    
    // 点击问题切换回答的显示/隐藏
    $('.faq-question').on('click', function() {
        const parent = $(this).parent();
        
        // 如果当前项已经是打开状态，则关闭它
        if (parent.hasClass('open')) {
            parent.removeClass('open');
        } else {
            // 关闭所有其他打开的FAQ
            $('.faq-item.open').removeClass('open');
            // 打开当前FAQ
            parent.addClass('open');
        }
    });
}

/**
 * 产品卡片交互效果
 */
$(function() {
    // 产品卡片悬停效果
    $('.product-card').hover(
        function() {
            $(this).find('.btn-primary').addClass('btn-hover');
        },
        function() {
            $(this).find('.btn-primary').removeClass('btn-hover');
        }
    );
}); 