/**
 * 高防IP服务页面专用JavaScript
 */

// 文档就绪后执行
$(function() {
    // 初始化FAQ交互功能
    initFaqInteraction();
});

/**
 * 初始化FAQ问答交互功能
 */
function initFaqInteraction() {
    // 初始状态下打开第一个FAQ
    $('.faq-item:first-child').addClass('open');
    
    // 点击问题切换回答的显示/隐藏
    $('.faq-question').on('click', function() {
        const parent = $(this).parent();
        
        // 如果当前项已经是打开状态，则关闭它
        if (parent.hasClass('open')) {
            parent.removeClass('open');
        } else {
            // 关闭所有其他打开的FAQ
            $('.faq-item.open').removeClass('open');
            // 打开当前FAQ
            parent.addClass('open');
        }
    });
}

/**
 * 初始化产品卡片交互效果
 */
$(function() {
    // 产品卡片悬停效果
    $('.product-card').hover(
        function() {
            $(this).find('.btn-primary').addClass('btn-hover');
        },
        function() {
            $(this).find('.btn-primary').removeClass('btn-hover');
        }
    );
    
    // 滚动到相应部分的平滑滚动
    $('a[href^="#"]').on('click', function(e) {
        e.preventDefault();
        
        const target = $(this.hash);
        if (target.length) {
            $('html, body').animate({
                scrollTop: target.offset().top - 100
            }, 500);
        }
    });
}); 