/**
 * 产品页面视图切换功能
 */

document.addEventListener('DOMContentLoaded', function() {
  // 初始化视图切换功能
  initViewToggle();
});

// 初始化视图切换功能
function initViewToggle() {
  const viewBtns = document.querySelectorAll('.view-mode-btn');
  const productList = document.querySelector('.product-list');
  
  if (!viewBtns.length || !productList) return;
  
  // 从 localStorage 获取上次选择的视图模式
  const savedView = localStorage.getItem('product-view-mode');
  if (savedView === 'list') {
    productList.classList.add('list-view');
    viewBtns[0].classList.remove('active');
    viewBtns[1].classList.add('active');
  }
  
  // 为视图按钮添加点击事件
  viewBtns.forEach(btn => {
    btn.addEventListener('click', function(e) {
      e.preventDefault();
      
      // 移除所有按钮的激活状态
      viewBtns.forEach(b => b.classList.remove('active'));
      
      // 激活当前按钮
      this.classList.add('active');
      
      // 切换视图
      if (this.title === '列表视图') {
        productList.classList.add('list-view');
        localStorage.setItem('product-view-mode', 'list');
      } else {
        productList.classList.remove('list-view');
        localStorage.setItem('product-view-mode', 'grid');
      }
    });
  });
}