<!DOCTYPE html>
<html lang="zh-CN"> <?php include 'public/config.php'; ?> <?php 
    // 定义包含常量
    define('INCLUDED_FROM_VIEW', true);
    // 引入站群服务器数据处理文件
    require_once 'code/server_clusters_code.php';
    
    // 获取所有站群服务器数据，关闭调试模式
    $clusterData = initAllClusterData(false);
    
    // 提取各类产品数据
    $hongKongProducts = $clusterData['hongKongProducts'];
    $usaProducts = $clusterData['usaProducts'];
    $koreaProducts = $clusterData['koreaProducts'];
    $japanProducts = $clusterData['japanProducts'];
    $usRegions = $clusterData['usRegions'];
    
    // 准备美国区域内容
    $usRegionContent = renderUsRegionContent($usRegions);
    ?> <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>站群服务器 - 多IP资源 | 海量网站统一管理解决方案</title>
    <meta name="keywords" content="站群服务器,多IP服务器,站群管理系统,大量IP服务器,香港站群服务器,美国站群服务器,日本站群服务器,韩国站群服务器,多站点服务器,SEO站群服务器">
    <meta name="description" content="专业站群服务器提供大量独立IP资源，高性能硬件配置和智能站群管理系统，支持批量部署和管理网站。香港、美国、日本、韩国等多地区数据中心可选，为SEO推广、网站运营、内容分发等业务提供高效稳定的多站点托管解决方案。">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link href="/public/css/style.css" rel="stylesheet">
    <link href="/public/css/breadcrumb.css" rel="stylesheet">
    <link href="/public/css/server_clusters.css" rel="stylesheet">
    <link href="/public/css/product.css" rel="stylesheet">
    <link href="/public/css/product-enhanced.css" rel="stylesheet">
    <link href="/public/css/mobile-style.css" rel="stylesheet">
  </head>
  <body>
    <!-- SVG图标集 --> <?php include 'public/svg/server_icons.svg'; ?>
    <!-- 顶部导航 --> <?php include 'public/header.php'; ?>
    <!-- Banner 区域 --> <?php include 'public/banner.php'; ?>
    <!-- 主内容区 -->
    <div class="main-content">
      <div class="server-wrapper">
        <!-- 面包屑导航 -->
        <div class="container">
          <div class="breadcrumb">
            <a href="/">首页</a>
            <i class="material-icons">chevron_right</i>
            <a href="/product">产品服务</a>
            <i class="material-icons">chevron_right</i>
            <span>站群服务器</span>
          </div>
        </div>
        <!-- 页面标题区域 -->
        <!-- 站群服务器优势 -->
        <section class="server-advantages">
          <div class="container">
            <div class="section-header">
              <h2>站群服务器优势</h2>
              <p>为您的多站点部署提供全方位支持</p>
            </div>
            <div class="advantages-grid">
              <div class="advantage-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-server"></use>
                </svg>
                <h3>资源独享</h3>
                <p>CPU、内存、磁盘资源独享，性能稳定，为多站点并发访问提供有力支持</p>
              </div>
              <div class="advantage-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-multiple-ip"></use>
                </svg>
                <h3>多IP资源</h3>
                <p>提供大量独立IP地址资源，确保每个站点拥有独立IP，规避关联风险</p>
              </div>
              <div class="advantage-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-management"></use>
                </svg>
                <h3>站群管理系统</h3>
                <p>一键化部署网站，批量管理站点，提高运维效率，节省管理成本</p>
              </div>
              <div class="advantage-card">
                <svg class="svg-icon">
                  <use xlink:href="#icon-security"></use>
                </svg>
                <h3>安全防护</h3>
                <p>独立防火墙与安全策略，DDoS基础防护，确保站群安全稳定运行</p>
              </div>
            </div>
          </div>
        </section>
        <!-- 香港站群服务器 -->
        <section id="hongkong-section" class="cluster-detail-section">
          <div class="container">
            <div class="section-header">
              <h2>香港站群服务器</h2>
              <p>连接中国大陆与全球的理想选择</p>
            </div>
            <!-- 产品列表 --> <?php echo renderProductList($hongKongProducts, '香港'); ?>
          </div>
        </section>
        <!-- 美国站群服务器 -->
        <section id="usa-section" class="cluster-detail-section">
          <div class="container">
            <div class="section-header">
              <h2>美国站群服务器</h2>
              <p>全球顶级网络中心，丰富IP资源</p>
            </div>
            <!-- 美国地区选择器 -->
            <div class="config-filter">
              <div class="filter-label">区域选择：</div> <?php echo $usRegionContent['region_nav']; ?>
            </div>
            <!-- 地区内容 --> <?php echo $usRegionContent['region_content']; ?>
            <!-- 如果没有区域内容，则显示通用美国产品 --> <?php if (empty($usRegionContent['region_content'])): ?> <?php echo renderProductList($usaProducts, '美国'); ?> <?php endif; ?>
          </div>
        </section>
        <!-- 韩国站群服务器 -->
        <section id="korea-section" class="cluster-detail-section">
          <div class="container">
            <div class="section-header">
              <h2>韩国站群服务器</h2>
              <p>低延迟东亚网络，优质IP资源</p>
            </div>
            <!-- 直接调用韩国产品列表渲染 --> <?php
                            require_once 'code/kr_cluster_code.php';
                            $krProducts = getKrClusterProducts(false);
                            echo renderProductList($krProducts, '韩国');
                        ?>
          </div>
        </section>
        <!-- 日本站群服务器 -->
        <section id="japan-section" class="cluster-detail-section">
          <div class="container">
            <div class="section-header">
              <h2>日本站群服务器</h2>
              <p>高速稳定网络，丰富IP资源</p>
            </div>
            <!-- 产品列表 --> <?php echo renderProductList($japanProducts, '日本'); ?>
          </div>
        </section>
        <!-- 站群管理系统 -->
        <section class="management-system">
          <div class="container">
            <div class="section-header">
              <h2>站群管理系统</h2>
              <p>高效管理海量站点，降低运维成本</p>
            </div>
            <div class="system-features">
              <div class="feature-col">
                <div class="feature-item">
                  <div class="feature-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-add"></use>
                    </svg>
                  </div>
                  <div class="feature-content">
                    <h3>一键建站</h3>
                    <p>支持WordPress、Discuz、Magento等多种CMS系统一键部署，快速创建站点</p>
                  </div>
                </div>
                <div class="feature-item">
                  <div class="feature-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-update"></use>
                    </svg>
                  </div>
                  <div class="feature-content">
                    <h3>批量更新</h3>
                    <p>一键更新所有站点程序和插件，保持系统安全和最新功能</p>
                  </div>
                </div>
                <div class="feature-item">
                  <div class="feature-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-analytics"></use>
                    </svg>
                  </div>
                  <div class="feature-content">
                    <h3>统一监控</h3>
                    <p>实时监控所有站点的运行状态、访问量和性能指标，及时发现问题</p>
                  </div>
                </div>
              </div>
              <div class="feature-col">
                <div class="feature-item">
                  <div class="feature-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-security"></use>
                    </svg>
                  </div>
                  <div class="feature-content">
                    <h3>安全管理</h3>
                    <p>集中管理防火墙规则、SSL证书和安全策略，一键应对安全威胁</p>
                  </div>
                </div>
                <div class="feature-item">
                  <div class="feature-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-backup"></use>
                    </svg>
                  </div>
                  <div class="feature-content">
                    <h3>自动备份</h3>
                    <p>定时自动备份所有站点数据，支持一键恢复，确保数据安全</p>
                  </div>
                </div>
                <div class="feature-item">
                  <div class="feature-icon">
                    <svg class="svg-icon">
                      <use xlink:href="#icon-team"></use>
                    </svg>
                  </div>
                  <div class="feature-content">
                    <h3>团队协作</h3>
                    <p>多级管理权限设置，支持团队协作管理多个站点，职责明确</p>
                  </div>
                </div>
              </div>
            </div>
            <div class="system-demo">
              <a href="#" class="btn btn-outline">预约系统演示</a>
            </div>
          </div>
        </section>
        <!-- 常见问题 -->
        <section class="faq-section">
          <div class="container">
            <div class="section-header">
              <h2>常见问题</h2>
              <p>关于站群服务器的常见问题解答</p>
            </div>
            <div class="faq-list">
              <div class="faq-item">
                <div class="faq-question">
                  <h3>如何选择适合我业务的站群服务器区域？</h3>
                </div>
                <div class="faq-answer">
                  <p>选择合适的站群服务器区域主要考虑以下因素：1）目标用户地理位置：选择靠近目标用户的数据中心可以降低网络延迟；2）业务合规要求：不同地区有不同的数据存储和隐私法规；3）预算考虑：不同地区的服务器价格有差异；4）特殊需求：如果需要访问中国大陆市场，香港服务器是理想选择；面向北美市场，美国服务器更适合；针对日韩市场，选择当地服务器能提供更好的用户体验。我们建议根据您的业务主要面向的地区和用户群体来选择服务器位置。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>各地区站群服务器的IP资源有什么区别？</h3>
                </div>
                <div class="faq-answer">
                  <p>不同地区站群服务器的IP资源主要区别在于：1）IP数量：美国地区通常提供最丰富的IP资源，可达数百个甚至上千个IP；2）IP质量：日本和韩国的IP通常信誉较好，适合高质量站点；3）IP分布：香港的IP在亚太地区分布广泛，有利于面向亚洲市场；4）IP归属地：各地区IP的归属地不同，搜索引擎会根据IP归属地对网站进行地域性排名；5）成本：不同地区的IP资源价格差异较大，美国通常较经济，日本和香港相对较高。根据您的具体业务需求和预算，我们可以为您推荐最合适的IP资源配置。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>香港服务器适合哪些类型的站群业务？</h3>
                </div>
                <div class="faq-answer">
                  <p>香港站群服务器特别适合以下类型的业务：1）面向中国大陆和亚太地区的网站：香港位于亚洲中心位置，访问中国大陆和亚太其他地区都有较低延迟；2）对访问速度敏感的业务：如电子商务网站、内容分发平台等；3）需要稳定网络环境的业务：香港拥有发达的网络基础设施和国际带宽资源；4）SEO站群：香港IP资源质量高，有利于搜索引擎优化；5）需要多语言支持的业务：香港提供中文（简体和繁体）和英文支持。香港服务器兼具网络稳定性和访问速度优势，是连接中国大陆与国际网络的理想选择。</p>
                </div>
              </div>
              <div class="faq-item">
                <div class="faq-question">
                  <h3>站群管理系统能否同时管理不同地区的服务器？</h3>
                </div>
                <div class="faq-answer">
                  <p>是的，我们的站群管理系统支持跨地区服务器管理。系统具有以下功能：1）统一控制面板：通过一个界面管理位于不同地区的所有服务器和站点；2）分区管理：可以按地区对服务器进行分组管理，实现差异化策略；3）批量操作：支持跨地区批量部署网站、更新内容和管理配置；4）全球监控：实时监控不同地区服务器的运行状态和性能指标；5）智能调度：根据流量和负载情况自动在不同地区服务器间分配资源。这种跨地区管理能力使您可以充分利用不同地区服务器的优势，为全球用户提供更好的访问体验。</p>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- 联系我们 -->

      </div>
    </div>
    <!-- 页脚 --> <?php include 'public/kf.php'; ?> <?php include 'public/footer.php'; ?> <script src="/public/js/js.js"></script>
    <script src="/public/js/server_clusters.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
    $(document).ready(function() {
      console.log('DOM ready, initializing scripts...');
      // 获取并输出所有区域按钮
      const regionButtons = $('.region-nav-item');
      console.log('Region buttons count:', regionButtons.length);
      regionButtons.each(function() {
        console.log('Region button:', $(this).data('region'), $(this).hasClass('active') ? '(active)' : '');
      });
      // 获取并输出所有区域内容
      const regionContents = $('.region-content');
      console.log('Region contents count:', regionContents.length);
      regionContents.each(function() {
        console.log('Region content:', $(this).attr('id'), $(this).hasClass('active') ? '(active)' : '');
      });
      // 确保区域内容的初始显示状态
      regionContents.hide();
      $('.region-content.active').show();
      // 配置筛选功能
      $('.filter-btn:not(.region-nav-item)').on('click', function() {
        const filter = $(this).data('filter');
        console.log('Filter clicked:', filter);
        // 移除所有按钮的活动状态
        $('.filter-btn:not(.region-nav-item)').removeClass('active');
        // 为当前按钮添加活动状态
        $(this).addClass('active');
        // 如果是全部，显示所有产品
        if (filter === 'all') {
          $('.product-card, .plan-card').show();
        } else {
          // 否则，只显示选中类别的产品
          $('.product-card, .plan-card').hide();
          $(`.product-card[data-category="${filter}"], .plan-card[data-category="${filter}"]`).show();
        }
      });
      // 美国地区导航功能
      $('.region-nav-item').on('click', function(e) {
        e.preventDefault();
        e.stopPropagation();
        const region = $(this).data('region');
        console.log('Region nav item clicked:', region);
        // 移除所有导航项的活动状态
        $('.region-nav-item').removeClass('active');
        // 为当前导航项添加活动状态
        $(this).addClass('active');
        // 隐藏所有地区内容
        regionContents.removeClass('active').hide();
        // 显示对应的地区内容
        const targetRegion = $('#region-' + region);
        console.log('Target region element:', targetRegion.length ? 'found' : 'not found', '#region-' + region);
        if (targetRegion.length) {
          targetRegion.addClass('active').show();
          console.log('Region content shown:', targetRegion.attr('id'));
        } else {
          console.error('Region content not found:', '#region-' + region);
        }
      });
      // 滚动到锚点位置功能
      $('.cluster-card a').on('click', function(e) {
        e.preventDefault();
        const target = $(this).attr('href');
        $('html, body').animate({
          scrollTop: $(target).offset().top - 100
        }, 500);
      });
      // 手动触发第一个区域按钮的点击事件
      setTimeout(function() {
        const activeRegionButton = $('.region-nav-item.active');
        if (activeRegionButton.length) {
          console.log('Triggering click on first active region:', activeRegionButton.data('region'));
          activeRegionButton.trigger('click');
        } else if (regionButtons.length > 0) {
          console.log('No active region found, clicking first region button');
          regionButtons.first().trigger('click');
        }
      }, 500);
    });
    </script>
  </body>
</html>
