<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>新加坡服务器 - 东南亚低延迟 | 出海业务首选服务器方案</title>
        <meta name="keywords" content="新加坡服务器,新加坡云服务器,新加坡物理服务器,新加坡数据中心,新加坡机房,新加坡IDC,新加坡服务器租用,新加坡服务器托管,东南亚服务器,新加坡企业服务器">
        <meta name="description" content="提供新加坡高性能服务器租用与托管服务，位于新加坡核心数据中心，覆盖东南亚地区，低延迟访问，满足企业出海业务需求。支持专业的技术支持和灵活的配置方案，为电商、游戏、金融等应用提供稳定可靠的服务器解决方案。">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/sg.css" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <!-- 引入菜单修复样式 -->
        <link rel="stylesheet" href="/public/css/menu-fix.css">
        <!-- 引入移动端样式 -->
        <link href="/public/css/mobile-style.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <!-- Banner 区域 -->
            <?php include 'public/banner.php'; ?>
            <!-- 内容区域 -->
            <div class="hk-content">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb"> <a href="/">首页</a> <i class="material-icons">chevron_right</i> <a href="/product">产品服务</a> <i class="material-icons">chevron_right</i> <span>新加坡服务器</span> </div>
                </div>
                <!-- 页面标题 -->
                <div class="floor-section">
                    <div class="container">
                        <div class="page-header">
                            <h1>新加坡服务器 - 自营机房丨免备案丨免实名丨东南亚枢纽</h1>
                            <p>新加坡自营机房位于东南亚数据中心枢纽，提供面向东南亚地区的高速稳定连接，并对中国大陆访问进行优化。免费提供真机测试，不满意不收费。匿名购买，无需实名认证和备案，即买即用，支持多种支付方式如USDT。新加坡服务器是东南亚业务的理想选择！</p>
                        </div>
                    </div>
                </div>
                <!-- 产品优势 -->
                <div class="floor-section hk-advantages">
                    <div class="container">
                        <div class="section-header">
                            <h2>新加坡服务器优势</h2>
                            <p>新加坡服务器为东南亚业务提供卓越性能和区域连接</p>
                        </div>
                        <div class="advantages-grid">
                            <div class="advantage-card"> <i class="material-icons">verified_user</i>
                                <h3>免备案免实名</h3>
                                <p>无需备案审核<br>
                                    无需实名认证<br>
                                    即买即用</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">speed</i>
                                <h3>东南亚优化</h3>
                                <p>区域优质线路<br>
                                    低延迟高带宽<br>
                                    多国访问优化</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">security</i>
                                <h3>自营机房</h3>
                                <p>完全自主可控<br>
                                    专业运维团队<br>
                                    高可靠性保障</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">language</i>
                                <h3>东南亚枢纽</h3>
                                <p>区域业务中心<br>
                                    多语言环境支持<br>
                                    国际金融中心</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 服务特点 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>服务特点</h2>
                            <p>我们与众不同的服务保障</p>
                        </div>
                        <div class="features-container">
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">touch_app</i> </div>
                                <div class="feature-content">
                                    <h3>免费测试</h3>
                                    <p>提供真机测试，客户满意后再付款，不满意不收费</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">account_balance_wallet</i> </div>
                                <div class="feature-content">
                                    <h3>匿名购买</h3>
                                    <p>支持USDT等多种支付方式，保障客户隐私安全</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">support_agent</i> </div>
                                <div class="feature-content">
                                    <h3>7*24小时技术支持</h3>
                                    <p>专业技术团队全天候服务，快速响应各类问题</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">verified</i> </div>
                                <div class="feature-content">
                                    <h3>资源稳定</h3>
                                    <p>自营机房资源丰富，服务器性能稳定可靠</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 产品方案 -->
                <div class="floor-section product-plans" style="padding: 10px 0 0 0; ">
                    <div class="container">
                        <div class="section-header">
                            <h2>产品方案</h2>
                            <p>多样化的新加坡服务器解决方案，满足不同需求</p>
                        </div>
                        <!-- 产品切换选项卡 -->
                        <div class="product-tabs">
                            <div class="tab-list">
                                <div class="tab-item active" data-tab="cloud-server">新加坡云服务器</div>
                                <div class="tab-item" data-tab="physical-server">新加坡物理服务器</div>
                                <div class="tab-item" data-tab="cluster-server">新加坡站群服务器</div>
                                <div class="tab-item" data-tab="high-defense-server">新加坡高防服务器</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="floor-section service-features" style="padding: 20px 0 0 0; ">
                    <div class="container">
                        <!-- 产品内容区域 -->
                        <div class="product-content">
                            <!-- 新加坡云服务器 -->
                            <div class="product-category" id="cloud-server">
                                <div class="plans-grid">
                                    <?php
                                    // 定义包含常量
                                    if (!defined('INCLUDED_FROM_VIEW')) {
                                        define('INCLUDED_FROM_VIEW', true);
                                    }
                                    // 引入数据库配置（如果需要）
                                    if (!function_exists('getDbConnection')) {
                                        require_once 'config/database.php';
                                    }
                                    
                                    // 获取数据库连接
                                    $db = getDbConnection();
                                    
                                    try {
                                        // 构建SQL查询语句 - 筛选新加坡云服务器(tags包含7的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 11 
                                               AND FIND_IN_SET(7, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $cloudProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($cloudProducts)) {
                                            $productCount = 0;
                                            foreach ($cloudProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡云服务器 <?php echo ($productCount + 1); ?></h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value"><?php echo '7' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value"><?php echo $product['disk']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value"><?php echo $product['memory']; ?></div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡云服务器 1</h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">70001</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">40GB SSD</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">可选</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">2核</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">5Mbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">4GB</div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value">1</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$49/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取新加坡云服务器产品错误: " . $e->getMessage());
                                        // 显示默认产品
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡云服务器 1</h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">70001</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">40GB SSD</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">可选</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">2核</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">5Mbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">4GB</div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value">1</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$49/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                  <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a>
                                  </p>
                                </div>
                            </div>
                            <!-- 新加坡物理服务器 -->
                            <div class="product-category" id="physical-server">
                                <div class="plans-grid">
                                    <?php
                                    try {
                                        // 构建SQL查询语句 - 筛选新加坡物理服务器(tags包含8的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 11 
                                               AND FIND_IN_SET(8, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $physicalProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($physicalProducts)) {
                                            $productCount = 0;
                                            foreach ($physicalProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡物理服务器 <?php echo ($productCount + 1); ?></h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value"><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value"><?php echo $product['disk']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value"><?php echo $product['memory']; ?></div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡物理服务器 1</h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">80360</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">1T HDD</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">可选</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">E5-2620 (6核12线)</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">50Mbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">32GB</div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value">1</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$129/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取新加坡物理服务器产品错误: " . $e->getMessage());
                                        // 显示默认产品
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡物理服务器 1</h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">80360</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">1T HDD</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">可选</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">E5-2620 (6核12线)</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">50Mbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">32GB</div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value">1</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$129/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                  <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a>
                                  </p>
                                </div>
                            </div>
                            <!-- 新加坡站群服务器 -->
                            <div class="product-category" id="cluster-server">
                                <div class="plans-grid">
                                    <?php
                                    try {
                                        // 构建SQL查询语句 - 筛选新加坡站群服务器(tags包含9的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 11 
                                               AND FIND_IN_SET(9, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $clusterProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($clusterProducts)) {
                                            $productCount = 0;
                                            foreach ($clusterProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡站群服务器 <?php echo ($productCount + 1); ?></h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value"><?php echo '9' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value"><?php echo $product['disk']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value"><?php echo $product['memory']; ?></div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示提示信息
                                        echo '<div class="no-products">暂无站群产品，请联系客服定制</div>';
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取新加坡站群服务器产品错误: " . $e->getMessage());
                                        // 显示错误提示
                                        echo '<div class="no-products">获取产品信息失败，请稍后再试</div>';
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                  <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a>
                                  </p>
                                </div>
                                
                                <!-- 添加CSS样式 -->
                                <style>
                                .no-products {
                                  padding: 30px;
                                  text-align: center;
                                  background: #f9f9f9;
                                  border-radius: 5px;
                                  margin: 20px 0;
                                  color: #666;
                                  font-size: 16px;
                                }
                                
                                .cluster-specs {
                                  display: flex;
                                  justify-content: space-between;
                                  border-top: 1px solid #eee;
                                  border-bottom: 1px solid #eee;
                                  padding: 15px 0;
                                  margin-bottom: 15px;
                                }
                                
                                .spec-column {
                                  width: 48%;
                                }
                                
                                .spec-item {
                                  display: flex;
                                  justify-content: space-between;
                                  margin-bottom: 10px;
                                  line-height: 1.5;
                                }
                                
                                .spec-label {
                                  color: #666;
                                  font-weight: normal;
                                  text-align: left;
                                }
                                
                                .spec-value {
                                  font-weight: 500;
                                  text-align: right;
                                }
                                
                                .cluster-bottom-specs {
                                  margin-bottom: 15px;
                                }
                                
                                .price-value {
                                  font-size: 1.2em;
                                  color: #ff6600;
                                  font-weight: bold;
                                }
                                
                                .cluster-actions {
                                  display: flex;
                                  justify-content: space-between;
                                  gap: 10px;
                                }
                                
                                .btn-action {
                                  flex: 1;
                                  text-align: center;
                                  padding: 10px 0;
                                  border-radius: 4px;
                                  font-weight: 500;
                                  transition: all 0.3s ease;
                                }
                                
                                .btn-primary {
                                  background-color: #ff6600;
                                  color: white;
                                  border: none;
                                }
                                
                                .btn-outline {
                                  background-color: white;
                                  color: #ff6600;
                                  border: 1px solid #ff6600;
                                }
                                
                                .btn-primary:hover {
                                  background-color: #e65c00;
                                }
                                
                                .btn-outline:hover {
                                  background-color: #fff1e8;
                                }
                                
                                .plan-header {
                                  display: flex;
                                  justify-content: space-between;
                                  align-items: center;
                                  margin-bottom: 15px;
                                }
                                
                                .plan-header h4 {
                                  margin: 0;
                                }
                                
                                .tag {
                                  background: #f0f5ff;
                                  color: #3366cc;
                                  padding: 2px 8px;
                                  border-radius: 4px;
                                  font-size: 12px;
                                }
                                
                                .plan-card {
                                  background: #fff;
                                  border-radius: 6px;
                                  padding: 20px;
                                  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
                                  margin-bottom: 20px;
                                  transition: all 0.3s ease;
                                }
                                
                                .plan-card:hover {
                                  transform: translateY(-5px);
                                  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
                                }
                                </style>
                            </div>
                            <!-- 新加坡高防服务器 -->
                            <div class="product-category" id="high-defense-server">
                                <div class="plans-grid">
                                    <?php
                                    try {
                                        // 构建SQL查询语句 - 筛选新加坡高防服务器(tags包含10的产品)
                                        $query = "SELECT * FROM products 
                                               WHERE region_id = 11 
                                               AND FIND_IN_SET(10, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                        
                                        $stmt = $db->query($query);
                                        $highDefenseProducts = $stmt->fetchAll();
                                        
                                        // 判断是否有产品数据
                                        if (!empty($highDefenseProducts)) {
                                            $productCount = 0;
                                            foreach ($highDefenseProducts as $product) {
                                                // 计算显示价格（原价乘以倍率）
                                                $displayPrice = $product['price'] * getMultiplier();
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡高防服务器 <?php echo ($productCount + 1); ?></h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value"><?php echo '10' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value"><?php echo $product['disk']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '20Gbps'; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value"><?php echo $product['memory']; ?></div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                            $productCount++;
                                        }
                                    } else {
                                        // 如果没有数据，显示一个默认产品
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡高防服务器 1</h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">100001</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">80GB SSD</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">20Gbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">4核</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">20Mbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">8GB</div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value">1</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$149/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                    }
                                    } catch (Exception $e) {
                                        // 错误处理
                                        error_log("获取新加坡高防服务器产品错误: " . $e->getMessage());
                                        // 显示默认产品
                                    ?>
                                    <div class="plan-card">
                                      <div class="plan-header">
                                        <h4>新加坡高防服务器 1</h4>
                                        <span class="tag">新加坡专区</span>
                                      </div>
                                      <div class="cluster-specs">
                                        <!-- 左侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">编号:</div>
                                            <div class="spec-value">100001</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">硬盘:</div>
                                            <div class="spec-value">80GB SSD</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">防御:</div>
                                            <div class="spec-value">20Gbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">地区:</div>
                                            <div class="spec-value">新加坡</div>
                                          </div>
                                        </div>
                                        <!-- 右侧规格列 -->
                                        <div class="spec-column">
                                          <div class="spec-item">
                                            <div class="spec-label">CPU:</div>
                                            <div class="spec-value">4核</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">宽带:</div>
                                            <div class="spec-value">20Mbps</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">线路:</div>
                                            <div class="spec-value">大陆优化</div>
                                          </div>
                                          <div class="spec-item">
                                            <div class="spec-label">内存:</div>
                                            <div class="spec-value">8GB</div>
                                          </div>
                                        </div>
                                      </div>
                                      <!-- IP数量和流量信息 -->
                                      <div class="cluster-bottom-specs">
                                        <div class="spec-item">
                                          <div class="spec-label">IP数:</div>
                                          <div class="spec-value">1</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">流量:</div>
                                          <div class="spec-value">不限</div>
                                        </div>
                                        <div class="spec-item">
                                          <div class="spec-label">价格:</div>
                                          <div class="spec-value price-value">$149/月</div>
                                        </div>
                                      </div>
                                      <!-- 操作按钮 -->
                                      <div class="cluster-actions">
                                        <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                        <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                      </div>
                                    </div>
                                    <?php
                                    }
                                    ?>
                                </div>
                                <div class="category-footer">
                                  <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank"> 专属客服经理 </a>
                                  </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- 应用场景 -->
                    <div class="floor-section application-scenarios">
                        <div class="container">
                            <div class="section-header">
                                <h2>新加坡服务器应用场景</h2>
                                <p>新加坡服务器的典型应用场景</p>
                            </div>
                            <div class="scenarios-grid">
                                <div class="scenario-card">
                                    <div class="scenario-icon"> <i class="material-icons">language</i> </div>
                                    <div class="scenario-content">
                                        <h3>东南亚业务拓展</h3>
                                        <p>新加坡作为东南亚商业枢纽，是企业开拓东南亚市场的理想选择，服务器访问速度快且稳定。</p>
                                    </div>
                                </div>
                                <div class="scenario-card">
                                    <div class="scenario-icon"> <i class="material-icons">account_balance</i> </div>
                                    <div class="scenario-content">
                                        <h3>金融服务应用</h3>
                                        <p>新加坡作为亚洲金融中心，具备严格的数据安全标准，适合部署金融科技和支付系统应用。</p>
                                    </div>
                                </div>
                                <div class="scenario-card">
                                    <div class="scenario-icon"> <i class="material-icons">web</i> </div>
                                    <div class="scenario-content">
                                        <h3>多语言网站建设</h3>
                                        <p>免备案环境，适合构建面向东南亚多国家、多语言环境的网站和应用平台。</p>
                                    </div>
                                </div>
                                <div class="scenario-card">
                                    <div class="scenario-icon"> <i class="material-icons">cloud</i> </div>
                                    <div class="scenario-content">
                                        <h3>区域数据中心</h3>
                                        <p>稳定的基础设施和优质网络环境，是构建东南亚地区数据中心和云服务的理想选择。</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- 常见问题 -->
                    <div class="floor-section service-features">
                        <div class="container">
                            <div class="section-header">
                                <h2>新加坡服务器常见问题</h2>
                                <p>关于新加坡服务器的常见问题解答</p>
                            </div>
                            <div class="faq-list">
                                <div class="faq-item">
                                    <div class="faq-question"> <i class="material-icons">help_outline</i>
                                        <h3>新加坡服务器有哪些独特优势？</h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>新加坡服务器最大的优势在于其优越的地理位置和网络环境。作为东南亚地区的互联网枢纽，新加坡拥有连接亚洲、欧洲、大洋洲的优质国际网络。同时，新加坡具有稳定的政治环境、健全的法律体系和高水平的数据中心基础设施，适合各类业务特别是金融科技类业务的部署。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question"> <i class="material-icons">help_outline</i>
                                        <h3>新加坡服务器对中国大陆访问速度如何？</h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>我们的新加坡服务器采用优质的国际线路，针对中国大陆访问进行了专门优化。虽然地理距离相对较远，但通过网络优化，新加坡服务器对中国大陆的访问速度表现良好，延迟一般在70-120ms之间，适合大多数业务需求。如果对延迟要求极高，可以考虑我们的香港或日本服务器。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question"> <i class="material-icons">help_outline</i>
                                        <h3>新加坡服务器适合哪些类型的企业？</h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>新加坡服务器特别适合以下类型的企业：1. 在东南亚地区有业务的企业；2. 金融科技和电子支付公司；3. 需要构建区域数据中心的企业；4. 对数据安全和隐私保护要求高的企业；5. 电子商务和内容分发网络(CDN)服务商。新加坡的中立立场和开放政策使其成为进入亚洲市场的理想跳板。</p>
                                    </div>
                                </div>
                                <div class="faq-item">
                                    <div class="faq-question"> <i class="material-icons">help_outline</i>
                                        <h3>为什么选择新加坡而不是其他亚洲地区的服务器？</h3>
                                    </div>
                                    <div class="faq-answer">
                                        <p>新加坡在亚洲地区具有独特优势：1. 政治稳定，营商环境全球领先；2. 网络基础设施先进，连接全球多个主要区域；3. 数据保护法律完善，提供高水平的安全保障；4. 作为东南亚商业中心，对东南亚各国访问速度快；5. 技术人才丰富，服务水平高。这些因素使新加坡成为亚洲地区特别是东南亚业务的理想选择。</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- 联系我们 -->
                    <div class="floor-section service-features contact-section">
                        <div class="container">
                            <div class="contact-content">
                                <h2>免费真机测试 不满意不收费</h2>
                                <p>联系专属客服经理申请免费真机测试或浏览我们的产品中心查看更多产品</p>
                                <div class="contact-buttons"> <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank"> <i class="material-icons">telegram</i> 申请测试</a> <a href="./product" class="btn btn-outline" target="_blank"> <i class="material-icons">store</i> 产品中心 </a> </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- 页脚 -->
            <?php include 'public/kf.php'; ?>
            <?php include 'public/footer.php'; ?>
            <script src="/public/js/js.js"></script>
            <script src="/public/js/header.js"></script>
            <script>
            document.addEventListener('DOMContentLoaded', function() {
                // 获取所有标签和产品分类
                const tabItems = document.querySelectorAll('.product-tabs .tab-item');
                const productCategories = document.querySelectorAll('.product-category');
                // 为每个标签添加点击事件
                tabItems.forEach(tab => {
                    tab.addEventListener('click', function() {
                        // 移除所有标签和产品分类的活跃状态
                        tabItems.forEach(item => item.classList.remove('active'));
                        productCategories.forEach(category => category.classList.remove('active'));
                        // 设置当前点击的标签为活跃状态
                        this.classList.add('active');
                        // 获取当前标签对应的产品分类ID
                        const tabId = this.getAttribute('data-tab');
                        // 设置对应的产品分类为活跃状态
                        document.getElementById(tabId).classList.add('active');
                    });
                });
            });
            </script>
    </body>
</html>
