<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <?php require_once __DIR__ . '/code/product_data.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>服务器特惠活动 - 限时折扣 | 全球服务器租用特价优惠</title>
        <meta name="keywords" content="服务器特惠,服务器优惠活动,服务器限时折扣,服务器促销,香港服务器特价,美国服务器特价,日本服务器特价,韩国服务器特价,台湾服务器特价,服务器租用优惠">
        <meta name="description" content="全球服务器限时特惠活动，包括香港、美国、日本、韩国、台湾等多地区服务器租用托管的折扣优惠。提供高性能物理服务器和云服务器特价方案，助力企业降低IT成本，把握限时优惠，享受专业服务。">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/special.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- Banner 区域 -->
        <?php include 'public/banner.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <div class="special-wrapper">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb">
                        <a href="/">首页</a>
                        <i class="material-icons">chevron_right</i>
                        <a href="/product">产品中心</a>
                        <i class="material-icons">chevron_right</i>
                        <span>专题活动</span>
                    </div>
                </div>
                <!-- 第一楼：香港服务器 -->



                <div class="floor-section">
                    <!-- 楼层标题 -->
                    <div class="container floor-title">
                        <div>
                            <h2 class="title-inline">香港服务器 </h2>
                            <div class="desc-inline">低延迟、高带宽，适合亚洲地区访问，支持多种类型服务器</div>
                        </div>
                        <p>更多...</p>
                    </div>
                    <!-- 服务器类型导航 -->
                    <div class="container">
                        <div class="server-type-list">
                            <div class="server-type-item active" data-target="hk-physical">物理服务器</div>
                            <div class="server-type-item" data-target="hk-cluster">站群服务器</div>
                            <div class="server-type-item" data-target="hk-cloud">云服务器</div>
                            <div class="server-type-item" data-target="hk-defense">高防服务器</div>
                        </div>
                    </div>
                    <!-- 服务器内容区域 -->
                    <div class="floor-content">
                        <!-- 香港物理服务器 -->
                        <div id="hk-physical" class="server-type-content active">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 香港服务器 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港服务器</h3>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：编号、硬盘 -->

                                            
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">编号:</span>
                                                    <span>80786</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">硬盘:</span>
                                                    <span>240G SSD</span>
                                                </div>
                                            </div>




                                            <!-- 第二行：防御、地区 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">防御:</span>
                                                    <span>可选</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">地区:</span>
                                                    <span>香港</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：CPU、带宽 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">CPU:</span>
                                                    <span>E3-1230</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">带宽:</span>
                                                    <span>15M</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：线路、内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">线路:</span>
                                                    <span>优化带宽</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">内存:</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第五行：IP数、流量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">IP数:</span>
                                                    <span>232个</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">流量:</span>
                                                    <span>不限</span>
                                                </div>
                                            </div>
                                            <!-- 第六行：价格 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">价格:</span>
                                                    <span>$ 397.05 /月</span>
                                                </div>
                                            </div>
                                            <!-- 按钮行 -->
                                            <div class="action-row">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- 香港高端服务器 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港高端服务器</h3>
                                            <span class="renewal-tag">热销推荐</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：编号、硬盘 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">编号:</span>
                                                    <span>80788</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">硬盘:</span>
                                                    <span>480G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：防御、地区 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">防御:</span>
                                                    <span>20G</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">地区:</span>
                                                    <span>香港</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：CPU、带宽 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">CPU:</span>
                                                    <span>E5-2650</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">带宽:</span>
                                                    <span>30M</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：线路、内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">线路:</span>
                                                    <span>CN2 GIA</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">内存:</span>
                                                    <span>16G</span>
                                                </div>
                                            </div>
                                            <!-- 第五行：IP数、流量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">IP数:</span>
                                                    <span>256个</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">流量:</span>
                                                    <span>不限</span>
                                                </div>
                                            </div>
                                            <!-- 第六行：价格 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">价格:</span>
                                                    <span>$ 539.90 /月</span>
                                                </div>
                                            </div>
                                            <!-- 按钮行 -->
                                            <div class="action-row">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- 香港企业服务器 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港企业服务器</h3>
                                            <span class="renewal-tag">限时优惠</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：编号、硬盘 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">编号:</span>
                                                    <span>80790</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">硬盘:</span>
                                                    <span>1TB SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：防御、地区 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">防御:</span>
                                                    <span>40G</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">地区:</span>
                                                    <span>香港</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：CPU、带宽 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">CPU:</span>
                                                    <span>E5-2680</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">带宽:</span>
                                                    <span>50M</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：线路、内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">线路:</span>
                                                    <span>CN2 GIA</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">内存:</span>
                                                    <span>32G</span>
                                                </div>
                                            </div>
                                            <!-- 第五行：IP数、流量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">IP数:</span>
                                                    <span>512个</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">流量:</span>
                                                    <span>不限</span>
                                                </div>
                                            </div>
                                            <!-- 第六行：价格 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">价格:</span>
                                                    <span>$ 799.90 /月</span>
                                                </div>
                                            </div>
                                            <!-- 按钮行 -->
                                            <div class="action-row">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 香港站群服务器 -->
                        <div id="hk-cluster" class="server-type-content">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港站群入门型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>4 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>120G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：IP数量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">IP数量</span>
                                                    <span>10个</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">99.90</span>
                                            </div>
                                            <div class="price-original">$129.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港站群标准型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>8 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>16G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>240G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：IP数量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">IP数量</span>
                                                    <span>20个</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">159.90</span>
                                            </div>
                                            <div class="price-original">$189.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港站群企业型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>16 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>32G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>480G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：IP数量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">IP数量</span>
                                                    <span>50个</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">259.90</span>
                                            </div>
                                            <div class="price-original">$299.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 香港云服务器 -->
                        <div id="hk-cloud" class="server-type-content">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港云基础型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>1 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>2G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>40G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：带宽大小 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">带宽大小</span>
                                                    <span>5M BGP</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">19.90</span>
                                            </div>
                                            <div class="price-original">$29.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港云标准型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>2 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>4G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>60G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：带宽大小 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">带宽大小</span>
                                                    <span>10M BGP</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">39.90</span>
                                            </div>
                                            <div class="price-original">$49.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港云企业型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>4 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>100G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：带宽大小 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">带宽大小</span>
                                                    <span>20M BGP</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">69.90</span>
                                            </div>
                                            <div class="price-original">$89.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 香港高防服务器 -->
                        <div id="hk-defense" class="server-type-content">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港高防基础型</h3>
                                            <span class="renewal-tag">DDoS防护</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>4 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>100G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：防护能力 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">防护能力</span>
                                                    <span>20G</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">129.90</span>
                                            </div>
                                            <div class="price-original">$169.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港高防标准型</h3>
                                            <span class="renewal-tag">DDoS防护</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>8 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>16G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>200G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：防护能力 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">防护能力</span>
                                                    <span>40G</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">199.90</span>
                                            </div>
                                            <div class="price-original">$249.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>香港高防企业型</h3>
                                            <span class="renewal-tag">DDoS防护</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>16 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>32G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>400G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：防护能力 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">防护能力</span>
                                                    <span>100G</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">299.90</span>
                                            </div>
                                            <div class="price-original">$369.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                


                <!-- 第二楼：美国服务器 -->
                <div class="floor-section">
                    <!-- 楼层标题 -->
                    <div class="container">
                        <div class="floor-title">
                            <div>
                                <h2 class="title-inline">美国服务器</h2>
                                <div class="desc-inline">稳定高速，适合全球业务，提供多种配置选择</div>
                            </div>
                            <div>更多...</div>
                        </div>
                    </div>
                    <!-- 服务器类型导航 -->
                    <div class="container">
                        <div class="server-type-list">
                            <div class="server-type-item active" data-target="sg-physical">物理服务器</div>
                            <div class="server-type-item" data-target="sg-cluster">站群服务器</div>
                            <div class="server-type-item" data-target="sg-cloud">云服务器</div>
                            <div class="server-type-item" data-target="sg-defense">高防服务器</div>
                        </div>
                    </div>
                    <!-- 服务器内容区域 -->
                    <div class="floor-content">
                        <!-- 各类型服务器内容 -->
                        <div id="sg-physical" class="server-type-content active">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡基础服务器</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：编号、硬盘 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">编号:</span>
                                                    <span>82001</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">硬盘:</span>
                                                    <span>240G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：防御、地区 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">防御:</span>
                                                    <span>10G</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">地区:</span>
                                                    <span>新加坡</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：CPU、带宽 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">CPU:</span>
                                                    <span>E3-1230</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">带宽:</span>
                                                    <span>20M</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：线路、内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">线路:</span>
                                                    <span>优化带宽</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">内存:</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第五行：IP数、流量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">IP数:</span>
                                                    <span>200个</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">流量:</span>
                                                    <span>不限</span>
                                                </div>
                                            </div>
                                            <!-- 第六行：价格 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">价格:</span>
                                                    <span>$ 386.90 /月</span>
                                                </div>
                                            </div>
                                            <!-- 按钮行 -->
                                            <div class="action-row">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡高端服务器</h3>
                                            <span class="renewal-tag">热销推荐</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：编号、硬盘 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">编号:</span>
                                                    <span>82002</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">硬盘:</span>
                                                    <span>480G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：防御、地区 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">防御:</span>
                                                    <span>20G</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">地区:</span>
                                                    <span>新加坡</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：CPU、带宽 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">CPU:</span>
                                                    <span>E5-2650</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">带宽:</span>
                                                    <span>30M</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：线路、内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">线路:</span>
                                                    <span>CN2 GIA</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">内存:</span>
                                                    <span>16G</span>
                                                </div>
                                            </div>
                                            <!-- 第五行：IP数、流量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">IP数:</span>
                                                    <span>256个</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">流量:</span>
                                                    <span>不限</span>
                                                </div>
                                            </div>
                                            <!-- 第六行：价格 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">价格:</span>
                                                    <span>$ 529.90 /月</span>
                                                </div>
                                            </div>
                                            <!-- 按钮行 -->
                                            <div class="action-row">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡企业服务器</h3>
                                            <span class="renewal-tag">限时优惠</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：编号、硬盘 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">编号:</span>
                                                    <span>82003</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">硬盘:</span>
                                                    <span>1TB SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：防御、地区 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">防御:</span>
                                                    <span>40G</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">地区:</span>
                                                    <span>新加坡</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：CPU、带宽 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">CPU:</span>
                                                    <span>E5-2680</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">带宽:</span>
                                                    <span>50M</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：线路、内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">线路:</span>
                                                    <span>CN2 GIA</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">内存:</span>
                                                    <span>32G</span>
                                                </div>
                                            </div>
                                            <!-- 第五行：IP数、流量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-cell-left">
                                                    <span class="spec-label">IP数:</span>
                                                    <span>512个</span>
                                                </div>
                                                <div class="specs-cell specs-cell-right">
                                                    <span class="spec-label">流量:</span>
                                                    <span>不限</span>
                                                </div>
                                            </div>
                                            <!-- 第六行：价格 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">价格:</span>
                                                    <span>$ 779.90 /月</span>
                                                </div>
                                            </div>
                                            <!-- 按钮行 -->
                                            <div class="action-row">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="sg-cluster" class="server-type-content">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡站群入门型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>4 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>120G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：IP数量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">IP数量</span>
                                                    <span>10个</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">109.90</span>
                                            </div>
                                            <div class="price-original">$139.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡站群标准型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>8 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>16G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>240G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：IP数量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">IP数量</span>
                                                    <span>20个</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">169.90</span>
                                            </div>
                                            <div class="price-original">$199.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡站群企业型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>16 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>32G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>480G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：IP数量 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">IP数量</span>
                                                    <span>50个</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">269.90</span>
                                            </div>
                                            <div class="price-original">$309.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="sg-cloud" class="server-type-content">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡云基础型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>1 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>2G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>40G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：带宽大小 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">带宽大小</span>
                                                    <span>5M BGP</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">25.90</span>
                                            </div>
                                            <div class="price-original">$35.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡云标准型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>2 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>4G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>60G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：带宽大小 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">带宽大小</span>
                                                    <span>10M BGP</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">45.90</span>
                                            </div>
                                            <div class="price-original">$55.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡云企业型</h3>
                                            <span class="renewal-tag">续费同价</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>4 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>100G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：带宽大小 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">带宽大小</span>
                                                    <span>20M BGP</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">75.90</span>
                                            </div>
                                            <div class="price-original">$95.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="sg-defense" class="server-type-content">
                            <div class="container">
                                <div class="product-grid">
                                    <!-- 产品卡片1 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡高防基础型</h3>
                                            <span class="renewal-tag">DDoS防护</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>4 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>8G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>100G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：防护能力 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">防护能力</span>
                                                    <span>20G</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">139.90</span>
                                            </div>
                                            <div class="price-original">$179.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片2 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡高防标准型</h3>
                                            <span class="renewal-tag">DDoS防护</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>8 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>16G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>200G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：防护能力 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">防护能力</span>
                                                    <span>40G</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">209.90</span>
                                            </div>
                                            <div class="price-original">$259.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                    <!-- 产品卡片3 -->
                                    <div class="product-card">
                                        <div class="product-header">
                                            <h3>新加坡高防企业型</h3>
                                            <span class="renewal-tag">DDoS防护</span>
                                        </div>
                                        <div class="product-specs specs-container">
                                            <!-- 第一行：处理器核数 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">处理器核数</span>
                                                    <span>16 核</span>
                                                </div>
                                            </div>
                                            <!-- 第二行：内存 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">内存</span>
                                                    <span>32G</span>
                                                </div>
                                            </div>
                                            <!-- 第三行：硬盘空间 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">硬盘空间</span>
                                                    <span>400G SSD</span>
                                                </div>
                                            </div>
                                            <!-- 第四行：防护能力 -->
                                            <div class="specs-row">
                                                <div class="specs-cell specs-full-width">
                                                    <span class="spec-label">防护能力</span>
                                                    <span>100G</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="product-price">
                                            <div class="price-current">
                                                <span class="currency">$</span>
                                                <span class="amount">309.90</span>
                                            </div>
                                            <div class="price-original">$379.90</div>
                                        </div>
                                        <div class="btn-container">
                                            <a href="#" class="btn-purchase">立即购买</a>
                                            <a href="#" class="btn-test">申请测机</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 第六楼：台湾服务器 -->
                <div class="floor-section">
                    <!-- 楼层标题 -->
                    <div class="floor-section">
                        <!-- 楼层标题 -->
                        <div class="container">
                            <div class="floor-title">
                                <div>
                                    <h2 class="title-inline">台湾服务器</h2>
                                    <div class="desc-inline">优质线路，两岸低延迟，适合中文业务</div>
                                </div>
                                <div>更多...</div>
                            </div>
                        </div>
                        <!-- 服务器类型导航 -->
                        <div class="container">
                            <div class="server-type-list">
                                <div class="server-type-item active" data-target="tw-physical">物理服务器</div>
                                <div class="server-type-item" data-target="tw-cluster">站群服务器</div>
                                <div class="server-type-item" data-target="tw-cloud">云服务器</div>
                                <div class="server-type-item" data-target="tw-defense">高防服务器</div>
                            </div>
                        </div>
                        <!-- 服务器内容区域 -->
                        <div class="floor-content">
                            <!-- 各类型服务器内容 -->
                            <div id="tw-physical" class="server-type-content active">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾物理入门型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器、内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>2 核</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">内存</span>
                                                        <span>4G</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：硬盘、带宽 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>80G SSD</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>20M BGP</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：价格 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">价格</span>
                                                        <span>$ 29.90 /月</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">29.90</span>
                                                </div>
                                                <div class="price-original">$39.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾物理标准型</h3>
                                                <span class="renewal-tag">热销推荐</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器、内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：硬盘、带宽 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>160G SSD</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>40M BGP</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：价格 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">价格</span>
                                                        <span>$ 52.90 /月</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">52.90</span>
                                                </div>
                                                <div class="price-original">$72.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾物理企业型</h3>
                                                <span class="renewal-tag">续费同价</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器、内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>8 核</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">内存</span>
                                                        <span>16G</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：硬盘、带宽 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>320G SSD</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>80M BGP</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：价格 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">价格</span>
                                                        <span>$ 92.90 /月</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">92.90</span>
                                                </div>
                                                <div class="price-original">$112.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="tw-cluster" class="server-type-content">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾站群入门型</h3>
                                                <span class="renewal-tag">优惠价格</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>120G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：IP数量 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">IP数量</span>
                                                        <span>10个</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">98.90</span>
                                                </div>
                                                <div class="price-original">$128.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾站群标准型</h3>
                                                <span class="renewal-tag">优惠价格</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>8 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>16G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>240G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：IP数量 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">IP数量</span>
                                                        <span>20个</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">158.90</span>
                                                </div>
                                                <div class="price-original">$188.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾站群企业型</h3>
                                                <span class="renewal-tag">优惠价格</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>16 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>32G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>480G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：IP数量 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">IP数量</span>
                                                        <span>50个</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">248.90</span>
                                                </div>
                                                <div class="price-original">$288.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="tw-cloud" class="server-type-content">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾云基础型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>1 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>2G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>40G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：带宽大小 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>5M BGP</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">19.90</span>
                                                </div>
                                                <div class="price-original">$29.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾云标准型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>2 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>4G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>60G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：带宽大小 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>10M BGP</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">36.90</span>
                                                </div>
                                                <div class="price-original">$46.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾云企业型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>100G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：带宽大小 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>20M BGP</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">66.90</span>
                                                </div>
                                                <div class="price-original">$86.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="tw-defense" class="server-type-content">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾高防基础型</h3>
                                                <span class="renewal-tag">DDoS防护</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>100G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：防护能力 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">防护能力</span>
                                                        <span>20G</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">129.90</span>
                                                </div>
                                                <div class="price-original">$169.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾高防标准型</h3>
                                                <span class="renewal-tag">DDoS防护</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>8 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>16G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>200G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：防护能力 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">防护能力</span>
                                                        <span>40G</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">199.90</span>
                                                </div>
                                                <div class="price-original">$249.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>台湾高防企业型</h3>
                                                <span class="renewal-tag">DDoS防护</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>16 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>32G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>400G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：防护能力 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">防护能力</span>
                                                        <span>100G</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">289.90</span>
                                                </div>
                                                <div class="price-original">$359.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="floor-section">
                        <!-- 楼层标题 -->
                        <div class="container">
                            <div class="floor-title">
                                <div>
                                    <h2 class="title-inline">其他服务器</h2>
                                    <div class="desc-inline">特惠产品，多种选择</div>
                                </div>
                                <div>更多...</div>
                            </div>
                        </div>
                        <!-- 服务器类型导航 -->
                        <div class="container">
                            <div class="server-type-list">
                                <div class="server-type-item active" data-target="other-physical">物理服务器</div>
                                <div class="server-type-item" data-target="other-cluster">站群服务器</div>
                                <div class="server-type-item" data-target="other-cloud">云服务器</div>
                                <div class="server-type-item" data-target="other-defense">高防服务器</div>
                            </div>
                        </div>
                        <!-- 服务器内容区域 -->
                        <div class="floor-content">
                            <!-- 各类型服务器内容 -->
                            <div id="other-physical" class="server-type-content active">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他物理入门型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器、内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>2 核</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">内存</span>
                                                        <span>4G</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：硬盘、带宽 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>60G SSD</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>30M BGP</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：价格 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">价格</span>
                                                        <span>$ 24.90 /月</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">24.90</span>
                                                </div>
                                                <div class="price-original">$35.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他物理标准型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器、内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：硬盘、带宽 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>120G SSD</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>50M BGP</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：价格 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">价格</span>
                                                        <span>$ 42.90 /月</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">42.90</span>
                                                </div>
                                                <div class="price-original">$59.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他物理企业型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器、内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>8 核</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">内存</span>
                                                        <span>16G</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：硬盘、带宽 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-cell-left">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>240G SSD</span>
                                                    </div>
                                                    <div class="specs-cell specs-cell-right">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>100M BGP</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：价格 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">价格</span>
                                                        <span>$ 79.90 /月</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">79.90</span>
                                                </div>
                                                <div class="price-original">$99.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="other-cluster" class="server-type-content">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他站群入门型</h3>
                                                <span class="renewal-tag">优惠价格</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>120G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：IP数量 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">IP数量</span>
                                                        <span>10个</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">89.90</span>
                                                </div>
                                                <div class="price-original">$119.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他站群标准型</h3>
                                                <span class="renewal-tag">优惠价格</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>8 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>16G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>240G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：IP数量 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">IP数量</span>
                                                        <span>20个</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">149.90</span>
                                                </div>
                                                <div class="price-original">$179.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他站群企业型</h3>
                                                <span class="renewal-tag">优惠价格</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>16 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>32G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>480G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：IP数量 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">IP数量</span>
                                                        <span>50个</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">239.90</span>
                                                </div>
                                                <div class="price-original">$279.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="other-cloud" class="server-type-content">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他云基础型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>1 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>2G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>40G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：带宽大小 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>5M BGP</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">15.90</span>
                                                </div>
                                                <div class="price-original">$25.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他云标准型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>2 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>4G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>60G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：带宽大小 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>10M BGP</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">29.90</span>
                                                </div>
                                                <div class="price-original">$39.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他云企业型</h3>
                                                <span class="renewal-tag">限时特惠</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>100G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：带宽大小 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">带宽大小</span>
                                                        <span>20M BGP</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">59.90</span>
                                                </div>
                                                <div class="price-original">$79.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="other-defense" class="server-type-content">
                                <div class="container">
                                    <div class="product-grid">
                                        <!-- 产品卡片1 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他高防基础型</h3>
                                                <span class="renewal-tag">DDoS防护</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>4 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>8G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>100G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：防护能力 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">防护能力</span>
                                                        <span>20G</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">119.90</span>
                                                </div>
                                                <div class="price-original">$159.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片2 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他高防标准型</h3>
                                                <span class="renewal-tag">DDoS防护</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>8 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>16G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>200G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：防护能力 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">防护能力</span>
                                                        <span>40G</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">189.90</span>
                                                </div>
                                                <div class="price-original">$239.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                        <!-- 产品卡片3 -->
                                        <div class="product-card">
                                            <div class="product-header">
                                                <h3>其他高防企业型</h3>
                                                <span class="renewal-tag">DDoS防护</span>
                                            </div>
                                            <div class="product-specs specs-container">
                                                <!-- 第一行：处理器核数 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">处理器核数</span>
                                                        <span>16 核</span>
                                                    </div>
                                                </div>
                                                <!-- 第二行：内存 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">内存</span>
                                                        <span>32G</span>
                                                    </div>
                                                </div>
                                                <!-- 第三行：硬盘空间 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">硬盘空间</span>
                                                        <span>400G SSD</span>
                                                    </div>
                                                </div>
                                                <!-- 第四行：防护能力 -->
                                                <div class="specs-row">
                                                    <div class="specs-cell specs-full-width">
                                                        <span class="spec-label">防护能力</span>
                                                        <span>100G</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-price">
                                                <div class="price-current">
                                                    <span class="currency">$</span>
                                                    <span class="amount">279.90</span>
                                                </div>
                                                <div class="price-original">$349.90</div>
                                            </div>
                                            <div class="btn-container">
                                                <a href="#" class="btn-purchase">立即购买</a>
                                                <a href="#" class="btn-test">申请测机</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- 底部区域将在这里添加 -->
            <?php include 'public/footer.php'; ?>
            <!-- JS脚本将在这里添加 -->
            <script src="/public/js/jquery.min.js"></script>
            <script src="/public/js/special.js"></script>
    </body>
</html>
