<!DOCTYPE html>
<html lang="zh-CN">
    <?php include 'public/config.php'; ?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>台湾服务器 - 高性能低延迟 | 两岸业务首选服务器托管方案</title>
        <meta name="keywords" content="台湾服务器,台湾云服务器,台湾物理服务器,台湾数据中心,台湾机房,台湾IDC,台湾服务器租用,台湾服务器托管,两岸服务器,台湾企业服务器">
        <meta name="description" content="提供台湾高性能服务器租用与托管服务，位于台湾核心数据中心，低延迟访问，满足两岸业务需求。支持专业的技术支持和灵活的配置方案，为企业、游戏、内容分发等应用提供稳定可靠的服务器解决方案。">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
        <link rel="stylesheet" href="/public/css/menu-fix.css">
        <script src="/public/js/menu-fix.js"></script>
        <link href="/public/css/style.css" rel="stylesheet">
        <link href="/public/css/breadcrumb.css" rel="stylesheet">
        <link href="/public/css/tw.css" rel="stylesheet">
        <link href="/public/css/mobile-style.css" rel="stylesheet">
    </head>
    <body>
        <!-- 顶部导航 -->
        <?php include 'public/header.php'; ?>
        <!-- 主内容区 -->
        <div class="main-content">
            <!-- Banner 区域 -->
            <?php include 'public/banner.php'; ?>
            <!-- 内容区域 -->
            <div class="hk-content">
                <!-- 面包屑导航 -->
                <div class="container">
                    <div class="breadcrumb"> <a href="/">首页</a> <i class="material-icons">chevron_right</i> <a href="/product">产品服务</a> <i class="material-icons">chevron_right</i> <span>台湾服务器</span> </div>
                </div>
                <!-- 页面标题 -->
                <div class="floor-section">
                    <div class="container">
                        <div class="page-header">
                            <h1>台湾服务器 - 自营机房丨免备案丨免实名丨大陆低延迟</h1>
                            <p>台湾自营机房拥有快速稳定的网络连接，对大陆访问进行优化，延迟极低。免费提供真机测试，不满意不收费。匿名购买，无需实名认证和备案，即买即用，支持多种支付方式如USDT。台湾服务器是面向中文用户的理想选择！</p>
                        </div>
                    </div>
                </div>
                <!-- 产品优势 -->
                <div class="floor-section hk-advantages">
                    <div class="container">
                        <div class="section-header">
                            <h2>台湾服务器优势</h2>
                            <p>台湾服务器为大陆用户提供卓越性能和低延迟连接</p>
                        </div>
                        <div class="advantages-grid">
                            <div class="advantage-card"> <i class="material-icons">verified_user</i>
                                <h3>免备案免实名</h3>
                                <p>无需备案审核<br>
                                    无需实名认证<br>
                                    即买即用</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">speed</i>
                                <h3>大陆低延迟</h3>
                                <p>对大陆优化线路<br>
                                    极低访问延迟<br>
                                    稳定高速连接</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">security</i>
                                <h3>自营机房</h3>
                                <p>完全自主可控<br>
                                    专业运维团队<br>
                                    高可靠性保障</p>
                            </div>
                            <div class="advantage-card"> <i class="material-icons">language</i>
                                <h3>中文环境优势</h3>
                                <p>原生中文支持<br>
                                    文化环境相近<br>
                                    本地化服务优势</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 服务特点 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>台湾服务器器服务特点</h2>
                            <p>我们与众不同的服务保障</p>
                        </div>
                        <div class="features-container">
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">touch_app</i> </div>
                                <div class="feature-content">
                                    <h3>免费测试</h3>
                                    <p>提供真机测试，客户满意后再付款，不满意不收费</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">account_balance_wallet</i> </div>
                                <div class="feature-content">
                                    <h3>匿名购买</h3>
                                    <p>支持USDT等多种支付方式，保障客户隐私安全</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">support_agent</i> </div>
                                <div class="feature-content">
                                    <h3>7*24小时技术支持</h3>
                                    <p>专业技术团队全天候服务，快速响应各类问题</p>
                                </div>
                            </div>
                            <div class="feature-item">
                                <div class="feature-icon"> <i class="material-icons">verified</i> </div>
                                <div class="feature-content">
                                    <h3>资源稳定</h3>
                                    <p>自营机房资源丰富，服务器性能稳定可靠</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 产品方案 -->
                <div class="floor-section product-plans" style="padding: 10px 0 0 0; ">
                    <div class="container">
                        <div class="section-header">
                            <h2>产品方案</h2>
                            <p>多样化的台湾服务器解决方案，满足不同需求</p>
                        </div>
                        <!-- 产品切换选项卡 -->
                        <div class="product-tabs">
                            <div class="tab-list">
                                <div class="tab-item active" data-tab="cloud-server">台湾云服务器</div>
                                <div class="tab-item " data-tab="physical-server">台湾物理服务器</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="floor-section service-features" style="padding: 20px 0 0 0; ">
                    <div class="container">
                        <!-- 产品内容区域 -->
                        <div class="product-content">
                            <!-- 台湾云服务器 -->
                            <div class="product-category active" id="cloud-server">
                                <div class="plans-grid">
                                    <?php
                                  // 获取数据库连接
                                  $db = getDbConnection();
                                  
                                  try {
                                      // 构建SQL查询语句 - 筛选台湾云服务器(tags包含7的产品)
                                      $query = "SELECT * FROM products 
                                               WHERE region_id = 3 
                                               AND FIND_IN_SET(7, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                      
                                      $stmt = $db->query($query);
                                      $cloudProducts = $stmt->fetchAll();
                                      
                                      // 判断是否有产品数据
                                      if (!empty($cloudProducts)) {
                                          $productCount = 0;
                                          foreach ($cloudProducts as $product) {
                                              // 计算显示价格（原价乘以倍率）
                                              $displayPrice = $product['price'] * getMultiplier();
                                  ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>台湾云服务器 <?php echo ($productCount + 1); ?></h4>
                                            <span class="tag">台湾专区</span>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '7' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">台湾</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">宽带:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="cluster-bottom-specs">
                                            <div class="price-row">
                                                <div class="spec-item">
                                                    <div class="spec-label">价格:</div>
                                                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                          $productCount++;
                                      }
                                  } else {
                                      // 如果没有数据，显示一个默认产品
                                  ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>台湾云服务器 1</h4>
                                            <span class="tag">台湾专区</span>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">70001</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">40GB SSD</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">台湾</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">2核</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">宽带:</div>
                                                    <div class="spec-value">5Mbps</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">4GB</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="cluster-bottom-specs">
                                            <div class="price-row">
                                                <div class="spec-item">
                                                    <div class="spec-label">价格:</div>
                                                    <div class="spec-value price-value">$49/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                  }
                                  } catch (Exception $e) {
                                      // 错误处理
                                      error_log("获取台湾云服务器产品错误: " . $e->getMessage());
                                      // 显示默认产品
                                  ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>台湾云服务器 1</h4>
                                            <span class="tag">台湾专区</span>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">70001</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">40GB SSD</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">台湾</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">2核</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">宽带:</div>
                                                    <div class="spec-value">5Mbps</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">4GB</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="cluster-bottom-specs">
                                            <div class="ip-traffic">
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="price-row">
                                                <div class="spec-item">
                                                    <div class="spec-label">价格:</div>
                                                    <div class="spec-value price-value">$49/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                  }
                                  ?>
                                </div>
                                <div class="category-footer">
                                    <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank">专属客服经理</a></p>
                                </div>
                            </div>
                            <!-- 台湾物理服务器 -->
                            <div class="product-category " id="physical-server">
                                <div class="plans-grid">
                                    <?php
                                  // 获取数据库连接
                                  $db = getDbConnection();
                                  
                                  try {
                                      // 构建SQL查询语句 - 筛选台湾物理服务器(tags包含8的产品)
                                      $query = "SELECT * FROM products 
                                               WHERE region_id = 3 
                                               AND FIND_IN_SET(8, tags) 
                                               AND status = 1 
                                               ORDER BY price ASC";
                                      
                                      $stmt = $db->query($query);
                                      $physicalProducts = $stmt->fetchAll();
                                      
                                      // 判断是否有产品数据
                                      if (!empty($physicalProducts)) {
                                          $productCount = 0;
                                          foreach ($physicalProducts as $product) {
                                              // 计算显示价格（原价乘以倍率）
                                              $displayPrice = $product['price'] * getMultiplier();
                                  ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>台湾物理服务器 <?php echo ($productCount + 1); ?></h4>
                                            <span class="tag">台湾专区</span>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value"><?php echo '8' . str_pad($product['id'], 4, '0', STR_PAD_LEFT); ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value"><?php echo $product['disk']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value"><?php echo !empty($product['defense']) ? $product['defense'] : '可选'; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">台湾</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value"><?php echo $product['cpu']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">宽带:</div>
                                                    <div class="spec-value"><?php echo $product['bandwidth']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value"><?php echo $product['memory']; ?></div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="cluster-bottom-specs">
                                            <div class="ip-traffic">
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value"><?php echo $product['ip_count']; ?></div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="price-row">
                                                <div class="spec-item">
                                                    <div class="spec-label">价格:</div>
                                                    <div class="spec-value price-value">$<?php echo number_format($displayPrice, 2); ?>/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="/product/<?php echo $product['id']; ?>.html"" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                          $productCount++;
                                      }
                                  } else {
                                      // 如果没有数据，显示一个默认产品
                                  ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>台湾物理服务器 1</h4>
                                            <span class="tag">台湾专区</span>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">80001</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">1T HDD</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">台湾</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">E5-2620 (6核12线)</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">宽带:</div>
                                                    <div class="spec-value">50Mbps</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">32GB</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="cluster-bottom-specs">
                                            <div class="ip-traffic">
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="price-row">
                                                <div class="spec-item">
                                                    <div class="spec-label">价格:</div>
                                                    <div class="spec-value price-value">$129/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                  }
                                  } catch (Exception $e) {
                                      // 错误处理
                                      error_log("获取台湾物理服务器产品错误: " . $e->getMessage());
                                      // 显示默认产品
                                  ?>
                                    <div class="plan-card">
                                        <div class="plan-header">
                                            <h4>台湾物理服务器 1</h4>
                                            <span class="tag">台湾专区</span>
                                        </div>
                                        <div class="cluster-specs">
                                            <!-- 左侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">编号:</div>
                                                    <div class="spec-value">80001</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">硬盘:</div>
                                                    <div class="spec-value">1T HDD</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">防御:</div>
                                                    <div class="spec-value">可选</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">地区:</div>
                                                    <div class="spec-value">台湾</div>
                                                </div>
                                            </div>
                                            <!-- 右侧规格列 -->
                                            <div class="spec-column">
                                                <div class="spec-item">
                                                    <div class="spec-label">CPU:</div>
                                                    <div class="spec-value">E5-2620 (6核12线)</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">宽带:</div>
                                                    <div class="spec-value">50Mbps</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">线路:</div>
                                                    <div class="spec-value">大陆优化</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">内存:</div>
                                                    <div class="spec-value">32GB</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- IP数量和流量信息 -->
                                        <div class="cluster-bottom-specs">
                                            <div class="ip-traffic">
                                                <div class="spec-item">
                                                    <div class="spec-label">IP数:</div>
                                                    <div class="spec-value">1</div>
                                                </div>
                                                <div class="spec-item">
                                                    <div class="spec-label">流量:</div>
                                                    <div class="spec-value">不限</div>
                                                </div>
                                            </div>
                                            <div class="price-row">
                                                <div class="spec-item">
                                                    <div class="spec-label">价格:</div>
                                                    <div class="spec-value price-value">$129/月</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- 操作按钮 -->
                                        <div class="cluster-actions">
                                            <a href="product_detail.html" class="btn btn-primary btn-action">产品详情</a>
                                            <a href="<?= $Telegram ?>" class="btn btn-outline btn-action" target="_blank">申请测机</a>
                                        </div>
                                    </div>
                                    <?php
                                  }
                                  ?>
                                </div>
                                <div class="category-footer">
                                    <p>如需申请试用或了解更多详情，请联系 <a href="<?= $Telegram ?>" class="text-accent" target="_blank">专属客服经理</a></p>
                                </div>
                            </div>
                        </div>
                        <!-- 全局立即选购按钮 -->
                        <div class="global-action">
                            <a href="/product?region=3&sort=recommended&page=1&ajax=1" class="btn-shine btn-large" target="_blank"> 查看更多台湾服务器 <i class="material-icons">arrow_forward</i>
                            </a>
                        </div>
                    </div>
                </div>
                <!-- 应用场景 -->
                <div class="floor-section application-scenarios">
                    <div class="container">
                        <div class="section-header">
                            <h2>应用场景</h2>
                            <p>台湾服务器的典型应用场景</p>
                        </div>
                        <div class="scenarios-grid">
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">language</i> </div>
                                <div class="scenario-content">
                                    <h3>中文市场业务</h3>
                                    <p>台湾服务器对中文用户极为友好，特别适合面向中文市场的网站、应用和服务。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">shopping_cart</i> </div>
                                <div class="scenario-content">
                                    <h3>跨境电商平台</h3>
                                    <p>兼具大陆低延迟和国际连通性，适合开展面向华人市场的跨境电商业务。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">movie</i> </div>
                                <div class="scenario-content">
                                    <h3>流媒体与内容分发</h3>
                                    <p>高速稳定的网络连接，适合视频、音频、直播等对延迟敏感的流媒体业务。</p>
                                </div>
                            </div>
                            <div class="scenario-card">
                                <div class="scenario-icon"> <i class="material-icons">games</i> </div>
                                <div class="scenario-content">
                                    <h3>游戏加速服务</h3>
                                    <p>对大陆用户极低的访问延迟，是游戏服务器和游戏加速业务的理想选择。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 常见问题 -->
                <div class="floor-section service-features">
                    <div class="container">
                        <div class="section-header">
                            <h2>常见问题</h2>
                            <p>关于台湾服务器的常见问题解答</p>
                        </div>
                        <div class="faq-list">
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>台湾服务器与香港服务器有什么区别？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>台湾和香港服务器都免备案免实名，都对大陆有较好的访问速度，但有一些差异：1. 台湾服务器价格通常略低于香港；2. 香港服务器对国际连通性略好，特别是东南亚地区；3. 台湾服务器在本地化中文内容和服务方面有优势；4. 在网络稳定性方面，二者各有特点，可根据具体需求选择。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>台湾服务器适合哪些业务类型？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>台湾服务器特别适合以下业务：1. 面向中文用户的网站和应用；2. 对网络延迟要求高的游戏服务；3. 流媒体和内容分发；4. 需要免备案同时保持较好大陆访问速度的业务；5. 跨境电商、在线教育等需要针对华语用户的服务。由于台湾服务器的文化和语言优势，它对中文内容服务尤为友好。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>台湾服务器的网络延迟如何？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>我们的台湾服务器采用优质线路，对大陆地区访问进行了专门优化。一般情况下，台湾服务器到大陆主要城市的网络延迟在40-80ms之间，接近香港服务器的访问速度，远优于美国、欧洲等地区的服务器。我们的技术团队持续监控和优化网络性能，确保稳定的连接质量。</p>
                                </div>
                            </div>
                            <div class="faq-item">
                                <div class="faq-question"> <i class="material-icons">help_outline</i>
                                    <h3>如何选择适合的台湾服务器配置？</h3>
                                </div>
                                <div class="faq-answer">
                                    <p>选择合适的台湾服务器配置应考虑以下因素：1. 业务类型和访问量：小型网站可选择入门级配置，大型应用需要更高配置；2. 性能需求：CPU密集型应用选择高核心数，内存密集型应用选择大内存配置；3. 存储需求：根据数据量选择合适的硬盘容量和类型；4. 网络需求：高流量应用选择更大带宽；5. 安全需求：有防御需求可选择高防服务器。我们提供免费测试，可以根据实际体验做出选择。</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- 联系我们 -->
                <div class="floor-section service-features contact-section">
                    <div class="container">
                        <div class="contact-content">
                            <h2>免费真机测试 不满意不收费</h2>
                            <p>联系专属客服经理申请免费真机测试或浏览我们的产品中心查看更多产品</p>
                            <div class="contact-buttons"> <a href="<?= $Telegram ?>" class="btn btn-primary" target="_blank"> <i class="material-icons">telegram</i> 申请测试</a> <a href="./product" class="btn btn-outline" target="_blank"> <i class="material-icons">store</i> 产品中心 </a> </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- 页脚 -->
        <?php include 'public/kf.php'; ?>
        <?php include 'public/footer.php'; ?>
        <script src="/public/js/js.js"></script>
        <script src="/public/js/header.js"></script>
        <script src="/public/js/menu-fix.js"></script>
        <script>
        document.addEventListener('DOMContentLoaded', function() {
            // 获取所有标签和产品分类
            const tabItems = document.querySelectorAll('.product-tabs .tab-item');
            const productCategories = document.querySelectorAll('.product-category');
            // 为每个标签添加点击事件
            tabItems.forEach(tab => {
                tab.addEventListener('click', function() {
                    // 移除所有标签和产品分类的活跃状态
                    tabItems.forEach(item => item.classList.remove('active'));
                    productCategories.forEach(category => category.classList.remove('active'));
                    // 设置当前点击的标签为活跃状态
                    this.classList.add('active');
                    // 获取当前标签对应的产品分类ID
                    const tabId = this.getAttribute('data-tab');
                    // 设置对应的产品分类为活跃状态
                    document.getElementById(tabId).classList.add('active');
                });
            });
        });
        </script>
    </body>
</html>
