<?php
require_once 'code/auth.php';
require_once 'code/publi.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">

  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会员中心</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="/cn/public/css/breadcrumb.css">
    <style>
    .quantity-control {
      display: flex;
      align-items: center;
      border: 1px solid #dcdfe6;
      border-radius: 4px;
      width: fit-content;
    }

    .quantity-control button {
      padding: 8px 12px;
      background: #f5f7fa;
      border: none;
      cursor: pointer;
    }

    .quantity-control button:hover {
      background: #e4e7ed;
    }

    .quantity-control .decrease {
      border-right: 1px solid #dcdfe6;
    }

    .quantity-control .increase {
      border-left: 1px solid #dcdfe6;
    }

    .quantity-control .quantity-input {
      width: 50px;
      text-align: center;
      border: none;
      padding: 8px 0;
    }

    .quantity-control .quantity-input::-webkit-inner-spin-button,
    .quantity-control .quantity-input::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }

    .container {
      width: 100%;
      max-width: 100%;
      margin: 0;
      padding: 0;
      display: flex;
      height: 100vh;
      overflow: hidden;
    }

    .main {
      flex: 1;
      margin-left: 250px;
      width: calc(100% - 250px);
      padding: 20px;
      overflow-y: auto;
      height: 100vh;
      background-color: #f5f7fa;
      box-sizing: border-box;
    }

    .cart-container {
      padding: 25px;
      background-color: #fff;
      border-radius: 8px;
      box-shadow: 0 4px 16px rgba(0, 0, 0, 0.08);
      width: 100%;
      max-width: 100%;
      margin: 0 auto;
      box-sizing: border-box;
    }

    .cart-container h2 {
      margin-bottom: 25px;
      padding-bottom: 15px;
      border-bottom: 1px solid #ebeef5;
      font-size: 22px;
      color: #303133;
      font-weight: 600;
    }

    .config-section {
      background: #fafafa;
      border-radius: 6px;
      padding: 25px;
      margin-bottom: 20px;
    }

    .config-section h3 {
      margin: 0 0 20px;
      font-size: 18px;
      color: #303133;
      font-weight: 500;
      display: flex;
      align-items: center;
    }

    .config-section h3 i {
      margin-right: 8px;
      color: #409eff;
    }

    .config-item {
      display: flex;
      margin-bottom: 18px;
      align-items: center;
      background: #fff;
      padding: 15px;
      border-radius: 6px;
      box-shadow: 0 2px 6px rgba(0, 0, 0, 0.03);
    }

    .config-label {
      width: 140px;
      text-align: right;
      padding-right: 20px;
      color: #606266;
      font-weight: 500;
    }

    .config-value {
      flex: 1;
    }

    .form-control {
      width: 100%;
      padding: 10px 15px;
      border: 1px solid #dcdfe6;
      border-radius: 4px;
      transition: all 0.3s;
      font-size: 14px;
      box-sizing: border-box;
    }

    .form-control:focus {
      border-color: #409eff;
      outline: none;
      box-shadow: 0 0 0 2px rgba(64, 158, 255, 0.2);
    }

    .config-options {
      display: flex;
      flex-wrap: wrap;
      gap: 12px;
    }

    .option-btn {
      padding: 8px 15px;
      background: #fff;
      border: 1px solid #dcdfe6;
      border-radius: 4px;
      cursor: pointer;
      transition: all 0.3s;
      font-size: 14px;
    }

    .option-btn:hover {
      background: #f0f7ff;
      border-color: #c6e2ff;
    }

    .option-btn.active {
      background: #ecf5ff;
      border-color: #409eff;
      color: #409eff;
      font-weight: 500;
    }

    .addon-services {
      margin: 25px 0;
      width: 100%;
    }

    .addon-services h3 {
      margin-top: 0;
      margin-bottom: 20px;
      color: #303133;
      display: flex;
      align-items: center;
    }

    .addon-services h3 i {
      margin-right: 8px;
      color: #409eff;
    }

    .service-items-container {
      display: flex;
      flex-wrap: wrap;
      gap: 15px;
    }

    .service-item {
      display: flex;
      align-items: flex-start;
      padding: 15px;
      background: #fff;
      border-radius: 6px;
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04);
      width: calc(33.33% - 10px);
      box-sizing: border-box;
    }

    .service-item:hover {
      background: #f9f9f9;
    }

    .service-item:last-child {
      margin-bottom: 0;
    }

    .service-item input[type="checkbox"] {
      margin-top: 5px;
      margin-right: 15px;
      transform: scale(1.2);
    }

    .service-name {
      font-weight: 500;
      margin-bottom: 8px;
      color: #303133;
    }

    .service-desc {
      color: #909399;
      font-size: 13px;
    }

    .payment-cycle {
      margin: 25px 0;
      background: #fff;
      padding: 20px;
      border-radius: 6px;
      box-shadow: 0 2px 12px rgba(0, 0, 0, 0.04);
    }

    .payment-cycle h3 {
      margin-top: 0;
      margin-bottom: 20px;
      color: #303133;
    }

    .cycle-options {
      display: flex;
      gap: 15px;
      flex-wrap: wrap;
    }

    .cycle-btn {
      flex: 1 0 auto;
      min-width: 100px;
      padding: 12px 15px;
      background: #fff;
      border: 1px solid #dcdfe6;
      border-radius: 6px;
      cursor: pointer;
      transition: all 0.3s;
      font-size: 14px;
      position: relative;
      overflow: hidden;
      text-align: center;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    }

    .cycle-btn:hover {
      background: #f0f7ff;
      border-color: #c6e2ff;
      transform: translateY(-2px);
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.08);
    }

    .cycle-btn.active {
      background: #ecf5ff;
      border-color: #409eff;
      color: #409eff;
      font-weight: 500;
      box-shadow: 0 2px 8px rgba(64, 158, 255, 0.2);
    }

    .cycle-btn.active:before {
      content: '';
      position: absolute;
      top: 0;
      right: 0;
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 0 20px 20px 0;
      border-color: transparent #409eff transparent transparent;
    }

    .cycle-btn.active:after {
      content: '✓';
      position: absolute;
      top: 0;
      right: 3px;
      font-size: 12px;
      color: white;
    }

    .cart-summary {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-top: 30px;
      padding: 20px 30px;
      background: #fff;
      border-radius: 6px;
      box-shadow: 0 2px 12px rgba(0, 0, 0, 0.04);
    }

    .total-price {
      font-size: 18px;
      display: flex;
      align-items: center;
    }

    .price {
      color: #f56c6c;
      font-weight: bold;
      margin-left: 10px;
      font-size: 24px;
    }

    .checkout-btn {
      padding: 12px 30px;
      background: #409eff;
      color: white;
      border: none;
      border-radius: 4px;
      cursor: pointer;
      transition: all 0.3s;
      font-size: 16px;
      font-weight: 500;
    }

    .checkout-btn:hover {
      background: #66b1ff;
      box-shadow: 0 4px 12px rgba(64, 158, 255, 0.3);
    }

    @media (max-width: 1200px) {
      .service-item {
        width: calc(50% - 10px);
      }
    }

    @media (max-width: 992px) {
      .main {
        margin-left: 0;
        width: 100%;
      }
    }

    @media (max-width: 768px) {
      .main {
        margin-left: 0;
        width: 100%;
      }

      .config-item {
        flex-direction: column;
        align-items: flex-start;
      }

      .config-label {
        width: 100%;
        text-align: left;
        margin-bottom: 10px;
        padding-right: 0;
      }

      .cycle-options {
        flex-wrap: wrap;
      }

      .cycle-btn {
        flex: 0 0 calc(50% - 8px);
      }

      .cart-summary {
        flex-direction: column;
        gap: 20px;
      }

      .menu-toggle {
        display: block;
      }

      .service-item {
        width: 100%;
      }
    }

    body {
      margin: 0;
      padding: 0;
      display: flex;
      height: 100vh;
      overflow: hidden;
    }

    .menu-toggle {
      position: fixed;
      top: 15px;
      left: 15px;
      z-index: 1000;
      display: none;
    }

    @media (max-width: 768px) {
      .menu-toggle {
        display: block;
      }
    }

    /* 修复滑块圆点可以滑到两端的样式 */
    input[type="range"] {
      margin: 0;
      padding: 0;
      width: 100%;
      -webkit-appearance: none;
      background: transparent;
      cursor: pointer;
    }

    input[type="range"]::-webkit-slider-thumb {
      -webkit-appearance: none;
      height: 16px;
      width: 16px;
      border-radius: 50%;
      background: #409EFF;
      border: none;
      margin-top: -6px;
      /* 调整垂直位置 */
      cursor: pointer;
    }

    input[type="range"]::-webkit-slider-runnable-track {
      width: 100%;
      height: 4px;
      border-radius: 2px;
      background: #e4e7ed;
      cursor: pointer;
    }

    input[type="range"]:focus {
      outline: none;
    }

    input[type="range"]::-webkit-slider-thumb:hover {
      background: #66b1ff;
    }

    .number-selector {
      width: 100%;
      padding: 15px 0;
      position: relative;
    }

    .ip-bar {
      height: 4px;
      background: #e4e7ed;
      border-radius: 2px;
      position: relative;
      cursor: pointer;
    }

    .ip-progress {
      height: 100%;
      background: #409EFF;
      border-radius: 2px;
      width: 0%;
    }

    .ip-marker {
      position: absolute;
      top: -5px;
      transform: translateX(-50%);
      color: #909399;
      font-size: 12px;
    }

    .ip-marker span {
      position: absolute;
      top: 15px;
      left: 50%;
      transform: translateX(-50%);
      white-space: nowrap;
    }

    .ip-indicator {
      position: absolute;
      top: -25px;
      left: 0%;
      transform: translateX(-50%);
      transition: left 0.2s;
    }

    .ip-indicator span {
      background: #409EFF;
      color: white;
      border-radius: 4px;
      padding: 2px 8px;
      font-size: 14px;
      font-weight: bold;
      display: inline-block;
      position: relative;
    }

    .ip-indicator span:after {
      content: '';
      position: absolute;
      bottom: -5px;
      left: 50%;
      transform: translateX(-50%);
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid #409EFF;
    }

    /* 带宽选择器样式 */
    .bandwidth-selector {
      width: 100%;
      padding: 15px 0;
      position: relative;
    }

    .bw-bar {
      height: 4px;
      background: #e4e7ed;
      border-radius: 2px;
      position: relative;
      cursor: pointer;
    }

    .bw-progress {
      height: 100%;
      background: #409EFF;
      border-radius: 2px;
      width: 28.6%;
      /* 默认选择100M，对应第3个选项 */
    }

    .bw-marker {
      position: absolute;
      top: -5px;
      transform: translateX(-50%);
      color: #909399;
      font-size: 12px;
    }

    .bw-marker span {
      position: absolute;
      top: 15px;
      left: 50%;
      transform: translateX(-50%);
      white-space: nowrap;
    }

    .bw-indicator {
      position: absolute;
      top: -25px;
      left: 28.6%;
      /* 默认选择100M，对应第3个选项 */
      transform: translateX(-50%);
      transition: left 0.2s;
    }

    .bw-indicator span {
      background: #409EFF;
      color: white;
      border-radius: 4px;
      padding: 2px 8px;
      font-size: 14px;
      font-weight: bold;
      display: inline-block;
      position: relative;
    }

    .bw-indicator span:after {
      content: '';
      position: absolute;
      bottom: -5px;
      left: 50%;
      transform: translateX(-50%);
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid #409EFF;
    }

    </style>
  </head>

  <body>
    <!-- 将汉堡菜单按钮移到这里 -->
    <button class="menu-toggle" id="menuToggle">
      <i class="fas fa-bars"></i>
    </button>
    <div class="container">
      <?php include 'public/left.php'; ?>

      <!-- 主要内容区 -->
      <div class="main">
        <?php include 'public/header.php'; ?>

        <!-- 面包屑导航 -->
        <div class="breadcrumb-container">
          <div class="breadcrumb">
            <a href="index.php">
              首页
            </a>
            <i class="material-icons">chevron_right</i>
            <span>购物车</span>
          </div>
        </div>

        <div class="cart-container">
          <h2>购物车</h2>
          <div class="config-section">
            <h3><i class="fas fa-server"></i> 服务器配置</h3>
            <div class="config-item">
              <div class="config-label">主机名:</div>
              <div class="config-value">
                <input type="text" value="D20250317228367" class="form-control">
              </div>
            </div>
            <div class="config-item">
              <div class="config-label">控制台密码:</div>
              <div class="config-value">
                <input type="text" value="VsY7tw64MSy3R" class="form-control">
              </div>
            </div>
            <div class="config-item">
              <div class="config-label">网络线路:</div>
              <div class="config-value config-options">
                <button class="option-btn active">超高速大陆优化CN2线路 </button>
                <button class="option-btn">国际BGP (适用于海外用户/业务)</button>
              </div>
            </div>
            <div class="config-item">
              <div class="config-label">操作系统:</div>
              <div class="config-value">
                <div style="display: flex; gap: 10px;">
                  <select class="form-control" id="os-brand" style="width: 200px;">
                    <option value="centos">CentOS</option>
                    <option value="ubuntu">Ubuntu</option>
                    <option value="debian">Debian</option>
                    <option value="windows">Windows</option>
                    <option value="rocky">Rocky</option>
                    <option value="alma">AlmaLinux</option>
                    <option value="fedora">Fedora</option>
                    <option value="opensuse">openSUSE</option>
                    <option value="arch">Arch</option>
                    <option value="freebsd">FreeBSD</option>
                    <option value="esxi">ESXi</option>
                    <option value="proxmox">Proxmox</option>
                  </select>
                  <select class="form-control" id="os-version" style="width: 250px;">
                    <!-- 默认显示CentOS版本 -->
                    <option value="6.10">CentOS 6.10 旧版</option>
                    <option value="7.9">CentOS 7.9 稳定版</option>
                    <option value="8-stream">CentOS 8 Stream</option>
                    <option value="9-stream">CentOS 9 Stream 最新</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="config-item">
              <div class="config-label">带宽选择:</div>
              <div class="config-value">
                <div style="display: flex; align-items: center; gap: 10px;">
                  <div style="flex-grow: 1;">
                    <input type="range" id="bandwidth-slider" min="1" max="9" value="3" class="form-control" style="width: 100%; display: none;">
                    <div class="bandwidth-selector">
                      <div class="bw-bar">
                        <div class="bw-progress"></div>
                        <div class="bw-marker" style="left: 0%"><span>1M</span></div>
                        <div class="bw-marker" style="left: 12.5%"><span>10M</span></div>
                        <div class="bw-marker" style="left: 25%"><span>50M</span></div>
                        <div class="bw-marker" style="left: 37.5%"><span>100M</span></div>
                        <div class="bw-marker" style="left: 50%"><span>200M</span></div>
                        <div class="bw-marker" style="left: 62.5%"><span>500M</span></div>
                        <div class="bw-marker" style="left: 75%"><span>1G</span></div>
                        <div class="bw-marker" style="left: 87.5%"><span>10G</span></div>
                        <div class="bw-marker" style="left: 100%"><span>100G</span></div>
                        <div class="bw-indicator"><span>100M</span></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- IP地址配置项 -->
            <div class="config-item">
              <div class="config-label">IP地址:</div>
              <div class="config-value">
                <div style="display: flex; align-items: center; gap: 10px;">
                  <div style="flex-grow: 1;">
                    <input type="range" id="ip-slider" min="1" max="64" value="0" class="form-control" style="width: 100%;">
                    <div style="display: flex; justify-content: space-between; margin-top: 5px; font-size: 12px; color: #909399;">
                      <span>1</span>
                      <span>16</span>
                      <span>32</span>
                      <span>48</span>
                      <span>64</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- 可选增值服务 -->
            <div class="addon-services">
              <h3><i class="fas fa-plus-circle"></i> 免费增值服务</h3>
              <div class="service-items-container">
                <div class="service-item">
                  <input type="checkbox" id="directadmin">
                  <label for="directadmin">
                    <div class="service-name">宝塔开心版</div>
                    <div class="service-desc">DirectAdmin-Dedicated Servers</div>
                  </label>
                </div>
                <div class="service-item">
                  <input type="checkbox" id="cpanel">
                  <label for="cpanel">
                    <div class="service-name">Socks5（统一端口）</div>
                    <div class="service-desc">socks5</div>
                  </label>
                </div>
                <div class="service-item">
                  <input type="checkbox" id="plesk-admin">
                  <label for="plesk-admin">
                    <div class="service-name">Socks5（随机端口）</div>
                    <div class="service-desc">Plesk Web Admin Dedicated Servers (10 domains)</div>
                  </label>
                </div>
                <div class="service-item">
                  <input type="checkbox" id="plesk-pro">
                  <label for="plesk-pro">
                    <div class="service-name">HTTP(统一端口）</div>
                    <div class="service-desc">Plesk Web Pro Dedicated Servers (30 domains)</div>
                  </label>
                </div>
                <div class="service-item">
                  <input type="checkbox" id="plesk-host">
                  <label for="plesk-host">
                    <div class="service-name">HTTP(随机端口）</div>
                    <div class="service-desc">Plesk Web Host Dedicated Servers (Unlimited domains)</div>
                  </label>
                </div>
                <div class="service-item">
                  <input type="checkbox" id="plesk-host">
                  <label for="plesk-host">
                    <div class="service-name">Socks5+HTTP(统一端口）</div>
                    <div class="service-desc">Plesk Web Host Dedicated Servers (Unlimited domains)</div>
                  </label>
                </div>
                <div class="service-item">
                  <input type="checkbox" id="plesk-host">
                  <label for="plesk-host">
                    <div class="service-name">Socks5+HTTP(随机端口）</div>
                    <div class="service-desc">Plesk Web Host Dedicated Servers (Unlimited domains)</div>
                  </label>
                </div>
              </div>
            </div>
            <!-- 附加信息 -->
            <div class="config-item">
              <div class="config-label">自动续费:</div>
              <div class="config-value">
                <input type="checkbox" id="auto-renew">
              </div>
            </div>
            <!-- 付款周期 -->
            <div class="payment-cycle">
              <h3><i class="fas fa-calendar-alt"></i> 付款周期</h3>
              <div class="cycle-options">
                <button class="cycle-btn active">1个月</button>
                <button class="cycle-btn">3个月</button>
                <button class="cycle-btn">6个月</button>
                <button class="cycle-btn">1年</button>
              </div>
            </div>
            <!-- 数量控制 -->
            <div class="config-item">
              <div class="config-label">数量:</div>
              <div class="config-value">
                <div class="quantity-control">
                  <button class="decrease">-</button>
                  <input type="number" value="1" min="1" class="quantity-input">
                  <button class="increase">+</button>
                </div>
              </div>
            </div>
            <!-- 总价和结算按钮 -->
            <div class="cart-summary">
              <div class="total-price">
                <span>总计:</span>
                <span class="price">$299.00</span>
              </div>
              <button class="checkout-btn">结算</button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <script src="js/main.js"></script>

    <script>
    document.addEventListener('DOMContentLoaded', function() {
      // 数量控制
      const decrease = document.querySelector('.decrease');
      const increase = document.querySelector('.increase');
      const input = document.querySelector('.quantity-input');
      decrease.addEventListener('click', function() {
        let value = parseInt(input.value);
        if (value > 1) {
          input.value = value - 1;
          updateTotalPrice();
        }
      });
      increase.addEventListener('click', function() {
        let value = parseInt(input.value);
        input.value = value + 1;
        updateTotalPrice();
      });
      input.addEventListener('change', function() {
        if (this.value < 1) {
          this.value = 1;
        }
        updateTotalPrice();
      });
      // 配置选项按钮
      const optionBtns = document.querySelectorAll('.option-btn');
      optionBtns.forEach(btn => {
        btn.addEventListener('click', function() {
          optionBtns.forEach(b => b.classList.remove('active'));
          this.classList.add('active');
          updateTotalPrice();
        });
      });
      // 付款周期按钮
      const cycleBtns = document.querySelectorAll('.cycle-btn');
      cycleBtns.forEach(btn => {
        btn.addEventListener('click', function() {
          cycleBtns.forEach(b => b.classList.remove('active'));
          this.classList.add('active');
          updateTotalPrice();
        });
      });
      // 增值服务复选框
      const serviceCheckboxes = document.querySelectorAll('.service-item input[type="checkbox"]');
      serviceCheckboxes.forEach(checkbox => {
        checkbox.addEventListener('change', updateTotalPrice);
      });
      // 带宽选择器功能
      const bwBar = document.querySelector('.bw-bar');
      const bwProgress = document.querySelector('.bw-progress');
      const bwIndicator = document.querySelector('.bw-indicator');
      // 带宽选项的关键点
      const bandwidthKeyPoints = [{
          value: 1,
          text: '1M',
          percent: 0
        },
        {
          value: 10,
          text: '10M',
          percent: 12.5
        },
        {
          value: 50,
          text: '50M',
          percent: 25
        },
        {
          value: 100,
          text: '100M',
          percent: 37.5
        },
        {
          value: 200,
          text: '200M',
          percent: 50
        },
        {
          value: 500,
          text: '500M',
          percent: 62.5
        },
        {
          value: 1000,
          text: '1G',
          percent: 75
        },
        {
          value: 10000,
          text: '10G',
          percent: 87.5
        },
        {
          value: 100000,
          text: '100G',
          percent: 100
        }
      ];
      // 设置初始值
      let currentBandwidthValue = 50; // 默认50M
      updateBandwidthDisplay(currentBandwidthValue);
      // 点击和拖动功能
      function handleBandwidthSelection(e) {
        const rect = bwBar.getBoundingClientRect();
        const x = Math.min(Math.max(e.clientX - rect.left, 0), rect.width);
        const percentage = (x / rect.width) * 100;
        // 找到最接近的两个关键点
        let lowerPoint = bandwidthKeyPoints[0];
        let upperPoint = bandwidthKeyPoints[1];
        for (let i = 1; i < bandwidthKeyPoints.length; i++) {
          if (percentage <= bandwidthKeyPoints[i].percent) {
            upperPoint = bandwidthKeyPoints[i];
            lowerPoint = bandwidthKeyPoints[i - 1];
            break;
          }
        }
        // 检查是否接近刻度点（在刻度点5%范围内）
        let bandwidthValue;
        let isNearKeyPoint = false;
        // 检查是否接近任何刻度点
        for (let i = 0; i < bandwidthKeyPoints.length; i++) {
          const keyPoint = bandwidthKeyPoints[i];
          if (Math.abs(percentage - keyPoint.percent) < 3) {
            // 如果在刻度点3%范围内，直接使用刻度点的值
            bandwidthValue = keyPoint.value;
            isNearKeyPoint = true;
            break;
          }
        }
        // 如果不接近任何刻度点，则进行插值计算
        if (!isNearKeyPoint) {
          // 计算在两个关键点之间的精确位置
          let segmentPercentage = 0;
          if (upperPoint.percent !== lowerPoint.percent) {
            segmentPercentage = (percentage - lowerPoint.percent) / (upperPoint.percent - lowerPoint.percent);
          }
          // 如果是10G到100G之间的区间，使用特殊处理以生成更有意义的中间值
          if (lowerPoint.value === 10000 && upperPoint.value === 100000) {
            // 在10G-100G之间，以10G为步长生成值
            const step = Math.floor(segmentPercentage * 9); // 0-8
            bandwidthValue = 10000 * (1 + step);
            // 对于非整10G的位置，添加更细致的值
            const remainder = segmentPercentage * 9 - step;
            if (remainder > 0.2 && remainder < 0.8) {
              bandwidthValue += 5000; // 添加5G的增量
            }
          } else {
            // 线性插值计算带宽值
            bandwidthValue = Math.round(lowerPoint.value + segmentPercentage * (upperPoint.value - lowerPoint.value));
          }
        }
        // 更新当前带宽值和显示
        currentBandwidthValue = bandwidthValue;
        updateBandwidthDisplay(currentBandwidthValue, percentage);
        // 触发价格更新
        updateTotalPrice();
      }
      // 点击功能
      bwBar.addEventListener('click', handleBandwidthSelection);
      // 添加拖动功能
      let isDraggingBw = false;
      bwBar.addEventListener('mousedown', function() {
        isDraggingBw = true;
        document.body.style.userSelect = 'none'; // 防止拖动时选中文本
      });
      document.addEventListener('mouseup', function() {
        isDraggingBw = false;
        document.body.style.userSelect = '';
      });
      document.addEventListener('mousemove', function(e) {
        if (!isDraggingBw) return;
        handleBandwidthSelection(e);
      });
      // 更新带宽显示的函数
      function updateBandwidthDisplay(value, exactPercentage = null) {
        // 找到最接近的两个关键点
        let lowerPoint = bandwidthKeyPoints[0];
        let upperPoint = bandwidthKeyPoints[bandwidthKeyPoints.length - 1];
        for (let i = 0; i < bandwidthKeyPoints.length - 1; i++) {
          if (value >= bandwidthKeyPoints[i].value && value <= bandwidthKeyPoints[i + 1].value) {
            lowerPoint = bandwidthKeyPoints[i];
            upperPoint = bandwidthKeyPoints[i + 1];
            break;
          }
        }
        // 计算百分比位置（如果没有提供精确百分比）
        let percentage;
        if (exactPercentage !== null) {
          percentage = exactPercentage;
        } else {
          // 在两个关键点之间进行线性插值
          const segmentPercentage = (value - lowerPoint.value) / (upperPoint.value - lowerPoint.value);
          percentage = lowerPoint.percent + segmentPercentage * (upperPoint.percent - lowerPoint.percent);
        }
        // 设置进度条宽度和指示器位置
        bwProgress.style.width = percentage + '%';
        bwIndicator.style.left = percentage + '%';
        // 设置显示文本
        let displayText;
        if (value >= 1000 && value < 10000) {
          // 1G-10G范围
          displayText = (value / 1000).toFixed(1).replace('.0', '') + 'G';
        } else if (value >= 10000 && value < 100000) {
          // 10G-100G范围
          const gValue = value / 1000;
          if (gValue % 10 === 0) {
            // 整十数值，如20G, 30G等
            displayText = gValue + 'G';
          } else {
            // 非整十数值，保留一位小数
            displayText = gValue.toFixed(1).replace('.0', '') + 'G';
          }
        } else if (value >= 100000) {
          // 100G
          displayText = '100G';
        } else {
          // 小于1G的值
          displayText = value + 'M';
        }
        bwIndicator.querySelector('span').textContent = displayText;
      }
      // 在其他代码之前定义currentIPValue变量
      let currentIPValue = 1; // 定义为全局变量并设置初始值
      // IP地址选择器相关代码
      const ipSlider = document.getElementById('ip-slider');
      if (ipSlider) {
        // 设置初始值
        ipSlider.value = 1;
        const sliderContainer = ipSlider.parentElement;
        // 隐藏原始滑块
        ipSlider.style.display = 'none';
        // 移除原始刻度标记
        const originalScaleMarks = sliderContainer.querySelector('div[style*="display: flex; justify-content: space-between"]');
        if (originalScaleMarks) {
          originalScaleMarks.style.display = 'none';
        }
        // 移除任何可能存在的旧选择器
        const existingSelector = sliderContainer.querySelector('.number-selector');
        if (existingSelector) {
          sliderContainer.removeChild(existingSelector);
        }
        // 创建自定义选择器界面
        const numberSelector = document.createElement('div');
        numberSelector.className = 'number-selector';
        numberSelector.style.width = '100%';
        numberSelector.style.padding = '15px 0';
        numberSelector.style.position = 'relative';
        // 使用完整的HTML结构，确保所有元素都有明确的样式
        numberSelector.innerHTML = `
                    <div class="ip-bar" style="height: 4px; background: #e4e7ed; border-radius: 2px; position: relative; cursor: pointer;">
                        <div class="ip-progress" style="height: 100%; background: #409EFF; border-radius: 2px; width: 0%;"></div>
                        <div class="ip-marker" style="position: absolute; top: -5px; left: 0%; transform: translateX(-50%); color: #909399; font-size: 12px;">
                            <span style="position: absolute; top: 15px; left: 50%; transform: translateX(-50%); white-space: nowrap;">1</span>
                        </div>
                        <div class="ip-marker" style="position: absolute; top: -5px; left: 25%; transform: translateX(-50%); color: #909399; font-size: 12px;">
                            <span style="position: absolute; top: 15px; left: 50%; transform: translateX(-50%); white-space: nowrap;">16</span>
                        </div>
                        <div class="ip-marker" style="position: absolute; top: -5px; left: 50%; transform: translateX(-50%); color: #909399; font-size: 12px;">
                            <span style="position: absolute; top: 15px; left: 50%; transform: translateX(-50%); white-space: nowrap;">32</span>
                        </div>
                        <div class="ip-marker" style="position: absolute; top: -5px; left: 75%; transform: translateX(-50%); color: #909399; font-size: 12px;">
                            <span style="position: absolute; top: 15px; left: 50%; transform: translateX(-50%); white-space: nowrap;">48</span>
                        </div>
                        <div class="ip-marker" style="position: absolute; top: -5px; left: 100%; transform: translateX(-50%); color: #909399; font-size: 12px;">
                            <span style="position: absolute; top: 15px; left: 50%; transform: translateX(-50%); white-space: nowrap;">64</span>
                        </div>
                        <div class="ip-indicator" style="position: absolute; top: -25px; left: 0%; transform: translateX(-50%); display: block; z-index: 100;">
                            <span style="background: #409EFF; color: white; border-radius: 4px; padding: 2px 8px; font-size: 14px; font-weight: bold; display: inline-block; position: relative;">1</span>
                        </div>
                    </div>
                `;
        // 确保在DOM中的正确位置
        sliderContainer.appendChild(numberSelector);
        // 实现点击和拖动功能
        const ipBar = numberSelector.querySelector('.ip-bar');
        const ipProgress = numberSelector.querySelector('.ip-progress');
        const ipIndicator = numberSelector.querySelector('.ip-indicator');
        // 更新IP显示的函数
        function updateIPDisplay(value, exactPercentage = null) {
          // 计算百分比位置
          let percentage;
          if (exactPercentage !== null) {
            percentage = exactPercentage;
          } else {
            percentage = ((value - 1) / 63) * 100;
          }
          // 设置进度条宽度和指示器位置
          ipProgress.style.width = percentage + '%';
          ipIndicator.style.left = percentage + '%';
          ipIndicator.querySelector('span').textContent = value;
        }
        // 设置初始值并立即更新显示
        updateIPDisplay(currentIPValue);
        // IP选择处理函数
        function handleIPSelection(e) {
          const rect = ipBar.getBoundingClientRect();
          const x = Math.min(Math.max(e.clientX - rect.left, 0), rect.width);
          const percentage = (x / rect.width) * 100;
          // 计算1-64之间的IP值
          let ipValue = Math.round(1 + (percentage / 100) * 63);
          // 更新显示
          updateIPDisplay(ipValue, percentage);
          // 更新当前IP值
          currentIPValue = ipValue;
          // 触发价格更新
          updateTotalPrice();
        }
        // 点击功能
        ipBar.addEventListener('click', handleIPSelection);
        // 添加拖动功能
        let isDraggingIP = false;
        ipBar.addEventListener('mousedown', function() {
          isDraggingIP = true;
          document.body.style.userSelect = 'none'; // 防止拖动时选中文本
        });
        document.addEventListener('mouseup', function() {
          isDraggingIP = false;
          document.body.style.userSelect = '';
        });
        document.addEventListener('mousemove', function(e) {
          if (!isDraggingIP) return;
          handleIPSelection(e);
        });
      }
      // 更新总价格的函数
      function updateTotalPrice() {
        // 这里可以根据实际需求计算价格
        // 示例: 基础价格 + 增值服务价格 * 数量
        let basePrice = 299; // 基础价格
        let quantity = parseInt(input.value);
        // 根据选择的付款周期调整价格
        const activeCycle = document.querySelector('.cycle-btn.active');
        let cycleMultiplier = 1;
        if (activeCycle) {
          if (activeCycle.textContent === '3个月') cycleMultiplier = 3;
          else if (activeCycle.textContent === '6个月') cycleMultiplier = 6;
          else if (activeCycle.textContent === '1年') cycleMultiplier = 12;
        }
        // 根据带宽值调整价格
        let bandwidthPrice = 0;
        if (currentBandwidthValue <= 1) {
          bandwidthPrice = -50;
        } else if (currentBandwidthValue <= 10) {
          bandwidthPrice = 0;
        } else if (currentBandwidthValue <= 50) {
          bandwidthPrice = 50;
        } else if (currentBandwidthValue <= 100) {
          bandwidthPrice = 100;
        } else if (currentBandwidthValue <= 200) {
          bandwidthPrice = 200;
        } else if (currentBandwidthValue <= 500) {
          bandwidthPrice = 400;
        } else if (currentBandwidthValue <= 1000) {
          bandwidthPrice = 800;
        } else if (currentBandwidthValue <= 10000) {
          bandwidthPrice = 2000;
        } else if (currentBandwidthValue <= 20000) {
          bandwidthPrice = 2500;
        } else if (currentBandwidthValue <= 50000) {
          bandwidthPrice = 3500;
        } else {
          // 50G-100G
          bandwidthPrice = 5000;
        }
        // 计算增值服务价格
        let addonPrice = 0;
        serviceCheckboxes.forEach(checkbox => {
          if (checkbox.checked) {
            // 从服务名称中提取价格
            const serviceNameElement = checkbox.nextElementSibling.querySelector('.service-name');
            const priceMatch = serviceNameElement.textContent.match(/\$(\d+\.\d+)/);
            if (priceMatch && priceMatch[1]) {
              addonPrice += parseFloat(priceMatch[1]);
            }
          }
        });
        // 根据IP数量调整价格
        let ipPrice = (currentIPValue - 1) * 10; // 每个额外IP加10元
        // 计算总价
        const totalPrice = (basePrice + bandwidthPrice + ipPrice + addonPrice) * quantity * cycleMultiplier;
        // 更新显示
        document.querySelector('.price').textContent = '¥' + totalPrice.toFixed(2);
      }
      // 初始化总价
      updateTotalPrice();
      // 操作系统选择联动
      const osBrand = document.getElementById('os-brand');
      const osVersion = document.getElementById('os-version');
      // 定义各操作系统的版本选项
      const osVersions = {
        centos: [{
            value: '6.10',
            text: 'CentOS 6.10 旧版'
          },
          {
            value: '7.9',
            text: 'CentOS 7.9 稳定版'
          },
          {
            value: '8-stream',
            text: 'CentOS 8 Stream'
          },
          {
            value: '9-stream',
            text: 'CentOS 9 Stream 最新'
          }
        ],
        ubuntu: [{
            value: '14.04-lts',
            text: 'Ubuntu 14.04 LTS'
          },
          {
            value: '16.04-lts',
            text: 'Ubuntu 16.04 LTS 旧版'
          },
          {
            value: '18.04-lts',
            text: 'Ubuntu 18.04 LTS'
          },
          {
            value: '18.10',
            text: 'Ubuntu 18.10'
          },
          {
            value: '19.04',
            text: 'Ubuntu 19.04'
          },
          {
            value: '19.10',
            text: 'Ubuntu 19.10'
          },
          {
            value: '20.04-lts',
            text: 'Ubuntu 20.04 LTS'
          },
          {
            value: '20.10',
            text: 'Ubuntu 20.10'
          },
          {
            value: '21.04',
            text: 'Ubuntu 21.04'
          },
          {
            value: '21.10',
            text: 'Ubuntu 21.10'
          },
          {
            value: '22.04-lts',
            text: 'Ubuntu 22.04 LTS'
          },
          {
            value: '22.10',
            text: 'Ubuntu 22.10'
          },
          {
            value: '23.04',
            text: 'Ubuntu 23.04'
          },
          {
            value: '23.10',
            text: 'Ubuntu 23.10'
          },
          {
            value: '24.04-lts',
            text: 'Ubuntu 24.04 LTS 最新'
          }
        ],
        debian: [{
            value: '7',
            text: 'Debian 7 Wheezy'
          },
          {
            value: '8',
            text: 'Debian 8 Jessie'
          },
          {
            value: '9',
            text: 'Debian 9 Stretch 旧版'
          },
          {
            value: '10',
            text: 'Debian 10 Buster'
          },
          {
            value: '11',
            text: 'Debian 11 Bullseye'
          },
          {
            value: '12',
            text: 'Debian 12 Bookworm 最新'
          },
          {
            value: 'testing',
            text: 'Debian Testing'
          },
          {
            value: 'unstable',
            text: 'Debian Unstable'
          }
        ],
        windows: [{
            value: 'server-2008-r2',
            text: 'Windows Server 2008 R2'
          },
          {
            value: 'server-2012',
            text: 'Windows Server 2012'
          },
          {
            value: 'server-2012-r2',
            text: 'Windows Server 2012 R2'
          },
          {
            value: 'server-2016',
            text: 'Windows Server 2016'
          },
          {
            value: 'server-2019',
            text: 'Windows Server 2019'
          },
          {
            value: 'server-2022',
            text: 'Windows Server 2022 最新'
          },
          {
            value: 'server-2025',
            text: 'Windows Server 2025 预览版'
          }
        ],
        rocky: [{
            value: '8.4',
            text: 'Rocky 8.4'
          },
          {
            value: '8.5',
            text: 'Rocky 8.5'
          },
          {
            value: '8.6',
            text: 'Rocky 8.6'
          },
          {
            value: '8.7',
            text: 'Rocky 8.7'
          },
          {
            value: '8.8',
            text: 'Rocky 8.8'
          },
          {
            value: '8.9',
            text: 'Rocky 8.9'
          },
          {
            value: '9.0',
            text: 'Rocky 9.0'
          },
          {
            value: '9.1',
            text: 'Rocky 9.1'
          },
          {
            value: '9.2',
            text: 'Rocky 9.2'
          },
          {
            value: '9.3',
            text: 'Rocky 9.3 最新'
          }
        ],
        alma: [{
            value: '8.4',
            text: 'AlmaLinux 8.4'
          },
          {
            value: '8.5',
            text: 'AlmaLinux 8.5'
          },
          {
            value: '8.6',
            text: 'AlmaLinux 8.6'
          },
          {
            value: '8.7',
            text: 'AlmaLinux 8.7'
          },
          {
            value: '8.8',
            text: 'AlmaLinux 8.8'
          },
          {
            value: '8.9',
            text: 'AlmaLinux 8.9'
          },
          {
            value: '9.0',
            text: 'AlmaLinux 9.0'
          },
          {
            value: '9.1',
            text: 'AlmaLinux 9.1'
          },
          {
            value: '9.2',
            text: 'AlmaLinux 9.2'
          },
          {
            value: '9.3',
            text: 'AlmaLinux 9.3 最新'
          }
        ],
        fedora: [{
            value: '36',
            text: 'Fedora 36'
          },
          {
            value: '37',
            text: 'Fedora 37'
          },
          {
            value: '38',
            text: 'Fedora 38'
          },
          {
            value: '39',
            text: 'Fedora 39'
          },
          {
            value: '40',
            text: 'Fedora 40 最新'
          },
          {
            value: 'rawhide',
            text: 'Fedora Rawhide 开发版'
          }
        ],
        opensuse: [{
            value: 'leap-15.3',
            text: 'openSUSE Leap 15.3'
          },
          {
            value: 'leap-15.4',
            text: 'openSUSE Leap 15.4'
          },
          {
            value: 'leap-15.5',
            text: 'openSUSE Leap 15.5 最新'
          },
          {
            value: 'tumbleweed',
            text: 'openSUSE Tumbleweed 滚动更新'
          }
        ],
        arch: [{
            value: 'latest',
            text: 'Arch 最新版 滚动更新'
          },
          {
            value: 'lts',
            text: 'Arch LTS 长期支持内核'
          }
        ],
        freebsd: [{
            value: '12.3',
            text: 'FreeBSD 12.3'
          },
          {
            value: '12.4',
            text: 'FreeBSD 12.4'
          },
          {
            value: '13.1',
            text: 'FreeBSD 13.1'
          },
          {
            value: '13.2',
            text: 'FreeBSD 13.2'
          },
          {
            value: '14.0',
            text: 'FreeBSD 14.0 最新'
          }
        ],
        esxi: [{
            value: '6.5',
            text: 'ESXi 6.5'
          },
          {
            value: '6.7',
            text: 'ESXi 6.7'
          },
          {
            value: '7.0',
            text: 'ESXi 7.0'
          },
          {
            value: '8.0',
            text: 'ESXi 8.0 最新'
          }
        ],
        proxmox: [{
            value: '7.2',
            text: 'Proxmox 7.2'
          },
          {
            value: '7.3',
            text: 'Proxmox 7.3'
          },
          {
            value: '7.4',
            text: 'Proxmox 7.4'
          },
          {
            value: '8.0',
            text: 'Proxmox 8.0 最新'
          },
          {
            value: 'nightly',
            text: 'Proxmox Nightly 开发版'
          }
        ]
      };
      // 更新版本选择框的函数
      function updateOsVersions() {
        const brand = osBrand.value;
        // 清空当前选项
        osVersion.innerHTML = '';
        // 添加新选项
        if (osVersions[brand]) {
          osVersions[brand].forEach(version => {
            const option = document.createElement('option');
            option.value = version.value;
            option.textContent = version.text;
            osVersion.appendChild(option);
          });
        }
      }
      // 初始化版本选择
      updateOsVersions();
      // 当品牌选择变化时更新版本选择
      osBrand.addEventListener('change', updateOsVersions);
    });
    </script>
  </body>

</html>
