<?php
class TelegramBot {
    private $token;
    private $apiUrl;

    public function __construct() {
        $this->token = TELEGRAM_BOT_TOKEN;
        $this->apiUrl = TELEGRAM_API_URL;
    }

    // 发送消息
    public function sendMessage($chatId, $text, $parseMode = 'HTML') {
        $data = [
            'chat_id' => $chatId,
            'text' => $text,
            'parse_mode' => $parseMode
        ];
        return $this->request('sendMessage', $data);
    }

    // 设置Webhook
    public function setWebhook() {
        $data = [
            'url' => TELEGRAM_WEBHOOK_URL
        ];
        return $this->request('setWebhook', $data);
    }

    // 删除Webhook
    public function deleteWebhook() {
        return $this->request('deleteWebhook');
    }

    // 发送HTTP请求
    private function request($method, $data = []) {
        $url = $this->apiUrl . '/' . $method;
        
        $options = [
            'http' => [
                'header' => "Content-type: application/x-www-form-urlencoded\r\n",
                'method' => 'POST',
                'content' => http_build_query($data)
            ]
        ];
        
        $context = stream_context_create($options);
        $response = file_get_contents($url, false, $context);
        
        return json_decode($response, true);
    }
} 