<?php
require_once 'auth.php';
require_once 'publi.php';
require_once '../config/config.php';
require_once '../config/database.php';
require_once 'finance_code.php';

// 检查用户是否已登录，如果未登录则重定向到登录页面
requireLogin();

// 获取充值金额参数，如果没有传递则使用默认值
$amount = isset( $_GET[ 'amount' ] ) ? floatval( $_GET[ 'amount' ] ) : 200.45;

// 从数据库获取最新的finance ID并+1作为新的订单号
try {
    $db = getDbConnection();
    $stmt = $db->query("SELECT MAX(id) as last_id FROM finance");
    $result = $stmt->fetch(PDO::FETCH_ASSOC);
    $lastId = $result['last_id'] ?? 0;
    // 创建5位订单号，第一位是5，后面是ID值，不足位数用0补齐
    $orderNumber = '5' . str_pad($lastId, 4, '0', STR_PAD_LEFT);
} catch (PDOException $e) {
    // 如果数据库查询失败，则使用随机数作为备用方案
    $orderNumber = '5' . str_pad(mt_rand(1, 9999), 4, '0', STR_PAD_LEFT);
    error_log("无法获取最新finance ID: " . $e->getMessage());
}

// 生成账单日期和过期日期
$currentDate = date( "Y-m-d H:i:s" );
$expiryDate = date( "Y-m-d H:i:s", strtotime( "+30 minutes" ) );

// 调试输出用户会话信息
error_log( "User session data: " . print_r( $_SESSION, true ) );
?>
