<?php
require_once 'code/auth.php';
require_once 'code/publi.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>会员中心</title>
        <link rel="stylesheet" href="css/style.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
        <style>
            .invoice-container {
                padding: 20px;
                background-color: #fff;
                border-radius: 5px;
                box-shadow: 0 0 10px rgba(0,0,0,0.1);
                margin: 20px;
            }
            .invoice-header {
                border-bottom: 1px solid #eee;
                padding-bottom: 15px;
                margin-bottom: 20px;
            }
            .invoice-title {
                font-size: 20px;
                font-weight: bold;
                margin-bottom: 15px;
                color: #333;
            }
            .invoice-info {
                display: flex;
                justify-content: space-between;
                margin-bottom: 20px;
            }
            .invoice-logo img {
                max-height: 40px;
            }
            .invoice-date {
                text-align: right;
                color: #666;
                line-height: 1.6;
            }
            .invoice-number {
                display: flex;
                justify-content: space-between;
                align-items: center;
                padding: 12px 15px;
              
                margin-bottom: 25px;
                border-radius: 4px;
            }
            .invoice-number div {
                font-weight: bold;
                font-size: 16px;
            }
            .invoice-parties {
                display: flex;
                justify-content: space-between;
                margin-bottom: 30px;
            }
            .invoice-party {
                width: 48%;
                line-height: 1.6;
            }
            .invoice-party-title {
                font-weight: bold;
                margin-bottom: 10px;
                color: #555;
                font-size: 16px;
                border-bottom: 1px solid #eee;
                padding-bottom: 5px;
            }
            .invoice-items {
                margin-bottom: 30px;
            }
            .invoice-item-header {
                display: flex;
                justify-content: space-between;
                font-weight: bold;
                border-bottom: 2px solid #eee;
                padding-bottom: 10px;
                margin-bottom: 15px;
                color: #444;
            }
            .invoice-item {
                margin-bottom: 20px;
                border-bottom: 1px dashed #eee;
                padding-bottom: 15px;
            }
            .invoice-item-details {
                margin-left: 20px;
                font-size: 14px;
                color: #666;
                line-height: 1.6;
            }
            .invoice-totals {
                text-align: right;
                margin-bottom: 25px;
              
                padding: 15px;
                border-radius: 4px;
            }
            .invoice-total-row {
                display: flex;
                justify-content: flex-end;
                margin-bottom: 8px;
            }
            .invoice-total-row:last-child {
                margin-bottom: 0;
                padding-top: 8px;
                border-top: 1px solid #ddd;
                font-weight: bold;
            }
            .invoice-total-label {
                width: 100px;
                text-align: right;
                margin-right: 20px;
                color: #555;
            }
            .invoice-total-value {
                width: 100px;
                text-align: right;
                font-weight: 500;
            }
            .invoice-transactions {
                margin-bottom: 30px;
                border: 1px solid #eee;
                border-radius: 4px;
                overflow: hidden;
            }
            .invoice-transaction-header {
                display: grid;
                grid-template-columns: 1fr 1fr 1fr 1fr;
                font-weight: bold;
                background-color: #f5f5f5;
                padding: 12px 15px;
                color: #444;
            }
            .invoice-transaction-row {
                display: grid;
                grid-template-columns: 1fr 1fr 1fr 1fr;
                padding: 12px 15px;
                border-top: 1px solid #eee;
                color: #666;
            }
            .invoice-balance {
                text-align: right;
                font-weight: bold;
                margin-bottom: 25px;
                font-size: 16px;
                color: #333;
              
                padding: 12px 15px;
                border-radius: 4px;
            }
            .invoice-actions {
                text-align: right;
                margin-top: 30px;
            }
            .btn {
                padding: 10px 18px;
                border: none;
                border-radius: 4px;
                cursor: pointer;
                margin-left: 12px;
                transition: all 0.3s ease;
                font-size: 14px;
            }
            .btn:hover {
                opacity: 0.85;
            }
            .btn-print {
                background-color: #f8f9fa;
                color: #333;
                border: 1px solid #ddd;
            }
            .btn-download {
                background-color: #f8f9fa;
                color: #333;
                border: 1px solid #ddd;
            }
            .payment-btn {
                background-color: #ff5722;
                color: white;
                padding: 10px 20px;
                border: none;
                border-radius: 4px;
                cursor: pointer;
                font-size: 15px;
                transition: background-color 0.3s ease;
            }
            .payment-btn:hover {
                background-color: #e64a19;
            }
            .payment-method {
                margin-bottom: 20px;
                display: flex;
                align-items: center;
            }
            .payment-method select {
                padding: 8px 12px;
                border-radius: 4px;
                border: 1px solid #ddd;
                margin-right: 10px;
                background-color: #fff;
                min-width: 200px;
            }
            .payment-method button {
                background-color: #2980b9;
                color: white;
                padding: 8px 15px;
                border: none;
                border-radius: 4px;
                cursor: pointer;
                transition: background-color 0.3s ease;
            }
            .payment-method button:hover {
                background-color: #2471a3;
            }
        </style>
    </head>
    <body>
        <!-- 将汉堡菜单按钮移到这里 -->
        <button class="menu-toggle" id="menuToggle">
            <i class="fas fa-bars"></i>
        </button>
        <div class="container">
            <!-- 侧边栏 -->
                <?php include 'public/left.php'; ?>
            <!-- 主要内容区 -->
            <div class="main">
            <?php include 'public/header.php'; ?>
                
                <!-- 面包屑导航 -->
                <div class="breadcrumb-container">
                    <div class="breadcrumb">
                        <a href="index.php" class="breadcrumb-link">
                            <i class="fas fa-home"></i>
                            会员中心
                        </a>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <a href="finance.php" class="breadcrumb-link">
                            财务记录
                        </a>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span class="breadcrumb-current">
                            详情查看
                        </span>
                    </div>
                </div>
                
                <div class="invoice-container">
                    <div class="invoice-header">
                        <div class="invoice-title">账单信息</div>
                        <div class="invoice-info">
                            <div class="invoice-logo">
                                <img src="https://placehold.co/150x50" alt="RAKsmart">
                            </div>
                            <div class="invoice-date">
                                <div>过期日期: 2025-03-27 00:00:00</div>
                                <div>账单日期: 2025-03-17 00:00:00</div>
                            </div>
                        </div>
                        <div class="payment-method">
                            <select>
                                <option>USDT (Tron / TRC20)</option>
                            </select>
                            <button>Pay with USDT</button>
                        </div>
                    </div>
                    <div class="invoice-number">
                        <div>账单编号 #1291234</div>
                        <button class="payment-btn">未付款</button>
                    </div>
                    <div class="invoice-parties">
                        <div class="invoice-party">
                            <div class="invoice-party-title">开票给</div>
                            <div>mhysjg 333</div>
                            <div>台北市大安区信义路四段68号12号4楼</div>
                            <div>,,</div>
                            <div>Taiwan</div>
                        </div>
                        <div class="invoice-party">
                            <div class="invoice-party-title">支付给</div>
                            <div>RAKsmart.com</div>
                            <div>2807 Mission College Blvd</div>
                            <div>Santa Clara, CA 95054</div>
                        </div>
                    </div>
                    <div class="invoice-items">
                        <div class="invoice-item-header">
                            <div>描述</div>
                            <div>金额</div>
                        </div>
                        <div class="invoice-item">
                            <div>Invoice #1291234</div>
                            <div class="invoice-item-details">
                                <div>LA - RAK 共享 Cloud - C20250228103921 (03/27/2025 - 04/26/2025)</div>
                                <div>处理器: 2 核心</div>
                                <div>内存: 4G</div>
                                <div>系统盘: 40G</div>
                                <div>机械硬盘: 0 x 1G $0.02 USD</div>
                                <div>固态硬盘(高效): 0 x 1G $0.05 USD</div>
                                <div>操作系统: Ubuntu/Ubuntu - 22.04 - x64</div>
                                <div>网络类型: VPC网络</div>
                                <div>带宽类型: 大陆优化VIP</div>
                                <div>带宽: 20 x 1M $1.00 USD</div>
                                <div>IP数量: 1 x 1个 $1.00 USD</div>
                                <div>Site IP: 无</div>
                                <div>快照数量: 无</div>
                                <div>区域: 美国</div>
                                <div>可用区: 美洲-洛杉矶</div>
                            </div>
                            <div style="text-align: right; margin-top: 10px;">$15.02 USD</div>
                        </div>
                    </div>
                    <div class="invoice-totals">
                        <div class="invoice-total-row">
                            <div class="invoice-total-label">小计</div>
                            <div class="invoice-total-value">$15.02 USD</div>
                        </div>
                        <div class="invoice-total-row">
                            <div class="invoice-total-label">余额</div>
                            <div class="invoice-total-value">$0.00 USD</div>
                        </div>
                        <div class="invoice-total-row">
                            <div class="invoice-total-label">总计</div>
                            <div class="invoice-total-value">$15.02 USD</div>
                        </div>
                    </div>
                    <div class="invoice-transactions">
                        <div class="invoice-transaction-header">
                            <div>交易日期</div>
                            <div>网关</div>
                            <div>交易编号</div>
                            <div>金额</div>
                        </div>
                        <div class="invoice-transaction-row">
                            <div></div>
                            <div></div>
                            <div>未找到相关交易</div>
                            <div></div>
                        </div>
                    </div>
                    <div class="invoice-balance">
                        <div>结余: $15.02 USD</div>
                    </div>
                    <div class="invoice-actions">
                        <button class="btn btn-print"><i class="fas fa-print"></i> 打印</button>
                        <button class="btn btn-download"><i class="fas fa-download"></i> 下载</button>
                    </div>
                </div>
            </div>
        </div>
        <script src="js/main.js"></script>
       
    </body>
</html>
