<?php
require_once 'code/index_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>会员中心</title>
        <?php include 'public/head.php'; ?>
        <link rel="stylesheet" href="/user/css/index.css">
    </head>
    <body>
        <div class="container">
            <!-- 侧边栏 --> <?php include 'public/left.php'; ?>
            <!-- 主要内容区 -->
            <div class="main"> <?php include 'public/header.php'; ?>
                <!-- 内容 -->
                <div class="content-wrapper">
                    <div class="content" id="mainContent">
                        <!-- 服务器状态概览 -->
                        <div class="dashboard-section dashboard-card">
                            <h3 class="section-title"><i class="fas fa-tachometer-alt"></i> 服务器状态概览</h3>
                            <div class="resource-cards">
                                <div class="resource-card">
                                    <i class="fa-cloud fas"></i>
                                    <div class="card-info">
                                        <h3>云服务器</h3>
                                        <p>共享实例 <?php echo $serverCounts['cloud_count']; ?> 台</p>
                                    </div>
                                </div>
                                <div class="resource-card">
                                    <i class="fa-server fas"></i>
                                    <div class="card-info">
                                        <h3>独立服务器</h3>
                                        <p>共享实例 <?php echo $serverCounts['dedicated_count']; ?> 台</p>
                                    </div>
                                </div>
                                <div class="resource-card">
                                    <i class="fa-network-wired fas"></i>
                                    <div class="card-info">
                                        <h3>站群服务器</h3>
                                        <p>共享实例 <?php echo $serverCounts['cluster_count']; ?> 台</p>
                                    </div>
                                </div>
                                <div class="resource-card">
                                    <i class="fa-shield-alt fas"></i>
                                    <div class="card-info">
                                        <h3>高防服务器</h3>
                                        <p>共享实例 <?php echo $serverCounts['protected_count']; ?> 台</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="two-column-layout">
                            <!-- 左列 -->
                            <div class="column">
                                <!-- 全球机房 -->
                                <div class="dashboard-section dashboard-card">
                                    <h3 class="section-title"><i class="fas fa-globe"></i> 全球机房</h3>
                                    <div class="quick-actions">
                                        <?php foreach($areaData as $area): ?>
                                        <a href="/user/product?region=<?php echo htmlspecialchars($area['id']); ?>" class="action-btn">
                                            <i class="<?php echo $area['icon']; ?>"></i>
                                            <span><?php echo htmlspecialchars($area['display_name']); ?></span>
                                        </a>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                                <!-- 公告和新闻 -->
                                <div class="dashboard-section dashboard-card">
                                    <h3 class="section-title"><i class="fas fa-bullhorn"></i> 公告与新闻</h3>
                                    <div class="announcements">
                                        <ul class="announcement-list">
                                            <!-- 循环输出 开始 -->
                                            <?php foreach ($newsList as $news): ?>
                                            <li class="announcement-item">
                                                <a href="/cn/news_detail.html?id=<?php echo $news['id']; ?>" class="announcement-link" target="_blank">
                                                    <div class="announcement-content">
                                                        <h4 class="announcement-title"><?php echo htmlspecialchars($news['title']); ?></h4>
                                                        <p class="announcement-date"><?php echo date('Y-m-d'); ?></p>
                                                    </div>
                                                </a>
                                            </li>
                                            <?php endforeach; ?>
                                            <!-- 循环输出 结束 -->
                                        </ul>
                                        <a href="/cn/news.html" class="view-all" target="_blank">查看全部公告 <i class="fas fa-chevron-right"></i></a>
                                    </div>
                                </div>
                            </div>
                            <!-- 右列 -->
                            <div class="column">
                                <!-- 产品推荐 -->
                                <div class="dashboard-section dashboard-card">
                                    <h3 class="section-title"><i class="fas fa-star"></i> 产品推荐</h3>
                                    <div class="product-recommendations">
                                        <div class="product-carousel">
                                            <!-- 产品卡片循环 -->
                                            <?php if (!empty($latestProducts)): ?>
                                            <?php 
                        // 调试输出
                        echo '<pre>获取的产品数: ' . count($latestProducts) . '</pre>'; 
                        // echo '<pre>'; print_r($latestProducts[0]); echo '</pre>'; 
                        ?>
                                            <?php foreach ($latestProducts as $product): ?>
                                            <div class="product-card">
                                                <div class="product-card-body">
                                                    <table class="product-spec-table">
                                                        <tr>
                                                            <td>编号:</td>
                                                            <td><?php echo isset($product['id']) ? $product['id'] : 'N/A'; ?></td>
                                                            <td>CPU:</td>
                                                            <td><?php echo isset($product['upc']) ? $product['upc'] : 'N/A'; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>硬盘:</td>
                                                            <td><?php echo isset($product['disk']) ? $product['disk'] : 'N/A'; ?></td>
                                                            <td>宽带:</td>
                                                            <td><?php echo isset($product['bandwidth']) ? $product['bandwidth'] : 'N/A'; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>防御:</td>
                                                            <td><?php echo isset($product['defense']) ? $product['defense'] : '可选'; ?></td>
                                                            <td>线路:</td>
                                                            <td><?php echo isset($product['line_name']) ? $product['line_name'] : '优化带宽'; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>地区:</td>
                                                            <td class="highlight-region"><?php echo isset($product['region_name']) ? $product['region_name'] : 'N/A'; ?></td>
                                                            <td>内存:</td>
                                                            <td><?php echo isset($product['memory']) ? $product['memory'] : 'N/A'; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2">IP数:</td>
                                                            <td colspan="2" style="padding-right: 10px;"><?php echo isset($product['ip_count']) ? $product['ip_count'] : '0'; ?>个</td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2">流量:</td>
                                                            <td colspan="2" style="padding-right: 10px;"><?php echo isset($product['traffic']) ? $product['traffic'] : '不限'; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2">价格:</td>
                                                            <td colspan="2" style="padding-right: 10px;">$<?php echo isset($product['price']) ? number_format($product['price'], 2) : '0.00'; ?>/月</td>
                                                        </tr>
                                                    </table>
                                                    <div class="product-buttons">
                                                        <a href="/cn/cart.php?id=<?php echo $product['id']; ?>" class="product-btn">立即购买</a>
                                                        <a href="<?= $Telegram ?>" class="product-btn trial-btn" target="_blank">申请试用</a>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php endforeach; ?>
                                            <?php else: ?>
                                            <!-- 默认产品卡片，当没有产品数据时显示 -->
                                            <?php endif; ?>
                                            <!-- 产品卡片  end-->
                                        </div>
                                    </div>
                                </div>
                                <!--  我的资源 -->
                                <div class="dashboard-section dashboard-card">
                                    <h3 class="section-title"><i class="fas fa-clipboard-list"></i>
                                        我的资源
                                    </h3>
                                    <div class="recent-orders">
                                        <table class="order-list">
                                            <thead>
                                                <tr>
                                                    <th>订单号</th>
                                                    <th>产品</th>
                                                    <th>状态</th>
                                                    <th>金额</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <!-- 循环输出 开始 -->
                                                <?php foreach ($recentOrders as $order): ?>
                                                <tr>
                                                    <td>#<?php echo str_pad($order['id'], 4, '0', STR_PAD_LEFT); ?></td>
                                                    <td>
                                                        <a href="/user/machine.html?id=<?php echo $order['id']; ?>" target="_blank" rel="noopener noreferrer">
                                                            <?php echo htmlspecialchars($order['product_type']); ?>
                                                        </a>
                                                    </td>
                                                    <td><span class="status-badge status-normal"><?php echo getStatusText($order['status']); ?></span></td>
                                                    <td>$<?php echo number_format($order['price'], 2); ?></td>
                                                </tr>
                                                <?php endforeach; ?>
                                                <!-- 循环输出结束 -->
                                            </tbody>
                                        </table>
                                        <a href="orders.php" class="view-all">查看全部订单 <i class="fas fa-chevron-right"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- 右侧边栏 -->
                    <div class="right-sidebar">
                        <!-- 用户信息卡片 -->
                        <div class="user-card">
                            <div class="user-avatar">
                                <img src="<?php echo $userInfo['avatar'] ?? 'https://placehold.co/80x80'; ?>" alt="用户头像">
                            </div>
                            <div class="user-details">
                                <h3><?php echo htmlspecialchars($userInfo['username']); ?></h3>
                                <p class="user-id">ID:<?php echo str_pad(60000 + ($userInfo['id'] % 10000), 5, '0', STR_PAD_LEFT); ?></p>
                            </div>
                            <div class="user-stats">
                                <div class="stat-item">
                                    <p>待回工单</p>
                                    <p class="stat-value"><?php echo $ticketCount; ?></p>
                                </div>
                                <div class="stat-item">
                                    <p>消费明细</p>
                                    <p class="stat-value"><?php echo $billCount; ?></p>
                                </div>
                                <div class="stat-item">
                                    <p>7天内到期</p>
                                    <p class="stat-value"><?php echo $expiringCount; ?></p>
                                </div>
                            </div>
                        </div>
                        <!-- 我的钱包 -->
                        <div class="sidebar-section">
                            <h3 class="section-title"><i class="fa-wallet fas"></i> 我的钱包</h3>
                            <div class="current-balance">
                                <div class="balance-label">
                                    <span>当前余额</span>
                                </div>
                                <span class="amount">
                                    <?php echo formatAmount($balance); ?>
                                </span>
                            </div>
                            <!-- 按钮区域 -->
                            <div class="action-buttons">
                                <button class="recharge-btn">
                                    <i class="fa-plus-circle fas"></i>
                                    <a href="recharge.php">USD充值</a>
                                </button>
                                <button class="manage-btn">
                                    <i class="fa-file-invoice-dollar fas"></i>
                                    <a href="finance.php">账单管理</a>
                                </button>
                            </div>
                        </div>
                        <!-- 专属客服 -->
                        <div class="sidebar-section">
                            <h3 class="section-title"><i class="fa-headset fas"></i> 专属客服</h3>
                            <div class="support-content">
                                <div class="contact-info">
                                    <div class="contact-items">
                                        <div class="contact-item">
                                            <i class="fa-telegram fab"></i>
                                            <a href="https://t.me/Ammkiss" target="_blank">TG①: @Ammkiss</a>
                                            <span class="online status">在线</span>
                                        </div>
                                        <div class="contact-item">
                                            <i class="fa-telegram fab"></i>
                                            <a href="https://t.me/hkfwq118" target="_blank">TG②: @HkFwq118</a>
                                            <span class="online status">在线</span>
                                        </div>
                                    </div>
                                    <div class="support-actions">
                                        <a href="/user/ocs.html" target="_blank" class="secondary support-btn"> <i class="fa-telegram fab"></i> 在线咨询 </a>
                                        <a href="ticket_add.php" class="secondary support-btn">
                                            <i class="fa-ticket-alt fas"></i> 提交工单 </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--我的工单 -->
                        <div class="sidebar-section">
                            <h3 class="section-title"><i class="fas fa-tasks"></i>
                                我的工单
                            </h3>
                            <ul class="todo-list">
                                <!-- 循环开始 -->
                                <?php if(count($recentTickets) > 0): ?>
                                <?php foreach($recentTickets as $ticket): ?>
                                <li class="todo-item">
                                    <div class="todo-content">
                                        <a href="ticket_detail.php?id=<?php echo $ticket['id']; ?>"><?php echo htmlspecialchars($ticket['subject']); ?></p></a>
                                        <a href="ticket_detail.php?id=<?php echo $ticket['id']; ?>">查看详情</a>
                                    </div>
                                </li>
                                <?php endforeach; ?>
                                <?php else: ?>
                                <li class="todo-item">
                                    <i class="fas fa-info-circle"></i>
                                    <div class="todo-content">
                                        <p>暂无工单记录</p>
                                        <a href="ticket_add.php" class="todo-action">提交工单</a>
                                    </div>
                                </li>
                                <?php endif; ?>
                                <!-- 循环关闭 -->
                            </ul>
                            <?php if(count($recentTickets) > 0): ?>
                            <div class="view-all-container">
                                <a href="ticket.php" class="view-all">查看全部 <i class="fas fa-chevron-right"></i></a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- 添加可能需要的模态框，类似 admin 目录的实现 -->
        <div id="notification-modal" class="modal" style="display: none;">
            <div class="modal-content">
                <h3>系统通知</h3>
                <p id="notification-message"></p>
                <div class="modal-buttons">
                    <button class="btn-confirm" id="confirm-notification">确认</button>
                </div>
            </div>
        </div>
        <div id="success-message" style="display: none;" class="success-message"></div>
        <script src="js/main.js"></script>
        <script src="js/js.js"></script>
        <script src="js/index.js"></script>
    </body>
</html>
