// 确保页面加载后表单状态与URL参数一致
document.addEventListener('DOMContentLoaded', function() {
    // 已经通过PHP设置了初始状态，这里只需确保JS切换功能正常工作
    const loginSwitch = document.querySelector('.switch-login');
    const registerSwitch = document.querySelector('.switch-register');
    const loginForm = document.querySelector('.login-form');
    const registerForm = document.querySelector('.register-form');
    
    loginSwitch.addEventListener('click', function() {
        loginSwitch.classList.add('active');
        registerSwitch.classList.remove('active');
        loginForm.classList.remove('hidden');
        registerForm.classList.add('hidden');
        document.querySelector('.auth-title').textContent = '欢迎回来';
        // 更新URL，移除参数
        history.replaceState(null, '', window.location.pathname);
    });
    
    registerSwitch.addEventListener('click', function() {
        registerSwitch.classList.add('active');
        loginSwitch.classList.remove('active');
        registerForm.classList.remove('hidden');
        loginForm.classList.add('hidden');
        document.querySelector('.auth-title').textContent = '创建账号';
        // 更新URL为注册状态
        history.replaceState(null, '', '?action=register');
    });

    // 处理登录表单提交
    loginForm.addEventListener('submit', function(e) {
        e.preventDefault();
        // 这里添加登录逻辑
        console.log('登录提交');
    });

    // 处理注册表单提交
    registerForm.addEventListener('submit', function(e) {
        e.preventDefault();
        // 这里添加注册逻辑
        console.log('注册提交');
    });
}); 