document.addEventListener('DOMContentLoaded', function() {
    const amountOptions = document.querySelectorAll('.amount-option');
    const displayAmount = document.querySelector('.recharge-subtitle');
    const confirmAmount = document.querySelector('.confirm-amount-item .amount');
    const finalAmount = document.querySelector('.confirm-amount-item .final-amount');

    // 生成随机小数
    function generateRandomDecimal() {
        return Math.floor(Math.random() * 100) / 100;
    }

    // 格式化金额显示
    function formatAmount(amount) {
        const randomDecimal = generateRandomDecimal();
        const total = parseFloat(amount) + randomDecimal;
        return total.toFixed(2);
    }

    // 更新所有显示金额的地方
    function updateAmounts(baseAmount) {
        const formattedAmount = formatAmount(baseAmount);
        displayAmount.textContent = `$${formattedAmount}`;
        confirmAmount.textContent = `$${formattedAmount} USD`;
        finalAmount.textContent = `${formattedAmount} USDT`;
    }

    // 为每个金额选项添加点击事件
    amountOptions.forEach(option => {
        option.addEventListener('click', function() {
            // 移除其他选项的选中状态
            amountOptions.forEach(opt => opt.classList.remove('selected'));
            // 添加当前选项的选中状态
            this.classList.add('selected');
            
            // 获取金额值（移除 $ 和 USD）
            const amount = this.textContent.replace('$', '').replace(' USD', '');
            updateAmounts(amount);
        });
    });
    
    // 页面加载时初始化显示金额
    const defaultSelected = document.querySelector('.amount-option.selected');
    if (defaultSelected) {
        const defaultAmount = defaultSelected.textContent.replace('$', '').replace(' USD', '');
        updateAmounts(defaultAmount);
    }
}); 