<?php
require_once 'code/log_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会员中心 - 登录</title>
    <?php include 'public/theme.php'; ?>
    <link rel="stylesheet" href="css/log.css">
    <!-- 添加字体图标 -->
    <link href="https://cdn.jsdelivr.net/npm/remixicon@3.5.0/fonts/remixicon.css" rel="stylesheet">
  </head>
  <body>
    <div class="auth-container">
      <div class="auth-box">
        <div class="auth-header">
          <h1 class="auth-title"><?php echo $isRegister ? '创建账号' : '欢迎回来'; ?></h1>
          <div class="auth-switch">
            <span class="switch-login <?php echo !$isRegister ? 'active' : ''; ?>">登录</span>
            <span class="switch-register <?php echo $isRegister ? 'active' : ''; ?>">注册</span>
          </div>
        </div>
        <!-- 登录表单 -->

        <form class="login-form <?php echo $isRegister ? 'hidden' : ''; ?>" method="post" novalidate>
          <input type="hidden" name="action" value="login">
          <div class="form-group">
            <i class="ri-user-line"></i>
            <input type="text" name="username" placeholder="账号" required>
          </div>
          <div class="form-group">
            <i class="ri-lock-line"></i>
            <input type="password" name="password" placeholder="密码" required>
          </div>
          <div class="form-extra">
            <label class="remember-me">
              <input type="checkbox" name="remember">
              <span>记住我</span>
            </label>
            <a href="#" class="forgot-password">忘记密码？</a>
          </div>
          <div class="form-group">
            <button type="submit" class="auth-button">登录</button>
          </div>
          <div class="social-login">
            <div class="social-icons">
              <a class="large-icon" target="_blank"><i class="ri-telegram-fill"></i>
              </a>
            </div>
          </div>
        </form>
        <!-- 注册表单 -->
        <form class="register-form <?php echo $isRegister ? '' : 'hidden'; ?>" method="post" novalidate>
          <input type="hidden" name="action" value="register">
          <div class="form-group">
            <i class="ri-user-line"></i>
            <input type="text" name="username" placeholder="账号" required>
          </div>
          <div class="form-group">
            <i class="ri-lock-line"></i>
            <input type="password" name="password" placeholder="密码" required>
          </div>
          <div class="form-group">
            <i class="ri-lock-password-line"></i>
            <input type="password" name="confirm_password" placeholder="确认密码" required>
          </div>
          <!-- 隐藏 Telegram ID 输入框 -->
          <input type="hidden" name="telegram_id">
          <div class="form-agreement">
            <label>
              <input type="checkbox" required>
              <span>我已阅读并同意 <a href="#">服务条款</a> 和 <a href="#">隐私政策</a></span>
            </label>
          </div>
          <div class="form-group">
            <button type="submit" class="auth-button">注册</button>
          </div>
          <div class="social-login">
            <div class="social-icons">
              <a href="<?php echo $config['contact']['telegram']; ?>" class="large-icon" target="_blank"><i class="ri-telegram-fill"></i></a>
            </div>
          </div>
        </form>
      </div>
    </div>
    <script src="js/log.js"></script>
  </body>
</html>
