<!DOCTYPE html>
<html lang="zh-CN"> <?php
require_once 'code/auth.php';
require_once 'code/publi.php';
require_once '../config/database.php';
require_once 'code/ocs_code.php';
?> <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>在线客服</title>
    <?php include 'public/theme.php'; ?>
    <link rel="stylesheet" href="css/ocs.css">
    <script src="js/js.js"></script>
    <script src="js/ocs.js"></script>
  </head>
  <body>
    <div class="container"> <?php include 'public/left.php'; ?> <?php include '../config/config.php'; ?> <div class="main"> <?php include 'public/header.php'; ?>
        <!-- 面包屑导航 -->
        <div class="breadcrumb-container">
          <div class="breadcrumb">
            <a href="index.php" class="breadcrumb-link">
              <i class="fas fa-home"></i> 会员中心 </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <span class="breadcrumb-current"> 在线客服 </span>
          </div>
        </div>
        <!-- 用户信息 -->
        <div class="user-info">
          <span>当前用户ID: <?php echo $user_id; ?></span>
          <span class="history-count">历史消息数: <?php echo count($messages); ?></span>
        </div>
        <div class="content-wrapper">
          <div class="content" id="mainContent">
            <!-- 聊天界面 -->
            <div class="chat-container">
              <div class="chat-messages"> <?php if (!empty($messages)): ?> <?php foreach ($messages as $message): ?> <?php 
                    $messageClass = '';
                    // 根据消息的发送者类型来判断样式类名
                    if ($message['admin_id'] === null) {
                      // 用户发送的消息
                      $messageClass = 'user-message';
                    } else {
                      // 管理员回复的消息
                      $messageClass = 'agent-message';
                    }
                    ?> <div class="<?php echo $messageClass; ?>">
                  <div class="message-content">
                    <p><?php echo htmlspecialchars($message['message']); ?></p>
                    <small class="message-time"><?php echo date('H:i', strtotime($message['created_at'])); ?></small>
                  </div>
                </div> <?php endforeach; ?> <?php else: ?>
                <!-- 默认系统消息 -->
                <div class="system-message">
                  <p></p>
                </div> <?php endif; ?>
              </div>
            </div>
          </div>
          <div class="input-container">
            <!-- 使用GET方式发送消息 -->
            <form method="get" action="" class="message-input-form" id="chatForm">
              <input type="text" name="msg" placeholder="请输入您的问题..." required autocomplete="off">
              <input type="hidden" name="direct_send" value="1">
              <button type="submit">
                <i class="fas fa-paper-plane"></i> 发送 </button>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- 基础脚本 -->
    <script src="js/main.js"></script>
    <!-- 聊天功能脚本 -->
    <script src="js/chat-scroll-helper.js"></script>
    <!-- 消息提醒脚本 -->
    <script>
    // 监听聊天表单提交事件
    document.getElementById('chatForm').addEventListener('submit', function(e) {
      // 表单提交时发送消息提醒
      fetch('/bot/Source.php?id=5')
        .then(response => console.log('消息通知已发送'))
        .catch(error => console.error('消息通知发送失败', error));
    });
    </script>
  </body>
</html>
