<!DOCTYPE html>
<html lang="zh-CN">
    <?php
require_once './code/auth.php';
require_once './code/publi.php';
require_once './code/user_orders_code.php';

// 处理请求并获取数据
$data = processUserOrdersRequest();

// 解构返回的数据
extract($data);
?>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>会员中心 - 我的订单</title>
        <?php include 'public/theme.php'; ?>

        <link rel="stylesheet" href="css/orders.css">
    </head>
    <body>
        <!-- 将汉堡菜单按钮移到这里 -->
        <div class="container">
            <?php include './public/left.php'; ?>
            <!-- 主要内容区 -->
            <div class="main">
                <?php include './public/header.php'; ?>
                <!-- 面包屑导航 -->
                <div class="breadcrumb-container">
                    <div class="breadcrumb">
                        <a href="index.php" class="breadcrumb-link">
                            <i class="fas fa-home"></i>
                            会员中心
                        </a>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span class="breadcrumb-current">
                            订单管理
                        </span>
                    </div>
                </div>
                <div class="content-area">
                    <div class="order-tabs">
                        <?php foreach ($statusNames as $statusId => $statusName): ?>
                        <a href="orders.php?status=<?php echo $statusId; ?>" class="order-tab <?php echo $statusFilter === $statusId ? 'active' : ''; ?>">
                            <?php echo $statusName; ?>
                        </a>
                        <?php endforeach; ?>
                    </div>
                    <table class="order-table">
                        <thead>
                            <tr>
                                <th>产品/服务</th>
                                <th>主机名称</th>
                                <th>IP</th>
                                <th>价格</th>
                                <th>下次付款日期</th>
                                <th>操作系统</th>
                                <th>操作</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if (empty($orders)): ?>
                            <tr>
                                <td colspan="7" style="text-align: center; padding: 20px;">暂无订单数据</td>
                            </tr>
                            <?php else: ?>
                            <?php foreach ($orders as $order): ?>
                            <tr>
                                <td>
                                    <div class="server-specs"><?php echo htmlspecialchars($order['product_type']); ?></div>
                                </td>
                                <td>
                                    <a href="machine.php?id=<?php echo $order['id']; ?>"><?php echo htmlspecialchars($order['hostname']); ?></a>
                                </td>
                                <td class="ip-address"><?php echo htmlspecialchars($order['ip_address']); ?></td>
                                <td class="price">$<?php echo number_format($order['price'], 2); ?></td>
                                <td class="date">
                                    <?php echo $order['next_payment_date'] ? date('Y-m-d', strtotime($order['next_payment_date'])) : '-'; ?>
                                </td>
                                <td><?php echo htmlspecialchars($order['os_type']); ?></td>
                                <td>
                                    <div class="btn-container">
                                        <a href="machine.php?id=<?php echo $order['id']; ?>" class="btn-view">
                                            <i class="fas fa-eye"></i>
                                            查看
                                        </a>
                                        <a href="ticket_add.php?server_id=<?php echo $order['id']; ?>" class="btn-ticket">
                                            <i class="fas fa-ticket-alt"></i>
                                            工单
                                        </a>
                                        <a href="finance.php?id=<?php echo $order['id']; ?>" class="btn-billing">
                                            <i class="fas fa-file-invoice-dollar"></i>
                                            账单
                                        </a>
                                    </div>
                                </td>
                            </tr>
                            <?php endforeach; ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                    <?php echo $paginationHtml; ?>
                </div>
            </div>
        </div>
        <script src="js/main.js"></script>
        <script src="js/js.js"></script>
    </body>
</html>
