<?php
require_once 'code/auth.php';
require_once 'code/publi.php';
require_once '../config/config.php';
require_once '../config/database.php';
require_once 'code/finance_code.php';
require_once 'code/pay_code.php';
// 所有其他PHP逻辑已移至pay_code.php
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会员中心 - 充值付款</title>
    <?php include 'public/theme.php'; ?>
    <link rel="stylesheet" href="css/pay.css">
  </head>
  <body>
    <div class="container">
      <!-- 侧边栏 -->
      <?php include 'public/left.php'; ?>
      <!-- 主要内容区 -->
      <div class="main">
        <?php include 'public/header.php'; ?>
        <!-- 面包屑导航 -->
        <div class="breadcrumb-container">
          <div class="breadcrumb">
            <a href="index.php" class="breadcrumb-link">
              <i class="fas fa-home"></i> 会员中心
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <a href="recharge.php" class="breadcrumb-link">
              我要充值
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <span> 充值付款 </span>
          </div>
        </div>
        <div class="payment-container">
          <!-- 左侧账单信息 -->
          <div class="payment-left">
            <div class="payment-status">
              <h2>未付款</h2>
              <div>
              </div>
            </div>
            <div class="order-info">
              <h3>账单信息</h3>
              <table class="order-details">
                <tr>
                  <td><i class="fas fa-hashtag fa-fw"></i> 账单编号</td>
                  <td id="orderNumber"># <?php echo $orderNumber; ?></td>
                </tr>
                <tr class="subtotal">
                  <td>应支付金额</td>
                  <td id="amountDisplay">$<?php echo number_format($amount, 2); ?> USD</td>
                </tr>
                <tr>
                  <td><i class="fas fa-calendar-alt fa-fw"></i> 账单日期</td>
                  <td><?php echo $currentDate; ?></td>
                </tr>
                <tr>
                  <td><i class="fas fa-clock fa-fw"></i> 过期日期</td>
                  <td><?php echo $expiryDate; ?></td>
                </tr>
              </table>
            </div>
          </div>
          <!-- 右侧支付方式 -->
          <div class="payment-right">
            <div class="payment-methods">
              <h3>付款方式</h3>
              <select class="payment-select">
                <option value="usdt">USDT支付 (TRC-20)</option>
              </select>
              <button class="pay-button" id="payButton" onclick="showPaymentModal()">
                <i class="fab fa-ethereum me-2"></i> 
				使用USDT支付 
			</button>
              <input type="hidden" id="actualAmount" value="<?php echo $amount; ?>">
              <input type="hidden" id="currentUserId" value="<?php echo $_SESSION['user_id']; ?>">
            </div>
          </div>
        </div>
        <div id="paymentModal" class="modal">
          <div>
            <div class="modal-content">
              <div class="modal-header">
                <div class="tether-logo-container">
                  <div class="tether-icon-wrapper">
                    <i class="fas fa-dollar-sign tether-icon"></i>
                  </div>
                  <span class="tether-text">USDT支付</span>
                </div>
                <span class="close" onclick="closePaymentModal()">&times;</span>
              </div>
              <div class="modal-body">
                <div class="payment-amount">
                  <p>需支付总额（精确到小数点后面）</p>
                  <h2><?php echo number_format($amount, 2); ?> USDT</h2>
                  <p class="warning-text"><i class="fas fa-exclamation-triangle"></i> 请支付正确的资币金额，否则系统无法确认认是否到账</p>
                </div>
                <div class="payment-address">
                  <p><i class="fas fa-wallet"></i> 请转到以下地址 (TRC-20 )</p>
                  <div class="address-box">
                    <span id="walletAddress">
                      <?= $USDTaddress ?>
                    </span>
                    <button onclick="copyAddress()" class="copy-btn">
                      <i class="fas fa-copy"></i>
                    </button>
                  </div>
                  <p class="verify-text"><i class="fas fa-exclamation-circle"></i> 请核对复制的地址是否一致（支付地址错误用户自行承担损失）</p>
                </div>
                <div class="qr-code-section">
                  <img src="<?= $USDTQRcode ?>" alt="QR Code" class="qr-code">
                </div>
                <p class="payment-deadline"><i class="fas fa-hourglass-half"></i> 请于<?php echo $expiryDate; ?>之前完成支付</p>
                <p class="payment-note"><i class="fas fa-info-circle"></i> 支付完成后，可以关闭窗口，约5-10分钟系统会确认到账</p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- 为移动端添加遮罩层 -->
      <script src="js/main.js"></script>
      <script src="js/js.js"></script>
      <!-- 添加支付功能的 JavaScript 文件 -->
      <script src="js/pay.js"></script>
  </body>
</html>
