<?php
// 显示所有PHP错误
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>产品页面测试</title>
    <style>
        body { font-family: Arial, sans-serif; padding: 20px; line-height: 1.6; }
        .container { max-width: 800px; margin: 0 auto; }
        .section { margin-bottom: 20px; padding: 15px; border: 1px solid #ddd; border-radius: 4px; }
        h1 { color: #333; }
        h2 { color: #555; font-size: 18px; }
        .success { color: green; }
        .error { color: red; }
    </style>
</head>
<body>
    <div class="container">
        <h1>产品页面测试</h1>
        
        <div class="section">
            <h2>1. 基础文件引入测试</h2>
            <?php
            try {
                require_once 'code/auth.php';
                echo "<p class='success'>auth.php 引入成功</p>";
            } catch(Exception $e) {
                echo "<p class='error'>auth.php 引入失败: " . $e->getMessage() . "</p>";
            }
            
            try {
                require_once 'code/publi.php';
                echo "<p class='success'>publi.php 引入成功</p>";
            } catch(Exception $e) {
                echo "<p class='error'>publi.php 引入失败: " . $e->getMessage() . "</p>";
            }
            ?>
        </div>
        
        <div class="section">
            <h2>2. 数据库连接测试</h2>
            <?php
            try {
                require_once '../config/database.php';
                echo "<p class='success'>数据库配置文件引入成功</p>";
                
                if (function_exists('getDbConnection')) {
                    echo "<p class='success'>getDbConnection 函数存在</p>";
                    
                    $db = getDbConnection();
                    if ($db) {
                        echo "<p class='success'>数据库连接成功</p>";
                    } else {
                        echo "<p class='error'>数据库连接失败</p>";
                    }
                } else {
                    echo "<p class='error'>getDbConnection 函数不存在</p>";
                }
            } catch(Exception $e) {
                echo "<p class='error'>数据库测试失败: " . $e->getMessage() . "</p>";
            }
            ?>
        </div>
        
        <div class="section">
            <h2>3. 产品相关文件测试</h2>
            <?php
            try {
                require_once 'code/product_data.php';
                echo "<p class='success'>product_data.php 引入成功</p>";
            } catch(Exception $e) {
                echo "<p class='error'>product_data.php 引入失败: " . $e->getMessage() . "</p>";
            }
            
            try {
                require_once 'code/product_helper.php';
                echo "<p class='success'>product_helper.php 引入成功</p>";
            } catch(Exception $e) {
                echo "<p class='error'>product_helper.php 引入失败: " . $e->getMessage() . "</p>";
            }
            
            try {
                require_once 'code/product_init.php';
                echo "<p class='success'>product_init.php 引入成功</p>";
            } catch(Exception $e) {
                echo "<p class='error'>product_init.php 引入失败: " . $e->getMessage() . "</p>";
            }
            ?>
        </div>
        
        <div class="section">
            <h2>4. 产品数据测试</h2>
            <?php
            if (isset($products) && is_array($products)) {
                echo "<p class='success'>产品数据获取成功，共 " . count($products) . " 个产品</p>";
                
                if (count($products) > 0) {
                    echo "<p>第一个产品ID: " . $products[0]['id'] . "</p>";
                }
            } else {
                echo "<p class='error'>产品数据获取失败或为空</p>";
            }
            
            if (isset($parentRegions) && is_array($parentRegions)) {
                echo "<p class='success'>地区数据获取成功，共 " . count($parentRegions) . " 个父地区</p>";
            } else {
                echo "<p class='error'>地区数据获取失败或为空</p>";
            }
            
            if (isset($parentTags) && is_array($parentTags)) {
                echo "<p class='success'>标签数据获取成功，共 " . count($parentTags) . " 个父标签</p>";
            } else {
                echo "<p class='error'>标签数据获取失败或为空</p>";
            }
            ?>
        </div>
    </div>
</body>
</html> 