<?php
require_once 'code/auth.php';
require_once 'code/publi.php';
require_once '../config/config.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会员中心 - 充值</title>
    <?php include 'public/head.php'; ?>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/recharge.css">
    <!-- 添加 Font Awesome 引用 -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
  </head>
  <body>
    <div class="container">
      <!-- 侧边栏 -->
      <?php include 'public/left.php'; ?>
      <!-- 主要内容区 -->
      <div class="main">
        <!-- 将汉堡菜单按钮移到这里 -->
        <button class="menu-toggle" id="menuToggle">
          <i class="fas fa-bars"></i>
        </button>
        <?php include 'public/header.php'; ?>
        
        <!-- 面包屑导航 -->
        <div class="breadcrumb-container">
          <div class="breadcrumb">
            <a href="index.php" class="breadcrumb-link">
              <i class="fas fa-home"></i>
              会员中心
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <span class="breadcrumb-current">
              我要充值
            </span>
          </div>
        </div>
        
        <div class="recharge-container">
          <div class="recharge-title">账户充值 <span>您可以充值金额至账户余额中</span></div>
          <div class="amount-options">
            <div class="amount-option" data-amount="1">$1 USD</div>
            <div class="amount-option" data-amount="50">$50 USD</div>
            <div class="amount-option selected" data-amount="200">$200 USD</div>
            <div class="amount-option" data-amount="500">$500 USD</div>
            <div class="amount-option" data-amount="800">$800 USD</div>
            <div class="amount-option" data-amount="1000">$1000 USD</div>
            <div class="amount-option" data-amount="5000">$5000 USD</div>
          </div>
          <div class="bottom-section">
            <div class="payment-info-box">
              <div class="info-row">
                <div class="info-label">应支付金额:</div>
                <div class="info-value recharge-subtitle" id="displayAmount">$200.52</div>
              </div>

            </div>
            <button class="confirm-btn" id="rechargeButton">
              确定充值
            </button>
            <div class="recharge-note">
              <div class="note-title">重要提示：</div>
              <p>
                • 充值金额仅可用于本平台消费，包括购买新服务器和续费现有服务 </p>
              <p> • 为确保交易安全，系统将自动在金额后随机生成两位小数 </p>
              <p> • 当前支持 USDT 支付通道，如需使用支付宝或其他支付方式，请联系
                <a href="<?= $Telegram ?>" class="service-link" target="_blank">在线客服</a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- 基础脚本 -->
    <script src="js/main.js"></script>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
      // 获取所有金额选项和显示金额的元素
      const amountOptions = document.querySelectorAll('.amount-option');
      const displayAmount = document.getElementById('displayAmount');
      const rechargeButton = document.getElementById('rechargeButton');
      // 当前选中的金额
      let selectedAmount = 200; // 默认选中$200
      // 为每个金额选项添加点击事件
      amountOptions.forEach(option => {
        option.addEventListener('click', function() {
          // 移除之前选中的样式
          amountOptions.forEach(opt => opt.classList.remove('selected'));
          // 添加当前选中的样式
          this.classList.add('selected');
          // 获取选中的金额
          selectedAmount = parseFloat(this.getAttribute('data-amount'));
          // 生成两位随机小数
          const randomCents = Math.floor(Math.random() * 100) / 100;
          const totalAmount = (selectedAmount + randomCents).toFixed(2);
          // 更新显示金额
          displayAmount.textContent = '$' + totalAmount;
        });
      });
      // 为充值按钮添加点击事件
      rechargeButton.addEventListener('click', function() {
        // 获取当前显示的金额（去掉$符号）
        const amount = displayAmount.textContent.replace('$', '');
        // 跳转到支付页面并传递金额参数
        window.location.href = 'pay.php?amount=' + amount;
      });
    });
    </script>
    <script src="js/recharge.js"></script>
    <script src="js/js.js"></script>
  </body>
</html>
