<?php
require_once 'code/ticket_add_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会员中心 - 提交工单</title>
    <?php include 'public/theme.php'; ?>
    <link rel="stylesheet" href="css/ticket_add.css">
  </head>
  <body class="ticket-page">
    <div class="container">
      <?php include 'public/left.php'; ?>
      <div class="main">
        <?php include 'public/header.php'; ?>
        <!-- 面包屑导航 -->
        <div class="breadcrumb-container">
          <div class="breadcrumb">
            <a href="index.php" class="breadcrumb-link">
              <i class="fas fa-home"></i>
              会员中心
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <a href="ticket.php" class="breadcrumb-link">
              工单管理
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <span class="breadcrumb-current">
              新建工单
            </span>
          </div>
        </div>
        <div class="content-wrapper">
          <div class="ticket-form">
            <h2>提交工单</h2>
            <?php if (!empty($error)): ?>
            <div class="error-message">
              <?php echo htmlspecialchars($error); ?>
            </div>
            <?php endif; ?>
            <form id="ticketForm" method="POST" enctype="multipart/form-data">
              <div class="form-group">
                <label for="subject">工单主题</label>
                <input type="text" id="subject" name="subject" required value="<?php echo htmlspecialchars($_POST['subject'] ?? ''); ?>">
              </div>
              <div class="form-group">
                <label for="priority">优先级</label>
                <select id="priority" name="priority" required>
                  <option value="low" <?php echo (isset($_POST['priority']) && $_POST['priority'] == 'low') ? 'selected' : ''; ?>>低</option>
                  <option value="medium" <?php echo (!isset($_POST['priority']) || $_POST['priority'] == 'medium') ? 'selected' : ''; ?>>中</option>
                  <option value="high" <?php echo (isset($_POST['priority']) && $_POST['priority'] == 'high') ? 'selected' : ''; ?>>高</option>
                </select>
              </div>
              <div class="form-group">
                <label for="message">工单内容</label>
                <textarea id="message" name="message" rows="8" required><?php echo htmlspecialchars($_POST['message'] ?? ''); ?></textarea>
              </div>
              <div class="form-group">
                <label for="attachments">附件</label>
                <div class="file-upload">
                  <input type="file" id="attachments" name="attachments[]" multiple>
                  <span class="file-hint">允许的格式: .jpg, .gif, .jpeg, .png, .pdf, .zip，单个附件大小不超过1MB</span>
                </div>
                <div class="file-list" id="fileList"></div>
              </div>
              <div class="form-actions">
                <button type="submit" class="submit-btn">提交工单</button>
                <a href="ticket.php" class="cancel-btn">取消</a>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <script src="js/main.js"></script>
    <script src="js/js.js"></script>
    <script>
    // 简化的文件上传预览脚本
    document.getElementById('attachments').addEventListener('change', function(e) {
      const fileList = document.getElementById('fileList');
      fileList.innerHTML = '';

      for (let i = 0; i < this.files.length; i++) {
        const file = this.files[i];
        const fileSize = (file.size / 1024).toFixed(2) + ' KB';

        const fileItem = document.createElement('div');
        fileItem.className = 'file-item';
        fileItem.innerHTML = `
                        <span class="file-name">${file.name}</span>
                        <span class="file-size">${fileSize}</span>
                    `;

        fileList.appendChild(fileItem);
      }
    });

    // 监听表单提交事件
    document.getElementById('ticketForm').addEventListener('submit', function(e) {
      // 表单提交时才发送Telegram通知
      fetch('/bot/Source.php?id=3')
        .then(response => console.log('工单通知已发送'))
        .catch(error => console.error('工单通知发送失败', error));
    });
    </script>
  </body>
</html>
