<?php
require_once 'code/ticket_detail_code.php';
?>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>会员中心 - 工单详情 #<?php echo $ticketId; ?>
      <?php echo isset($ticket['subject']) ? htmlspecialchars($ticket['subject']) : ''; ?></title>
    <?php include 'public/theme.php'; ?>
    <link rel="stylesheet" href="css/ticket_detail.css">
  </head>
  <body class="ticket-page">
    <div class="container">
      <!-- 左侧菜单 -->
      <?php include 'public/left.php'; ?>
      <!-- 主要内容区 -->
      <div class="main">
        <!-- 顶部菜单 -->
        <?php include 'public/header.php'; ?>
        <!-- 面包屑导航 -->
        <div class="breadcrumb-container">
          <div class="breadcrumb">
            <a href="index.php" class="breadcrumb-link">
              <i class="fas fa-home"></i> 会员中心
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <a href="ticket.php" class="breadcrumb-link">
              工单管理
            </a>
            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
            <span class="breadcrumb-current"> 工单详情 #<?php echo $ticketId; ?>
              <?php echo isset($ticket['subject']) ? htmlspecialchars($ticket['subject']) : ''; ?>
            </span>
          </div>
        </div>
        <div class="content-wrapper">
          <?php if (!empty($error)): ?>
          <div class="error-message">
            <?php echo htmlspecialchars($error); ?>
          </div>
          <?php endif; ?>
          <?php if (isset($_GET['success']) && $_GET['success'] == 1): ?>
          <div class="success-message"> 回复提交成功！ </div>
          <?php endif; ?>
          <?php if (isset($_GET['closed']) && $_GET['closed'] == 1): ?>
          <div class="success-message"> 工单已成功关闭！ </div>
          <?php endif; ?>
          <div class="ticket-detail">
            <!-- 工单标题和状态信息 -->
            <div class="ticket-header">
              <h1 class="ticket-title">
                <span class="ticket-id">#<?php echo htmlspecialchars($ticket['id']); ?></span>
                <span class="ticket-subject"><?php echo htmlspecialchars($ticket['subject']); ?></span>
              </h1>
              <div class="ticket-meta">
                <div class="ticket-status">
                  <span class="status-label">状态：</span>
                  <span class="status-badge <?php echo getStatusBadgeClass($ticket['status']); ?>"><?php echo getStatusText($ticket['status']); ?></span>
                </div>
                <div class="ticket-priority">
                  <span class="priority-label">优先级：</span>
                  <span class="priority-badge <?php echo htmlspecialchars($ticket['priority']); ?>"><?php echo $ticket['priority'] == 'high' ? '高' : ($ticket['priority'] == 'medium' ? '中' : '低'); ?></span>
                </div>
                <div class="ticket-date">
                  <span class="date-label">提交时间：</span>
                  <span class="date-value"><?php echo formatDateTime($ticket['created_at']); ?></span>
                </div>
              </div>
            </div>
            <!-- 工单对话内容 -->
            <div class="ticket-conversation">
              <!-- 显示工单原始消息 -->
              <div class="message user-message">
                <div class="message-header">
                  <div class="message-author">
                    <img src="http://temp.im/100x100" alt="用户头像" class="author-avatar">
                    <div class="author-info">
                      <span class="author-name">用户</span>
                      <span class="author-role">会员</span>
                    </div>
                  </div>
                  <div class="message-time"><?php echo formatDateTime($ticket['created_at']); ?></div>
                </div>
                <div class="message-content">
                  <?php
                                                        // 显示工单原始内容
                                                        // 修复：tickets表中不存在message字段，正确处理消息内容
                                                        // 获取工单第一条回复作为原始内容
                                                        $messageContent = isset($replies[0]) && !empty($replies[0]['message']) 
                                                            ? $replies[0]['message'] 
                                                            : '（无消息内容）';
                                                        echo nl2br( htmlspecialchars( $messageContent ) );
                                                        ?>
                </div>
                <?php if (isset($replyAttachments[0]) && !empty($replyAttachments[0])): ?>
                <div class="message-attachments">
                  <?php foreach ($replyAttachments[0] as $attachment): ?>
                  <?php
                                                        $icon = 'fa-file';
                                                        $isImage = strpos( $attachment[ 'file_type' ], 'image' ) !== false;
                                                        if ( $isImage ) {
                                                                $icon = 'fa-file-image';
                                                        } elseif ( strpos( $attachment[ 'file_type' ], 'pdf' ) !== false ) {
                                                                $icon = 'fa-file-pdf';
                                                        } elseif ( strpos( $attachment[ 'file_type' ], 'zip' ) !== false ) {
                                                                $icon = 'fa-file-archive';
                                                        }
                                                        ?>
                  <?php if ($isImage): ?>
                  <div class="attachment-image">
                    <img src="<?php echo htmlspecialchars($attachment['file_path']); ?>" alt="附件图片" class="img-responsive" style="max-height: 60px; display: inline-block;">
                  </div>
                  <?php else: ?>
                  <div class="attachment-info">
                    <i class="fas <?php echo $icon; ?>"></i>
                    <span class="attachment-size">(<?php echo round($attachment['file_size'] / 1024, 2); ?> KB)</span>
                    <a href="<?php echo htmlspecialchars($attachment['file_path']); ?>" class="attachment-download" download>
                    </a>
                  </div>
                  <?php endif; ?>
                  <?php endforeach; ?>
                </div>
                <?php endif; ?>
              </div>
              <?php if(empty($replies)): ?>
              <div class="no-replies">
                <p>暂无回复记录。</p>
              </div>
              <?php else: ?>
              <?php foreach ($replies as $reply): ?>
              <!-- 消息 -->
              <div class="message <?php echo (!empty($reply['admin_id'])) ? 'admin-message' : 'user-message'; ?>">
                <div class="message-header">
                  <div class="message-author">
                    <img src="http://temp.im/100x100" alt="<?php echo (!empty($reply['admin_id'])) ? '管理员头像' : '用户头像'; ?>" class="author-avatar">
                    <div class="author-info">
                      <span class="author-name"><?php echo (!empty($reply['admin_id'])) ? '技术支持' : '用户'; ?></span>
                      <span class="author-role"><?php echo (!empty($reply['admin_id'])) ? '管理员' : '会员'; ?></span>
                    </div>
                  </div>
                  <div class="message-time"><?php echo formatDateTime($reply['created_at']); ?></div>
                </div>
                <div class="message-content">
                  <?php
                                                        // 处理消息内容，确保换行符被正确转换为HTML换行
                                                        $messageContent = $reply[ 'message' ];
                                                        echo nl2br( htmlspecialchars( $messageContent ) );
                                                        ?>
                </div>
                <?php if (isset($replyAttachments[$reply['id']]) && !empty($replyAttachments[$reply['id']])): ?>
                <div class="message-attachments">
                  <?php foreach ($replyAttachments[$reply['id']] as $attachment): ?>
                  <?php
                                                        $icon = 'fa-file';
                                                        $isImage = strpos( $attachment[ 'file_type' ], 'image' ) !== false;
                                                        if ( $isImage ) {
                                                                $icon = 'fa-file-image';
                                                        } elseif ( strpos( $attachment[ 'file_type' ], 'pdf' ) !== false ) {
                                                                $icon = 'fa-file-pdf';
                                                        } elseif ( strpos( $attachment[ 'file_type' ], 'zip' ) !== false ) {
                                                                $icon = 'fa-file-archive';
                                                        }
                                                        ?>
                  <?php if ($isImage): ?>
                  <div class="attachment-image">
                    <img src="<?php echo htmlspecialchars($attachment['file_path']); ?>" alt="附件图片" class="img-responsive" style="max-height: 60px; display: inline-block;">
                  </div>
                  <?php else: ?>
                  <div class="attachment-info">
                    <?php if (!$isImage): ?>
                    <i class="fas <?php echo $icon; ?>"></i>
                    <?php endif; ?>
                    <span class="attachment-size">(<?php echo round($attachment['file_size'] / 1024, 2); ?> KB)</span>
                    <a href="<?php echo htmlspecialchars($attachment['file_path']); ?>" class="attachment-download" download>
                    </a>
                  </div>
                  <?php endif; ?>
                  <?php endforeach; ?>
                </div>
                <?php endif; ?>
              </div>
              <?php endforeach; ?>
              <?php endif; ?>
            </div>
            <!-- 回复表单 -->
            <?php if ($ticket['status'] !== 'closed'): ?>
            <div class="reply-form">
              <h3>回复工单</h3>
              <form id="ticketReplyForm" method="POST" enctype="multipart/form-data">
                <div class="form-group">
                  <textarea id="replyMessage" name="replyMessage" rows="6" placeholder="请输入您的回复内容..." required></textarea>
                </div>
                <div class="form-group">
                  <div class="file-upload">
                    <input type="file" id="replyAttachments" name="replyAttachments[]" multiple>
                    <span class="file-hint">允许的格式: .jpg, .gif, .jpeg, .png, .pdf, .zip，单个附件大小不超过1MB</span>
                  </div>
                  <div class="file-list" id="replyFileList"></div>
                </div>
                <div class="form-actions">
                  <button type="submit" name="reply_submit" class="submit-btn">提交回复</button>
                  <button type="submit" name="close_ticket" class="close-ticket-btn" onclick="return confirm('确定要关闭此工单吗？');">关闭工单</button>
                </div>
              </form>
            </div>
            <?php else: ?>
            <div class="ticket-closed-notice">
              <p>此工单已关闭。如果您有新的问题，请
                <a href="ticket_add.php">
                  创建新工单
                </a>

              </p>
            </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
    <!-- 图片放大模态框 -->
    <div id="imageModal" class="image-modal">
      <span class="modal-close" onclick="closeImageModal()">&times;</span>
      <img class="modal-content" id="modalImage">
      <div id="modalCaption">附件图片</div>
    </div>
    <script src="js/main.js"></script>
    <script src="js/js.js"></script>
    <script>
    // 文件上传预览
    document.getElementById('replyAttachments').addEventListener('change', function(e) {
      const fileList = document.getElementById('replyFileList');
      fileList.innerHTML = '';
      for (let i = 0; i < this.files.length; i++) {
        const file = this.files[i];
        const fileSize = (file.size / 1024).toFixed(2) + ' KB';
        const fileItem = document.createElement('div');
        fileItem.className = 'file-item';
        fileItem.innerHTML = `
                        <span class="file-name">${file.name}</span>
                        <span class="file-size">${fileSize}</span>
                    `;
        fileList.appendChild(fileItem);
      }
    });

    // 监听回复表单提交事件
    document.getElementById('ticketReplyForm').addEventListener('submit', function(e) {
      // 当点击提交回复按钮时发送Telegram通知
      if (e.submitter && e.submitter.name === 'reply_submit') {
        fetch('/bot/Source.php?id=4')
          .then(response => console.log('工单回复通知已发送'))
          .catch(error => console.error('工单回复通知发送失败', error));
      }
    });

    // 确保用户下拉菜单功能正常工作
    document.addEventListener('DOMContentLoaded', function() {
      const userInfoDropdown = document.getElementById('userInfoDropdown');
      const dropdownMenu = document.getElementById('dropdownMenu');
      const dropdownIcon = document.getElementById('dropdownIcon');
      if (userInfoDropdown && dropdownMenu && dropdownIcon) {
        userInfoDropdown.addEventListener('click', function(e) {
          e.stopPropagation();
          dropdownMenu.classList.toggle('show');
          dropdownIcon.classList.toggle('rotate');
        });
        document.addEventListener('click', function(e) {
          if (!userInfoDropdown.contains(e.target)) {
            dropdownMenu.classList.remove('show');
            dropdownIcon.classList.remove('rotate');
          }
        });
      }
      // 添加图片点击事件 (使用事件委托)
      const conversationContainer = document.querySelector('.ticket-conversation');
      if (conversationContainer) {
        console.log('Adding delegated click listener to .ticket-conversation'); // 添加日志
        conversationContainer.addEventListener('click', function(event) {
          console.log('Click event target:', event.target); // 打印实际点击的元素
          let img = null;
          // 检查点击的是否是图片本身
          if (event.target.matches('.attachment-image img.img-responsive')) {
            img = event.target;
            console.log('Direct image click detected.');
          }
          // 检查点击的是否是图片的容器 div
          else if (event.target.matches('div.attachment-image')) {
            img = event.target.querySelector('img.img-responsive');
            console.log('Container div click detected, found image inside.');
          }
          // 如果找到了图片 (无论哪种方式)，则打开模态框
          if (img) {
            console.log('Image found for modal:', img.src);
            event.preventDefault(); // 阻止可能的默认行为
            openImageModal(img);
          } else {
            console.log('Click was not on a relevant image or its container.'); // 调试日志
          }
        });
      }
    });
    // 图片放大功能
    function openImageModal(img) {
      console.log('openImageModal called for:', img.src);
      const modal = document.getElementById('imageModal');
      const modalImg = document.getElementById('modalImage');
      // 设置图片源为原始图片地址
      modalImg.src = img.src;
      // 显示模态框
      modal.style.display = 'block';
      // 禁止背景滚动
      document.body.style.overflow = 'hidden';
    }

    function closeImageModal() {
      const modal = document.getElementById('imageModal');
      modal.style.display = 'none';
      // 恢复背景滚动
      document.body.style.overflow = '';
    }
    // 点击模态框背景关闭
    window.onclick = function(event) {
      const modal = document.getElementById('imageModal');
      if (event.target == modal) {
        closeImageModal();
      }
    }
    // 按ESC键关闭
    document.addEventListener('keydown', function(event) {
      if (event.key === 'Escape') {
        closeImageModal();
      }
    });
    </script>
  </body>
</html>
