<!DOCTYPE html>
<html lang="zh-CN">
  <?php
  // 先定义ROOT_PATH（如果不存在）
  if (!defined('ROOT_PATH')) {
      define('ROOT_PATH', dirname(__DIR__));
  }
  
  // 引入配置文件
  include ROOT_PATH . '/public/config.php';
  
  // 引入视频列表代码
  require_once ROOT_PATH . '/code/video_code.php';
  $videoData = getVideoData();
  $categories = $videoData['categories'];
  $categoryVideos = $videoData['categoryVideos'];
  ?>
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>视频教程</title>
    <?php echo getCommonCss(); ?>
    <link href="/public/css/script-style.css" rel="stylesheet" />
  </head>
  <body>
    <!-- 顶部导航 -->
    <?php include ROOT_PATH . '/public/header.php'; ?>
    <!-- 主内容区 -->
    <div class="main-content">
      <!-- Banner 区域 -->
      <?php include ROOT_PATH . '/public/banner.php'; ?>
      <!-- 内容区域 -->
      <div class="ip-matrix-content">
        <!-- 面包屑导航 -->
        <div class="container">
          <div class="breadcrumb">
            <a href="/"> 首页 </a>
            <i class="material-icons">chevron_right</i>
            <a href="product.html"> 服务器选购</a>
            <i class="material-icons">chevron_right</i>
            <span>视频教程</span>
          </div>
        </div>
        <?php if (!empty($categories)): ?>
        <?php 
                // 添加计数器来追踪栏目
                $sectionCounter = 0; 
                ?>
        <?php foreach ($categories as $category): ?>
        <?php if (!empty($categoryVideos[$category['id']])): ?>
        <?php 
                // 增加计数器
                $sectionCounter++; 
                // 基于计数器奇偶性决定背景色
                $sectionBgClass = $sectionCounter % 2 == 0 ? 'section-bg-gray' : 'section-bg-white';
                ?>
        <section class="<?php echo $category['id'] == 1 ? 'trial-section' : ($category['id'] == 2 ? 'server-deploy-section' : 'server-guide-section'); ?> <?php echo $sectionBgClass; ?>">
          <div class="container">
            <div class="section-header">
              <div class="my1">
                <?php 
                                $titleClass = $category['id'] == 2 ? ' class="server-deploy-title"' : '';
                                $descClass = $category['id'] == 2 ? ' class="server-deploy-desc"' : '';
                                ?>
                <h2<?php echo $titleClass; ?>><?php echo htmlspecialchars($category['name']); ?></h2>
                  <p<?php echo $descClass; ?>><?php echo htmlspecialchars($category['description']); ?></p>
              </div>
              <div> <a class="script-grid-count" href="/video/list/<?php echo $category['id']; ?>">更多</a></div>
            </div>
            <div class="script-grid">
              <?php foreach ($categoryVideos[$category['id']] as $video): ?>
              <a href="/video/<?php echo $video['id']; ?>.html" class="script-card">
                <div class="script-card-image">
                  <img src="<?php echo !empty($video['thumbnail']) ? htmlspecialchars($video['thumbnail']) : 'http://temp.im/320x180'; ?>" alt="<?php echo htmlspecialchars($video['title']); ?>">
                  <span class="duration-tag"><?php echo htmlspecialchars($video['duration']); ?></span>
                  <div class="play-icon"></div>
                </div>
                <div class="script-card-content">
                  <h3><?php echo htmlspecialchars($video['title']); ?></h3>
                </div>
              </a>
              <?php endforeach; ?>
            </div>
          </div>
        </section>
        <?php endif; ?>
        <?php endforeach; ?>
        <?php else: ?>
        <!-- 如果没有数据，显示静态内容或提示 -->
        <section class="trial-section">
          <div class="container">
            <div class="section-header">
              <h2>暂无视频内容</h2>
              <p>请稍后再来查看</p>
            </div>
          </div>
        </section>
        <?php endif; ?>
      </div>
    </div>
    <!-- 页脚 -->
    <?php include ROOT_PATH . '/public/kf.php'; ?>
    <?php include ROOT_PATH . '/public/footer.php'; ?>
    <script src="/public/js/js.js"></script>
  </body>
</html>
